#include <qwt_includes.h>

#include <smoke.h>
#include <qwt_smoke.h>

namespace __smokeqwt {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractButton
      switch(to) {
        case 62: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 31: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 1: return (void*)(QAbstractButton*)xptr;
        case 70: return (void*)(QwtArrowButton*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitmap
      switch(to) {
        case 38: return (void*)(QPixmap*)(QBitmap*)xptr;
        case 3: return (void*)(QBitmap*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QCloseEvent
      switch(to) {
        case 8: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QColor
      switch(to) {
        case 9: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 10:   //QContextMenuEvent
      switch(to) {
        case 10: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDragEnterEvent
      switch(to) {
        case 12: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QDragMoveEvent
      switch(to) {
        case 14: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QDropEvent
      switch(to) {
        case 15: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QEvent
      switch(to) {
        case 16: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QFocusEvent
      switch(to) {
        case 17: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QFont
      switch(to) {
        case 18: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 19:   //QFrame
      switch(to) {
        case 62: return (void*)(QWidget*)(QFrame*)xptr;
        case 31: return (void*)(QObject*)(QFrame*)xptr;
        case 19: return (void*)(QFrame*)xptr;
        case 142: return (void*)(QwtTextLabel*)(QFrame*)xptr;
        case 91: return (void*)(QwtLegend*)(QFrame*)xptr;
        case 107: return (void*)(QwtPlot*)(QFrame*)xptr;
        case 108: return (void*)(QwtPlotCanvas*)(QFrame*)xptr;
        default: return xptr;
      }
    case 21:   //QHideEvent
      switch(to) {
        case 21: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QImage
      switch(to) {
        case 22: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 23:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QLayout
      switch(to) {
        case 31: return (void*)(QObject*)(QLayout*)xptr;
        case 26: return (void*)(QLayoutItem*)(QLayout*)xptr;
        case 25: return (void*)(QLayout*)xptr;
        case 83: return (void*)(QwtDynGridLayout*)(QLayout*)xptr;
        default: return xptr;
      }
    case 26:   //QLayoutItem
      switch(to) {
        case 26: return (void*)(QLayoutItem*)xptr;
        case 83: return (void*)(QwtDynGridLayout*)(QLayoutItem*)xptr;
        default: return xptr;
      }
    case 27:   //QLineF
      switch(to) {
        case 27: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 28:   //QMetaObject
      switch(to) {
        case 28: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 29:   //QMouseEvent
      switch(to) {
        case 29: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QMoveEvent
      switch(to) {
        case 30: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QObject
      switch(to) {
        case 31: return (void*)(QObject*)xptr;
        case 136: return (void*)(QwtSlider*)(QObject*)xptr;
        case 142: return (void*)(QwtTextLabel*)(QObject*)xptr;
        case 95: return (void*)(QwtMagnifier*)(QObject*)xptr;
        case 122: return (void*)(QwtPlotZoomer*)(QObject*)xptr;
        case 145: return (void*)(QwtWheel*)(QObject*)xptr;
        case 90: return (void*)(QwtKnob*)(QObject*)xptr;
        case 143: return (void*)(QwtThermo*)(QObject*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QObject*)xptr;
        case 83: return (void*)(QwtDynGridLayout*)(QObject*)xptr;
        case 117: return (void*)(QwtPlotPicker*)(QObject*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)(QObject*)xptr;
        case 91: return (void*)(QwtLegend*)(QObject*)xptr;
        case 78: return (void*)(QwtCounter*)(QObject*)xptr;
        case 133: return (void*)(QwtScaleWidget*)(QObject*)xptr;
        case 99: return (void*)(QwtPicker*)(QObject*)xptr;
        case 98: return (void*)(QwtPanner*)(QObject*)xptr;
        case 116: return (void*)(QwtPlotPanner*)(QObject*)xptr;
        case 74: return (void*)(QwtCompass*)(QObject*)xptr;
        case 107: return (void*)(QwtPlot*)(QObject*)xptr;
        case 69: return (void*)(QwtAnalogClock*)(QObject*)xptr;
        case 108: return (void*)(QwtPlotCanvas*)(QObject*)xptr;
        case 114: return (void*)(QwtPlotMagnifier*)(QObject*)xptr;
        case 80: return (void*)(QwtDial*)(QObject*)xptr;
        case 70: return (void*)(QwtArrowButton*)(QObject*)xptr;
        default: return xptr;
      }
    case 32:   //QPaintEngine
      switch(to) {
        case 32: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 33:   //QPaintEvent
      switch(to) {
        case 33: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QPainter
      switch(to) {
        case 34: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 35:   //QPainterPath
      switch(to) {
        case 35: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 36:   //QPalette
      switch(to) {
        case 36: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 37:   //QPen
      switch(to) {
        case 37: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 38:   //QPixmap
      switch(to) {
        case 38: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 39:   //QPoint
      switch(to) {
        case 39: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 40:   //QPointF
      switch(to) {
        case 40: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 41:   //QPolygon
      switch(to) {
        case 41: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 42:   //QPolygonF
      switch(to) {
        case 42: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 43:   //QPushButton
      switch(to) {
        case 1: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 62: return (void*)(QWidget*)(QPushButton*)xptr;
        case 31: return (void*)(QObject*)(QPushButton*)xptr;
        case 43: return (void*)(QPushButton*)xptr;
        case 70: return (void*)(QwtArrowButton*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QRegion
      switch(to) {
        case 47: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 48:   //QResizeEvent
      switch(to) {
        case 48: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QScrollBar
      switch(to) {
        case 49: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 50:   //QShowEvent
      switch(to) {
        case 50: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QSize
      switch(to) {
        case 51: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 52:   //QSizeF
      switch(to) {
        case 52: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 53:   //QSpacerItem
      switch(to) {
        case 26: return (void*)(QLayoutItem*)(QSpacerItem*)xptr;
        case 53: return (void*)(QSpacerItem*)xptr;
        default: return xptr;
      }
    case 54:   //QStyle
      switch(to) {
        case 54: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 55:   //QTabletEvent
      switch(to) {
        case 55: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QTextDocument
      switch(to) {
        case 56: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 57:   //QTime
      switch(to) {
        case 57: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 58:   //QTimerEvent
      switch(to) {
        case 58: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QTransform
      switch(to) {
        case 59: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QWheelEvent
      switch(to) {
        case 61: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QWidget
      switch(to) {
        case 31: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QWidget*)xptr;
        case 136: return (void*)(QwtSlider*)(QWidget*)xptr;
        case 142: return (void*)(QwtTextLabel*)(QWidget*)xptr;
        case 145: return (void*)(QwtWheel*)(QWidget*)xptr;
        case 90: return (void*)(QwtKnob*)(QWidget*)xptr;
        case 143: return (void*)(QwtThermo*)(QWidget*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QWidget*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)(QWidget*)xptr;
        case 91: return (void*)(QwtLegend*)(QWidget*)xptr;
        case 78: return (void*)(QwtCounter*)(QWidget*)xptr;
        case 133: return (void*)(QwtScaleWidget*)(QWidget*)xptr;
        case 98: return (void*)(QwtPanner*)(QWidget*)xptr;
        case 116: return (void*)(QwtPlotPanner*)(QWidget*)xptr;
        case 74: return (void*)(QwtCompass*)(QWidget*)xptr;
        case 107: return (void*)(QwtPlot*)(QWidget*)xptr;
        case 69: return (void*)(QwtAnalogClock*)(QWidget*)xptr;
        case 108: return (void*)(QwtPlotCanvas*)(QWidget*)xptr;
        case 80: return (void*)(QwtDial*)(QWidget*)xptr;
        case 70: return (void*)(QwtArrowButton*)(QWidget*)xptr;
        default: return xptr;
      }
    case 63:   //QwtAbstractLegend
      switch(to) {
        case 19: return (void*)(QFrame*)(QwtAbstractLegend*)xptr;
        case 62: return (void*)(QWidget*)(QwtAbstractLegend*)xptr;
        case 31: return (void*)(QObject*)(QwtAbstractLegend*)xptr;
        case 63: return (void*)(QwtAbstractLegend*)xptr;
        case 91: return (void*)(QwtLegend*)(QwtAbstractLegend*)xptr;
        default: return xptr;
      }
    case 64:   //QwtAbstractScale
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtAbstractScale*)xptr;
        case 31: return (void*)(QObject*)(QwtAbstractScale*)xptr;
        case 64: return (void*)(QwtAbstractScale*)xptr;
        case 136: return (void*)(QwtSlider*)(QwtAbstractScale*)xptr;
        case 90: return (void*)(QwtKnob*)(QwtAbstractScale*)xptr;
        case 143: return (void*)(QwtThermo*)(QwtAbstractScale*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)(QwtAbstractScale*)xptr;
        case 74: return (void*)(QwtCompass*)(QwtAbstractScale*)xptr;
        case 69: return (void*)(QwtAnalogClock*)(QwtAbstractScale*)xptr;
        case 80: return (void*)(QwtDial*)(QwtAbstractScale*)xptr;
        default: return xptr;
      }
    case 65:   //QwtAbstractScaleDraw
      switch(to) {
        case 65: return (void*)(QwtAbstractScaleDraw*)xptr;
        case 127: return (void*)(QwtRoundScaleDraw*)(QwtAbstractScaleDraw*)xptr;
        case 130: return (void*)(QwtScaleDraw*)(QwtAbstractScaleDraw*)xptr;
        default: return xptr;
      }
    case 66:   //QwtAbstractSeriesStore
      switch(to) {
        case 66: return (void*)(QwtAbstractSeriesStore*)xptr;
        case 109: return (void*)dynamic_cast<QwtPlotCurve*>((QwtAbstractSeriesStore*)xptr);
        default: return xptr;
      }
    case 67:   //QwtAbstractSlider
      switch(to) {
        case 64: return (void*)(QwtAbstractScale*)(QwtAbstractSlider*)xptr;
        case 62: return (void*)(QWidget*)(QwtAbstractSlider*)xptr;
        case 31: return (void*)(QObject*)(QwtAbstractSlider*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)xptr;
        case 136: return (void*)(QwtSlider*)(QwtAbstractSlider*)xptr;
        case 90: return (void*)(QwtKnob*)(QwtAbstractSlider*)xptr;
        case 74: return (void*)(QwtCompass*)(QwtAbstractSlider*)xptr;
        case 69: return (void*)(QwtAnalogClock*)(QwtAbstractSlider*)xptr;
        case 80: return (void*)(QwtDial*)(QwtAbstractSlider*)xptr;
        default: return xptr;
      }
    case 68:   //QwtAlphaColorMap
      switch(to) {
        case 73: return (void*)(QwtColorMap*)(QwtAlphaColorMap*)xptr;
        case 68: return (void*)(QwtAlphaColorMap*)xptr;
        default: return xptr;
      }
    case 69:   //QwtAnalogClock
      switch(to) {
        case 80: return (void*)(QwtDial*)(QwtAnalogClock*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)(QwtAnalogClock*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QwtAnalogClock*)xptr;
        case 62: return (void*)(QWidget*)(QwtAnalogClock*)xptr;
        case 31: return (void*)(QObject*)(QwtAnalogClock*)xptr;
        case 69: return (void*)(QwtAnalogClock*)xptr;
        default: return xptr;
      }
    case 70:   //QwtArrowButton
      switch(to) {
        case 43: return (void*)(QPushButton*)(QwtArrowButton*)xptr;
        case 1: return (void*)(QAbstractButton*)(QwtArrowButton*)xptr;
        case 62: return (void*)(QWidget*)(QwtArrowButton*)xptr;
        case 31: return (void*)(QObject*)(QwtArrowButton*)xptr;
        case 70: return (void*)(QwtArrowButton*)xptr;
        default: return xptr;
      }
    case 71:   //QwtCPointerData
      switch(to) {
        case 71: return (void*)(QwtCPointerData*)xptr;
        default: return xptr;
      }
    case 72:   //QwtClipper
      switch(to) {
        case 72: return (void*)(QwtClipper*)xptr;
        default: return xptr;
      }
    case 73:   //QwtColorMap
      switch(to) {
        case 73: return (void*)(QwtColorMap*)xptr;
        case 93: return (void*)(QwtLinearColorMap*)(QwtColorMap*)xptr;
        case 68: return (void*)(QwtAlphaColorMap*)(QwtColorMap*)xptr;
        default: return xptr;
      }
    case 74:   //QwtCompass
      switch(to) {
        case 80: return (void*)(QwtDial*)(QwtCompass*)xptr;
        case 67: return (void*)(QwtAbstractSlider*)(QwtCompass*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QwtCompass*)xptr;
        case 62: return (void*)(QWidget*)(QwtCompass*)xptr;
        case 31: return (void*)(QObject*)(QwtCompass*)xptr;
        case 74: return (void*)(QwtCompass*)xptr;
        default: return xptr;
      }
    case 75:   //QwtCompassMagnetNeedle
      switch(to) {
        case 81: return (void*)(QwtDialNeedle*)(QwtCompassMagnetNeedle*)xptr;
        case 75: return (void*)(QwtCompassMagnetNeedle*)xptr;
        default: return xptr;
      }
    case 76:   //QwtCompassRose
      switch(to) {
        case 76: return (void*)(QwtCompassRose*)xptr;
        case 135: return (void*)(QwtSimpleCompassRose*)(QwtCompassRose*)xptr;
        default: return xptr;
      }
    case 77:   //QwtCompassWindArrow
      switch(to) {
        case 81: return (void*)(QwtDialNeedle*)(QwtCompassWindArrow*)xptr;
        case 77: return (void*)(QwtCompassWindArrow*)xptr;
        default: return xptr;
      }
    case 78:   //QwtCounter
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtCounter*)xptr;
        case 31: return (void*)(QObject*)(QwtCounter*)xptr;
        case 78: return (void*)(QwtCounter*)xptr;
        default: return xptr;
      }
    case 79:   //QwtCurveFitter
      switch(to) {
        case 79: return (void*)(QwtCurveFitter*)xptr;
        case 138: return (void*)(QwtSplineCurveFitter*)(QwtCurveFitter*)xptr;
        default: return xptr;
      }
    case 80:   //QwtDial
      switch(to) {
        case 67: return (void*)(QwtAbstractSlider*)(QwtDial*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QwtDial*)xptr;
        case 62: return (void*)(QWidget*)(QwtDial*)xptr;
        case 31: return (void*)(QObject*)(QwtDial*)xptr;
        case 80: return (void*)(QwtDial*)xptr;
        case 74: return (void*)(QwtCompass*)(QwtDial*)xptr;
        case 69: return (void*)(QwtAnalogClock*)(QwtDial*)xptr;
        default: return xptr;
      }
    case 81:   //QwtDialNeedle
      switch(to) {
        case 81: return (void*)(QwtDialNeedle*)xptr;
        case 77: return (void*)(QwtCompassWindArrow*)(QwtDialNeedle*)xptr;
        case 75: return (void*)(QwtCompassMagnetNeedle*)(QwtDialNeedle*)xptr;
        case 82: return (void*)(QwtDialSimpleNeedle*)(QwtDialNeedle*)xptr;
        default: return xptr;
      }
    case 82:   //QwtDialSimpleNeedle
      switch(to) {
        case 81: return (void*)(QwtDialNeedle*)(QwtDialSimpleNeedle*)xptr;
        case 82: return (void*)(QwtDialSimpleNeedle*)xptr;
        default: return xptr;
      }
    case 83:   //QwtDynGridLayout
      switch(to) {
        case 25: return (void*)(QLayout*)(QwtDynGridLayout*)xptr;
        case 31: return (void*)(QObject*)(QwtDynGridLayout*)xptr;
        case 26: return (void*)(QLayoutItem*)(QwtDynGridLayout*)xptr;
        case 83: return (void*)(QwtDynGridLayout*)xptr;
        default: return xptr;
      }
    case 84:   //QwtEventPattern
      switch(to) {
        case 84: return (void*)(QwtEventPattern*)xptr;
        case 122: return (void*)(QwtPlotZoomer*)(QwtEventPattern*)xptr;
        case 117: return (void*)(QwtPlotPicker*)(QwtEventPattern*)xptr;
        case 99: return (void*)(QwtPicker*)(QwtEventPattern*)xptr;
        default: return xptr;
      }
    case 85:   //QwtEventPattern::KeyPattern
      switch(to) {
        case 85: return (void*)(QwtEventPattern::KeyPattern*)xptr;
        default: return xptr;
      }
    case 86:   //QwtEventPattern::MousePattern
      switch(to) {
        case 86: return (void*)(QwtEventPattern::MousePattern*)xptr;
        default: return xptr;
      }
    case 87:   //QwtGraphic
      switch(to) {
        case 87: return (void*)(QwtGraphic*)xptr;
        default: return xptr;
      }
    case 88:   //QwtInterval
      switch(to) {
        case 88: return (void*)(QwtInterval*)xptr;
        default: return xptr;
      }
    case 89:   //QwtIntervalSample
      switch(to) {
        case 89: return (void*)(QwtIntervalSample*)xptr;
        default: return xptr;
      }
    case 90:   //QwtKnob
      switch(to) {
        case 67: return (void*)(QwtAbstractSlider*)(QwtKnob*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QwtKnob*)xptr;
        case 62: return (void*)(QWidget*)(QwtKnob*)xptr;
        case 31: return (void*)(QObject*)(QwtKnob*)xptr;
        case 90: return (void*)(QwtKnob*)xptr;
        default: return xptr;
      }
    case 91:   //QwtLegend
      switch(to) {
        case 63: return (void*)(QwtAbstractLegend*)(QwtLegend*)xptr;
        case 19: return (void*)(QFrame*)(QwtLegend*)xptr;
        case 62: return (void*)(QWidget*)(QwtLegend*)xptr;
        case 31: return (void*)(QObject*)(QwtLegend*)xptr;
        case 91: return (void*)(QwtLegend*)xptr;
        default: return xptr;
      }
    case 92:   //QwtLegendData
      switch(to) {
        case 92: return (void*)(QwtLegendData*)xptr;
        default: return xptr;
      }
    case 93:   //QwtLinearColorMap
      switch(to) {
        case 73: return (void*)(QwtColorMap*)(QwtLinearColorMap*)xptr;
        case 93: return (void*)(QwtLinearColorMap*)xptr;
        default: return xptr;
      }
    case 94:   //QwtLinearScaleEngine
      switch(to) {
        case 131: return (void*)(QwtScaleEngine*)(QwtLinearScaleEngine*)xptr;
        case 94: return (void*)(QwtLinearScaleEngine*)xptr;
        default: return xptr;
      }
    case 95:   //QwtMagnifier
      switch(to) {
        case 31: return (void*)(QObject*)(QwtMagnifier*)xptr;
        case 95: return (void*)(QwtMagnifier*)xptr;
        case 114: return (void*)(QwtPlotMagnifier*)(QwtMagnifier*)xptr;
        default: return xptr;
      }
    case 96:   //QwtOHLCSample
      switch(to) {
        case 96: return (void*)(QwtOHLCSample*)xptr;
        default: return xptr;
      }
    case 97:   //QwtPainter
      switch(to) {
        case 97: return (void*)(QwtPainter*)xptr;
        default: return xptr;
      }
    case 98:   //QwtPanner
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtPanner*)xptr;
        case 31: return (void*)(QObject*)(QwtPanner*)xptr;
        case 98: return (void*)(QwtPanner*)xptr;
        case 116: return (void*)(QwtPlotPanner*)(QwtPanner*)xptr;
        default: return xptr;
      }
    case 99:   //QwtPicker
      switch(to) {
        case 31: return (void*)(QObject*)(QwtPicker*)xptr;
        case 84: return (void*)(QwtEventPattern*)(QwtPicker*)xptr;
        case 99: return (void*)(QwtPicker*)xptr;
        case 122: return (void*)(QwtPlotZoomer*)(QwtPicker*)xptr;
        case 117: return (void*)(QwtPlotPicker*)(QwtPicker*)xptr;
        default: return xptr;
      }
    case 100:   //QwtPickerClickPointMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)(QwtPickerClickPointMachine*)xptr;
        case 100: return (void*)(QwtPickerClickPointMachine*)xptr;
        default: return xptr;
      }
    case 101:   //QwtPickerClickRectMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)(QwtPickerClickRectMachine*)xptr;
        case 101: return (void*)(QwtPickerClickRectMachine*)xptr;
        default: return xptr;
      }
    case 102:   //QwtPickerDragPointMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)(QwtPickerDragPointMachine*)xptr;
        case 102: return (void*)(QwtPickerDragPointMachine*)xptr;
        default: return xptr;
      }
    case 103:   //QwtPickerDragRectMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)(QwtPickerDragRectMachine*)xptr;
        case 103: return (void*)(QwtPickerDragRectMachine*)xptr;
        default: return xptr;
      }
    case 104:   //QwtPickerMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)xptr;
        case 103: return (void*)(QwtPickerDragRectMachine*)(QwtPickerMachine*)xptr;
        case 105: return (void*)(QwtPickerPolygonMachine*)(QwtPickerMachine*)xptr;
        case 101: return (void*)(QwtPickerClickRectMachine*)(QwtPickerMachine*)xptr;
        case 102: return (void*)(QwtPickerDragPointMachine*)(QwtPickerMachine*)xptr;
        case 100: return (void*)(QwtPickerClickPointMachine*)(QwtPickerMachine*)xptr;
        default: return xptr;
      }
    case 105:   //QwtPickerPolygonMachine
      switch(to) {
        case 104: return (void*)(QwtPickerMachine*)(QwtPickerPolygonMachine*)xptr;
        case 105: return (void*)(QwtPickerPolygonMachine*)xptr;
        default: return xptr;
      }
    case 106:   //QwtPlainTextEngine
      switch(to) {
        case 141: return (void*)(QwtTextEngine*)(QwtPlainTextEngine*)xptr;
        case 106: return (void*)(QwtPlainTextEngine*)xptr;
        default: return xptr;
      }
    case 107:   //QwtPlot
      switch(to) {
        case 19: return (void*)(QFrame*)(QwtPlot*)xptr;
        case 62: return (void*)(QWidget*)(QwtPlot*)xptr;
        case 31: return (void*)(QObject*)(QwtPlot*)xptr;
        case 110: return (void*)(QwtPlotDict*)(QwtPlot*)xptr;
        case 107: return (void*)(QwtPlot*)xptr;
        default: return xptr;
      }
    case 108:   //QwtPlotCanvas
      switch(to) {
        case 19: return (void*)(QFrame*)(QwtPlotCanvas*)xptr;
        case 62: return (void*)(QWidget*)(QwtPlotCanvas*)xptr;
        case 31: return (void*)(QObject*)(QwtPlotCanvas*)xptr;
        case 108: return (void*)(QwtPlotCanvas*)xptr;
        default: return xptr;
      }
    case 109:   //QwtPlotCurve
      switch(to) {
        case 120: return (void*)(QwtPlotSeriesItem*)(QwtPlotCurve*)xptr;
        case 112: return (void*)(QwtPlotItem*)(QwtPlotCurve*)xptr;
        case 66: return (void*)(QwtAbstractSeriesStore*)(QwtPlotCurve*)xptr;
        case 109: return (void*)(QwtPlotCurve*)xptr;
        default: return xptr;
      }
    case 110:   //QwtPlotDict
      switch(to) {
        case 110: return (void*)(QwtPlotDict*)xptr;
        case 107: return (void*)(QwtPlot*)(QwtPlotDict*)xptr;
        default: return xptr;
      }
    case 111:   //QwtPlotGrid
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)(QwtPlotGrid*)xptr;
        case 111: return (void*)(QwtPlotGrid*)xptr;
        default: return xptr;
      }
    case 112:   //QwtPlotItem
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)xptr;
        case 111: return (void*)(QwtPlotGrid*)(QwtPlotItem*)xptr;
        case 118: return (void*)(QwtPlotRasterItem*)(QwtPlotItem*)xptr;
        case 121: return (void*)(QwtPlotSpectrogram*)(QwtPlotItem*)xptr;
        case 119: return (void*)(QwtPlotScaleItem*)(QwtPlotItem*)xptr;
        case 109: return (void*)(QwtPlotCurve*)(QwtPlotItem*)xptr;
        case 115: return (void*)(QwtPlotMarker*)(QwtPlotItem*)xptr;
        default: return xptr;
      }
    case 113:   //QwtPlotLayout
      switch(to) {
        case 113: return (void*)(QwtPlotLayout*)xptr;
        default: return xptr;
      }
    case 114:   //QwtPlotMagnifier
      switch(to) {
        case 95: return (void*)(QwtMagnifier*)(QwtPlotMagnifier*)xptr;
        case 31: return (void*)(QObject*)(QwtPlotMagnifier*)xptr;
        case 114: return (void*)(QwtPlotMagnifier*)xptr;
        default: return xptr;
      }
    case 115:   //QwtPlotMarker
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)(QwtPlotMarker*)xptr;
        case 115: return (void*)(QwtPlotMarker*)xptr;
        default: return xptr;
      }
    case 116:   //QwtPlotPanner
      switch(to) {
        case 98: return (void*)(QwtPanner*)(QwtPlotPanner*)xptr;
        case 62: return (void*)(QWidget*)(QwtPlotPanner*)xptr;
        case 31: return (void*)(QObject*)(QwtPlotPanner*)xptr;
        case 116: return (void*)(QwtPlotPanner*)xptr;
        default: return xptr;
      }
    case 117:   //QwtPlotPicker
      switch(to) {
        case 99: return (void*)(QwtPicker*)(QwtPlotPicker*)xptr;
        case 31: return (void*)(QObject*)(QwtPlotPicker*)xptr;
        case 84: return (void*)(QwtEventPattern*)(QwtPlotPicker*)xptr;
        case 117: return (void*)(QwtPlotPicker*)xptr;
        case 122: return (void*)(QwtPlotZoomer*)(QwtPlotPicker*)xptr;
        default: return xptr;
      }
    case 118:   //QwtPlotRasterItem
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)(QwtPlotRasterItem*)xptr;
        case 118: return (void*)(QwtPlotRasterItem*)xptr;
        case 121: return (void*)(QwtPlotSpectrogram*)(QwtPlotRasterItem*)xptr;
        default: return xptr;
      }
    case 119:   //QwtPlotScaleItem
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)(QwtPlotScaleItem*)xptr;
        case 119: return (void*)(QwtPlotScaleItem*)xptr;
        default: return xptr;
      }
    case 120:   //QwtPlotSeriesItem
      switch(to) {
        case 112: return (void*)(QwtPlotItem*)(QwtPlotSeriesItem*)xptr;
        case 66: return (void*)(QwtAbstractSeriesStore*)(QwtPlotSeriesItem*)xptr;
        case 120: return (void*)(QwtPlotSeriesItem*)xptr;
        case 109: return (void*)(QwtPlotCurve*)(QwtPlotSeriesItem*)xptr;
        default: return xptr;
      }
    case 121:   //QwtPlotSpectrogram
      switch(to) {
        case 118: return (void*)(QwtPlotRasterItem*)(QwtPlotSpectrogram*)xptr;
        case 112: return (void*)(QwtPlotItem*)(QwtPlotSpectrogram*)xptr;
        case 121: return (void*)(QwtPlotSpectrogram*)xptr;
        default: return xptr;
      }
    case 122:   //QwtPlotZoomer
      switch(to) {
        case 117: return (void*)(QwtPlotPicker*)(QwtPlotZoomer*)xptr;
        case 99: return (void*)(QwtPicker*)(QwtPlotZoomer*)xptr;
        case 31: return (void*)(QObject*)(QwtPlotZoomer*)xptr;
        case 84: return (void*)(QwtEventPattern*)(QwtPlotZoomer*)xptr;
        case 122: return (void*)(QwtPlotZoomer*)xptr;
        default: return xptr;
      }
    case 123:   //QwtPoint3D
      switch(to) {
        case 123: return (void*)(QwtPoint3D*)xptr;
        default: return xptr;
      }
    case 124:   //QwtPointPolar
      switch(to) {
        case 124: return (void*)(QwtPointPolar*)xptr;
        default: return xptr;
      }
    case 125:   //QwtRasterData
      switch(to) {
        case 125: return (void*)(QwtRasterData*)xptr;
        default: return xptr;
      }
    case 126:   //QwtRichTextEngine
      switch(to) {
        case 141: return (void*)(QwtTextEngine*)(QwtRichTextEngine*)xptr;
        case 126: return (void*)(QwtRichTextEngine*)xptr;
        default: return xptr;
      }
    case 127:   //QwtRoundScaleDraw
      switch(to) {
        case 65: return (void*)(QwtAbstractScaleDraw*)(QwtRoundScaleDraw*)xptr;
        case 127: return (void*)(QwtRoundScaleDraw*)xptr;
        default: return xptr;
      }
    case 128:   //QwtScaleArithmetic
      switch(to) {
        case 128: return (void*)(QwtScaleArithmetic*)xptr;
        default: return xptr;
      }
    case 129:   //QwtScaleDiv
      switch(to) {
        case 129: return (void*)(QwtScaleDiv*)xptr;
        default: return xptr;
      }
    case 130:   //QwtScaleDraw
      switch(to) {
        case 65: return (void*)(QwtAbstractScaleDraw*)(QwtScaleDraw*)xptr;
        case 130: return (void*)(QwtScaleDraw*)xptr;
        default: return xptr;
      }
    case 131:   //QwtScaleEngine
      switch(to) {
        case 131: return (void*)(QwtScaleEngine*)xptr;
        case 94: return (void*)(QwtLinearScaleEngine*)(QwtScaleEngine*)xptr;
        default: return xptr;
      }
    case 132:   //QwtScaleMap
      switch(to) {
        case 132: return (void*)(QwtScaleMap*)xptr;
        default: return xptr;
      }
    case 133:   //QwtScaleWidget
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtScaleWidget*)xptr;
        case 31: return (void*)(QObject*)(QwtScaleWidget*)xptr;
        case 133: return (void*)(QwtScaleWidget*)xptr;
        default: return xptr;
      }
    case 134:   //QwtSetSample
      switch(to) {
        case 134: return (void*)(QwtSetSample*)xptr;
        default: return xptr;
      }
    case 135:   //QwtSimpleCompassRose
      switch(to) {
        case 76: return (void*)(QwtCompassRose*)(QwtSimpleCompassRose*)xptr;
        case 135: return (void*)(QwtSimpleCompassRose*)xptr;
        default: return xptr;
      }
    case 136:   //QwtSlider
      switch(to) {
        case 67: return (void*)(QwtAbstractSlider*)(QwtSlider*)xptr;
        case 64: return (void*)(QwtAbstractScale*)(QwtSlider*)xptr;
        case 62: return (void*)(QWidget*)(QwtSlider*)xptr;
        case 31: return (void*)(QObject*)(QwtSlider*)xptr;
        case 136: return (void*)(QwtSlider*)xptr;
        default: return xptr;
      }
    case 137:   //QwtSpline
      switch(to) {
        case 137: return (void*)(QwtSpline*)xptr;
        default: return xptr;
      }
    case 138:   //QwtSplineCurveFitter
      switch(to) {
        case 79: return (void*)(QwtCurveFitter*)(QwtSplineCurveFitter*)xptr;
        case 138: return (void*)(QwtSplineCurveFitter*)xptr;
        default: return xptr;
      }
    case 139:   //QwtSymbol
      switch(to) {
        case 139: return (void*)(QwtSymbol*)xptr;
        default: return xptr;
      }
    case 140:   //QwtText
      switch(to) {
        case 140: return (void*)(QwtText*)xptr;
        default: return xptr;
      }
    case 141:   //QwtTextEngine
      switch(to) {
        case 141: return (void*)(QwtTextEngine*)xptr;
        case 106: return (void*)(QwtPlainTextEngine*)(QwtTextEngine*)xptr;
        case 126: return (void*)(QwtRichTextEngine*)(QwtTextEngine*)xptr;
        default: return xptr;
      }
    case 142:   //QwtTextLabel
      switch(to) {
        case 19: return (void*)(QFrame*)(QwtTextLabel*)xptr;
        case 62: return (void*)(QWidget*)(QwtTextLabel*)xptr;
        case 31: return (void*)(QObject*)(QwtTextLabel*)xptr;
        case 142: return (void*)(QwtTextLabel*)xptr;
        default: return xptr;
      }
    case 143:   //QwtThermo
      switch(to) {
        case 64: return (void*)(QwtAbstractScale*)(QwtThermo*)xptr;
        case 62: return (void*)(QWidget*)(QwtThermo*)xptr;
        case 31: return (void*)(QObject*)(QwtThermo*)xptr;
        case 143: return (void*)(QwtThermo*)xptr;
        default: return xptr;
      }
    case 144:   //QwtTransform
      switch(to) {
        case 144: return (void*)(QwtTransform*)xptr;
        default: return xptr;
      }
    case 145:   //QwtWheel
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtWheel*)xptr;
        case 31: return (void*)(QObject*)(QwtWheel*)xptr;
        case 145: return (void*)(QwtWheel*)xptr;
        default: return xptr;
      }
    case 146:   //QwtWidgetOverlay
      switch(to) {
        case 62: return (void*)(QWidget*)(QwtWidgetOverlay*)xptr;
        case 31: return (void*)(QObject*)(QwtWidgetOverlay*)xptr;
        case 146: return (void*)(QwtWidgetOverlay*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QWidget
    64, 0,	// 3: QwtAbstractScale
    73, 0,	// 5: QwtColorMap
    80, 0,	// 7: QwtDial
    43, 0,	// 9: QPushButton
    0, 0,	// 11: QwtSeriesData
    81, 0,	// 13: QwtDialNeedle
    67, 0,	// 15: QwtAbstractSlider
    25, 0,	// 17: QLayout
    63, 0,	// 19: QwtAbstractLegend
    131, 0,	// 21: QwtScaleEngine
    31, 0,	// 23: QObject
    31, 84, 0,	// 25: QObject, QwtEventPattern
    104, 0,	// 28: QwtPickerMachine
    141, 0,	// 30: QwtTextEngine
    19, 110, 0,	// 32: QFrame, QwtPlotDict
    19, 0,	// 35: QFrame
    120, 0, 0,	// 37: QwtPlotSeriesItem, QwtSeriesStore
    112, 0,	// 40: QwtPlotItem
    95, 0,	// 42: QwtMagnifier
    98, 0,	// 44: QwtPanner
    99, 0,	// 46: QwtPicker
    118, 0,	// 48: QwtPlotRasterItem
    117, 0,	// 50: QwtPlotPicker
    65, 0,	// 52: QwtAbstractScaleDraw
    76, 0,	// 54: QwtCompassRose
    79, 0,	// 56: QwtCurveFitter
};

// These are the xenum functions for manipulating enum pointers
void xenum_QwtThermo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotMarker(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPickerMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPicker(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotCurve(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtEventPattern(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtDial(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCounter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSymbol(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleDiv(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtLinearColorMap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtAnalogClock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtKnob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtRasterData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtAbstractScaleDraw(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotRasterItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCompassMagnetNeedle(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlot(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSplineCurveFitter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotCanvas(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSpline(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCompassWindArrow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtColorMap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtDialSimpleNeedle(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotSpectrogram(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleDraw(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractScale(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAlphaColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAnalogClock(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtArrowButton(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCPointerData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtClipper(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompass(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassMagnetNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassRose(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassWindArrow(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCounter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCurveFitter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDial(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDialNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDialSimpleNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDynGridLayout(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtEventPattern(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtKnob(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLegend(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLinearColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLinearScaleEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtMagnifier(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPainter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPanner(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPicker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerClickPointMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerClickRectMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerDragPointMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerDragRectMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerPolygonMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlainTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlot(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotCanvas(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotCurve(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotDict(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotGrid(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotLayout(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotMagnifier(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotMarker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotPanner(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotPicker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotRasterItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotScaleItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotSpectrogram(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotZoomer(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRasterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRichTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRoundScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleArithmetic(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleDiv(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSimpleCompassRose(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSpline(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSplineCurveFitter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSymbol(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtText(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtTextLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtThermo(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtWheel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitmap", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QColor", true, 0, 0, 0, 0, 0 },	//9
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QFont", true, 0, 0, 0, 0, 0 },	//18
    { "QFrame", true, 0, 0, 0, 0, 0 },	//19
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//20
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QImage", true, 0, 0, 0, 0, 0 },	//22
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QLayout", true, 0, 0, 0, 0, 0 },	//25
    { "QLayoutItem", true, 0, 0, 0, 0, 0 },	//26
    { "QLineF", true, 0, 0, 0, 0, 0 },	//27
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//28
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QObject", true, 0, 0, 0, 0, 0 },	//31
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//32
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QPainter", true, 0, 0, 0, 0, 0 },	//34
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//35
    { "QPalette", true, 0, 0, 0, 0, 0 },	//36
    { "QPen", true, 0, 0, 0, 0, 0 },	//37
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//38
    { "QPoint", true, 0, 0, 0, 0, 0 },	//39
    { "QPointF", true, 0, 0, 0, 0, 0 },	//40
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//41
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//42
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QRegion", true, 0, 0, 0, 0, 0 },	//47
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//49
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QSize", true, 0, 0, 0, 0, 0 },	//51
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//52
    { "QSpacerItem", true, 0, 0, 0, 0, 0 },	//53
    { "QStyle", true, 0, 0, 0, 0, 0 },	//54
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//56
    { "QTime", true, 0, 0, 0, 0, 0 },	//57
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QTransform", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QWidget", true, 0, 0, 0, 0, 0 },	//62
    { "QwtAbstractLegend", true, 0, 0, 0, 0, 0 },	//63
    { "QwtAbstractScale", false, 1, xcall_QwtAbstractScale, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAbstractScale) },	//64
    { "QwtAbstractScaleDraw", false, 0, xcall_QwtAbstractScaleDraw, xenum_QwtAbstractScaleDraw, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAbstractScaleDraw) },	//65
    { "QwtAbstractSeriesStore", true, 0, 0, 0, 0, 0 },	//66
    { "QwtAbstractSlider", false, 3, xcall_QwtAbstractSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAbstractSlider) },	//67
    { "QwtAlphaColorMap", false, 5, xcall_QwtAlphaColorMap, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAlphaColorMap) },	//68
    { "QwtAnalogClock", false, 7, xcall_QwtAnalogClock, xenum_QwtAnalogClock, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAnalogClock) },	//69
    { "QwtArrowButton", false, 9, xcall_QwtArrowButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtArrowButton) },	//70
    { "QwtCPointerData", false, 11, xcall_QwtCPointerData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtCPointerData) },	//71
    { "QwtClipper", false, 0, xcall_QwtClipper, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtClipper) },	//72
    { "QwtColorMap", false, 0, xcall_QwtColorMap, xenum_QwtColorMap, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtColorMap) },	//73
    { "QwtCompass", false, 7, xcall_QwtCompass, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCompass) },	//74
    { "QwtCompassMagnetNeedle", false, 13, xcall_QwtCompassMagnetNeedle, xenum_QwtCompassMagnetNeedle, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassMagnetNeedle) },	//75
    { "QwtCompassRose", false, 0, xcall_QwtCompassRose, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassRose) },	//76
    { "QwtCompassWindArrow", false, 13, xcall_QwtCompassWindArrow, xenum_QwtCompassWindArrow, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassWindArrow) },	//77
    { "QwtCounter", false, 1, xcall_QwtCounter, xenum_QwtCounter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCounter) },	//78
    { "QwtCurveFitter", false, 0, xcall_QwtCurveFitter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCurveFitter) },	//79
    { "QwtDial", false, 15, xcall_QwtDial, xenum_QwtDial, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtDial) },	//80
    { "QwtDialNeedle", false, 0, xcall_QwtDialNeedle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDialNeedle) },	//81
    { "QwtDialSimpleNeedle", false, 13, xcall_QwtDialSimpleNeedle, xenum_QwtDialSimpleNeedle, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDialSimpleNeedle) },	//82
    { "QwtDynGridLayout", false, 17, xcall_QwtDynGridLayout, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtDynGridLayout) },	//83
    { "QwtEventPattern", false, 0, xcall_QwtEventPattern, xenum_QwtEventPattern, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtEventPattern) },	//84
    { "QwtEventPattern::KeyPattern", true, 0, 0, 0, 0, 0 },	//85
    { "QwtEventPattern::MousePattern", true, 0, 0, 0, 0, 0 },	//86
    { "QwtGraphic", true, 0, 0, 0, 0, 0 },	//87
    { "QwtInterval", true, 0, 0, 0, 0, 0 },	//88
    { "QwtIntervalSample", true, 0, 0, 0, 0, 0 },	//89
    { "QwtKnob", false, 15, xcall_QwtKnob, xenum_QwtKnob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtKnob) },	//90
    { "QwtLegend", false, 19, xcall_QwtLegend, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtLegend) },	//91
    { "QwtLegendData", true, 0, 0, 0, 0, 0 },	//92
    { "QwtLinearColorMap", false, 5, xcall_QwtLinearColorMap, xenum_QwtLinearColorMap, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtLinearColorMap) },	//93
    { "QwtLinearScaleEngine", false, 21, xcall_QwtLinearScaleEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtLinearScaleEngine) },	//94
    { "QwtMagnifier", false, 23, xcall_QwtMagnifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtMagnifier) },	//95
    { "QwtOHLCSample", true, 0, 0, 0, 0, 0 },	//96
    { "QwtPainter", false, 0, xcall_QwtPainter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtPainter) },	//97
    { "QwtPanner", false, 1, xcall_QwtPanner, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPanner) },	//98
    { "QwtPicker", false, 25, xcall_QwtPicker, xenum_QwtPicker, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPicker) },	//99
    { "QwtPickerClickPointMachine", false, 28, xcall_QwtPickerClickPointMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerClickPointMachine) },	//100
    { "QwtPickerClickRectMachine", false, 28, xcall_QwtPickerClickRectMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerClickRectMachine) },	//101
    { "QwtPickerDragPointMachine", false, 28, xcall_QwtPickerDragPointMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerDragPointMachine) },	//102
    { "QwtPickerDragRectMachine", false, 28, xcall_QwtPickerDragRectMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerDragRectMachine) },	//103
    { "QwtPickerMachine", false, 0, xcall_QwtPickerMachine, xenum_QwtPickerMachine, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerMachine) },	//104
    { "QwtPickerPolygonMachine", false, 28, xcall_QwtPickerPolygonMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerPolygonMachine) },	//105
    { "QwtPlainTextEngine", false, 30, xcall_QwtPlainTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlainTextEngine) },	//106
    { "QwtPlot", false, 32, xcall_QwtPlot, xenum_QwtPlot, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlot) },	//107
    { "QwtPlotCanvas", false, 35, xcall_QwtPlotCanvas, xenum_QwtPlotCanvas, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotCanvas) },	//108
    { "QwtPlotCurve", false, 37, xcall_QwtPlotCurve, xenum_QwtPlotCurve, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotCurve) },	//109
    { "QwtPlotDict", false, 0, xcall_QwtPlotDict, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlotDict) },	//110
    { "QwtPlotGrid", false, 40, xcall_QwtPlotGrid, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotGrid) },	//111
    { "QwtPlotItem", false, 0, xcall_QwtPlotItem, xenum_QwtPlotItem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotItem) },	//112
    { "QwtPlotLayout", false, 0, xcall_QwtPlotLayout, xenum_QwtPlotLayout, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlotLayout) },	//113
    { "QwtPlotMagnifier", false, 42, xcall_QwtPlotMagnifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotMagnifier) },	//114
    { "QwtPlotMarker", false, 40, xcall_QwtPlotMarker, xenum_QwtPlotMarker, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotMarker) },	//115
    { "QwtPlotPanner", false, 44, xcall_QwtPlotPanner, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotPanner) },	//116
    { "QwtPlotPicker", false, 46, xcall_QwtPlotPicker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotPicker) },	//117
    { "QwtPlotRasterItem", false, 40, xcall_QwtPlotRasterItem, xenum_QwtPlotRasterItem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotRasterItem) },	//118
    { "QwtPlotScaleItem", false, 40, xcall_QwtPlotScaleItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotScaleItem) },	//119
    { "QwtPlotSeriesItem", true, 0, 0, 0, 0, 0 },	//120
    { "QwtPlotSpectrogram", false, 48, xcall_QwtPlotSpectrogram, xenum_QwtPlotSpectrogram, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotSpectrogram) },	//121
    { "QwtPlotZoomer", false, 50, xcall_QwtPlotZoomer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotZoomer) },	//122
    { "QwtPoint3D", true, 0, 0, 0, 0, 0 },	//123
    { "QwtPointPolar", true, 0, 0, 0, 0, 0 },	//124
    { "QwtRasterData", false, 0, xcall_QwtRasterData, xenum_QwtRasterData, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtRasterData) },	//125
    { "QwtRichTextEngine", false, 30, xcall_QwtRichTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtRichTextEngine) },	//126
    { "QwtRoundScaleDraw", false, 52, xcall_QwtRoundScaleDraw, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtRoundScaleDraw) },	//127
    { "QwtScaleArithmetic", false, 0, xcall_QwtScaleArithmetic, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleArithmetic) },	//128
    { "QwtScaleDiv", false, 0, xcall_QwtScaleDiv, xenum_QwtScaleDiv, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleDiv) },	//129
    { "QwtScaleDraw", false, 52, xcall_QwtScaleDraw, xenum_QwtScaleDraw, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtScaleDraw) },	//130
    { "QwtScaleEngine", false, 0, xcall_QwtScaleEngine, xenum_QwtScaleEngine, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtScaleEngine) },	//131
    { "QwtScaleMap", false, 0, xcall_QwtScaleMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleMap) },	//132
    { "QwtScaleWidget", false, 1, xcall_QwtScaleWidget, xenum_QwtScaleWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtScaleWidget) },	//133
    { "QwtSetSample", true, 0, 0, 0, 0, 0 },	//134
    { "QwtSimpleCompassRose", false, 54, xcall_QwtSimpleCompassRose, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtSimpleCompassRose) },	//135
    { "QwtSlider", false, 15, xcall_QwtSlider, xenum_QwtSlider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtSlider) },	//136
    { "QwtSpline", false, 0, xcall_QwtSpline, xenum_QwtSpline, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtSpline) },	//137
    { "QwtSplineCurveFitter", false, 56, xcall_QwtSplineCurveFitter, xenum_QwtSplineCurveFitter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtSplineCurveFitter) },	//138
    { "QwtSymbol", false, 0, xcall_QwtSymbol, xenum_QwtSymbol, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtSymbol) },	//139
    { "QwtText", false, 0, xcall_QwtText, xenum_QwtText, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtText) },	//140
    { "QwtTextEngine", false, 0, xcall_QwtTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtTextEngine) },	//141
    { "QwtTextLabel", false, 35, xcall_QwtTextLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtTextLabel) },	//142
    { "QwtThermo", false, 3, xcall_QwtThermo, xenum_QwtThermo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtThermo) },	//143
    { "QwtTransform", true, 0, 0, 0, 0, 0 },	//144
    { "QwtWheel", false, 1, xcall_QwtWheel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtWheel) },	//145
    { "QwtWidgetOverlay", true, 0, 0, 0, 0, 0 },	//146
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBitmap", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QBrush", 5, Smoke::t_class|Smoke::tf_stack },	//4
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QColor", 9, Smoke::t_class|Smoke::tf_stack },	//7
    { "QContextMenuEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragEnterEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<Qt::KeyboardModifier>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//17
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFlags<QwtInterval::BorderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//19
    { "QFlags<QwtPlotLayout::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "QFlags<QwtRasterData::ConrecFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QwtScaleEngine::Attribute>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFocusEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QFont", 18, Smoke::t_class|Smoke::tf_stack },	//24
    { "QHideEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QImage", 22, Smoke::t_class|Smoke::tf_stack },	//26
    { "QImage*", 22, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QInputMethodEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QKeyEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QLayout*", 25, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QLayoutItem*", 26, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QList<QRect>", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "QList<QWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QList<QwtLegendData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QList<QwtPickerMachine::Command>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QList<QwtPlotItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//38
    { "QList<double>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "QMap<double,QPolygonF>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QMetaObject::Call", 28, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QMouseEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QMoveEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPaintEngine*", 32, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QPaintEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QPainter*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QPainterPath", 35, Smoke::t_class|Smoke::tf_stack },	//49
    { "QPalette", 36, Smoke::t_class|Smoke::tf_stack },	//50
    { "QPalette::ColorGroup", 36, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QPalette::ColorRole", 36, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QPen", 37, Smoke::t_class|Smoke::tf_stack },	//53
    { "QPixmap", 38, Smoke::t_class|Smoke::tf_stack },	//54
    { "QPixmap&", 38, Smoke::t_class|Smoke::tf_ref },	//55
    { "QPoint", 39, Smoke::t_class|Smoke::tf_stack },	//56
    { "QPointF", 40, Smoke::t_class|Smoke::tf_stack },	//57
    { "QPolygon", 41, Smoke::t_class|Smoke::tf_stack },	//58
    { "QPolygon&", 41, Smoke::t_class|Smoke::tf_ref },	//59
    { "QPolygonF", 42, Smoke::t_class|Smoke::tf_stack },	//60
    { "QPolygonF&", 42, Smoke::t_class|Smoke::tf_ref },	//61
    { "QRect", 44, Smoke::t_class|Smoke::tf_stack },	//62
    { "QRectF", 45, Smoke::t_class|Smoke::tf_stack },	//63
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//64
    { "QRectF*", 45, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//66
    { "QRegion", 47, Smoke::t_class|Smoke::tf_stack },	//67
    { "QResizeEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QScrollBar*", 49, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QShowEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QSize", 51, Smoke::t_class|Smoke::tf_stack },	//71
    { "QSizeF", 52, Smoke::t_class|Smoke::tf_stack },	//72
    { "QSpacerItem*", 53, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//76
    { "QStyle&", 54, Smoke::t_class|Smoke::tf_ref },	//77
    { "QTabletEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QTime", 57, Smoke::t_class|Smoke::tf_stack },	//79
    { "QTimerEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QTransform", 59, Smoke::t_class|Smoke::tf_stack },	//81
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//82
    { "QVector<QPointF>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QVector<QwtEventPattern::KeyPattern>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//84
    { "QVector<QwtEventPattern::MousePattern>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//85
    { "QVector<QwtInterval>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QVector<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QVector<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//88
    { "QVector<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QWheelEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWidget*", 62, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MouseButton&", 0, Smoke::t_enum|Smoke::tf_ref },	//137
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QwtAbstractLegend*", 63, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QwtAbstractScale*", 64, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QwtAbstractScaleDraw*", 65, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QwtAbstractScaleDraw::ScaleComponent", 65, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QwtAbstractSlider*", 67, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QwtAlphaColorMap*", 68, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QwtAnalogClock*", 69, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QwtAnalogClock::Hand", 69, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QwtArrowButton*", 70, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QwtCPointerData*", 71, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QwtClipper*", 72, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QwtColorMap*", 73, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QwtColorMap::Format", 73, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QwtCompass*", 74, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QwtCompassMagnetNeedle*", 75, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QwtCompassMagnetNeedle::Style", 75, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QwtCompassRose*", 76, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QwtCompassWindArrow*", 77, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QwtCompassWindArrow::Style", 77, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QwtCounter*", 78, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QwtCounter::Button", 78, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QwtCurveFitter*", 79, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QwtDial*", 80, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QwtDial::Mode", 80, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QwtDial::Shadow", 80, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QwtDialNeedle*", 81, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QwtDialSimpleNeedle*", 82, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QwtDialSimpleNeedle::Style", 82, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QwtDynGridLayout*", 83, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QwtEventPattern*", 84, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QwtEventPattern::KeyPattern", 85, Smoke::t_class|Smoke::tf_stack },	//195
    { "QwtEventPattern::KeyPatternCode", 84, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QwtEventPattern::MousePattern", 86, Smoke::t_class|Smoke::tf_stack },	//197
    { "QwtEventPattern::MousePatternCode", 84, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QwtGraphic", 87, Smoke::t_class|Smoke::tf_stack },	//199
    { "QwtInterval", 88, Smoke::t_class|Smoke::tf_stack },	//200
    { "QwtInterval::BorderFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QwtIntervalSample", 89, Smoke::t_class|Smoke::tf_stack },	//202
    { "QwtKnob*", 90, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QwtKnob::KnobStyle", 90, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QwtKnob::MarkerStyle", 90, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QwtLegend*", 91, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QwtLegendData", 92, Smoke::t_class|Smoke::tf_stack },	//207
    { "QwtLegendData::Mode", 92, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QwtLinearColorMap*", 93, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QwtLinearColorMap::Mode", 93, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QwtLinearScaleEngine*", 94, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QwtMagnifier*", 95, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QwtOHLCSample", 96, Smoke::t_class|Smoke::tf_stack },	//213
    { "QwtPainter*", 97, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QwtPanner*", 98, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QwtPicker*", 99, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QwtPicker::DisplayMode", 99, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QwtPicker::ResizeMode", 99, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QwtPicker::RubberBand", 99, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QwtPickerClickPointMachine*", 100, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QwtPickerClickRectMachine*", 101, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QwtPickerDragPointMachine*", 102, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QwtPickerDragRectMachine*", 103, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QwtPickerMachine*", 104, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QwtPickerMachine::Command", 104, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QwtPickerMachine::SelectionType", 104, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QwtPickerPolygonMachine*", 105, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QwtPlainTextEngine*", 106, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QwtPlot*", 107, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QwtPlot::Axis", 107, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QwtPlot::LegendPosition", 107, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QwtPlotCanvas*", 108, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QwtPlotCanvas::FocusIndicator", 108, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QwtPlotCanvas::PaintAttribute", 108, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QwtPlotCurve*", 109, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QwtPlotCurve::CurveAttribute", 109, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QwtPlotCurve::CurveStyle", 109, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QwtPlotCurve::LegendAttribute", 109, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QwtPlotCurve::PaintAttribute", 109, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QwtPlotDict*", 110, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QwtPlotGrid*", 111, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QwtPlotItem*", 112, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QwtPlotItem::ItemAttribute", 112, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QwtPlotItem::ItemInterest", 112, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QwtPlotItem::RenderHint", 112, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QwtPlotItem::RttiValues", 112, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QwtPlotLayout*", 113, Smoke::t_class|Smoke::tf_ptr },	//247
    { "QwtPlotLayout::Option", 113, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QwtPlotMagnifier*", 114, Smoke::t_class|Smoke::tf_ptr },	//249
    { "QwtPlotMarker*", 115, Smoke::t_class|Smoke::tf_ptr },	//250
    { "QwtPlotMarker::LineStyle", 115, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QwtPlotPanner*", 116, Smoke::t_class|Smoke::tf_ptr },	//252
    { "QwtPlotPicker*", 117, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QwtPlotRasterItem*", 118, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QwtPlotRasterItem::CachePolicy", 118, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QwtPlotRasterItem::PaintAttribute", 118, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QwtPlotScaleItem*", 119, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QwtPlotSpectrogram*", 121, Smoke::t_class|Smoke::tf_ptr },	//258
    { "QwtPlotSpectrogram::DisplayMode", 121, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QwtPlotZoomer*", 122, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QwtPoint3D", 123, Smoke::t_class|Smoke::tf_stack },	//261
    { "QwtPointPolar", 124, Smoke::t_class|Smoke::tf_stack },	//262
    { "QwtRasterData*", 125, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QwtRasterData::ConrecFlag", 125, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QwtRichTextEngine*", 126, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QwtRoundScaleDraw*", 127, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QwtScaleArithmetic*", 128, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QwtScaleDiv", 129, Smoke::t_class|Smoke::tf_stack },	//268
    { "QwtScaleDiv*", 129, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QwtScaleDiv::TickType", 129, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QwtScaleDraw*", 130, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QwtScaleDraw::Alignment", 130, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QwtScaleEngine*", 131, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QwtScaleEngine::Attribute", 131, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QwtScaleMap", 132, Smoke::t_class|Smoke::tf_stack },	//275
    { "QwtScaleMap&", 132, Smoke::t_class|Smoke::tf_ref },	//276
    { "QwtScaleMap*", 132, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QwtScaleWidget*", 133, Smoke::t_class|Smoke::tf_ptr },	//278
    { "QwtScaleWidget::LayoutFlag", 133, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QwtSeriesData<QPointF>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//280
    { "QwtSetSample", 134, Smoke::t_class|Smoke::tf_stack },	//281
    { "QwtSimpleCompassRose*", 135, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QwtSlider*", 136, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QwtSlider::ScalePosition", 136, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QwtSpline&", 137, Smoke::t_class|Smoke::tf_ref },	//285
    { "QwtSpline*", 137, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QwtSpline::SplineType", 137, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QwtSplineCurveFitter*", 138, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QwtSplineCurveFitter::FitMode", 138, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QwtSymbol*", 139, Smoke::t_class|Smoke::tf_ptr },	//290
    { "QwtSymbol::CachePolicy", 139, Smoke::t_enum|Smoke::tf_stack },	//291
    { "QwtSymbol::Style", 139, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QwtText", 140, Smoke::t_class|Smoke::tf_stack },	//293
    { "QwtText&", 140, Smoke::t_class|Smoke::tf_ref },	//294
    { "QwtText*", 140, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QwtText::LayoutAttribute", 140, Smoke::t_enum|Smoke::tf_stack },	//296
    { "QwtText::PaintAttribute", 140, Smoke::t_enum|Smoke::tf_stack },	//297
    { "QwtText::TextFormat", 140, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QwtTextEngine*", 141, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QwtTextLabel*", 142, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QwtThermo*", 143, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QwtThermo::OriginMode", 143, Smoke::t_enum|Smoke::tf_stack },	//302
    { "QwtThermo::ScalePosition", 143, Smoke::t_enum|Smoke::tf_stack },	//303
    { "QwtTransform*", 144, Smoke::t_class|Smoke::tf_ptr },	//304
    { "QwtWheel*", 145, Smoke::t_class|Smoke::tf_ptr },	//305
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//306
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//307
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QColor&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QCursor", 11, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//311
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QEvent*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const QFont&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QImage&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QKeyEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//316
    { "const QLineF&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QList<QwtLegendData>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QList<QwtPlotItem*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QMap<double,QPolygonF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QMetaObject&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QMetaObject*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const QMouseEvent*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//324
    { "const QPainterPath&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QPalette&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QPen&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QPixmap&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QPixmap*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const QPoint&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QPoint*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//331
    { "const QPointF&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QPointF*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "const QPolygon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QPolygonF&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QSizeF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QStack<QRectF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//343
    { "const QTextDocument&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QTime&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QVector<QPointF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QVector<QwtEventPattern::KeyPattern>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QVector<QwtEventPattern::MousePattern>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QVector<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QWidget*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//351
    { "const QwtAbstractLegend*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//352
    { "const QwtAbstractScaleDraw*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//353
    { "const QwtCPointerData&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QwtClipper&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QwtColorMap&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QwtColorMap*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//357
    { "const QwtCompassMagnetNeedle&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QwtCompassRose&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QwtCompassRose*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//360
    { "const QwtCompassWindArrow&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QwtDialNeedle&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QwtDialNeedle*", 81, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//363
    { "const QwtDialSimpleNeedle&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QwtEventPattern&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QwtEventPattern::KeyPattern&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QwtEventPattern::MousePattern&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QwtGraphic&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QwtInterval&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QwtLegendData&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QwtLinearScaleEngine&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QwtPainter&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QwtPickerClickPointMachine&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QwtPickerClickRectMachine&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QwtPickerDragPointMachine&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QwtPickerDragRectMachine&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QwtPickerMachine&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QwtPickerMachine*", 104, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//378
    { "const QwtPickerPolygonMachine&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QwtPlainTextEngine&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QwtPlot*", 107, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//381
    { "const QwtPlotDict&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QwtPlotItem*", 112, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//383
    { "const QwtPlotLayout&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QwtPlotLayout*", 113, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//385
    { "const QwtRasterData*", 125, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QwtRichTextEngine&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QwtRoundScaleDraw*", 127, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QwtScaleArithmetic&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QwtScaleDiv&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QwtScaleDraw*", 130, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QwtScaleEngine&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QwtScaleEngine*", 131, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const QwtScaleMap&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QwtScaleMap*", 132, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const QwtScaleWidget*", 133, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const QwtSeriesData<QPointF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QwtSeriesData<QwtIntervalSample>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QwtSeriesData<QwtOHLCSample>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QwtSeriesData<QwtPoint3D>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QwtSeriesData<QwtPointPolar>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QwtSeriesData<QwtSetSample>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QwtSimpleCompassRose&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QwtSpline&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QwtSymbol&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QwtSymbol*", 139, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QwtText&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QwtTextEngine&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QwtTextEngine*", 141, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QwtTextLabel*", 142, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const QwtTransform*", 144, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const QwtWidgetOverlay*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const double*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//415
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//417
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//418
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//419
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//420
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//421
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//422
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//423
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//424
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//425
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//426
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//427
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//428
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//429
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    330, 0,	//1  const QPoint&
    29, 0,	//3  QKeyEvent*
    42, 0,	//5  QMouseEvent*
    14, 0,	//7  QEvent*
    80, 0,	//9  QTimerEvent*
    47, 0,	//11  QPaintEvent*
    400, 420, 420, 0,	//13  const QwtSeriesData<QwtPoint3D>&, int, int
    400, 0,	//17  const QwtSeriesData<QwtPoint3D>&
    400, 420, 0,	//19  const QwtSeriesData<QwtPoint3D>&, int
    417, 0,	//22  double
    332, 417, 417, 0,	//24  const QPointF&, double, double
    402, 420, 420, 0,	//28  const QwtSeriesData<QwtSetSample>&, int, int
    402, 0,	//32  const QwtSeriesData<QwtSetSample>&
    402, 420, 0,	//34  const QwtSeriesData<QwtSetSample>&, int
    330, 417, 417, 0,	//37  const QPoint&, double, double
    417, 417, 0,	//41  double, double
    399, 420, 420, 0,	//44  const QwtSeriesData<QwtOHLCSample>&, int, int
    399, 0,	//48  const QwtSeriesData<QwtOHLCSample>&
    399, 420, 0,	//50  const QwtSeriesData<QwtOHLCSample>&, int
    332, 0,	//53  const QPointF&
    415, 420, 0,	//55  const double*, int
    398, 420, 420, 0,	//58  const QwtSeriesData<QwtIntervalSample>&, int, int
    398, 0,	//62  const QwtSeriesData<QwtIntervalSample>&
    398, 420, 0,	//64  const QwtSeriesData<QwtIntervalSample>&, int
    397, 420, 420, 0,	//67  const QwtSeriesData<QPointF>&, int, int
    397, 0,	//71  const QwtSeriesData<QPointF>&
    397, 420, 0,	//73  const QwtSeriesData<QPointF>&, int
    401, 420, 420, 0,	//76  const QwtSeriesData<QwtPointPolar>&, int, int
    401, 0,	//80  const QwtSeriesData<QwtPointPolar>&
    401, 420, 0,	//82  const QwtSeriesData<QwtPointPolar>&, int
    417, 417, 417, 0,	//85  double, double, double
    91, 0,	//89  QWidget*
    5, 0,	//91  QChildEvent*
    420, 0,	//93  int
    44, 14, 0,	//95  QObject*, QEvent*
    413, 0,	//98  const char*
    41, 420, 428, 0,	//100  QMetaObject::Call, int, void**
    23, 0,	//104  QFocusEvent*
    307, 0,	//106  bool
    90, 0,	//108  QWheelEvent*
    43, 0,	//110  QMoveEvent*
    68, 0,	//112  QResizeEvent*
    6, 0,	//114  QCloseEvent*
    8, 0,	//116  QContextMenuEvent*
    78, 0,	//118  QTabletEvent*
    1, 0,	//120  QActionEvent*
    9, 0,	//122  QDragEnterEvent*
    11, 0,	//124  QDragMoveEvent*
    10, 0,	//126  QDragLeaveEvent*
    13, 0,	//128  QDropEvent*
    70, 0,	//130  QShowEvent*
    25, 0,	//132  QHideEvent*
    306, 0,	//134  _XEvent*
    45, 0,	//136  QPaintDevice::PaintDeviceMetric
    28, 0,	//138  QInputMethodEvent*
    126, 0,	//140  Qt::InputMethodQuery
    77, 0,	//142  QStyle&
    326, 0,	//144  const QPalette&
    314, 0,	//146  const QFont&
    413, 413, 0,	//148  const char*, const char*
    413, 413, 420, 0,	//151  const char*, const char*, int
    369, 0,	//155  const QwtInterval&
    390, 0,	//157  const QwtScaleDiv&
    273, 0,	//159  QwtScaleEngine*
    167, 0,	//161  QwtAbstractScaleDraw*
    304, 0,	//163  QwtTransform*
    168, 307, 0,	//165  QwtAbstractScaleDraw::ScaleComponent, bool
    168, 0,	//168  QwtAbstractScaleDraw::ScaleComponent
    270, 417, 0,	//170  QwtScaleDiv::TickType, double
    270, 0,	//173  QwtScaleDiv::TickType
    48, 326, 0,	//175  QPainter*, const QPalette&
    48, 417, 417, 0,	//178  QPainter*, double, double
    48, 0,	//182  QPainter*
    48, 417, 0,	//184  QPainter*, double
    314, 417, 0,	//187  const QFont&, double
    337, 0,	//190  const QRectF&
    426, 0,	//192  unsigned int
    417, 420, 0,	//194  double, int
    310, 0,	//197  const QColor&
    369, 417, 0,	//199  const QwtInterval&, double
    172, 190, 0,	//202  QwtAnalogClock::Hand, QwtDialNeedle*
    172, 0,	//205  QwtAnalogClock::Hand
    345, 0,	//207  const QTime&
    48, 332, 417, 417, 51, 0,	//209  QPainter*, const QPointF&, double, double, QPalette::ColorGroup
    48, 172, 332, 417, 417, 51, 0,	//215  QPainter*, QwtAnalogClock::Hand, const QPointF&, double, double, QPalette::ColorGroup
    420, 96, 91, 0,	//222  int, Qt::ArrowType, QWidget*
    48, 336, 96, 0,	//226  QPainter*, const QRect&, Qt::ArrowType
    96, 339, 0,	//230  Qt::ArrowType, const QSize&
    420, 96, 0,	//233  int, Qt::ArrowType
    415, 415, 424, 0,	//236  const double*, const double*, size_t
    424, 0,	//240  size_t
    354, 0,	//242  const QwtCPointerData&
    336, 334, 307, 0,	//244  const QRect&, const QPolygon&, bool
    337, 334, 307, 0,	//248  const QRectF&, const QPolygon&, bool
    337, 335, 307, 0,	//252  const QRectF&, const QPolygonF&, bool
    337, 332, 417, 0,	//256  const QRectF&, const QPointF&, double
    355, 0,	//260  const QwtClipper&
    336, 334, 0,	//262  const QRect&, const QPolygon&
    337, 334, 0,	//265  const QRectF&, const QPolygon&
    337, 335, 0,	//268  const QRectF&, const QPolygonF&
    177, 0,	//271  QwtColorMap::Format
    356, 0,	//273  const QwtColorMap&
    181, 0,	//275  QwtCompassRose*
    48, 332, 417, 0,	//277  QPainter*, const QPointF&, double
    180, 310, 310, 0,	//281  QwtCompassMagnetNeedle::Style, const QColor&, const QColor&
    48, 417, 51, 0,	//285  QPainter*, double, QPalette::ColorGroup
    358, 0,	//289  const QwtCompassMagnetNeedle&
    180, 0,	//291  QwtCompassMagnetNeedle::Style
    180, 310, 0,	//293  QwtCompassMagnetNeedle::Style, const QColor&
    359, 0,	//296  const QwtCompassRose&
    48, 332, 417, 417, 0,	//298  QPainter*, const QPointF&, double, double
    183, 310, 310, 0,	//303  QwtCompassWindArrow::Style, const QColor&, const QColor&
    361, 0,	//307  const QwtCompassWindArrow&
    183, 0,	//309  QwtCompassWindArrow::Style
    183, 310, 0,	//311  QwtCompassWindArrow::Style, const QColor&
    185, 420, 0,	//314  QwtCounter::Button, int
    185, 0,	//317  QwtCounter::Button
    335, 0,	//319  const QPolygonF&
    189, 0,	//321  QwtDial::Shadow
    188, 0,	//323  QwtDial::Mode
    190, 0,	//325  QwtDialNeedle*
    266, 0,	//327  QwtRoundScaleDraw*
    48, 417, 308, 307, 0,	//329  QPainter*, double, const QBrush&, bool
    362, 0,	//334  const QwtDialNeedle&
    192, 307, 310, 310, 0,	//336  QwtDialSimpleNeedle::Style, bool, const QColor&, const QColor&
    364, 0,	//341  const QwtDialSimpleNeedle&
    192, 0,	//343  QwtDialSimpleNeedle::Style
    192, 307, 0,	//345  QwtDialSimpleNeedle::Style, bool
    192, 307, 310, 0,	//348  QwtDialSimpleNeedle::Style, bool, const QColor&
    91, 420, 420, 0,	//352  QWidget*, int, int
    31, 0,	//356  QLayoutItem*
    18, 0,	//358  QFlags<Qt::Orientation>
    336, 426, 0,	//360  const QRect&, unsigned int
    336, 0,	//363  const QRect&
    426, 88, 88, 0,	//365  unsigned int, QVector<int>&, QVector<int>&
    336, 426, 88, 88, 0,	//369  const QRect&, unsigned int, QVector<int>&, QVector<int>&
    91, 420, 0,	//374  QWidget*, int
    198, 136, 16, 0,	//377  QwtEventPattern::MousePatternCode, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    196, 420, 16, 0,	//381  QwtEventPattern::KeyPatternCode, int, QFlags<Qt::KeyboardModifier>
    349, 0,	//385  const QVector<QwtEventPattern::MousePattern>&
    348, 0,	//387  const QVector<QwtEventPattern::KeyPattern>&
    198, 324, 0,	//389  QwtEventPattern::MousePatternCode, const QMouseEvent*
    196, 316, 0,	//392  QwtEventPattern::KeyPatternCode, const QKeyEvent*
    367, 324, 0,	//395  const QwtEventPattern::MousePattern&, const QMouseEvent*
    366, 316, 0,	//398  const QwtEventPattern::KeyPattern&, const QKeyEvent*
    365, 0,	//401  const QwtEventPattern&
    198, 136, 0,	//403  QwtEventPattern::MousePatternCode, Qt::MouseButton
    196, 420, 0,	//406  QwtEventPattern::KeyPatternCode, int
    15, 0,	//409  QFlags<Qt::AlignmentFlag>
    204, 0,	//411  QwtKnob::KnobStyle
    205, 0,	//413  QwtKnob::MarkerStyle
    48, 337, 0,	//415  QPainter*, const QRectF&
    48, 337, 417, 0,	//418  QPainter*, const QRectF&, double
    208, 0,	//422  QwtLegendData::Mode
    346, 0,	//424  const QVariant&
    351, 0,	//426  const QWidget*
    48, 337, 307, 0,	//428  QPainter*, const QRectF&, bool
    48, 351, 337, 307, 0,	//432  QPainter*, const QWidget*, const QRectF&, bool
    139, 0,	//437  Qt::Orientation
    346, 420, 0,	//439  const QVariant&, int
    346, 307, 420, 0,	//442  const QVariant&, bool, int
    346, 318, 0,	//446  const QVariant&, const QList<QwtLegendData>&
    370, 0,	//449  const QwtLegendData&
    91, 370, 0,	//451  QWidget*, const QwtLegendData&
    310, 310, 177, 0,	//454  const QColor&, const QColor&, QwtColorMap::Format
    210, 0,	//458  QwtLinearColorMap::Mode
    310, 310, 0,	//460  const QColor&, const QColor&
    417, 310, 0,	//463  double, const QColor&
    420, 418, 418, 418, 0,	//466  int, double&, double&, double&
    417, 417, 420, 420, 417, 0,	//471  double, double, int, int, double
    369, 417, 420, 39, 0,	//477  const QwtInterval&, double, int, QList<double>*
    320, 420, 417, 38, 38, 0,	//482  const QList<double>&, int, double, QList<double>&, QList<double>&
    371, 0,	//488  const QwtLinearScaleEngine&
    417, 417, 420, 420, 0,	//490  double, double, int, int
    136, 16, 0,	//495  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    137, 17, 0,	//498  Qt::MouseButton&, QFlags<Qt::KeyboardModifier>&
    16, 0,	//501  QFlags<Qt::KeyboardModifier>
    420, 16, 0,	//503  int, QFlags<Qt::KeyboardModifier>
    421, 17, 0,	//506  int&, QFlags<Qt::KeyboardModifier>&
    136, 0,	//509  Qt::MouseButton
    48, 417, 417, 342, 0,	//511  QPainter*, double, double, const QString&
    48, 332, 342, 0,	//516  QPainter*, const QPointF&, const QString&
    48, 417, 417, 417, 417, 420, 342, 0,	//520  QPainter*, double, double, double, double, int, const QString&
    48, 337, 420, 342, 0,	//528  QPainter*, const QRectF&, int, const QString&
    48, 337, 420, 344, 0,	//533  QPainter*, const QRectF&, int, const QTextDocument&
    48, 417, 417, 417, 417, 0,	//538  QPainter*, double, double, double, double
    48, 337, 308, 0,	//544  QPainter*, const QRectF&, const QBrush&
    48, 337, 420, 420, 0,	//548  QPainter*, const QRectF&, int, int
    48, 332, 332, 0,	//553  QPainter*, const QPointF&, const QPointF&
    48, 317, 0,	//557  QPainter*, const QLineF&
    48, 335, 0,	//560  QPainter*, const QPolygonF&
    48, 333, 420, 0,	//563  QPainter*, const QPointF*, int
    48, 334, 0,	//567  QPainter*, const QPolygon&
    48, 331, 420, 0,	//570  QPainter*, const QPoint*, int
    48, 330, 0,	//574  QPainter*, const QPoint&
    48, 332, 0,	//577  QPainter*, const QPointF&
    48, 325, 0,	//580  QPainter*, const QPainterPath&
    48, 337, 315, 0,	//583  QPainter*, const QRectF&, const QImage&
    48, 337, 328, 0,	//587  QPainter*, const QRectF&, const QPixmap&
    48, 337, 326, 420, 420, 0,	//591  QPainter*, const QRectF&, const QPalette&, int, int
    48, 337, 417, 417, 326, 420, 420, 0,	//597  QPainter*, const QRectF&, double, double, const QPalette&, int, int
    48, 337, 326, 52, 420, 420, 420, 0,	//605  QPainter*, const QRectF&, const QPalette&, QPalette::ColorRole, int, int, int
    48, 351, 0,	//613  QPainter*, const QWidget*
    48, 351, 336, 0,	//616  QPainter*, const QWidget*, const QRect&
    48, 356, 369, 394, 139, 337, 0,	//620  QPainter*, const QwtColorMap&, const QwtInterval&, const QwtScaleMap&, Qt::Orientation, const QRectF&
    351, 55, 330, 0,	//627  const QWidget*, QPixmap&, const QPoint&
    48, 337, 351, 0,	//631  QPainter*, const QRectF&, const QWidget*
    91, 339, 0,	//635  QWidget*, const QSize&
    372, 0,	//638  const QwtPainter&
    351, 55, 0,	//640  const QWidget*, QPixmap&
    312, 0,	//643  const QCursor&
    420, 420, 0,	//645  int, int
    219, 217, 91, 0,	//648  QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*
    224, 0,	//652  QwtPickerMachine*
    219, 0,	//654  QwtPicker::RubberBand
    217, 0,	//656  QwtPicker::DisplayMode
    218, 0,	//658  QwtPicker::ResizeMode
    327, 0,	//660  const QPen&
    334, 0,	//662  const QPolygon&
    313, 0,	//664  const QEvent*
    59, 0,	//666  QPolygon&
    339, 339, 0,	//668  const QSize&, const QSize&
    365, 313, 0,	//671  const QwtEventPattern&, const QEvent*
    373, 0,	//674  const QwtPickerClickPointMachine&
    374, 0,	//676  const QwtPickerClickRectMachine&
    375, 0,	//678  const QwtPickerDragPointMachine&
    376, 0,	//680  const QwtPickerDragRectMachine&
    226, 0,	//682  QwtPickerMachine::SelectionType
    377, 0,	//684  const QwtPickerMachine&
    379, 0,	//686  const QwtPickerPolygonMachine&
    314, 420, 342, 417, 0,	//688  const QFont&, int, const QString&, double
    314, 420, 342, 0,	//693  const QFont&, int, const QString&
    342, 0,	//697  const QString&
    314, 342, 418, 418, 418, 418, 0,	//699  const QFont&, const QString&, double&, double&, double&, double&
    380, 0,	//706  const QwtPlainTextEngine&
    407, 91, 0,	//708  const QwtText&, QWidget*
    247, 0,	//711  QwtPlotLayout*
    407, 0,	//713  const QwtText&
    308, 0,	//715  const QBrush&
    420, 417, 0,	//717  int, double
    420, 273, 0,	//720  int, QwtScaleEngine*
    420, 307, 0,	//723  int, bool
    420, 314, 0,	//726  int, const QFont&
    420, 417, 417, 417, 0,	//729  int, double, double, double
    420, 390, 0,	//734  int, const QwtScaleDiv&
    420, 271, 0,	//737  int, QwtScaleDraw*
    420, 15, 0,	//740  int, QFlags<Qt::AlignmentFlag>
    420, 342, 0,	//743  int, const QString&
    420, 407, 0,	//746  int, const QwtText&
    165, 231, 417, 0,	//749  QwtAbstractLegend*, QwtPlot::LegendPosition, double
    383, 0,	//753  const QwtPlotItem*
    395, 337, 418, 418, 418, 418, 0,	//755  const QwtScaleMap*, const QRectF&, double&, double&, double&, double&
    48, 337, 395, 0,	//762  QPainter*, const QRectF&, const QwtScaleMap*
    242, 0,	//766  QwtPlotItem*
    242, 307, 0,	//768  QwtPlotItem*, bool
    420, 417, 417, 0,	//771  int, double, double
    165, 0,	//775  QwtAbstractLegend*
    165, 231, 0,	//777  QwtAbstractLegend*, QwtPlot::LegendPosition
    229, 0,	//780  QwtPlot*
    233, 0,	//782  QwtPlotCanvas::FocusIndicator
    234, 307, 0,	//784  QwtPlotCanvas::PaintAttribute, bool
    234, 0,	//787  QwtPlotCanvas::PaintAttribute
    239, 307, 0,	//789  QwtPlotCurve::PaintAttribute, bool
    239, 0,	//792  QwtPlotCurve::PaintAttribute
    238, 307, 0,	//794  QwtPlotCurve::LegendAttribute, bool
    238, 0,	//797  QwtPlotCurve::LegendAttribute
    415, 415, 420, 0,	//799  const double*, const double*, int
    350, 350, 0,	//803  const QVector<double>&, const QVector<double>&
    347, 0,	//806  const QVector<QPointF>&
    280, 0,	//808  QwtSeriesData<QPointF>*
    330, 419, 0,	//810  const QPoint&, double*
    236, 307, 0,	//813  QwtPlotCurve::CurveAttribute, bool
    236, 0,	//816  QwtPlotCurve::CurveAttribute
    310, 417, 142, 0,	//818  const QColor&, double, Qt::PenStyle
    237, 0,	//822  QwtPlotCurve::CurveStyle
    290, 0,	//824  QwtSymbol*
    186, 0,	//826  QwtCurveFitter*
    48, 394, 394, 337, 420, 420, 0,	//828  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int
    420, 340, 0,	//835  int, const QSizeF&
    48, 420, 394, 394, 337, 420, 420, 0,	//838  QPainter*, int, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int
    48, 405, 394, 394, 337, 420, 420, 0,	//846  QPainter*, const QwtSymbol&, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int
    48, 394, 394, 337, 61, 0,	//854  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, QPolygonF&
    48, 394, 394, 61, 0,	//860  QPainter*, const QwtScaleMap&, const QwtScaleMap&, QPolygonF&
    310, 417, 0,	//865  const QColor&, double
    382, 0,	//868  const QwtPlotDict&
    48, 394, 394, 337, 0,	//870  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&
    390, 390, 0,	//875  const QwtScaleDiv&, const QwtScaleDiv&
    243, 307, 0,	//878  QwtPlotItem::ItemAttribute, bool
    243, 0,	//881  QwtPlotItem::ItemAttribute
    244, 307, 0,	//883  QwtPlotItem::ItemInterest, bool
    244, 0,	//886  QwtPlotItem::ItemInterest
    245, 307, 0,	//888  QwtPlotItem::RenderHint, bool
    245, 0,	//891  QwtPlotItem::RenderHint
    339, 0,	//893  const QSize&
    394, 394, 337, 418, 418, 418, 418, 0,	//895  const QwtScaleMap&, const QwtScaleMap&, const QRectF&, double&, double&, double&, double&
    383, 318, 0,	//903  const QwtPlotItem*, const QList<QwtLegendData>&
    394, 394, 0,	//906  const QwtScaleMap&, const QwtScaleMap&
    308, 340, 0,	//909  const QBrush&, const QSizeF&
    231, 417, 0,	//912  QwtPlot::LegendPosition, double
    231, 0,	//915  QwtPlot::LegendPosition
    381, 0,	//917  const QwtPlot*
    381, 337, 20, 0,	//919  const QwtPlot*, const QRectF&, QFlags<QwtPlotLayout::Option>
    420, 337, 0,	//923  int, const QRectF&
    20, 337, 0,	//926  QFlags<QwtPlotLayout::Option>, const QRectF&
    337, 337, 0,	//929  const QRectF&, const QRectF&
    20, 337, 421, 421, 422, 0,	//932  QFlags<QwtPlotLayout::Option>, const QRectF&, int&, int&, int*
    20, 64, 65, 0,	//938  QFlags<QwtPlotLayout::Option>, QRectF&, QRectF*
    384, 0,	//942  const QwtPlotLayout&
    381, 337, 0,	//944  const QwtPlot*, const QRectF&
    251, 0,	//947  QwtPlotMarker::LineStyle
    406, 0,	//949  const QwtSymbol*
    48, 337, 332, 0,	//951  QPainter*, const QRectF&, const QPointF&
    420, 420, 91, 0,	//955  int, int, QWidget*
    420, 420, 219, 217, 91, 0,	//959  int, int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*
    256, 307, 0,	//965  QwtPlotRasterItem::PaintAttribute, bool
    256, 0,	//968  QwtPlotRasterItem::PaintAttribute
    255, 0,	//970  QwtPlotRasterItem::CachePolicy
    98, 0,	//972  Qt::Axis
    394, 394, 337, 339, 0,	//974  const QwtScaleMap&, const QwtScaleMap&, const QRectF&, const QSize&
    139, 394, 337, 339, 417, 0,	//979  Qt::Orientation, const QwtScaleMap&, const QRectF&, const QSize&, double
    272, 414, 0,	//985  QwtScaleDraw::Alignment, const double
    271, 0,	//988  QwtScaleDraw*
    272, 0,	//990  QwtScaleDraw::Alignment
    259, 307, 0,	//992  QwtPlotSpectrogram::DisplayMode, bool
    259, 0,	//995  QwtPlotSpectrogram::DisplayMode
    263, 0,	//997  QwtRasterData*
    176, 0,	//999  QwtColorMap*
    264, 307, 0,	//1001  QwtRasterData::ConrecFlag, bool
    264, 0,	//1004  QwtRasterData::ConrecFlag
    320, 0,	//1006  const QList<double>&
    337, 336, 0,	//1008  const QRectF&, const QRect&
    337, 339, 0,	//1011  const QRectF&, const QSize&
    48, 394, 394, 321, 0,	//1014  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QMap<double,QPolygonF>&
    394, 394, 336, 27, 0,	//1019  const QwtScaleMap&, const QwtScaleMap&, const QRect&, QImage*
    91, 307, 0,	//1024  QWidget*, bool
    420, 420, 91, 307, 0,	//1027  int, int, QWidget*, bool
    341, 420, 0,	//1032  const QStack<QRectF>&, int
    341, 0,	//1035  const QStack<QRectF>&
    98, 369, 0,	//1037  Qt::Axis, const QwtInterval&
    337, 339, 320, 21, 0,	//1040  const QRectF&, const QSize&, const QList<double>&, QFlags<QwtRasterData::ConrecFlag>
    387, 0,	//1045  const QwtRichTextEngine&
    417, 420, 426, 0,	//1047  double, int, unsigned int
    389, 0,	//1051  const QwtScaleArithmetic&
    369, 39, 0,	//1053  const QwtInterval&, QList<double>*
    417, 417, 39, 0,	//1056  double, double, QList<double>*
    417, 417, 320, 320, 320, 0,	//1060  double, double, const QList<double>&, const QList<double>&, const QList<double>&
    420, 320, 0,	//1066  int, const QList<double>&
    314, 421, 421, 0,	//1069  const QFont&, int&, int&
    332, 340, 0,	//1073  const QPointF&, const QSizeF&
    274, 307, 0,	//1076  QwtScaleEngine::Attribute, bool
    274, 0,	//1079  QwtScaleEngine::Attribute
    22, 0,	//1081  QFlags<QwtScaleEngine::Attribute>
    320, 369, 0,	//1083  const QList<double>&, const QwtInterval&
    392, 0,	//1086  const QwtScaleEngine&
    394, 0,	//1088  const QwtScaleMap&
    394, 394, 337, 0,	//1090  const QwtScaleMap&, const QwtScaleMap&, const QRectF&
    394, 394, 332, 0,	//1094  const QwtScaleMap&, const QwtScaleMap&, const QPointF&
    272, 91, 0,	//1098  QwtScaleDraw::Alignment, QWidget*
    279, 307, 0,	//1101  QwtScaleWidget::LayoutFlag, bool
    279, 0,	//1104  QwtScaleWidget::LayoutFlag
    421, 421, 0,	//1106  int&, int&
    369, 176, 0,	//1109  const QwtInterval&, QwtColorMap*
    48, 272, 337, 0,	//1112  QPainter*, QwtScaleDraw::Alignment, const QRectF&
    48, 326, 332, 417, 417, 417, 420, 420, 417, 0,	//1116  QPainter*, const QPalette&, const QPointF&, double, double, double, int, int, double
    403, 0,	//1126  const QwtSimpleCompassRose&
    139, 91, 0,	//1128  Qt::Orientation, QWidget*
    284, 0,	//1131  QwtSlider::ScalePosition
    48, 336, 0,	//1133  QPainter*, const QRect&
    48, 336, 420, 0,	//1136  QPainter*, const QRect&, int
    404, 0,	//1140  const QwtSpline&
    287, 0,	//1142  QwtSpline::SplineType
    289, 0,	//1144  QwtSplineCurveFitter::FitMode
    292, 0,	//1146  QwtSymbol::Style
    292, 308, 327, 339, 0,	//1148  QwtSymbol::Style, const QBrush&, const QPen&, const QSize&
    325, 308, 327, 0,	//1153  const QPainterPath&, const QBrush&, const QPen&
    291, 0,	//1157  QwtSymbol::CachePolicy
    332, 307, 0,	//1159  const QPointF&, bool
    325, 0,	//1162  const QPainterPath&
    328, 0,	//1164  const QPixmap&
    368, 0,	//1166  const QwtGraphic&
    309, 0,	//1168  const QByteArray&
    342, 298, 0,	//1170  const QString&, QwtText::TextFormat
    297, 307, 0,	//1173  QwtText::PaintAttribute, bool
    297, 0,	//1176  QwtText::PaintAttribute
    296, 307, 0,	//1178  QwtText::LayoutAttribute, bool
    296, 0,	//1181  QwtText::LayoutAttribute
    417, 314, 0,	//1183  double, const QFont&
    298, 0,	//1186  QwtText::TextFormat
    298, 299, 0,	//1188  QwtText::TextFormat, QwtTextEngine*
    408, 0,	//1191  const QwtTextEngine&
    303, 0,	//1193  QwtThermo::ScalePosition
    302, 0,	//1195  QwtThermo::OriginMode
    19, 0,	//1197  QFlags<QwtInterval::BorderFlag>
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ActiveOnly",	//1
    "AlignScales",	//2
    "AlwaysOff",	//3
    "AlwaysOn",	//4
    "Append",	//5
    "Arrow",	//6
    "Auto",	//7
    "AutoCache",	//8
    "AutoScale",	//9
    "AutoText",	//10
    "Backbone",	//11
    "BackingStore",	//12
    "Begin",	//13
    "BottomLegend",	//14
    "BottomScale",	//15
    "Box",	//16
    "Button1",	//17
    "Button2",	//18
    "Button3",	//19
    "ButtonCnt",	//20
    "Cache",	//21
    "CanvasFocusIndicator",	//22
    "ClipPolygons",	//23
    "ContourMode",	//24
    "Cross",	//25
    "CrossRubberBand",	//26
    "DTriangle",	//27
    "Diamond",	//28
    "Dot",	//29
    "Dots",	//30
    "DrawChildren",	//31
    "DrawWindowBackground",	//32
    "Ellipse",	//33
    "EllipseRubberBand",	//34
    "End",	//35
    "FP_INFINITE",	//36
    "FP_NAN",	//37
    "FP_NORMAL",	//38
    "FP_SUBNORMAL",	//39
    "FP_ZERO",	//40
    "FilterPoints",	//41
    "Fitted",	//42
    "FixedColors",	//43
    "Flat",	//44
    "Floating",	//45
    "Graphic",	//46
    "HLine",	//47
    "HLineRubberBand",	//48
    "HackStyledBackground",	//49
    "Hexagon",	//50
    "HourHand",	//51
    "IgnoreAllVerticesOnLevel",	//52
    "IgnoreFooter",	//53
    "IgnoreFrames",	//54
    "IgnoreLegend",	//55
    "IgnoreMask",	//56
    "IgnoreOutOfRange",	//57
    "IgnoreScrollbars",	//58
    "IgnoreTitle",	//59
    "ImageBuffer",	//60
    "ImageMode",	//61
    "ImmediatePaint",	//62
    "IncludeReference",	//63
    "Indexed",	//64
    "Inverted",	//65
    "ItemFocusIndicator",	//66
    "KeepSize",	//67
    "KeyAbort",	//68
    "KeyDown",	//69
    "KeyHome",	//70
    "KeyLeft",	//71
    "KeyPatternCount",	//72
    "KeyRedo",	//73
    "KeyRight",	//74
    "KeySelect1",	//75
    "KeySelect2",	//76
    "KeyUndo",	//77
    "KeyUp",	//78
    "LTriangle",	//79
    "Labels",	//80
    "LeadingScale",	//81
    "LeftLegend",	//82
    "LeftScale",	//83
    "Legend",	//84
    "LegendInterest",	//85
    "LegendNoAttribute",	//86
    "LegendShowBrush",	//87
    "LegendShowLine",	//88
    "LegendShowSymbol",	//89
    "Lines",	//90
    "MajorTick",	//91
    "Margins",	//92
    "MathMLText",	//93
    "MediumTick",	//94
    "MinimizeMemory",	//95
    "MinimumLayout",	//96
    "MinorTick",	//97
    "MinuteHand",	//98
    "MousePatternCount",	//99
    "MouseSelect1",	//100
    "MouseSelect2",	//101
    "MouseSelect3",	//102
    "MouseSelect4",	//103
    "MouseSelect5",	//104
    "MouseSelect6",	//105
    "Move",	//106
    "NHands",	//107
    "NTickTypes",	//108
    "Natural",	//109
    "NoAttribute",	//110
    "NoCache",	//111
    "NoCurve",	//112
    "NoFocusIndicator",	//113
    "NoFrame",	//114
    "NoLine",	//115
    "NoMarker",	//116
    "NoRubberBand",	//117
    "NoScale",	//118
    "NoSelection",	//119
    "NoSymbol",	//120
    "NoTick",	//121
    "Notch",	//122
    "Nub",	//123
    "Opaque",	//124
    "OriginCustom",	//125
    "OriginMaximum",	//126
    "OriginMinimum",	//127
    "OtherFormat",	//128
    "PaintBackground",	//129
    "PaintCache",	//130
    "PaintInDeviceResolution",	//131
    "PaintUsingTextColor",	//132
    "PaintUsingTextFont",	//133
    "Panel",	//134
    "ParametricSpline",	//135
    "Path",	//136
    "Periodic",	//137
    "Pixmap",	//138
    "Plain",	//139
    "PlainText",	//140
    "PointSelection",	//141
    "PolygonRubberBand",	//142
    "PolygonSelection",	//143
    "QwtAbstractScale",	//144
    "QwtAbstractScale#",	//145
    "QwtAbstractScaleDraw",	//146
    "QwtAbstractSlider",	//147
    "QwtAbstractSlider#",	//148
    "QwtAlphaColorMap",	//149
    "QwtAlphaColorMap#",	//150
    "QwtAnalogClock",	//151
    "QwtAnalogClock#",	//152
    "QwtArrowButton",	//153
    "QwtArrowButton$$",	//154
    "QwtArrowButton$$#",	//155
    "QwtCPointerData",	//156
    "QwtCPointerData#",	//157
    "QwtCPointerData$$$",	//158
    "QwtClipper",	//159
    "QwtClipper#",	//160
    "QwtColorMap",	//161
    "QwtColorMap#",	//162
    "QwtColorMap$",	//163
    "QwtCompass",	//164
    "QwtCompass#",	//165
    "QwtCompassMagnetNeedle",	//166
    "QwtCompassMagnetNeedle#",	//167
    "QwtCompassMagnetNeedle$",	//168
    "QwtCompassMagnetNeedle$#",	//169
    "QwtCompassMagnetNeedle$##",	//170
    "QwtCompassRose",	//171
    "QwtCompassRose#",	//172
    "QwtCompassWindArrow",	//173
    "QwtCompassWindArrow#",	//174
    "QwtCompassWindArrow$",	//175
    "QwtCompassWindArrow$#",	//176
    "QwtCompassWindArrow$##",	//177
    "QwtCounter",	//178
    "QwtCounter#",	//179
    "QwtCurveFitter",	//180
    "QwtDial",	//181
    "QwtDial#",	//182
    "QwtDialNeedle",	//183
    "QwtDialNeedle#",	//184
    "QwtDialSimpleNeedle",	//185
    "QwtDialSimpleNeedle#",	//186
    "QwtDialSimpleNeedle$",	//187
    "QwtDialSimpleNeedle$$",	//188
    "QwtDialSimpleNeedle$$#",	//189
    "QwtDialSimpleNeedle$$##",	//190
    "QwtDynGridLayout",	//191
    "QwtDynGridLayout#",	//192
    "QwtDynGridLayout#$",	//193
    "QwtDynGridLayout#$$",	//194
    "QwtDynGridLayout$",	//195
    "QwtEventPattern",	//196
    "QwtEventPattern#",	//197
    "QwtKnob",	//198
    "QwtKnob#",	//199
    "QwtLegend",	//200
    "QwtLegend#",	//201
    "QwtLinearColorMap",	//202
    "QwtLinearColorMap##",	//203
    "QwtLinearColorMap##$",	//204
    "QwtLinearColorMap$",	//205
    "QwtLinearScaleEngine",	//206
    "QwtLinearScaleEngine#",	//207
    "QwtLinearScaleEngine$",	//208
    "QwtMagnifier",	//209
    "QwtMagnifier#",	//210
    "QwtPainter",	//211
    "QwtPainter#",	//212
    "QwtPanner",	//213
    "QwtPanner#",	//214
    "QwtPicker",	//215
    "QwtPicker#",	//216
    "QwtPicker$$#",	//217
    "QwtPickerClickPointMachine",	//218
    "QwtPickerClickPointMachine#",	//219
    "QwtPickerClickRectMachine",	//220
    "QwtPickerClickRectMachine#",	//221
    "QwtPickerDragPointMachine",	//222
    "QwtPickerDragPointMachine#",	//223
    "QwtPickerDragRectMachine",	//224
    "QwtPickerDragRectMachine#",	//225
    "QwtPickerMachine",	//226
    "QwtPickerMachine#",	//227
    "QwtPickerMachine$",	//228
    "QwtPickerPolygonMachine",	//229
    "QwtPickerPolygonMachine#",	//230
    "QwtPlainTextEngine",	//231
    "QwtPlainTextEngine#",	//232
    "QwtPlot",	//233
    "QwtPlot#",	//234
    "QwtPlot##",	//235
    "QwtPlotCanvas",	//236
    "QwtPlotCanvas#",	//237
    "QwtPlotCurve",	//238
    "QwtPlotCurve#",	//239
    "QwtPlotCurve$",	//240
    "QwtPlotDict",	//241
    "QwtPlotDict#",	//242
    "QwtPlotGrid",	//243
    "QwtPlotItem",	//244
    "QwtPlotItem#",	//245
    "QwtPlotLayout",	//246
    "QwtPlotLayout#",	//247
    "QwtPlotMagnifier",	//248
    "QwtPlotMagnifier#",	//249
    "QwtPlotMarker",	//250
    "QwtPlotMarker#",	//251
    "QwtPlotMarker$",	//252
    "QwtPlotPanner",	//253
    "QwtPlotPanner#",	//254
    "QwtPlotPicker",	//255
    "QwtPlotPicker#",	//256
    "QwtPlotPicker$$#",	//257
    "QwtPlotPicker$$$$#",	//258
    "QwtPlotRasterItem",	//259
    "QwtPlotRasterItem#",	//260
    "QwtPlotRasterItem$",	//261
    "QwtPlotScaleItem",	//262
    "QwtPlotScaleItem$",	//263
    "QwtPlotScaleItem$$",	//264
    "QwtPlotSpectrogram",	//265
    "QwtPlotSpectrogram$",	//266
    "QwtPlotZoomer",	//267
    "QwtPlotZoomer#",	//268
    "QwtPlotZoomer#$",	//269
    "QwtPlotZoomer$$#",	//270
    "QwtPlotZoomer$$#$",	//271
    "QwtRasterData",	//272
    "QwtRichTextEngine",	//273
    "QwtRichTextEngine#",	//274
    "QwtRoundScaleDraw",	//275
    "QwtScaleArithmetic",	//276
    "QwtScaleArithmetic#",	//277
    "QwtScaleDiv",	//278
    "QwtScaleDiv#",	//279
    "QwtScaleDiv#?",	//280
    "QwtScaleDiv$",	//281
    "QwtScaleDiv$$",	//282
    "QwtScaleDiv$$?",	//283
    "QwtScaleDiv$$???",	//284
    "QwtScaleDraw",	//285
    "QwtScaleEngine",	//286
    "QwtScaleEngine#",	//287
    "QwtScaleEngine$",	//288
    "QwtScaleMap",	//289
    "QwtScaleMap#",	//290
    "QwtScaleWidget",	//291
    "QwtScaleWidget#",	//292
    "QwtScaleWidget$",	//293
    "QwtScaleWidget$#",	//294
    "QwtSimpleCompassRose",	//295
    "QwtSimpleCompassRose#",	//296
    "QwtSimpleCompassRose$",	//297
    "QwtSimpleCompassRose$$",	//298
    "QwtSlider",	//299
    "QwtSlider#",	//300
    "QwtSlider$",	//301
    "QwtSlider$#",	//302
    "QwtSpline",	//303
    "QwtSpline#",	//304
    "QwtSplineCurveFitter",	//305
    "QwtSymbol",	//306
    "QwtSymbol###",	//307
    "QwtSymbol$",	//308
    "QwtSymbol$###",	//309
    "QwtText",	//310
    "QwtText#",	//311
    "QwtText$",	//312
    "QwtText$$",	//313
    "QwtTextEngine",	//314
    "QwtTextEngine#",	//315
    "QwtTextLabel",	//316
    "QwtTextLabel#",	//317
    "QwtTextLabel##",	//318
    "QwtThermo",	//319
    "QwtThermo#",	//320
    "QwtWheel",	//321
    "QwtWheel#",	//322
    "RGB",	//323
    "RTriangle",	//324
    "Raised",	//325
    "Ray",	//326
    "Rect",	//327
    "RectRubberBand",	//328
    "RectSelection",	//329
    "Remove",	//330
    "RenderAntialiased",	//331
    "RichText",	//332
    "RightLegend",	//333
    "RightScale",	//334
    "RotateNeedle",	//335
    "RotateScale",	//336
    "Rtti_PlotBarChart",	//337
    "Rtti_PlotCurve",	//338
    "Rtti_PlotGrid",	//339
    "Rtti_PlotHistogram",	//340
    "Rtti_PlotIntervalCurve",	//341
    "Rtti_PlotItem",	//342
    "Rtti_PlotLegend",	//343
    "Rtti_PlotMarker",	//344
    "Rtti_PlotMultiBarChart",	//345
    "Rtti_PlotSVG",	//346
    "Rtti_PlotScale",	//347
    "Rtti_PlotShape",	//348
    "Rtti_PlotSpectroCurve",	//349
    "Rtti_PlotSpectrogram",	//350
    "Rtti_PlotTextLabel",	//351
    "Rtti_PlotTradingCurve",	//352
    "Rtti_PlotUserItem",	//353
    "Rtti_PlotZone",	//354
    "ScaleInterest",	//355
    "ScaledColors",	//356
    "SecondHand",	//357
    "SetDefaultConstraint",	//358
    "SetFixedSize",	//359
    "SetMaximumSize",	//360
    "SetMinAndMaxSize",	//361
    "SetMinimumSize",	//362
    "SetNoConstraint",	//363
    "Shadow_Mask",	//364
    "Shape_Mask",	//365
    "Spline",	//366
    "Star1",	//367
    "Star2",	//368
    "Steps",	//369
    "Sticks",	//370
    "Stretch",	//371
    "Style1",	//372
    "Style2",	//373
    "Styled",	//374
    "StyledPanel",	//375
    "Sunken",	//376
    "SvgDocument",	//377
    "Symmetric",	//378
    "TeXText",	//379
    "ThinStyle",	//380
    "Tick",	//381
    "Ticks",	//382
    "TitleInverted",	//383
    "TopLegend",	//384
    "TopScale",	//385
    "TrailingScale",	//386
    "Triangle",	//387
    "TriangleStyle",	//388
    "UTriangle",	//389
    "UserCurve",	//390
    "UserRubberBand",	//391
    "UserStyle",	//392
    "VLine",	//393
    "VLineRubberBand",	//394
    "WinPanel",	//395
    "XCross",	//396
    "abstractScaleDraw",	//397
    "accept",	//398
    "accept#",	//399
    "actionEvent",	//400
    "activate",	//401
    "activate##",	//402
    "activate##$",	//403
    "activated",	//404
    "activated$",	//405
    "addColorStop",	//406
    "addColorStop$#",	//407
    "addItem",	//408
    "addItem#",	//409
    "adjustedPoints",	//410
    "adjustedPoints#",	//411
    "alarmBrush",	//412
    "alarmEnabled",	//413
    "alarmLevel",	//414
    "alarmRect",	//415
    "alarmRect#",	//416
    "align",	//417
    "align#$",	//418
    "alignCanvasToScale",	//419
    "alignCanvasToScale$",	//420
    "alignLegend",	//421
    "alignLegend##",	//422
    "alignScales",	//423
    "alignScales$##",	//424
    "alignment",	//425
    "alpha",	//426
    "append",	//427
    "append#",	//428
    "appended",	//429
    "appended#",	//430
    "applyProperties",	//431
    "applyProperties$",	//432
    "arrowSize",	//433
    "arrowSize$#",	//434
    "arrowType",	//435
    "attach",	//436
    "attach#",	//437
    "attributes",	//438
    "autoDelete",	//439
    "autoRefresh",	//440
    "autoReplot",	//441
    "autoScale",	//442
    "autoScale$$$$",	//443
    "axisAutoScale",	//444
    "axisAutoScale$",	//445
    "axisCnt",	//446
    "axisEnabled",	//447
    "axisEnabled$",	//448
    "axisFont",	//449
    "axisFont$",	//450
    "axisInterval",	//451
    "axisInterval$",	//452
    "axisMaxMajor",	//453
    "axisMaxMajor$",	//454
    "axisMaxMinor",	//455
    "axisMaxMinor$",	//456
    "axisScaleDiv",	//457
    "axisScaleDiv$",	//458
    "axisScaleDraw",	//459
    "axisScaleDraw$",	//460
    "axisScaleEngine",	//461
    "axisScaleEngine$",	//462
    "axisStepSize",	//463
    "axisStepSize$",	//464
    "axisTitle",	//465
    "axisTitle$",	//466
    "axisValid",	//467
    "axisValid$",	//468
    "axisWidget",	//469
    "axisWidget$",	//470
    "backgroundBrush",	//471
    "backingStore",	//472
    "backingStore##",	//473
    "base",	//474
    "baseline",	//475
    "begin",	//476
    "borderDistance",	//477
    "borderPath",	//478
    "borderPath#",	//479
    "borderPen",	//480
    "borderRadius",	//481
    "borderWidth",	//482
    "bounded",	//483
    "bounded$$",	//484
    "boundingLabelRect",	//485
    "boundingLabelRect#$",	//486
    "boundingRect",	//487
    "brush",	//488
    "buildInterval",	//489
    "buildInterval$",	//490
    "buildMajorTicks",	//491
    "buildMajorTicks#$",	//492
    "buildMinorTicks",	//493
    "buildMinorTicks?$$??",	//494
    "buildNaturalSpline",	//495
    "buildNaturalSpline#",	//496
    "buildPeriodicSpline",	//497
    "buildPeriodicSpline#",	//498
    "buildTicks",	//499
    "buildTicks#$$?",	//500
    "buttonReleased",	//501
    "buttonReleased$",	//502
    "cachePolicy",	//503
    "canvas",	//504
    "canvasBackground",	//505
    "canvasMap",	//506
    "canvasMap$",	//507
    "canvasMargin",	//508
    "canvasMargin$",	//509
    "canvasRect",	//510
    "ceilEps",	//511
    "ceilEps$$",	//512
    "center",	//513
    "changeEvent",	//514
    "changeEvent#",	//515
    "changed",	//516
    "changed#",	//517
    "checkStateSet",	//518
    "checked",	//519
    "checked#$$",	//520
    "childEvent",	//521
    "clear",	//522
    "clicked",	//523
    "clicked#$",	//524
    "clipCircle",	//525
    "clipCircle##$",	//526
    "clipPolygon",	//527
    "clipPolygon##",	//528
    "clipPolygon##$",	//529
    "clipPolygonF",	//530
    "clipPolygonF##",	//531
    "clipPolygonF##$",	//532
    "closeEvent",	//533
    "closePolyline",	//534
    "closePolyline####",	//535
    "closestPoint",	//536
    "closestPoint#",	//537
    "closestPoint#$",	//538
    "coefficientsA",	//539
    "coefficientsB",	//540
    "coefficientsC",	//541
    "color",	//542
    "color#$",	//543
    "color1",	//544
    "color2",	//545
    "colorBarInterval",	//546
    "colorBarRect",	//547
    "colorBarRect#",	//548
    "colorBarWidth",	//549
    "colorIndex",	//550
    "colorIndex#$",	//551
    "colorMap",	//552
    "colorStops",	//553
    "colorTable",	//554
    "colorTable#",	//555
    "columnsForWidth",	//556
    "columnsForWidth$",	//557
    "connectNotify",	//558
    "contains",	//559
    "contains#$",	//560
    "contains$",	//561
    "contentsMask",	//562
    "contentsWidget",	//563
    "contextMenuEvent",	//564
    "contourLevels",	//565
    "contourLines",	//566
    "contourLines##?$",	//567
    "contourPen",	//568
    "contourPen$",	//569
    "contourRasterSize",	//570
    "contourRasterSize##",	//571
    "count",	//572
    "createWidget",	//573
    "createWidget#",	//574
    "cursor",	//575
    "curveFitter",	//576
    "customEvent",	//577
    "data",	//578
    "dataChanged",	//579
    "dataRect",	//580
    "dataSize",	//581
    "defaultContourPen",	//582
    "defaultIcon",	//583
    "defaultIcon##",	//584
    "defaultItemMode",	//585
    "detach",	//586
    "detachItems",	//587
    "detachItems$",	//588
    "detachItems$$",	//589
    "devType",	//590
    "dimForLength",	//591
    "dimForLength$#",	//592
    "discardRaster",	//593
    "disconnectNotify",	//594
    "divideEps",	//595
    "divideEps$$",	//596
    "divideInterval",	//597
    "divideInterval$$",	//598
    "divideInterval$$$",	//599
    "divideScale",	//600
    "divideScale$$$$",	//601
    "divideScale$$$$$",	//602
    "dragEnterEvent",	//603
    "dragLeaveEvent",	//604
    "dragMoveEvent",	//605
    "draw",	//606
    "draw#",	//607
    "draw##",	//608
    "draw####",	//609
    "draw##$$",	//610
    "draw##$$$",	//611
    "drawArrow",	//612
    "drawArrow##$",	//613
    "drawBackbone",	//614
    "drawBackbone#",	//615
    "drawBackgound",	//616
    "drawBackgound###",	//617
    "drawBorder",	//618
    "drawBorder#",	//619
    "drawButtonLabel",	//620
    "drawButtonLabel#",	//621
    "drawCanvas",	//622
    "drawCanvas#",	//623
    "drawColorBar",	//624
    "drawColorBar##",	//625
    "drawColorBar####$#",	//626
    "drawContents",	//627
    "drawContents#",	//628
    "drawContourLines",	//629
    "drawContourLines###?",	//630
    "drawCurve",	//631
    "drawCurve#$###$$",	//632
    "drawDots",	//633
    "drawDots####$$",	//634
    "drawEllipse",	//635
    "drawEllipse##",	//636
    "drawFocusIndicator",	//637
    "drawFocusIndicator#",	//638
    "drawFocusRect",	//639
    "drawFocusRect##",	//640
    "drawFocusRect###",	//641
    "drawFrame",	//642
    "drawFrame#",	//643
    "drawFrame###$$$$",	//644
    "drawHand",	//645
    "drawHand#$#$$$",	//646
    "drawHandle",	//647
    "drawHandle##$",	//648
    "drawImage",	//649
    "drawImage###",	//650
    "drawItems",	//651
    "drawItems###",	//652
    "drawKnob",	//653
    "drawKnob##",	//654
    "drawKnob#$#$",	//655
    "drawLabel",	//656
    "drawLabel###",	//657
    "drawLabel#$",	//658
    "drawLine",	//659
    "drawLine##",	//660
    "drawLine###",	//661
    "drawLine#$$$$",	//662
    "drawLines",	//663
    "drawLines###",	//664
    "drawLines####$$",	//665
    "drawLiquid",	//666
    "drawLiquid##",	//667
    "drawMarker",	//668
    "drawMarker##$",	//669
    "drawNeedle",	//670
    "drawNeedle##$$$",	//671
    "drawNeedle#$$",	//672
    "drawPath",	//673
    "drawPath##",	//674
    "drawPie",	//675
    "drawPie##$$",	//676
    "drawPixmap",	//677
    "drawPixmap###",	//678
    "drawPoint",	//679
    "drawPoint##",	//680
    "drawPoint#$$",	//681
    "drawPoints",	//682
    "drawPoints##",	//683
    "drawPoints##$",	//684
    "drawPolygon",	//685
    "drawPolygon##",	//686
    "drawPolyline",	//687
    "drawPolyline##",	//688
    "drawPolyline##$",	//689
    "drawRect",	//690
    "drawRect##",	//691
    "drawRect#$$$$",	//692
    "drawRose",	//693
    "drawRose###$$$$$$",	//694
    "drawRose##$$$",	//695
    "drawRoundFrame",	//696
    "drawRoundFrame###$$",	//697
    "drawRoundedFrame",	//698
    "drawRoundedFrame##$$#$$",	//699
    "drawRubberBand",	//700
    "drawRubberBand#",	//701
    "drawScale",	//702
    "drawScale##$",	//703
    "drawScaleContents",	//704
    "drawScaleContents##$",	//705
    "drawSeries",	//706
    "drawSeries####$$",	//707
    "drawSimpleRichText",	//708
    "drawSimpleRichText##$#",	//709
    "drawSlider",	//710
    "drawSlider##",	//711
    "drawSteps",	//712
    "drawSteps####$$",	//713
    "drawSticks",	//714
    "drawSticks####$$",	//715
    "drawSymbol",	//716
    "drawSymbol##",	//717
    "drawSymbols",	//718
    "drawSymbols##",	//719
    "drawSymbols#####$$",	//720
    "drawSymbols##$",	//721
    "drawText",	//722
    "drawText##",	//723
    "drawText##$",	//724
    "drawText##$$",	//725
    "drawText#$$$",	//726
    "drawText#$$$$$$",	//727
    "drawTick",	//728
    "drawTick#$$",	//729
    "drawTicks",	//730
    "drawTicks##",	//731
    "drawTitle",	//732
    "drawTitle#$#",	//733
    "drawTracker",	//734
    "drawTracker#",	//735
    "drawWheelBackground",	//736
    "drawWheelBackground##",	//737
    "dropEvent",	//738
    "enableAxis",	//739
    "enableAxis$",	//740
    "enableAxis$$",	//741
    "enableComponent",	//742
    "enableComponent$",	//743
    "enableComponent$$",	//744
    "enableX",	//745
    "enableX$",	//746
    "enableXMin",	//747
    "enableXMin$",	//748
    "enableY",	//749
    "enableY$",	//750
    "enableYMin",	//751
    "enableYMin$",	//752
    "enabledChange",	//753
    "end",	//754
    "end$",	//755
    "endBorderDist",	//756
    "enterEvent",	//757
    "event",	//758
    "event#",	//759
    "eventFilter",	//760
    "eventFilter##",	//761
    "expandLineBreaks",	//762
    "expandLineBreaks$#$$$",	//763
    "expandingDirections",	//764
    "extent",	//765
    "extent#",	//766
    "fillBrush",	//767
    "fillCurve",	//768
    "fillCurve#####",	//769
    "fillPixmap",	//770
    "fillPixmap##",	//771
    "fillPixmap###",	//772
    "fillRect",	//773
    "fillRect#",	//774
    "fillRect###",	//775
    "fitCurve",	//776
    "fitCurve#",	//777
    "fitMode",	//778
    "floorEps",	//779
    "floorEps$$",	//780
    "focusInEvent",	//781
    "focusIndicator",	//782
    "focusNextPrevChild",	//783
    "focusOutEvent",	//784
    "font",	//785
    "fontChange",	//786
    "footer",	//787
    "footerLabel",	//788
    "footerRect",	//789
    "format",	//790
    "frameShadow",	//791
    "geometry",	//792
    "getAbortKey",	//793
    "getAbortKey$#",	//794
    "getBorderDistHint",	//795
    "getBorderDistHint#$$",	//796
    "getBorderDistHint$$",	//797
    "getCanvasMarginHint",	//798
    "getCanvasMarginHint###$$$$",	//799
    "getCanvasMarginsHint",	//800
    "getCanvasMarginsHint##$$$$",	//801
    "getMinBorderDist",	//802
    "getMinBorderDist$$",	//803
    "getMouseButton",	//804
    "getMouseButton$#",	//805
    "getZoomInKey",	//806
    "getZoomInKey$#",	//807
    "getZoomOutKey",	//808
    "getZoomOutKey$#",	//809
    "grab",	//810
    "grabProperties",	//811
    "graphic",	//812
    "hand",	//813
    "hand$",	//814
    "handleRect",	//815
    "handleSize",	//816
    "hasComponent",	//817
    "hasComponent$",	//818
    "hasGroove",	//819
    "hasHeightForWidth",	//820
    "hasTrough",	//821
    "heightForWidth",	//822
    "heightForWidth#$$$",	//823
    "heightForWidth$",	//824
    "heightForWidth$#",	//825
    "hide",	//826
    "hideEvent",	//827
    "hitButton",	//828
    "horizontalScrollBar",	//829
    "imageMap",	//830
    "imageMap$###$",	//831
    "incSteps",	//832
    "incSteps$",	//833
    "incrementValue",	//834
    "incrementValue$",	//835
    "incrementedValue",	//836
    "incrementedValue$$",	//837
    "indent",	//838
    "indexOf",	//839
    "infoToItem",	//840
    "infoToItem#",	//841
    "init",	//842
    "initKeyPattern",	//843
    "initMousePattern",	//844
    "initMousePattern$",	//845
    "initRaster",	//846
    "initRaster##",	//847
    "innerRect",	//848
    "inputMethodEvent",	//849
    "inputMethodQuery",	//850
    "insertItem",	//851
    "insertItem#",	//852
    "insertLegend",	//853
    "insertLegend#",	//854
    "insertLegend#$",	//855
    "insertLegend#$$",	//856
    "interval",	//857
    "interval$",	//858
    "invTransform",	//859
    "invTransform#",	//860
    "invTransform###",	//861
    "invTransform$",	//862
    "invTransform$$",	//863
    "invalidate",	//864
    "invalidateBackingStore",	//865
    "invalidateCache",	//866
    "invert",	//867
    "inverted",	//868
    "invertedControls",	//869
    "isActive",	//870
    "isAligning",	//871
    "isAligning#",	//872
    "isAxisEnabled",	//873
    "isAxisEnabled$",	//874
    "isColorBarEnabled",	//875
    "isEmpty",	//876
    "isEnabled",	//877
    "isIncreasing",	//878
    "isInverted",	//879
    "isInverting",	//880
    "isNull",	//881
    "isOrientationEnabled",	//882
    "isOrientationEnabled$",	//883
    "isPinPointEnabled",	//884
    "isReadOnly",	//885
    "isScaleDivFromAxis",	//886
    "isScrollPosition",	//887
    "isScrollPosition#",	//888
    "isTracking",	//889
    "isValid",	//890
    "isVisible",	//891
    "isX11GraphicsSystem",	//892
    "itemAt",	//893
    "itemAt$",	//894
    "itemAttached",	//895
    "itemAttached#$",	//896
    "itemChanged",	//897
    "itemChecked",	//898
    "itemChecked$",	//899
    "itemClicked",	//900
    "itemCount",	//901
    "itemInfo",	//902
    "itemInfo#",	//903
    "itemList",	//904
    "itemList$",	//905
    "itemToInfo",	//906
    "itemToInfo#",	//907
    "keyFactor",	//908
    "keyMatch",	//909
    "keyMatch##",	//910
    "keyMatch$#",	//911
    "keyPattern",	//912
    "keyPressEvent",	//913
    "keyPressEvent#",	//914
    "keyReleaseEvent",	//915
    "knobRect",	//916
    "knobStyle",	//917
    "knobWidth",	//918
    "label",	//919
    "label$",	//920
    "labelAlignment",	//921
    "labelOrientation",	//922
    "labelPosition",	//923
    "labelPosition$",	//924
    "labelRect",	//925
    "labelRect#$",	//926
    "labelRotation",	//927
    "labelSize",	//928
    "labelSize#$",	//929
    "labelTransformation",	//930
    "labelTransformation##",	//931
    "languageChange",	//932
    "layout",	//933
    "layoutGrid",	//934
    "layoutGrid$??",	//935
    "layoutItems",	//936
    "layoutItems#$",	//937
    "layoutLegend",	//938
    "layoutLegend$#",	//939
    "layoutScale",	//940
    "layoutScale$",	//941
    "leaveEvent",	//942
    "legend",	//943
    "legendChanged",	//944
    "legendData",	//945
    "legendDataChanged",	//946
    "legendDataChanged#?",	//947
    "legendIcon",	//948
    "legendIcon$#",	//949
    "legendIconSize",	//950
    "legendPosition",	//951
    "legendRatio",	//952
    "legendRect",	//953
    "legendWidget",	//954
    "legendWidget#",	//955
    "legendWidgets",	//956
    "legendWidgets#",	//957
    "length",	//958
    "linePen",	//959
    "lineStyle",	//960
    "lineWidth",	//961
    "lowerBound",	//962
    "lowerMargin",	//963
    "majorPen",	//964
    "margin",	//965
    "markerSize",	//966
    "markerStyle",	//967
    "mass",	//968
    "maxColumns",	//969
    "maxItemWidth",	//970
    "maxLabelHeight",	//971
    "maxLabelHeight#",	//972
    "maxLabelWidth",	//973
    "maxLabelWidth#",	//974
    "maxScaleArc",	//975
    "maxStackDepth",	//976
    "maxTickLength",	//977
    "maxXValue",	//978
    "maxYValue",	//979
    "maximum",	//980
    "maximumSize",	//981
    "metaObject",	//982
    "metric",	//983
    "mightRender",	//984
    "mightRender$",	//985
    "minLabelDist",	//986
    "minLabelDist#",	//987
    "minLength",	//988
    "minLength#",	//989
    "minScaleArc",	//990
    "minXValue",	//991
    "minYValue",	//992
    "minZoomSize",	//993
    "minimum",	//994
    "minimumExtent",	//995
    "minimumHeightForWidth",	//996
    "minimumSize",	//997
    "minimumSizeHint",	//998
    "minimumSizeHint#",	//999
    "minorPen",	//1000
    "mode",	//1001
    "mouseDoubleClickEvent",	//1002
    "mouseFactor",	//1003
    "mouseMatch",	//1004
    "mouseMatch##",	//1005
    "mouseMatch$#",	//1006
    "mouseMoveEvent",	//1007
    "mouseMoveEvent#",	//1008
    "mousePattern",	//1009
    "mousePressEvent",	//1010
    "mousePressEvent#",	//1011
    "mouseReleaseEvent",	//1012
    "mouseReleaseEvent#",	//1013
    "move",	//1014
    "move#",	//1015
    "move$$",	//1016
    "moveBy",	//1017
    "moveBy$$",	//1018
    "moveCanvas",	//1019
    "moveCanvas$$",	//1020
    "moveCenter",	//1021
    "moveCenter#",	//1022
    "moveCenter$$",	//1023
    "moveEvent",	//1024
    "moveTo",	//1025
    "moveTo#",	//1026
    "moved",	//1027
    "moved#",	//1028
    "moved$$",	//1029
    "needle",	//1030
    "nextCheckState",	//1031
    "num",	//1032
    "numButtons",	//1033
    "numColumns",	//1034
    "numRows",	//1035
    "numThornLevels",	//1036
    "numThorns",	//1037
    "numTurns",	//1038
    "operator!=",	//1039
    "operator!=#",	//1040
    "operator=",	//1041
    "operator=#",	//1042
    "operator==",	//1043
    "operator==#",	//1044
    "orientation",	//1045
    "orientations",	//1046
    "origin",	//1047
    "originMode",	//1048
    "p1",	//1049
    "p2",	//1050
    "pDist",	//1051
    "pageStepCount",	//1052
    "pageSteps",	//1053
    "paintEngine",	//1054
    "paintEvent",	//1055
    "paintEvent#",	//1056
    "paintRect",	//1057
    "paintRect##",	//1058
    "palette",	//1059
    "paletteChange",	//1060
    "panned",	//1061
    "panned$$",	//1062
    "parentWidget",	//1063
    "path",	//1064
    "pen",	//1065
    "penWidth",	//1066
    "pickArea",	//1067
    "pickedPoints",	//1068
    "pinPoint",	//1069
    "pipeRect",	//1070
    "pipeWidth",	//1071
    "pixelHint",	//1072
    "pixelHint#",	//1073
    "pixmap",	//1074
    "plainText",	//1075
    "plot",	//1076
    "plotLayout",	//1077
    "points",	//1078
    "polylineSplitting",	//1079
    "pos",	//1080
    "position",	//1081
    "qt_metacall",	//1082
    "qt_metacall$$?",	//1083
    "qt_metacast",	//1084
    "qt_metacast$",	//1085
    "qwtBoundingRect",	//1086
    "qwtBoundingRect?",	//1087
    "qwtBoundingRect?$",	//1088
    "qwtBoundingRect?$$",	//1089
    "qwtDegree2Pos",	//1090
    "qwtDegree2Pos#$$",	//1091
    "qwtDegrees",	//1092
    "qwtDegrees$",	//1093
    "qwtFastAtan",	//1094
    "qwtFastAtan$",	//1095
    "qwtFastAtan2",	//1096
    "qwtFastAtan2$$",	//1097
    "qwtFastDegree2Pos",	//1098
    "qwtFastDegree2Pos#$$",	//1099
    "qwtFastPolar2Pos",	//1100
    "qwtFastPolar2Pos#$$",	//1101
    "qwtFastPos2Polar",	//1102
    "qwtFastPos2Polar#",	//1103
    "qwtFuzzyCompare",	//1104
    "qwtFuzzyCompare$$$",	//1105
    "qwtFuzzyGreaterOrEqual",	//1106
    "qwtFuzzyGreaterOrEqual$$",	//1107
    "qwtFuzzyLessOrEqual",	//1108
    "qwtFuzzyLessOrEqual$$",	//1109
    "qwtGetMax",	//1110
    "qwtGetMax$$",	//1111
    "qwtGetMin",	//1112
    "qwtGetMin$$",	//1113
    "qwtNormalizeDegrees",	//1114
    "qwtNormalizeDegrees$",	//1115
    "qwtNormalizeRadians",	//1116
    "qwtNormalizeRadians$",	//1117
    "qwtPolar2Pos",	//1118
    "qwtPolar2Pos#$$",	//1119
    "qwtRadians",	//1120
    "qwtRadians$",	//1121
    "qwtSign",	//1122
    "qwtSign$",	//1123
    "qwtSqr",	//1124
    "qwtSqr$",	//1125
    "radius",	//1126
    "range",	//1127
    "rangeFlags",	//1128
    "reference",	//1129
    "remove",	//1130
    "removeItem",	//1131
    "removeItem#",	//1132
    "removed",	//1133
    "removed#",	//1134
    "renderContourLines",	//1135
    "renderContourLines##",	//1136
    "renderFlags",	//1137
    "renderImage",	//1138
    "renderImage####",	//1139
    "renderItem",	//1140
    "renderItem###$",	//1141
    "renderLegend",	//1142
    "renderLegend##$",	//1143
    "renderSymbols",	//1144
    "renderSymbols##$",	//1145
    "renderThreadCount",	//1146
    "renderTile",	//1147
    "renderTile####",	//1148
    "replot",	//1149
    "rescale",	//1150
    "rescale$",	//1151
    "rescale$$$",	//1152
    "reset",	//1153
    "resizeEvent",	//1154
    "resizeEvent#",	//1155
    "resizeMode",	//1156
    "rgb",	//1157
    "rgb#$",	//1158
    "rose",	//1159
    "roundingAlignment",	//1160
    "roundingAlignment#",	//1161
    "rtti",	//1162
    "rubberBand",	//1163
    "rubberBandMask",	//1164
    "rubberBandOverlay",	//1165
    "rubberBandPen",	//1166
    "s1",	//1167
    "s2",	//1168
    "sDist",	//1169
    "sample",	//1170
    "sample$",	//1171
    "scaleChange",	//1172
    "scaleDiv",	//1173
    "scaleDivChanged",	//1174
    "scaleDraw",	//1175
    "scaleEngine",	//1176
    "scaleInnerRect",	//1177
    "scaleMap",	//1178
    "scaleMaxMajor",	//1179
    "scaleMaxMinor",	//1180
    "scalePosition",	//1181
    "scaleRect",	//1182
    "scaleRect##",	//1183
    "scaleRect$",	//1184
    "scaleStepSize",	//1185
    "scrollExtent",	//1186
    "scrollExtent$",	//1187
    "scrolledTo",	//1188
    "scrolledTo#",	//1189
    "selected",	//1190
    "selected#",	//1191
    "selected?",	//1192
    "selection",	//1193
    "selectionType",	//1194
    "setAbortKey",	//1195
    "setAbortKey$",	//1196
    "setAbortKey$$",	//1197
    "setAbstractScaleDraw",	//1198
    "setAbstractScaleDraw#",	//1199
    "setAlarmBrush",	//1200
    "setAlarmBrush#",	//1201
    "setAlarmEnabled",	//1202
    "setAlarmEnabled$",	//1203
    "setAlarmLevel",	//1204
    "setAlarmLevel$",	//1205
    "setAlignCanvasToScale",	//1206
    "setAlignCanvasToScale$$",	//1207
    "setAlignCanvasToScales",	//1208
    "setAlignCanvasToScales$",	//1209
    "setAlignment",	//1210
    "setAlignment$",	//1211
    "setAlpha",	//1212
    "setAlpha$",	//1213
    "setAngleRange",	//1214
    "setAngleRange$$",	//1215
    "setAttribute",	//1216
    "setAttribute$",	//1217
    "setAttribute$$",	//1218
    "setAttributes",	//1219
    "setAttributes$",	//1220
    "setAutoDelete",	//1221
    "setAutoDelete$",	//1222
    "setAutoReplot",	//1223
    "setAutoReplot$",	//1224
    "setAxes",	//1225
    "setAxes$$",	//1226
    "setAxis",	//1227
    "setAxis$$",	//1228
    "setAxisAutoScale",	//1229
    "setAxisAutoScale$",	//1230
    "setAxisAutoScale$$",	//1231
    "setAxisEnabled",	//1232
    "setAxisEnabled$$",	//1233
    "setAxisFont",	//1234
    "setAxisFont$#",	//1235
    "setAxisLabelAlignment",	//1236
    "setAxisLabelAlignment$$",	//1237
    "setAxisLabelRotation",	//1238
    "setAxisLabelRotation$$",	//1239
    "setAxisMaxMajor",	//1240
    "setAxisMaxMajor$$",	//1241
    "setAxisMaxMinor",	//1242
    "setAxisMaxMinor$$",	//1243
    "setAxisScale",	//1244
    "setAxisScale$$$",	//1245
    "setAxisScale$$$$",	//1246
    "setAxisScaleDiv",	//1247
    "setAxisScaleDiv$#",	//1248
    "setAxisScaleDraw",	//1249
    "setAxisScaleDraw$#",	//1250
    "setAxisScaleEngine",	//1251
    "setAxisScaleEngine$#",	//1252
    "setAxisTitle",	//1253
    "setAxisTitle$#",	//1254
    "setAxisTitle$$",	//1255
    "setBackgroundBrush",	//1256
    "setBackgroundBrush#",	//1257
    "setBase",	//1258
    "setBase$",	//1259
    "setBaseline",	//1260
    "setBaseline$",	//1261
    "setBorderDist",	//1262
    "setBorderDist$$",	//1263
    "setBorderDistance",	//1264
    "setBorderDistance$",	//1265
    "setBorderPen",	//1266
    "setBorderPen#",	//1267
    "setBorderRadius",	//1268
    "setBorderRadius$",	//1269
    "setBorderWidth",	//1270
    "setBorderWidth$",	//1271
    "setBrush",	//1272
    "setBrush#",	//1273
    "setCachePolicy",	//1274
    "setCachePolicy$",	//1275
    "setCanvas",	//1276
    "setCanvas#",	//1277
    "setCanvasBackground",	//1278
    "setCanvasBackground#",	//1279
    "setCanvasMargin",	//1280
    "setCanvasMargin$",	//1281
    "setCanvasMargin$$",	//1282
    "setCanvasRect",	//1283
    "setCanvasRect#",	//1284
    "setColor",	//1285
    "setColor#",	//1286
    "setColorBarEnabled",	//1287
    "setColorBarEnabled$",	//1288
    "setColorBarWidth",	//1289
    "setColorBarWidth$",	//1290
    "setColorInterval",	//1291
    "setColorInterval##",	//1292
    "setColorMap",	//1293
    "setColorMap#",	//1294
    "setColorMap##",	//1295
    "setConrecFlag",	//1296
    "setConrecFlag$$",	//1297
    "setContourLevels",	//1298
    "setContourLevels?",	//1299
    "setCurrentTime",	//1300
    "setCursor",	//1301
    "setCursor#",	//1302
    "setCurveAttribute",	//1303
    "setCurveAttribute$",	//1304
    "setCurveAttribute$$",	//1305
    "setCurveFitter",	//1306
    "setCurveFitter#",	//1307
    "setData",	//1308
    "setData#",	//1309
    "setDefaultContourPen",	//1310
    "setDefaultContourPen#",	//1311
    "setDefaultContourPen#$",	//1312
    "setDefaultContourPen#$$",	//1313
    "setDefaultItemMode",	//1314
    "setDefaultItemMode$",	//1315
    "setDisplayMode",	//1316
    "setDisplayMode$",	//1317
    "setDisplayMode$$",	//1318
    "setEnabled",	//1319
    "setEnabled$",	//1320
    "setExpandingDirections",	//1321
    "setExpandingDirections$",	//1322
    "setFillBrush",	//1323
    "setFillBrush#",	//1324
    "setFitMode",	//1325
    "setFitMode$",	//1326
    "setFocusIndicator",	//1327
    "setFocusIndicator$",	//1328
    "setFont",	//1329
    "setFont#",	//1330
    "setFooter",	//1331
    "setFooter#",	//1332
    "setFooter$",	//1333
    "setFooterRect",	//1334
    "setFooterRect#",	//1335
    "setFrameShadow",	//1336
    "setFrameShadow$",	//1337
    "setGeometry",	//1338
    "setGeometry#",	//1339
    "setGraphic",	//1340
    "setGraphic#",	//1341
    "setGroove",	//1342
    "setGroove$",	//1343
    "setHand",	//1344
    "setHand$#",	//1345
    "setHandleSize",	//1346
    "setHandleSize#",	//1347
    "setIncSteps",	//1348
    "setIncSteps$$",	//1349
    "setIndent",	//1350
    "setIndent$",	//1351
    "setInterval",	//1352
    "setInterval#",	//1353
    "setInterval$#",	//1354
    "setInterval$$",	//1355
    "setInverted",	//1356
    "setInverted$",	//1357
    "setInvertedControls",	//1358
    "setInvertedControls$",	//1359
    "setItemAttribute",	//1360
    "setItemAttribute$",	//1361
    "setItemAttribute$$",	//1362
    "setItemInterest",	//1363
    "setItemInterest$",	//1364
    "setItemInterest$$",	//1365
    "setKeyFactor",	//1366
    "setKeyFactor$",	//1367
    "setKeyPattern",	//1368
    "setKeyPattern$$",	//1369
    "setKeyPattern$$$",	//1370
    "setKeyPattern?",	//1371
    "setKnobStyle",	//1372
    "setKnobStyle$",	//1373
    "setKnobWidth",	//1374
    "setKnobWidth$",	//1375
    "setLabel",	//1376
    "setLabel#",	//1377
    "setLabelAlignment",	//1378
    "setLabelAlignment$",	//1379
    "setLabelOrientation",	//1380
    "setLabelOrientation$",	//1381
    "setLabelRotation",	//1382
    "setLabelRotation$",	//1383
    "setLayoutAttribute",	//1384
    "setLayoutAttribute$",	//1385
    "setLayoutAttribute$$",	//1386
    "setLayoutFlag",	//1387
    "setLayoutFlag$$",	//1388
    "setLegendAttribute",	//1389
    "setLegendAttribute$",	//1390
    "setLegendAttribute$$",	//1391
    "setLegendIconSize",	//1392
    "setLegendIconSize#",	//1393
    "setLegendPosition",	//1394
    "setLegendPosition$",	//1395
    "setLegendPosition$$",	//1396
    "setLegendRatio",	//1397
    "setLegendRatio$",	//1398
    "setLegendRect",	//1399
    "setLegendRect#",	//1400
    "setLength",	//1401
    "setLength$",	//1402
    "setLinePen",	//1403
    "setLinePen#",	//1404
    "setLinePen#$",	//1405
    "setLinePen#$$",	//1406
    "setLineStyle",	//1407
    "setLineStyle$",	//1408
    "setLineWidth",	//1409
    "setLineWidth$",	//1410
    "setLowerBound",	//1411
    "setLowerBound$",	//1412
    "setMajorPen",	//1413
    "setMajorPen#",	//1414
    "setMajorPen#$",	//1415
    "setMajorPen#$$",	//1416
    "setMargin",	//1417
    "setMargin$",	//1418
    "setMargins",	//1419
    "setMargins$$",	//1420
    "setMarkerSize",	//1421
    "setMarkerSize$",	//1422
    "setMarkerStyle",	//1423
    "setMarkerStyle$",	//1424
    "setMass",	//1425
    "setMass$",	//1426
    "setMaxColumns",	//1427
    "setMaxColumns$",	//1428
    "setMaxScaleArc",	//1429
    "setMaxScaleArc$",	//1430
    "setMaxStackDepth",	//1431
    "setMaxStackDepth$",	//1432
    "setMaximum",	//1433
    "setMaximum$",	//1434
    "setMinBorderDist",	//1435
    "setMinBorderDist$$",	//1436
    "setMinScaleArc",	//1437
    "setMinScaleArc$",	//1438
    "setMinimum",	//1439
    "setMinimum$",	//1440
    "setMinimumExtent",	//1441
    "setMinimumExtent$",	//1442
    "setMinorPen",	//1443
    "setMinorPen#",	//1444
    "setMinorPen#$",	//1445
    "setMinorPen#$$",	//1446
    "setMode",	//1447
    "setMode$",	//1448
    "setMouseButton",	//1449
    "setMouseButton$",	//1450
    "setMouseButton$$",	//1451
    "setMouseFactor",	//1452
    "setMouseFactor$",	//1453
    "setMousePattern",	//1454
    "setMousePattern$$",	//1455
    "setMousePattern$$$",	//1456
    "setMousePattern?",	//1457
    "setNeedle",	//1458
    "setNeedle#",	//1459
    "setNumButtons",	//1460
    "setNumButtons$",	//1461
    "setNumThornLevels",	//1462
    "setNumThornLevels$",	//1463
    "setNumThorns",	//1464
    "setNumThorns$",	//1465
    "setNumTurns",	//1466
    "setNumTurns$",	//1467
    "setOrientation",	//1468
    "setOrientation$",	//1469
    "setOrientations",	//1470
    "setOrientations$",	//1471
    "setOrigin",	//1472
    "setOrigin$",	//1473
    "setOriginMode",	//1474
    "setOriginMode$",	//1475
    "setPageStepCount",	//1476
    "setPageStepCount$",	//1477
    "setPageSteps",	//1478
    "setPageSteps$",	//1479
    "setPaintAttribute",	//1480
    "setPaintAttribute$",	//1481
    "setPaintAttribute$$",	//1482
    "setPaintInterval",	//1483
    "setPaintInterval$$",	//1484
    "setPalette",	//1485
    "setPalette#",	//1486
    "setPath",	//1487
    "setPath#",	//1488
    "setPen",	//1489
    "setPen#",	//1490
    "setPen#$",	//1491
    "setPen#$$",	//1492
    "setPenWidth",	//1493
    "setPenWidth$",	//1494
    "setPinPoint",	//1495
    "setPinPoint#",	//1496
    "setPinPoint#$",	//1497
    "setPinPointEnabled",	//1498
    "setPinPointEnabled$",	//1499
    "setPipeWidth",	//1500
    "setPipeWidth$",	//1501
    "setPixmap",	//1502
    "setPixmap#",	//1503
    "setPlainText",	//1504
    "setPlainText$",	//1505
    "setPlotLayout",	//1506
    "setPlotLayout#",	//1507
    "setPoints",	//1508
    "setPoints#",	//1509
    "setPolylineSplitting",	//1510
    "setPolylineSplitting$",	//1511
    "setPosition",	//1512
    "setPosition$",	//1513
    "setRadius",	//1514
    "setRadius$",	//1515
    "setRange",	//1516
    "setRange$$",	//1517
    "setRangeFlags",	//1518
    "setRangeFlags$",	//1519
    "setRawSamples",	//1520
    "setRawSamples$$$",	//1521
    "setReadOnly",	//1522
    "setReadOnly$",	//1523
    "setRectOfInterest",	//1524
    "setReference",	//1525
    "setReference$",	//1526
    "setRenderFlags",	//1527
    "setRenderFlags$",	//1528
    "setRenderHint",	//1529
    "setRenderHint$",	//1530
    "setRenderHint$$",	//1531
    "setRenderThreadCount",	//1532
    "setRenderThreadCount$",	//1533
    "setResizeMode",	//1534
    "setResizeMode$",	//1535
    "setRose",	//1536
    "setRose#",	//1537
    "setRoundingAlignment",	//1538
    "setRoundingAlignment$",	//1539
    "setRubberBand",	//1540
    "setRubberBand$",	//1541
    "setRubberBandPen",	//1542
    "setRubberBandPen#",	//1543
    "setSamples",	//1544
    "setSamples$$$",	//1545
    "setSamples?",	//1546
    "setSamples??",	//1547
    "setScale",	//1548
    "setScale#",	//1549
    "setScale$$",	//1550
    "setScaleArc",	//1551
    "setScaleArc$$",	//1552
    "setScaleDiv",	//1553
    "setScaleDiv#",	//1554
    "setScaleDivFromAxis",	//1555
    "setScaleDivFromAxis$",	//1556
    "setScaleDraw",	//1557
    "setScaleDraw#",	//1558
    "setScaleEngine",	//1559
    "setScaleEngine#",	//1560
    "setScaleInterval",	//1561
    "setScaleInterval$$",	//1562
    "setScaleMaxMajor",	//1563
    "setScaleMaxMajor$",	//1564
    "setScaleMaxMinor",	//1565
    "setScaleMaxMinor$",	//1566
    "setScalePosition",	//1567
    "setScalePosition$",	//1568
    "setScaleRect",	//1569
    "setScaleRect$#",	//1570
    "setScaleStepSize",	//1571
    "setScaleStepSize$",	//1572
    "setShrinkFactor",	//1573
    "setShrinkFactor$",	//1574
    "setSingleStep",	//1575
    "setSingleStep$",	//1576
    "setSingleSteps",	//1577
    "setSingleSteps$",	//1578
    "setSize",	//1579
    "setSize#",	//1580
    "setSize$",	//1581
    "setSize$$",	//1582
    "setSpacing",	//1583
    "setSpacing$",	//1584
    "setSpline",	//1585
    "setSpline#",	//1586
    "setSplineSize",	//1587
    "setSplineSize$",	//1588
    "setSplineType",	//1589
    "setSplineType$",	//1590
    "setState",	//1591
    "setState$",	//1592
    "setStateMachine",	//1593
    "setStateMachine#",	//1594
    "setStepAlignment",	//1595
    "setStepAlignment$",	//1596
    "setStepButton1",	//1597
    "setStepButton1$",	//1598
    "setStepButton2",	//1599
    "setStepButton2$",	//1600
    "setStepButton3",	//1601
    "setStepButton3$",	//1602
    "setStyle",	//1603
    "setStyle$",	//1604
    "setSvgDocument",	//1605
    "setSvgDocument#",	//1606
    "setSymbol",	//1607
    "setSymbol#",	//1608
    "setText",	//1609
    "setText#",	//1610
    "setText$",	//1611
    "setText$$",	//1612
    "setTextEngine",	//1613
    "setTextEngine$#",	//1614
    "setTickCount",	//1615
    "setTickCount$",	//1616
    "setTickLength",	//1617
    "setTickLength$$",	//1618
    "setTicks",	//1619
    "setTicks$?",	//1620
    "setTime",	//1621
    "setTime#",	//1622
    "setTitle",	//1623
    "setTitle#",	//1624
    "setTitle$",	//1625
    "setTitleRect",	//1626
    "setTitleRect#",	//1627
    "setTotalAngle",	//1628
    "setTotalAngle$",	//1629
    "setTotalSteps",	//1630
    "setTotalSteps$",	//1631
    "setTrackerFont",	//1632
    "setTrackerFont#",	//1633
    "setTrackerMode",	//1634
    "setTrackerMode$",	//1635
    "setTrackerPen",	//1636
    "setTrackerPen#",	//1637
    "setTracking",	//1638
    "setTracking$",	//1639
    "setTransformation",	//1640
    "setTransformation#",	//1641
    "setTrough",	//1642
    "setTrough$",	//1643
    "setUpdateInterval",	//1644
    "setUpdateInterval$",	//1645
    "setUpperBound",	//1646
    "setUpperBound$",	//1647
    "setValid",	//1648
    "setValid$",	//1649
    "setValue",	//1650
    "setValue#",	//1651
    "setValue$",	//1652
    "setValue$$",	//1653
    "setViewAngle",	//1654
    "setViewAngle$",	//1655
    "setVisible",	//1656
    "setVisible$",	//1657
    "setWheelBorderWidth",	//1658
    "setWheelBorderWidth$",	//1659
    "setWheelFactor",	//1660
    "setWheelFactor$",	//1661
    "setWheelModifiers",	//1662
    "setWheelModifiers$",	//1663
    "setWheelWidth",	//1664
    "setWheelWidth$",	//1665
    "setWidth",	//1666
    "setWidth$",	//1667
    "setWrapping",	//1668
    "setWrapping$",	//1669
    "setXAxis",	//1670
    "setXAxis$",	//1671
    "setXDiv",	//1672
    "setXDiv#",	//1673
    "setXValue",	//1674
    "setXValue$",	//1675
    "setYAxis",	//1676
    "setYAxis$",	//1677
    "setYDiv",	//1678
    "setYDiv#",	//1679
    "setYValue",	//1680
    "setYValue$",	//1681
    "setZ",	//1682
    "setZ$",	//1683
    "setZoomBase",	//1684
    "setZoomBase#",	//1685
    "setZoomBase$",	//1686
    "setZoomInKey",	//1687
    "setZoomInKey$",	//1688
    "setZoomInKey$$",	//1689
    "setZoomOutKey",	//1690
    "setZoomOutKey$",	//1691
    "setZoomOutKey$$",	//1692
    "setZoomStack",	//1693
    "setZoomStack?",	//1694
    "setZoomStack?$",	//1695
    "show",	//1696
    "showEvent",	//1697
    "shrinkFactor",	//1698
    "singleStep",	//1699
    "singleSteps",	//1700
    "size",	//1701
    "sizeHint",	//1702
    "sliderChange",	//1703
    "sliderMoved",	//1704
    "sliderMoved$",	//1705
    "sliderPressed",	//1706
    "sliderRect",	//1707
    "sliderReleased",	//1708
    "spacerItem",	//1709
    "spacing",	//1710
    "spline",	//1711
    "splineSize",	//1712
    "splineType",	//1713
    "startBorderDist",	//1714
    "state",	//1715
    "stateMachine",	//1716
    "staticMetaObject",	//1717
    "stepAlignment",	//1718
    "stepButton1",	//1719
    "stepButton2",	//1720
    "stepButton3",	//1721
    "stopFlying",	//1722
    "stretchGrid",	//1723
    "stretchGrid#$??",	//1724
    "stretchSelection",	//1725
    "stretchSelection##",	//1726
    "strip",	//1727
    "strip?#",	//1728
    "style",	//1729
    "styleChange",	//1730
    "symbol",	//1731
    "tabletEvent",	//1732
    "takeAt",	//1733
    "takeAt$",	//1734
    "testAttribute",	//1735
    "testAttribute$",	//1736
    "testConrecFlag",	//1737
    "testConrecFlag$",	//1738
    "testCurveAttribute",	//1739
    "testCurveAttribute$",	//1740
    "testDisplayMode",	//1741
    "testDisplayMode$",	//1742
    "testItemAttribute",	//1743
    "testItemAttribute$",	//1744
    "testItemInterest",	//1745
    "testItemInterest$",	//1746
    "testLayoutAttribute",	//1747
    "testLayoutAttribute$",	//1748
    "testLayoutFlag",	//1749
    "testLayoutFlag$",	//1750
    "testLegendAttribute",	//1751
    "testLegendAttribute$",	//1752
    "testPaintAttribute",	//1753
    "testPaintAttribute$",	//1754
    "testRenderHint",	//1755
    "testRenderHint$",	//1756
    "text",	//1757
    "textEngine",	//1758
    "textEngine$",	//1759
    "textEngine$$",	//1760
    "textMargins",	//1761
    "textMargins#$$$$$",	//1762
    "textRect",	//1763
    "textSize",	//1764
    "textSize#",	//1765
    "textSize#$$",	//1766
    "tickCount",	//1767
    "tickLabel",	//1768
    "tickLabel#$",	//1769
    "tickLength",	//1770
    "tickLength$",	//1771
    "ticks",	//1772
    "ticks$",	//1773
    "timerEvent",	//1774
    "timerEvent#",	//1775
    "title",	//1776
    "titleHeightForWidth",	//1777
    "titleHeightForWidth$",	//1778
    "titleLabel",	//1779
    "titleRect",	//1780
    "totalAngle",	//1781
    "totalSteps",	//1782
    "tr",	//1783
    "tr$",	//1784
    "tr$$",	//1785
    "tr$$$",	//1786
    "trUtf8",	//1787
    "trUtf8$",	//1788
    "trUtf8$$",	//1789
    "trUtf8$$$",	//1790
    "trackerFont",	//1791
    "trackerMode",	//1792
    "trackerOverlay",	//1793
    "trackerPen",	//1794
    "trackerPosition",	//1795
    "trackerRect",	//1796
    "trackerRect#",	//1797
    "trackerText",	//1798
    "trackerText#",	//1799
    "trackerTextF",	//1800
    "trackerTextF#",	//1801
    "transform",	//1802
    "transform#",	//1803
    "transform###",	//1804
    "transform$",	//1805
    "transform$$",	//1806
    "transformation",	//1807
    "transition",	//1808
    "transition#",	//1809
    "transition##",	//1810
    "updateAxes",	//1811
    "updateCanvasMargins",	//1812
    "updateDisplay",	//1813
    "updateInterval",	//1814
    "updateLayout",	//1815
    "updateLegend",	//1816
    "updateLegend#",	//1817
    "updateLegend#?",	//1818
    "updateScaleDiv",	//1819
    "updateScaleDiv##",	//1820
    "updateStyleSheetInfo",	//1821
    "updateWidget",	//1822
    "updateWidget##",	//1823
    "upperBound",	//1824
    "upperMargin",	//1825
    "usedColor",	//1826
    "usedColor#",	//1827
    "usedFont",	//1828
    "usedFont#",	//1829
    "value",	//1830
    "value$",	//1831
    "value$$",	//1832
    "valueAt",	//1833
    "valueAt#",	//1834
    "valueChanged",	//1835
    "valueChanged$",	//1836
    "verticalScrollBar",	//1837
    "viewAngle",	//1838
    "wheelBorderWidth",	//1839
    "wheelEvent",	//1840
    "wheelEvent#",	//1841
    "wheelFactor",	//1842
    "wheelModifiers",	//1843
    "wheelMoved",	//1844
    "wheelMoved$",	//1845
    "wheelPressed",	//1846
    "wheelRect",	//1847
    "wheelReleased",	//1848
    "wheelWidth",	//1849
    "widget",	//1850
    "widgetEnterEvent",	//1851
    "widgetEnterEvent#",	//1852
    "widgetKeyPressEvent",	//1853
    "widgetKeyPressEvent#",	//1854
    "widgetKeyReleaseEvent",	//1855
    "widgetKeyReleaseEvent#",	//1856
    "widgetLeaveEvent",	//1857
    "widgetLeaveEvent#",	//1858
    "widgetMouseDoubleClickEvent",	//1859
    "widgetMouseDoubleClickEvent#",	//1860
    "widgetMouseMoveEvent",	//1861
    "widgetMouseMoveEvent#",	//1862
    "widgetMousePressEvent",	//1863
    "widgetMousePressEvent#",	//1864
    "widgetMouseReleaseEvent",	//1865
    "widgetMouseReleaseEvent#",	//1866
    "widgetWheelEvent",	//1867
    "widgetWheelEvent#",	//1868
    "width",	//1869
    "windowActivationChange",	//1870
    "wrapping",	//1871
    "x11Event",	//1872
    "xAxis",	//1873
    "xBottom",	//1874
    "xData",	//1875
    "xEnabled",	//1876
    "xMinEnabled",	//1877
    "xScaleDiv",	//1878
    "xTop",	//1879
    "xValue",	//1880
    "yAxis",	//1881
    "yData",	//1882
    "yEnabled",	//1883
    "yLeft",	//1884
    "yMinEnabled",	//1885
    "yRight",	//1886
    "yScaleDiv",	//1887
    "yValue",	//1888
    "z",	//1889
    "zoom",	//1890
    "zoom#",	//1891
    "zoom$",	//1892
    "zoomBase",	//1893
    "zoomRect",	//1894
    "zoomRectIndex",	//1895
    "zoomStack",	//1896
    "zoomed",	//1897
    "zoomed#",	//1898
    "~QwtAbstractScale",	//1899
    "~QwtAbstractScaleDraw",	//1900
    "~QwtAbstractSlider",	//1901
    "~QwtAlphaColorMap",	//1902
    "~QwtAnalogClock",	//1903
    "~QwtArrowButton",	//1904
    "~QwtCPointerData",	//1905
    "~QwtClipper",	//1906
    "~QwtColorMap",	//1907
    "~QwtCompass",	//1908
    "~QwtCompassMagnetNeedle",	//1909
    "~QwtCompassRose",	//1910
    "~QwtCompassWindArrow",	//1911
    "~QwtCounter",	//1912
    "~QwtCurveFitter",	//1913
    "~QwtDial",	//1914
    "~QwtDialNeedle",	//1915
    "~QwtDialSimpleNeedle",	//1916
    "~QwtDynGridLayout",	//1917
    "~QwtEventPattern",	//1918
    "~QwtKnob",	//1919
    "~QwtLegend",	//1920
    "~QwtLinearColorMap",	//1921
    "~QwtLinearScaleEngine",	//1922
    "~QwtMagnifier",	//1923
    "~QwtPainter",	//1924
    "~QwtPanner",	//1925
    "~QwtPicker",	//1926
    "~QwtPickerClickPointMachine",	//1927
    "~QwtPickerClickRectMachine",	//1928
    "~QwtPickerDragPointMachine",	//1929
    "~QwtPickerDragRectMachine",	//1930
    "~QwtPickerMachine",	//1931
    "~QwtPickerPolygonMachine",	//1932
    "~QwtPlainTextEngine",	//1933
    "~QwtPlot",	//1934
    "~QwtPlotCanvas",	//1935
    "~QwtPlotCurve",	//1936
    "~QwtPlotDict",	//1937
    "~QwtPlotGrid",	//1938
    "~QwtPlotItem",	//1939
    "~QwtPlotLayout",	//1940
    "~QwtPlotMagnifier",	//1941
    "~QwtPlotMarker",	//1942
    "~QwtPlotPanner",	//1943
    "~QwtPlotPicker",	//1944
    "~QwtPlotRasterItem",	//1945
    "~QwtPlotScaleItem",	//1946
    "~QwtPlotSpectrogram",	//1947
    "~QwtPlotZoomer",	//1948
    "~QwtRasterData",	//1949
    "~QwtRichTextEngine",	//1950
    "~QwtRoundScaleDraw",	//1951
    "~QwtScaleArithmetic",	//1952
    "~QwtScaleDiv",	//1953
    "~QwtScaleDraw",	//1954
    "~QwtScaleEngine",	//1955
    "~QwtScaleMap",	//1956
    "~QwtScaleWidget",	//1957
    "~QwtSimpleCompassRose",	//1958
    "~QwtSlider",	//1959
    "~QwtSpline",	//1960
    "~QwtSplineCurveFitter",	//1961
    "~QwtSymbol",	//1962
    "~QwtText",	//1963
    "~QwtTextEngine",	//1964
    "~QwtTextLabel",	//1965
    "~QwtThermo",	//1966
    "~QwtWheel",	//1967
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 828, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//1 QAbstractButton::hitButton(const QPoint&) const
    {1, 518, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2 QAbstractButton::checkStateSet()
    {1, 1031, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 QAbstractButton::nextCheckState()
    {1, 915, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//4 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {1, 1010, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractButton::mousePressEvent(QMouseEvent*)
    {1, 1012, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {1, 1007, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QAbstractButton::mouseMoveEvent(QMouseEvent*)
    {1, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QAbstractButton::changeEvent(QEvent*)
    {1, 1774, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QAbstractButton::timerEvent(QTimerEvent*)
    {19, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 0},	//10 QFrame::sizeHint() const
    {19, 758, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//11 QFrame::event(QEvent*)
    {19, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QFrame::paintEvent(QPaintEvent*)
    {19, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QFrame::changeEvent(QEvent*)
    {20, 1086, 13, 3, Smoke::mf_static, 63, 1},	//14 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&, int, int)
    {20, 1086, 17, 1, Smoke::mf_static, 63, 2},	//15 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&)
    {20, 1086, 19, 2, Smoke::mf_static, 63, 3},	//16 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&, int)
    {20, 1094, 22, 1, Smoke::mf_static, 417, 4},	//17 QGlobalSpace::qwtFastAtan(double)
    {20, 1100, 24, 3, Smoke::mf_static, 57, 5},	//18 QGlobalSpace::qwtFastPolar2Pos(const QPointF&, double, double)
    {20, 1086, 28, 3, Smoke::mf_static, 63, 6},	//19 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&, int, int)
    {20, 1086, 32, 1, Smoke::mf_static, 63, 7},	//20 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&)
    {20, 1086, 34, 2, Smoke::mf_static, 63, 8},	//21 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&, int)
    {20, 1090, 37, 3, Smoke::mf_static, 56, 9},	//22 QGlobalSpace::qwtDegree2Pos(const QPoint&, double, double)
    {20, 1118, 24, 3, Smoke::mf_static, 57, 10},	//23 QGlobalSpace::qwtPolar2Pos(const QPointF&, double, double)
    {20, 1120, 22, 1, Smoke::mf_static, 417, 11},	//24 QGlobalSpace::qwtRadians(double)
    {20, 1090, 24, 3, Smoke::mf_static, 57, 12},	//25 QGlobalSpace::qwtDegree2Pos(const QPointF&, double, double)
    {20, 1096, 41, 2, Smoke::mf_static, 417, 13},	//26 QGlobalSpace::qwtFastAtan2(double, double)
    {20, 1116, 22, 1, Smoke::mf_static, 417, 14},	//27 QGlobalSpace::qwtNormalizeRadians(double)
    {20, 1098, 24, 3, Smoke::mf_static, 57, 15},	//28 QGlobalSpace::qwtFastDegree2Pos(const QPointF&, double, double)
    {20, 1086, 44, 3, Smoke::mf_static, 63, 16},	//29 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&, int, int)
    {20, 1086, 48, 1, Smoke::mf_static, 63, 17},	//30 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&)
    {20, 1086, 50, 2, Smoke::mf_static, 63, 18},	//31 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&, int)
    {20, 1102, 53, 1, Smoke::mf_static, 262, 19},	//32 QGlobalSpace::qwtFastPos2Polar(const QPointF&)
    {20, 1110, 55, 2, Smoke::mf_static, 417, 20},	//33 QGlobalSpace::qwtGetMax(const double*, int)
    {20, 1108, 41, 2, Smoke::mf_static, 307, 21},	//34 QGlobalSpace::qwtFuzzyLessOrEqual(double, double)
    {20, 1124, 22, 1, Smoke::mf_static, 417, 22},	//35 QGlobalSpace::qwtSqr(double)
    {20, 1086, 58, 3, Smoke::mf_static, 63, 23},	//36 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&, int, int)
    {20, 1086, 62, 1, Smoke::mf_static, 63, 24},	//37 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&)
    {20, 1086, 64, 2, Smoke::mf_static, 63, 25},	//38 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&, int)
    {20, 1106, 41, 2, Smoke::mf_static, 307, 26},	//39 QGlobalSpace::qwtFuzzyGreaterOrEqual(double, double)
    {20, 1112, 55, 2, Smoke::mf_static, 417, 27},	//40 QGlobalSpace::qwtGetMin(const double*, int)
    {20, 1114, 22, 1, Smoke::mf_static, 417, 28},	//41 QGlobalSpace::qwtNormalizeDegrees(double)
    {20, 1086, 67, 3, Smoke::mf_static, 63, 29},	//42 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&, int, int)
    {20, 1086, 71, 1, Smoke::mf_static, 63, 30},	//43 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&)
    {20, 1086, 73, 2, Smoke::mf_static, 63, 31},	//44 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&, int)
    {20, 1086, 76, 3, Smoke::mf_static, 63, 32},	//45 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&, int, int)
    {20, 1086, 80, 1, Smoke::mf_static, 63, 33},	//46 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&)
    {20, 1086, 82, 2, Smoke::mf_static, 63, 34},	//47 QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&, int)
    {20, 1122, 22, 1, Smoke::mf_static, 420, 35},	//48 QGlobalSpace::qwtSign(double)
    {20, 1092, 22, 1, Smoke::mf_static, 417, 36},	//49 QGlobalSpace::qwtDegrees(double)
    {20, 1118, 37, 3, Smoke::mf_static, 56, 37},	//50 QGlobalSpace::qwtPolar2Pos(const QPoint&, double, double)
    {20, 1104, 85, 3, Smoke::mf_static, 420, 38},	//51 QGlobalSpace::qwtFuzzyCompare(double, double, double)
    {20, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 423, 39},	//52 QGlobalSpace::FP_NAN (enum)
    {20, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 423, 40},	//53 QGlobalSpace::FP_INFINITE (enum)
    {20, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 423, 41},	//54 QGlobalSpace::FP_ZERO (enum)
    {20, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 423, 42},	//55 QGlobalSpace::FP_SUBNORMAL (enum)
    {20, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 423, 43},	//56 QGlobalSpace::FP_NORMAL (enum)
    {25, 792, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//57 QLayout::geometry() const
    {25, 997, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 0},	//58 QLayout::minimumSize() const
    {25, 981, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 0},	//59 QLayout::maximumSize() const
    {25, 839, 89, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 0},	//60 QLayout::indexOf(QWidget*) const
    {25, 933, 0, 0, Smoke::mf_virtual, 30, 0},	//61 QLayout::layout()
    {25, 521, 91, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//62 QLayout::childEvent(QChildEvent*)
    {26, 996, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 0},	//63 QLayoutItem::minimumHeightForWidth(int) const
    {26, 1850, 0, 0, Smoke::mf_virtual, 91, 0},	//64 QLayoutItem::widget()
    {26, 1709, 0, 0, Smoke::mf_virtual, 73, 0},	//65 QLayoutItem::spacerItem()
    {31, 758, 7, 1, Smoke::mf_virtual, 307, 0},	//66 QObject::event(QEvent*)
    {31, 760, 95, 2, Smoke::mf_virtual, 307, 0},	//67 QObject::eventFilter(QObject*, QEvent*)
    {31, 1774, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QObject::timerEvent(QTimerEvent*)
    {31, 521, 91, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QObject::childEvent(QChildEvent*)
    {31, 577, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QObject::customEvent(QEvent*)
    {31, 558, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//71 QObject::connectNotify(const char*)
    {31, 594, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//72 QObject::disconnectNotify(const char*)
    {43, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 0},	//73 QPushButton::metaObject() const
    {43, 1084, 98, 1, Smoke::mf_virtual, 427, 0},	//74 QPushButton::qt_metacast(const char*)
    {43, 1082, 100, 3, Smoke::mf_virtual, 420, 0},	//75 QPushButton::qt_metacall(QMetaObject::Call, int, void**)
    {43, 758, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//76 QPushButton::event(QEvent*)
    {43, 781, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//77 QPushButton::focusInEvent(QFocusEvent*)
    {43, 784, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//78 QPushButton::focusOutEvent(QFocusEvent*)
    {62, 590, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 0},	//79 QWidget::devType() const
    {62, 1656, 106, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//80 QWidget::setVisible(bool)
    {62, 1702, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 71, 0},	//81 QWidget::sizeHint() const
    {62, 998, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 71, 0},	//82 QWidget::minimumSizeHint() const
    {62, 822, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 0},	//83 QWidget::heightForWidth(int) const
    {62, 1054, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 46, 0},	//84 QWidget::paintEngine() const
    {62, 758, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//85 QWidget::event(QEvent*)
    {62, 1010, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//86 QWidget::mousePressEvent(QMouseEvent*)
    {62, 1012, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//87 QWidget::mouseReleaseEvent(QMouseEvent*)
    {62, 1002, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//88 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {62, 1007, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//89 QWidget::mouseMoveEvent(QMouseEvent*)
    {62, 1840, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//90 QWidget::wheelEvent(QWheelEvent*)
    {62, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//91 QWidget::keyPressEvent(QKeyEvent*)
    {62, 915, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//92 QWidget::keyReleaseEvent(QKeyEvent*)
    {62, 781, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//93 QWidget::focusInEvent(QFocusEvent*)
    {62, 784, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//94 QWidget::focusOutEvent(QFocusEvent*)
    {62, 757, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//95 QWidget::enterEvent(QEvent*)
    {62, 942, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//96 QWidget::leaveEvent(QEvent*)
    {62, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//97 QWidget::paintEvent(QPaintEvent*)
    {62, 1024, 110, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//98 QWidget::moveEvent(QMoveEvent*)
    {62, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//99 QWidget::resizeEvent(QResizeEvent*)
    {62, 533, 114, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//100 QWidget::closeEvent(QCloseEvent*)
    {62, 564, 116, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//101 QWidget::contextMenuEvent(QContextMenuEvent*)
    {62, 1732, 118, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//102 QWidget::tabletEvent(QTabletEvent*)
    {62, 400, 120, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//103 QWidget::actionEvent(QActionEvent*)
    {62, 603, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//104 QWidget::dragEnterEvent(QDragEnterEvent*)
    {62, 605, 124, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//105 QWidget::dragMoveEvent(QDragMoveEvent*)
    {62, 604, 126, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//106 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {62, 738, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//107 QWidget::dropEvent(QDropEvent*)
    {62, 1697, 130, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//108 QWidget::showEvent(QShowEvent*)
    {62, 827, 132, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//109 QWidget::hideEvent(QHideEvent*)
    {62, 1872, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//110 QWidget::x11Event(_XEvent*)
    {62, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//111 QWidget::changeEvent(QEvent*)
    {62, 983, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 420, 0},	//112 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {62, 849, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 QWidget::inputMethodEvent(QInputMethodEvent*)
    {62, 850, 140, 1, Smoke::mf_const|Smoke::mf_virtual, 82, 0},	//114 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {62, 783, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 0},	//115 QWidget::focusNextPrevChild(bool)
    {62, 1730, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 QWidget::styleChange(QStyle&)
    {62, 753, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//117 QWidget::enabledChange(bool)
    {62, 1060, 144, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QWidget::paletteChange(const QPalette&)
    {62, 786, 146, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QWidget::fontChange(const QFont&)
    {62, 1870, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QWidget::windowActivationChange(bool)
    {62, 932, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//121 QWidget::languageChange()
    {64, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//122 QwtAbstractScale::metaObject() const
    {64, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//123 QwtAbstractScale::qt_metacast(const char*)
    {64, 1783, 148, 2, Smoke::mf_static, 74, 3},	//124 QwtAbstractScale::tr(const char*, const char*)
    {64, 1787, 148, 2, Smoke::mf_static, 74, 4},	//125 QwtAbstractScale::trUtf8(const char*, const char*)
    {64, 1783, 151, 3, Smoke::mf_static, 74, 5},	//126 QwtAbstractScale::tr(const char*, const char*, int)
    {64, 1787, 151, 3, Smoke::mf_static, 74, 6},	//127 QwtAbstractScale::trUtf8(const char*, const char*, int)
    {64, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//128 QwtAbstractScale::qt_metacall(QMetaObject::Call, int, void**)
    {64, 144, 89, 1, Smoke::mf_ctor, 166, 8},	//129 QwtAbstractScale::QwtAbstractScale(QWidget*)
    {64, 1548, 41, 2, 0, 0, 9},	//130 QwtAbstractScale::setScale(double, double)
    {64, 1548, 155, 1, 0, 0, 10},	//131 QwtAbstractScale::setScale(const QwtInterval&)
    {64, 1548, 157, 1, 0, 0, 11},	//132 QwtAbstractScale::setScale(const QwtScaleDiv&)
    {64, 1173, 0, 0, Smoke::mf_const, 390, 12},	//133 QwtAbstractScale::scaleDiv() const
    {64, 1411, 22, 1, Smoke::mf_property, 0, 13},	//134 QwtAbstractScale::setLowerBound(double)
    {64, 962, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 14},	//135 QwtAbstractScale::lowerBound() const
    {64, 1646, 22, 1, Smoke::mf_property, 0, 15},	//136 QwtAbstractScale::setUpperBound(double)
    {64, 1824, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 16},	//137 QwtAbstractScale::upperBound() const
    {64, 1571, 22, 1, Smoke::mf_property, 0, 17},	//138 QwtAbstractScale::setScaleStepSize(double)
    {64, 1185, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 18},	//139 QwtAbstractScale::scaleStepSize() const
    {64, 1563, 93, 1, Smoke::mf_property, 0, 19},	//140 QwtAbstractScale::setScaleMaxMajor(int)
    {64, 1180, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 20},	//141 QwtAbstractScale::scaleMaxMinor() const
    {64, 1565, 93, 1, Smoke::mf_property, 0, 21},	//142 QwtAbstractScale::setScaleMaxMinor(int)
    {64, 1179, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 22},	//143 QwtAbstractScale::scaleMaxMajor() const
    {64, 1559, 159, 1, 0, 0, 23},	//144 QwtAbstractScale::setScaleEngine(QwtScaleEngine*)
    {64, 1176, 0, 0, Smoke::mf_const, 393, 24},	//145 QwtAbstractScale::scaleEngine() const
    {64, 1176, 0, 0, 0, 273, 25},	//146 QwtAbstractScale::scaleEngine()
    {64, 1802, 22, 1, Smoke::mf_const, 420, 26},	//147 QwtAbstractScale::transform(double) const
    {64, 859, 93, 1, Smoke::mf_const, 417, 27},	//148 QwtAbstractScale::invTransform(int) const
    {64, 879, 0, 0, Smoke::mf_const, 307, 28},	//149 QwtAbstractScale::isInverted() const
    {64, 994, 0, 0, Smoke::mf_const, 417, 29},	//150 QwtAbstractScale::minimum() const
    {64, 980, 0, 0, Smoke::mf_const, 417, 30},	//151 QwtAbstractScale::maximum() const
    {64, 1178, 0, 0, Smoke::mf_const, 394, 31},	//152 QwtAbstractScale::scaleMap() const
    {64, 1150, 85, 3, Smoke::mf_protected, 0, 32},	//153 QwtAbstractScale::rescale(double, double, double)
    {64, 1198, 161, 1, Smoke::mf_protected, 0, 33},	//154 QwtAbstractScale::setAbstractScaleDraw(QwtAbstractScaleDraw*)
    {64, 397, 0, 0, Smoke::mf_const|Smoke::mf_protected, 353, 34},	//155 QwtAbstractScale::abstractScaleDraw() const
    {64, 397, 0, 0, Smoke::mf_protected, 167, 35},	//156 QwtAbstractScale::abstractScaleDraw()
    {64, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//157 QwtAbstractScale::scaleChange()
    {64, 1783, 98, 1, Smoke::mf_static, 74, 37},	//158 QwtAbstractScale::tr(const char*)
    {64, 1787, 98, 1, Smoke::mf_static, 74, 38},	//159 QwtAbstractScale::trUtf8(const char*)
    {64, 144, 0, 0, Smoke::mf_ctor, 166, 39},	//160 QwtAbstractScale::QwtAbstractScale()
    {64, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 40},	//161 QwtAbstractScale::staticMetaObject() const
    {64, 1899, 0, 0, Smoke::mf_dtor, 0, 41 },	//162 QwtAbstractScale::~QwtAbstractScale()
    {65, 146, 0, 0, Smoke::mf_ctor, 167, 1},	//163 QwtAbstractScaleDraw::QwtAbstractScaleDraw()
    {65, 1553, 157, 1, 0, 0, 2},	//164 QwtAbstractScaleDraw::setScaleDiv(const QwtScaleDiv&)
    {65, 1173, 0, 0, Smoke::mf_const, 390, 3},	//165 QwtAbstractScaleDraw::scaleDiv() const
    {65, 1640, 163, 1, 0, 0, 4},	//166 QwtAbstractScaleDraw::setTransformation(QwtTransform*)
    {65, 1178, 0, 0, Smoke::mf_const, 394, 5},	//167 QwtAbstractScaleDraw::scaleMap() const
    {65, 1178, 0, 0, 0, 276, 6},	//168 QwtAbstractScaleDraw::scaleMap()
    {65, 742, 165, 2, 0, 0, 7},	//169 QwtAbstractScaleDraw::enableComponent(QwtAbstractScaleDraw::ScaleComponent, bool)
    {65, 817, 168, 1, Smoke::mf_const, 307, 8},	//170 QwtAbstractScaleDraw::hasComponent(QwtAbstractScaleDraw::ScaleComponent) const
    {65, 1617, 170, 2, 0, 0, 9},	//171 QwtAbstractScaleDraw::setTickLength(QwtScaleDiv::TickType, double)
    {65, 1770, 173, 1, Smoke::mf_const, 417, 10},	//172 QwtAbstractScaleDraw::tickLength(QwtScaleDiv::TickType) const
    {65, 977, 0, 0, Smoke::mf_const, 417, 11},	//173 QwtAbstractScaleDraw::maxTickLength() const
    {65, 1583, 22, 1, 0, 0, 12},	//174 QwtAbstractScaleDraw::setSpacing(double)
    {65, 1710, 0, 0, Smoke::mf_const, 417, 13},	//175 QwtAbstractScaleDraw::spacing() const
    {65, 1493, 93, 1, 0, 0, 14},	//176 QwtAbstractScaleDraw::setPenWidth(int)
    {65, 1066, 0, 0, Smoke::mf_const, 420, 15},	//177 QwtAbstractScaleDraw::penWidth() const
    {65, 606, 175, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 16},	//178 QwtAbstractScaleDraw::draw(QPainter*, const QPalette&) const
    {65, 919, 22, 1, Smoke::mf_const|Smoke::mf_virtual, 293, 17},	//179 QwtAbstractScaleDraw::label(double) const
    {65, 765, 146, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 417, 18},	//180 QwtAbstractScaleDraw::extent(const QFont&) const [pure virtual]
    {65, 1441, 22, 1, 0, 0, 19},	//181 QwtAbstractScaleDraw::setMinimumExtent(double)
    {65, 995, 0, 0, Smoke::mf_const, 417, 20},	//182 QwtAbstractScaleDraw::minimumExtent() const
    {65, 728, 178, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//183 QwtAbstractScaleDraw::drawTick(QPainter*, double, double) const [pure virtual]
    {65, 614, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//184 QwtAbstractScaleDraw::drawBackbone(QPainter*) const [pure virtual]
    {65, 656, 184, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//185 QwtAbstractScaleDraw::drawLabel(QPainter*, double) const [pure virtual]
    {65, 866, 0, 0, Smoke::mf_protected, 0, 24},	//186 QwtAbstractScaleDraw::invalidateCache()
    {65, 1768, 187, 2, Smoke::mf_const|Smoke::mf_protected, 407, 25},	//187 QwtAbstractScaleDraw::tickLabel(const QFont&, double) const
    {65, 742, 168, 1, 0, 0, 26},	//188 QwtAbstractScaleDraw::enableComponent(QwtAbstractScaleDraw::ScaleComponent)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 27},	//189 QwtAbstractScaleDraw::Backbone (enum)
    {65, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//190 QwtAbstractScaleDraw::Ticks (enum)
    {65, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 29},	//191 QwtAbstractScaleDraw::Labels (enum)
    {65, 1900, 0, 0, Smoke::mf_dtor, 0, 30 },	//192 QwtAbstractScaleDraw::~QwtAbstractScaleDraw()
    {66, 1524, 190, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 0},	//193 QwtAbstractSeriesStore::setRectOfInterest(const QRectF&) [pure virtual]
    {66, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 63, 0},	//194 QwtAbstractSeriesStore::dataRect() const [pure virtual]
    {66, 581, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 424, 0},	//195 QwtAbstractSeriesStore::dataSize() const [pure virtual]
    {67, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//196 QwtAbstractSlider::metaObject() const
    {67, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//197 QwtAbstractSlider::qt_metacast(const char*)
    {67, 1783, 148, 2, Smoke::mf_static, 74, 3},	//198 QwtAbstractSlider::tr(const char*, const char*)
    {67, 1787, 148, 2, Smoke::mf_static, 74, 4},	//199 QwtAbstractSlider::trUtf8(const char*, const char*)
    {67, 1783, 151, 3, Smoke::mf_static, 74, 5},	//200 QwtAbstractSlider::tr(const char*, const char*, int)
    {67, 1787, 151, 3, Smoke::mf_static, 74, 6},	//201 QwtAbstractSlider::trUtf8(const char*, const char*, int)
    {67, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//202 QwtAbstractSlider::qt_metacall(QMetaObject::Call, int, void**)
    {67, 147, 89, 1, Smoke::mf_ctor, 169, 8},	//203 QwtAbstractSlider::QwtAbstractSlider(QWidget*)
    {67, 1648, 106, 1, 0, 0, 9},	//204 QwtAbstractSlider::setValid(bool)
    {67, 890, 0, 0, Smoke::mf_const, 307, 10},	//205 QwtAbstractSlider::isValid() const
    {67, 1830, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 11},	//206 QwtAbstractSlider::value() const
    {67, 1668, 106, 1, Smoke::mf_property, 0, 12},	//207 QwtAbstractSlider::setWrapping(bool)
    {67, 1871, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 13},	//208 QwtAbstractSlider::wrapping() const
    {67, 1630, 192, 1, 0, 0, 14},	//209 QwtAbstractSlider::setTotalSteps(unsigned int)
    {67, 1782, 0, 0, Smoke::mf_const, 426, 15},	//210 QwtAbstractSlider::totalSteps() const
    {67, 1577, 192, 1, 0, 0, 16},	//211 QwtAbstractSlider::setSingleSteps(unsigned int)
    {67, 1700, 0, 0, Smoke::mf_const, 426, 17},	//212 QwtAbstractSlider::singleSteps() const
    {67, 1478, 192, 1, 0, 0, 18},	//213 QwtAbstractSlider::setPageSteps(unsigned int)
    {67, 1053, 0, 0, Smoke::mf_const, 426, 19},	//214 QwtAbstractSlider::pageSteps() const
    {67, 1595, 106, 1, Smoke::mf_property, 0, 20},	//215 QwtAbstractSlider::setStepAlignment(bool)
    {67, 1718, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 21},	//216 QwtAbstractSlider::stepAlignment() const
    {67, 1638, 106, 1, Smoke::mf_property, 0, 22},	//217 QwtAbstractSlider::setTracking(bool)
    {67, 889, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 23},	//218 QwtAbstractSlider::isTracking() const
    {67, 1522, 106, 1, Smoke::mf_property, 0, 24},	//219 QwtAbstractSlider::setReadOnly(bool)
    {67, 885, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 25},	//220 QwtAbstractSlider::isReadOnly() const
    {67, 1358, 106, 1, Smoke::mf_property, 0, 26},	//221 QwtAbstractSlider::setInvertedControls(bool)
    {67, 869, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 27},	//222 QwtAbstractSlider::invertedControls() const
    {67, 1650, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//223 QwtAbstractSlider::setValue(double)
    {67, 1835, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//224 QwtAbstractSlider::valueChanged(double)
    {67, 1706, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//225 QwtAbstractSlider::sliderPressed()
    {67, 1708, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//226 QwtAbstractSlider::sliderReleased()
    {67, 1704, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//227 QwtAbstractSlider::sliderMoved(double)
    {67, 1010, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//228 QwtAbstractSlider::mousePressEvent(QMouseEvent*)
    {67, 1012, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//229 QwtAbstractSlider::mouseReleaseEvent(QMouseEvent*)
    {67, 1007, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//230 QwtAbstractSlider::mouseMoveEvent(QMouseEvent*)
    {67, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//231 QwtAbstractSlider::keyPressEvent(QKeyEvent*)
    {67, 1840, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//232 QwtAbstractSlider::wheelEvent(QWheelEvent*)
    {67, 887, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 307, 38},	//233 QwtAbstractSlider::isScrollPosition(const QPoint&) const [pure virtual]
    {67, 1188, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 417, 39},	//234 QwtAbstractSlider::scrolledTo(const QPoint&) const [pure virtual]
    {67, 834, 93, 1, Smoke::mf_protected, 0, 40},	//235 QwtAbstractSlider::incrementValue(int)
    {67, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//236 QwtAbstractSlider::scaleChange()
    {67, 1703, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//237 QwtAbstractSlider::sliderChange()
    {67, 836, 194, 2, Smoke::mf_const|Smoke::mf_protected, 417, 43},	//238 QwtAbstractSlider::incrementedValue(double, int) const
    {67, 1783, 98, 1, Smoke::mf_static, 74, 44},	//239 QwtAbstractSlider::tr(const char*)
    {67, 1787, 98, 1, Smoke::mf_static, 74, 45},	//240 QwtAbstractSlider::trUtf8(const char*)
    {67, 147, 0, 0, Smoke::mf_ctor, 169, 46},	//241 QwtAbstractSlider::QwtAbstractSlider()
    {67, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 47},	//242 QwtAbstractSlider::staticMetaObject() const
    {67, 1901, 0, 0, Smoke::mf_dtor, 0, 48 },	//243 QwtAbstractSlider::~QwtAbstractSlider()
    {68, 149, 197, 1, Smoke::mf_ctor, 170, 1},	//244 QwtAlphaColorMap::QwtAlphaColorMap(const QColor&)
    {68, 1285, 197, 1, 0, 0, 2},	//245 QwtAlphaColorMap::setColor(const QColor&)
    {68, 542, 0, 0, Smoke::mf_const, 7, 3},	//246 QwtAlphaColorMap::color() const
    {68, 1157, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 426, 4},	//247 QwtAlphaColorMap::rgb(const QwtInterval&, double) const
    {68, 149, 0, 0, Smoke::mf_ctor, 170, 5},	//248 QwtAlphaColorMap::QwtAlphaColorMap()
    {68, 1902, 0, 0, Smoke::mf_dtor, 0, 6 },	//249 QwtAlphaColorMap::~QwtAlphaColorMap()
    {69, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//250 QwtAnalogClock::metaObject() const
    {69, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//251 QwtAnalogClock::qt_metacast(const char*)
    {69, 1783, 148, 2, Smoke::mf_static, 74, 3},	//252 QwtAnalogClock::tr(const char*, const char*)
    {69, 1787, 148, 2, Smoke::mf_static, 74, 4},	//253 QwtAnalogClock::trUtf8(const char*, const char*)
    {69, 1783, 151, 3, Smoke::mf_static, 74, 5},	//254 QwtAnalogClock::tr(const char*, const char*, int)
    {69, 1787, 151, 3, Smoke::mf_static, 74, 6},	//255 QwtAnalogClock::trUtf8(const char*, const char*, int)
    {69, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//256 QwtAnalogClock::qt_metacall(QMetaObject::Call, int, void**)
    {69, 151, 89, 1, Smoke::mf_ctor, 171, 8},	//257 QwtAnalogClock::QwtAnalogClock(QWidget*)
    {69, 1344, 202, 2, 0, 0, 9},	//258 QwtAnalogClock::setHand(QwtAnalogClock::Hand, QwtDialNeedle*)
    {69, 813, 205, 1, Smoke::mf_const, 363, 10},	//259 QwtAnalogClock::hand(QwtAnalogClock::Hand) const
    {69, 813, 205, 1, 0, 190, 11},	//260 QwtAnalogClock::hand(QwtAnalogClock::Hand)
    {69, 1300, 0, 0, Smoke::mf_slot, 0, 12},	//261 QwtAnalogClock::setCurrentTime()
    {69, 1621, 207, 1, Smoke::mf_slot, 0, 13},	//262 QwtAnalogClock::setTime(const QTime&)
    {69, 670, 209, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//263 QwtAnalogClock::drawNeedle(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const
    {69, 645, 215, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//264 QwtAnalogClock::drawHand(QPainter*, QwtAnalogClock::Hand, const QPointF&, double, double, QPalette::ColorGroup) const
    {69, 1783, 98, 1, Smoke::mf_static, 74, 16},	//265 QwtAnalogClock::tr(const char*)
    {69, 1787, 98, 1, Smoke::mf_static, 74, 17},	//266 QwtAnalogClock::trUtf8(const char*)
    {69, 151, 0, 0, Smoke::mf_ctor, 171, 18},	//267 QwtAnalogClock::QwtAnalogClock()
    {69, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 19},	//268 QwtAnalogClock::staticMetaObject() const
    {69, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 20},	//269 QwtAnalogClock::SecondHand (enum)
    {69, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 21},	//270 QwtAnalogClock::MinuteHand (enum)
    {69, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 22},	//271 QwtAnalogClock::HourHand (enum)
    {69, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 23},	//272 QwtAnalogClock::NHands (enum)
    {69, 1903, 0, 0, Smoke::mf_dtor, 0, 24 },	//273 QwtAnalogClock::~QwtAnalogClock()
    {70, 153, 222, 3, Smoke::mf_ctor, 173, 1},	//274 QwtArrowButton::QwtArrowButton(int, Qt::ArrowType, QWidget*)
    {70, 435, 0, 0, Smoke::mf_const, 96, 2},	//275 QwtArrowButton::arrowType() const
    {70, 1032, 0, 0, Smoke::mf_const, 420, 3},	//276 QwtArrowButton::num() const
    {70, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 4},	//277 QwtArrowButton::sizeHint() const
    {70, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 5},	//278 QwtArrowButton::minimumSizeHint() const
    {70, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 6},	//279 QwtArrowButton::paintEvent(QPaintEvent*)
    {70, 620, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 7},	//280 QwtArrowButton::drawButtonLabel(QPainter*)
    {70, 612, 226, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 8},	//281 QwtArrowButton::drawArrow(QPainter*, const QRect&, Qt::ArrowType) const
    {70, 925, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 62, 9},	//282 QwtArrowButton::labelRect() const
    {70, 433, 230, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 71, 10},	//283 QwtArrowButton::arrowSize(Qt::ArrowType, const QSize&) const
    {70, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//284 QwtArrowButton::keyPressEvent(QKeyEvent*)
    {70, 153, 233, 2, Smoke::mf_ctor, 173, 12},	//285 QwtArrowButton::QwtArrowButton(int, Qt::ArrowType)
    {70, 1904, 0, 0, Smoke::mf_dtor, 0, 13 },	//286 QwtArrowButton::~QwtArrowButton()
    {71, 156, 236, 3, Smoke::mf_ctor, 174, 1},	//287 QwtCPointerData::QwtCPointerData(const double*, const double*, size_t)
    {71, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 2},	//288 QwtCPointerData::boundingRect() const
    {71, 1701, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 3},	//289 QwtCPointerData::size() const
    {71, 1170, 240, 1, Smoke::mf_const|Smoke::mf_virtual, 57, 4},	//290 QwtCPointerData::sample(size_t) const
    {71, 1875, 0, 0, Smoke::mf_const, 415, 5},	//291 QwtCPointerData::xData() const
    {71, 1882, 0, 0, Smoke::mf_const, 415, 6},	//292 QwtCPointerData::yData() const
    {71, 156, 242, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 174, 7},	//293 QwtCPointerData::QwtCPointerData(const QwtCPointerData&)
    {71, 1905, 0, 0, Smoke::mf_dtor, 0, 8 },	//294 QwtCPointerData::~QwtCPointerData()
    {72, 527, 244, 3, Smoke::mf_static, 58, 1},	//295 QwtClipper::clipPolygon(const QRect&, const QPolygon&, bool)
    {72, 527, 248, 3, Smoke::mf_static, 58, 2},	//296 QwtClipper::clipPolygon(const QRectF&, const QPolygon&, bool)
    {72, 530, 252, 3, Smoke::mf_static, 60, 3},	//297 QwtClipper::clipPolygonF(const QRectF&, const QPolygonF&, bool)
    {72, 525, 256, 3, Smoke::mf_static, 86, 4},	//298 QwtClipper::clipCircle(const QRectF&, const QPointF&, double)
    {72, 159, 0, 0, Smoke::mf_ctor, 175, 5},	//299 QwtClipper::QwtClipper()
    {72, 159, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 6},	//300 QwtClipper::QwtClipper(const QwtClipper&)
    {72, 527, 262, 2, Smoke::mf_static, 58, 7},	//301 QwtClipper::clipPolygon(const QRect&, const QPolygon&)
    {72, 527, 265, 2, Smoke::mf_static, 58, 8},	//302 QwtClipper::clipPolygon(const QRectF&, const QPolygon&)
    {72, 530, 268, 2, Smoke::mf_static, 60, 9},	//303 QwtClipper::clipPolygonF(const QRectF&, const QPolygonF&)
    {72, 1906, 0, 0, Smoke::mf_dtor, 0, 10 },	//304 QwtClipper::~QwtClipper()
    {73, 161, 271, 1, Smoke::mf_ctor, 176, 1},	//305 QwtColorMap::QwtColorMap(QwtColorMap::Format)
    {73, 790, 0, 0, Smoke::mf_const, 177, 2},	//306 QwtColorMap::format() const
    {73, 1157, 199, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 426, 3},	//307 QwtColorMap::rgb(const QwtInterval&, double) const [pure virtual]
    {73, 550, 199, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 425, 4},	//308 QwtColorMap::colorIndex(const QwtInterval&, double) const [pure virtual]
    {73, 542, 199, 2, Smoke::mf_const, 7, 5},	//309 QwtColorMap::color(const QwtInterval&, double) const
    {73, 554, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 89, 6},	//310 QwtColorMap::colorTable(const QwtInterval&) const
    {73, 161, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 176, 7},	//311 QwtColorMap::QwtColorMap(const QwtColorMap&)
    {73, 161, 0, 0, Smoke::mf_ctor, 176, 8},	//312 QwtColorMap::QwtColorMap()
    {73, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 9},	//313 QwtColorMap::RGB (enum)
    {73, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 10},	//314 QwtColorMap::Indexed (enum)
    {73, 1907, 0, 0, Smoke::mf_dtor, 0, 11 },	//315 QwtColorMap::~QwtColorMap()
    {74, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//316 QwtCompass::metaObject() const
    {74, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//317 QwtCompass::qt_metacast(const char*)
    {74, 1783, 148, 2, Smoke::mf_static, 74, 3},	//318 QwtCompass::tr(const char*, const char*)
    {74, 1787, 148, 2, Smoke::mf_static, 74, 4},	//319 QwtCompass::trUtf8(const char*, const char*)
    {74, 1783, 151, 3, Smoke::mf_static, 74, 5},	//320 QwtCompass::tr(const char*, const char*, int)
    {74, 1787, 151, 3, Smoke::mf_static, 74, 6},	//321 QwtCompass::trUtf8(const char*, const char*, int)
    {74, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//322 QwtCompass::qt_metacall(QMetaObject::Call, int, void**)
    {74, 164, 89, 1, Smoke::mf_ctor, 178, 8},	//323 QwtCompass::QwtCompass(QWidget*)
    {74, 1536, 275, 1, 0, 0, 9},	//324 QwtCompass::setRose(QwtCompassRose*)
    {74, 1159, 0, 0, Smoke::mf_const, 360, 10},	//325 QwtCompass::rose() const
    {74, 1159, 0, 0, 0, 181, 11},	//326 QwtCompass::rose()
    {74, 693, 209, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//327 QwtCompass::drawRose(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const
    {74, 704, 277, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//328 QwtCompass::drawScaleContents(QPainter*, const QPointF&, double) const
    {74, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//329 QwtCompass::keyPressEvent(QKeyEvent*)
    {74, 1783, 98, 1, Smoke::mf_static, 74, 15},	//330 QwtCompass::tr(const char*)
    {74, 1787, 98, 1, Smoke::mf_static, 74, 16},	//331 QwtCompass::trUtf8(const char*)
    {74, 164, 0, 0, Smoke::mf_ctor, 178, 17},	//332 QwtCompass::QwtCompass()
    {74, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 18},	//333 QwtCompass::staticMetaObject() const
    {74, 1908, 0, 0, Smoke::mf_dtor, 0, 19 },	//334 QwtCompass::~QwtCompass()
    {75, 166, 281, 3, Smoke::mf_ctor, 179, 1},	//335 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style, const QColor&, const QColor&)
    {75, 670, 285, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 2},	//336 QwtCompassMagnetNeedle::drawNeedle(QPainter*, double, QPalette::ColorGroup) const
    {75, 166, 289, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 179, 3},	//337 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(const QwtCompassMagnetNeedle&)
    {75, 166, 0, 0, Smoke::mf_ctor, 179, 4},	//338 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle()
    {75, 166, 291, 1, Smoke::mf_ctor, 179, 5},	//339 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style)
    {75, 166, 293, 2, Smoke::mf_ctor, 179, 6},	//340 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style, const QColor&)
    {75, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//341 QwtCompassMagnetNeedle::TriangleStyle (enum)
    {75, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//342 QwtCompassMagnetNeedle::ThinStyle (enum)
    {75, 1909, 0, 0, Smoke::mf_dtor, 0, 9 },	//343 QwtCompassMagnetNeedle::~QwtCompassMagnetNeedle()
    {76, 1485, 144, 1, Smoke::mf_virtual, 0, 1},	//344 QwtCompassRose::setPalette(const QPalette&)
    {76, 1059, 0, 0, Smoke::mf_const, 326, 2},	//345 QwtCompassRose::palette() const
    {76, 606, 209, 5, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//346 QwtCompassRose::draw(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const [pure virtual]
    {76, 171, 0, 0, Smoke::mf_ctor, 181, 4},	//347 QwtCompassRose::QwtCompassRose()
    {76, 171, 296, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 181, 5},	//348 QwtCompassRose::QwtCompassRose(const QwtCompassRose&)
    {76, 606, 298, 4, Smoke::mf_const, 0, 6},	//349 QwtCompassRose::draw(QPainter*, const QPointF&, double, double) const
    {76, 1910, 0, 0, Smoke::mf_dtor, 0, 7 },	//350 QwtCompassRose::~QwtCompassRose()
    {77, 173, 303, 3, Smoke::mf_ctor, 182, 1},	//351 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style, const QColor&, const QColor&)
    {77, 670, 285, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 2},	//352 QwtCompassWindArrow::drawNeedle(QPainter*, double, QPalette::ColorGroup) const
    {77, 173, 307, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 3},	//353 QwtCompassWindArrow::QwtCompassWindArrow(const QwtCompassWindArrow&)
    {77, 173, 309, 1, Smoke::mf_ctor, 182, 4},	//354 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style)
    {77, 173, 311, 2, Smoke::mf_ctor, 182, 5},	//355 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style, const QColor&)
    {77, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 6},	//356 QwtCompassWindArrow::Style1 (enum)
    {77, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 7},	//357 QwtCompassWindArrow::Style2 (enum)
    {77, 1911, 0, 0, Smoke::mf_dtor, 0, 8 },	//358 QwtCompassWindArrow::~QwtCompassWindArrow()
    {78, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//359 QwtCounter::metaObject() const
    {78, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//360 QwtCounter::qt_metacast(const char*)
    {78, 1783, 148, 2, Smoke::mf_static, 74, 3},	//361 QwtCounter::tr(const char*, const char*)
    {78, 1787, 148, 2, Smoke::mf_static, 74, 4},	//362 QwtCounter::trUtf8(const char*, const char*)
    {78, 1783, 151, 3, Smoke::mf_static, 74, 5},	//363 QwtCounter::tr(const char*, const char*, int)
    {78, 1787, 151, 3, Smoke::mf_static, 74, 6},	//364 QwtCounter::trUtf8(const char*, const char*, int)
    {78, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//365 QwtCounter::qt_metacall(QMetaObject::Call, int, void**)
    {78, 178, 89, 1, Smoke::mf_ctor, 184, 8},	//366 QwtCounter::QwtCounter(QWidget*)
    {78, 1648, 106, 1, 0, 0, 9},	//367 QwtCounter::setValid(bool)
    {78, 890, 0, 0, Smoke::mf_const, 307, 10},	//368 QwtCounter::isValid() const
    {78, 1668, 106, 1, Smoke::mf_property, 0, 11},	//369 QwtCounter::setWrapping(bool)
    {78, 1871, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 12},	//370 QwtCounter::wrapping() const
    {78, 885, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 13},	//371 QwtCounter::isReadOnly() const
    {78, 1522, 106, 1, Smoke::mf_property, 0, 14},	//372 QwtCounter::setReadOnly(bool)
    {78, 1460, 93, 1, Smoke::mf_property, 0, 15},	//373 QwtCounter::setNumButtons(int)
    {78, 1033, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 16},	//374 QwtCounter::numButtons() const
    {78, 1348, 314, 2, 0, 0, 17},	//375 QwtCounter::setIncSteps(QwtCounter::Button, int)
    {78, 832, 317, 1, Smoke::mf_const, 420, 18},	//376 QwtCounter::incSteps(QwtCounter::Button) const
    {78, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 19},	//377 QwtCounter::sizeHint() const
    {78, 1699, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 20},	//378 QwtCounter::singleStep() const
    {78, 1575, 22, 1, Smoke::mf_property, 0, 21},	//379 QwtCounter::setSingleStep(double)
    {78, 1516, 41, 2, 0, 0, 22},	//380 QwtCounter::setRange(double, double)
    {78, 994, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 23},	//381 QwtCounter::minimum() const
    {78, 1439, 22, 1, Smoke::mf_property, 0, 24},	//382 QwtCounter::setMinimum(double)
    {78, 980, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 25},	//383 QwtCounter::maximum() const
    {78, 1433, 22, 1, Smoke::mf_property, 0, 26},	//384 QwtCounter::setMaximum(double)
    {78, 1597, 93, 1, Smoke::mf_property, 0, 27},	//385 QwtCounter::setStepButton1(int)
    {78, 1719, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 28},	//386 QwtCounter::stepButton1() const
    {78, 1599, 93, 1, Smoke::mf_property, 0, 29},	//387 QwtCounter::setStepButton2(int)
    {78, 1720, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 30},	//388 QwtCounter::stepButton2() const
    {78, 1601, 93, 1, Smoke::mf_property, 0, 31},	//389 QwtCounter::setStepButton3(int)
    {78, 1721, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 32},	//390 QwtCounter::stepButton3() const
    {78, 1830, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 33},	//391 QwtCounter::value() const
    {78, 1650, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//392 QwtCounter::setValue(double)
    {78, 501, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//393 QwtCounter::buttonReleased(double)
    {78, 1835, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//394 QwtCounter::valueChanged(double)
    {78, 758, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 37},	//395 QwtCounter::event(QEvent*)
    {78, 1840, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//396 QwtCounter::wheelEvent(QWheelEvent*)
    {78, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//397 QwtCounter::keyPressEvent(QKeyEvent*)
    {78, 1783, 98, 1, Smoke::mf_static, 74, 40},	//398 QwtCounter::tr(const char*)
    {78, 1787, 98, 1, Smoke::mf_static, 74, 41},	//399 QwtCounter::trUtf8(const char*)
    {78, 178, 0, 0, Smoke::mf_ctor, 184, 42},	//400 QwtCounter::QwtCounter()
    {78, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 43},	//401 QwtCounter::staticMetaObject() const
    {78, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 44},	//402 QwtCounter::Button1 (enum)
    {78, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 45},	//403 QwtCounter::Button2 (enum)
    {78, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 46},	//404 QwtCounter::Button3 (enum)
    {78, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 47},	//405 QwtCounter::ButtonCnt (enum)
    {78, 1912, 0, 0, Smoke::mf_dtor, 0, 48 },	//406 QwtCounter::~QwtCounter()
    {79, 776, 319, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//407 QwtCurveFitter::fitCurve(const QPolygonF&) const [pure virtual]
    {79, 180, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 186, 2},	//408 QwtCurveFitter::QwtCurveFitter()
    {79, 1913, 0, 0, Smoke::mf_dtor, 0, 3 },	//409 QwtCurveFitter::~QwtCurveFitter()
    {80, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//410 QwtDial::metaObject() const
    {80, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//411 QwtDial::qt_metacast(const char*)
    {80, 1783, 148, 2, Smoke::mf_static, 74, 3},	//412 QwtDial::tr(const char*, const char*)
    {80, 1787, 148, 2, Smoke::mf_static, 74, 4},	//413 QwtDial::trUtf8(const char*, const char*)
    {80, 1783, 151, 3, Smoke::mf_static, 74, 5},	//414 QwtDial::tr(const char*, const char*, int)
    {80, 1787, 151, 3, Smoke::mf_static, 74, 6},	//415 QwtDial::trUtf8(const char*, const char*, int)
    {80, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//416 QwtDial::qt_metacall(QMetaObject::Call, int, void**)
    {80, 181, 89, 1, Smoke::mf_ctor, 187, 8},	//417 QwtDial::QwtDial(QWidget*)
    {80, 1336, 321, 1, Smoke::mf_property, 0, 9},	//418 QwtDial::setFrameShadow(QwtDial::Shadow)
    {80, 791, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 10},	//419 QwtDial::frameShadow() const
    {80, 1409, 93, 1, Smoke::mf_property, 0, 11},	//420 QwtDial::setLineWidth(int)
    {80, 961, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 12},	//421 QwtDial::lineWidth() const
    {80, 1447, 323, 1, Smoke::mf_property, 0, 13},	//422 QwtDial::setMode(QwtDial::Mode)
    {80, 1001, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 14},	//423 QwtDial::mode() const
    {80, 1551, 41, 2, 0, 0, 15},	//424 QwtDial::setScaleArc(double, double)
    {80, 1437, 22, 1, Smoke::mf_property, 0, 16},	//425 QwtDial::setMinScaleArc(double)
    {80, 990, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 17},	//426 QwtDial::minScaleArc() const
    {80, 1429, 22, 1, Smoke::mf_property, 0, 18},	//427 QwtDial::setMaxScaleArc(double)
    {80, 975, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 19},	//428 QwtDial::maxScaleArc() const
    {80, 1472, 22, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 20},	//429 QwtDial::setOrigin(double)
    {80, 1047, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 21},	//430 QwtDial::origin() const
    {80, 1458, 325, 1, 0, 0, 22},	//431 QwtDial::setNeedle(QwtDialNeedle*)
    {80, 1030, 0, 0, Smoke::mf_const, 363, 23},	//432 QwtDial::needle() const
    {80, 1030, 0, 0, 0, 190, 24},	//433 QwtDial::needle()
    {80, 487, 0, 0, Smoke::mf_const, 62, 25},	//434 QwtDial::boundingRect() const
    {80, 848, 0, 0, Smoke::mf_const, 62, 26},	//435 QwtDial::innerRect() const
    {80, 1177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 27},	//436 QwtDial::scaleInnerRect() const
    {80, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 28},	//437 QwtDial::sizeHint() const
    {80, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 29},	//438 QwtDial::minimumSizeHint() const
    {80, 1557, 327, 1, 0, 0, 30},	//439 QwtDial::setScaleDraw(QwtRoundScaleDraw*)
    {80, 1175, 0, 0, 0, 266, 31},	//440 QwtDial::scaleDraw()
    {80, 1175, 0, 0, Smoke::mf_const, 388, 32},	//441 QwtDial::scaleDraw() const
    {80, 1840, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//442 QwtDial::wheelEvent(QWheelEvent*)
    {80, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//443 QwtDial::paintEvent(QPaintEvent*)
    {80, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//444 QwtDial::changeEvent(QEvent*)
    {80, 642, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//445 QwtDial::drawFrame(QPainter*)
    {80, 627, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//446 QwtDial::drawContents(QPainter*) const
    {80, 637, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//447 QwtDial::drawFocusIndicator(QPainter*) const
    {80, 866, 0, 0, Smoke::mf_protected, 0, 39},	//448 QwtDial::invalidateCache()
    {80, 702, 277, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//449 QwtDial::drawScale(QPainter*, const QPointF&, double) const
    {80, 704, 277, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//450 QwtDial::drawScaleContents(QPainter*, const QPointF&, double) const
    {80, 670, 209, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//451 QwtDial::drawNeedle(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const
    {80, 1188, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 417, 43},	//452 QwtDial::scrolledTo(const QPoint&) const
    {80, 887, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 44},	//453 QwtDial::isScrollPosition(const QPoint&) const
    {80, 1703, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//454 QwtDial::sliderChange()
    {80, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//455 QwtDial::scaleChange()
    {80, 1783, 98, 1, Smoke::mf_static, 74, 47},	//456 QwtDial::tr(const char*)
    {80, 1787, 98, 1, Smoke::mf_static, 74, 48},	//457 QwtDial::trUtf8(const char*)
    {80, 181, 0, 0, Smoke::mf_ctor, 187, 49},	//458 QwtDial::QwtDial()
    {80, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 50},	//459 QwtDial::staticMetaObject() const
    {80, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 51},	//460 QwtDial::Plain (enum)
    {80, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 52},	//461 QwtDial::Raised (enum)
    {80, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 53},	//462 QwtDial::Sunken (enum)
    {80, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 54},	//463 QwtDial::RotateNeedle (enum)
    {80, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 55},	//464 QwtDial::RotateScale (enum)
    {80, 1914, 0, 0, Smoke::mf_dtor, 0, 56 },	//465 QwtDial::~QwtDial()
    {81, 183, 0, 0, Smoke::mf_ctor, 190, 1},	//466 QwtDialNeedle::QwtDialNeedle()
    {81, 1485, 144, 1, Smoke::mf_virtual, 0, 2},	//467 QwtDialNeedle::setPalette(const QPalette&)
    {81, 1059, 0, 0, Smoke::mf_const, 326, 3},	//468 QwtDialNeedle::palette() const
    {81, 606, 209, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//469 QwtDialNeedle::draw(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const
    {81, 670, 285, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//470 QwtDialNeedle::drawNeedle(QPainter*, double, QPalette::ColorGroup) const [pure virtual]
    {81, 653, 329, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 6},	//471 QwtDialNeedle::drawKnob(QPainter*, double, const QBrush&, bool) const
    {81, 183, 334, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 190, 7},	//472 QwtDialNeedle::QwtDialNeedle(const QwtDialNeedle&)
    {81, 606, 298, 4, Smoke::mf_const, 0, 8},	//473 QwtDialNeedle::draw(QPainter*, const QPointF&, double, double) const
    {81, 1915, 0, 0, Smoke::mf_dtor, 0, 9 },	//474 QwtDialNeedle::~QwtDialNeedle()
    {82, 185, 336, 4, Smoke::mf_ctor, 191, 1},	//475 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool, const QColor&, const QColor&)
    {82, 1666, 22, 1, 0, 0, 2},	//476 QwtDialSimpleNeedle::setWidth(double)
    {82, 1869, 0, 0, Smoke::mf_const, 417, 3},	//477 QwtDialSimpleNeedle::width() const
    {82, 670, 285, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//478 QwtDialSimpleNeedle::drawNeedle(QPainter*, double, QPalette::ColorGroup) const
    {82, 185, 341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 5},	//479 QwtDialSimpleNeedle::QwtDialSimpleNeedle(const QwtDialSimpleNeedle&)
    {82, 185, 343, 1, Smoke::mf_ctor, 191, 6},	//480 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style)
    {82, 185, 345, 2, Smoke::mf_ctor, 191, 7},	//481 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool)
    {82, 185, 348, 3, Smoke::mf_ctor, 191, 8},	//482 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool, const QColor&)
    {82, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 9},	//483 QwtDialSimpleNeedle::Arrow (enum)
    {82, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 10},	//484 QwtDialSimpleNeedle::Ray (enum)
    {82, 1916, 0, 0, Smoke::mf_dtor, 0, 11 },	//485 QwtDialSimpleNeedle::~QwtDialSimpleNeedle()
    {83, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//486 QwtDynGridLayout::metaObject() const
    {83, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//487 QwtDynGridLayout::qt_metacast(const char*)
    {83, 1783, 148, 2, Smoke::mf_static, 74, 3},	//488 QwtDynGridLayout::tr(const char*, const char*)
    {83, 1787, 148, 2, Smoke::mf_static, 74, 4},	//489 QwtDynGridLayout::trUtf8(const char*, const char*)
    {83, 1783, 151, 3, Smoke::mf_static, 74, 5},	//490 QwtDynGridLayout::tr(const char*, const char*, int)
    {83, 1787, 151, 3, Smoke::mf_static, 74, 6},	//491 QwtDynGridLayout::trUtf8(const char*, const char*, int)
    {83, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//492 QwtDynGridLayout::qt_metacall(QMetaObject::Call, int, void**)
    {83, 191, 352, 3, Smoke::mf_ctor, 193, 8},	//493 QwtDynGridLayout::QwtDynGridLayout(QWidget*, int, int)
    {83, 191, 93, 1, Smoke::mf_ctor, 193, 9},	//494 QwtDynGridLayout::QwtDynGridLayout(int)
    {83, 864, 0, 0, Smoke::mf_virtual, 0, 10},	//495 QwtDynGridLayout::invalidate()
    {83, 1427, 192, 1, 0, 0, 11},	//496 QwtDynGridLayout::setMaxColumns(unsigned int)
    {83, 969, 0, 0, Smoke::mf_const, 426, 12},	//497 QwtDynGridLayout::maxColumns() const
    {83, 1035, 0, 0, Smoke::mf_const, 426, 13},	//498 QwtDynGridLayout::numRows() const
    {83, 1034, 0, 0, Smoke::mf_const, 426, 14},	//499 QwtDynGridLayout::numColumns() const
    {83, 408, 356, 1, Smoke::mf_virtual, 0, 15},	//500 QwtDynGridLayout::addItem(QLayoutItem*)
    {83, 893, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 31, 16},	//501 QwtDynGridLayout::itemAt(int) const
    {83, 1733, 93, 1, Smoke::mf_virtual, 31, 17},	//502 QwtDynGridLayout::takeAt(int)
    {83, 572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 18},	//503 QwtDynGridLayout::count() const
    {83, 1321, 358, 1, 0, 0, 19},	//504 QwtDynGridLayout::setExpandingDirections(QFlags<Qt::Orientation>)
    {83, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 18, 20},	//505 QwtDynGridLayout::expandingDirections() const
    {83, 936, 360, 2, Smoke::mf_const, 32, 21},	//506 QwtDynGridLayout::layoutItems(const QRect&, unsigned int) const
    {83, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 22},	//507 QwtDynGridLayout::maxItemWidth() const
    {83, 1338, 363, 1, Smoke::mf_virtual, 0, 23},	//508 QwtDynGridLayout::setGeometry(const QRect&)
    {83, 820, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 307, 24},	//509 QwtDynGridLayout::hasHeightForWidth() const
    {83, 822, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 25},	//510 QwtDynGridLayout::heightForWidth(int) const
    {83, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 26},	//511 QwtDynGridLayout::sizeHint() const
    {83, 876, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 307, 27},	//512 QwtDynGridLayout::isEmpty() const
    {83, 901, 0, 0, Smoke::mf_const, 426, 28},	//513 QwtDynGridLayout::itemCount() const
    {83, 556, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 426, 29},	//514 QwtDynGridLayout::columnsForWidth(int) const
    {83, 934, 365, 3, Smoke::mf_const|Smoke::mf_protected, 0, 30},	//515 QwtDynGridLayout::layoutGrid(unsigned int, QVector<int>&, QVector<int>&) const
    {83, 1723, 369, 4, Smoke::mf_const|Smoke::mf_protected, 0, 31},	//516 QwtDynGridLayout::stretchGrid(const QRect&, unsigned int, QVector<int>&, QVector<int>&) const
    {83, 1783, 98, 1, Smoke::mf_static, 74, 32},	//517 QwtDynGridLayout::tr(const char*)
    {83, 1787, 98, 1, Smoke::mf_static, 74, 33},	//518 QwtDynGridLayout::trUtf8(const char*)
    {83, 191, 89, 1, Smoke::mf_ctor, 193, 34},	//519 QwtDynGridLayout::QwtDynGridLayout(QWidget*)
    {83, 191, 374, 2, Smoke::mf_ctor, 193, 35},	//520 QwtDynGridLayout::QwtDynGridLayout(QWidget*, int)
    {83, 191, 0, 0, Smoke::mf_ctor, 193, 36},	//521 QwtDynGridLayout::QwtDynGridLayout()
    {83, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 37},	//522 QwtDynGridLayout::staticMetaObject() const
    {83, 1917, 0, 0, Smoke::mf_dtor, 0, 38 },	//523 QwtDynGridLayout::~QwtDynGridLayout()
    {84, 196, 0, 0, Smoke::mf_ctor, 194, 1},	//524 QwtEventPattern::QwtEventPattern()
    {84, 844, 93, 1, 0, 0, 2},	//525 QwtEventPattern::initMousePattern(int)
    {84, 843, 0, 0, 0, 0, 3},	//526 QwtEventPattern::initKeyPattern()
    {84, 1454, 377, 3, 0, 0, 4},	//527 QwtEventPattern::setMousePattern(QwtEventPattern::MousePatternCode, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {84, 1368, 381, 3, 0, 0, 5},	//528 QwtEventPattern::setKeyPattern(QwtEventPattern::KeyPatternCode, int, QFlags<Qt::KeyboardModifier>)
    {84, 1454, 385, 1, 0, 0, 6},	//529 QwtEventPattern::setMousePattern(const QVector<QwtEventPattern::MousePattern>&)
    {84, 1368, 387, 1, 0, 0, 7},	//530 QwtEventPattern::setKeyPattern(const QVector<QwtEventPattern::KeyPattern>&)
    {84, 1009, 0, 0, Smoke::mf_const, 349, 8},	//531 QwtEventPattern::mousePattern() const
    {84, 912, 0, 0, Smoke::mf_const, 348, 9},	//532 QwtEventPattern::keyPattern() const
    {84, 1009, 0, 0, 0, 85, 10},	//533 QwtEventPattern::mousePattern()
    {84, 912, 0, 0, 0, 84, 11},	//534 QwtEventPattern::keyPattern()
    {84, 1004, 389, 2, Smoke::mf_const, 307, 12},	//535 QwtEventPattern::mouseMatch(QwtEventPattern::MousePatternCode, const QMouseEvent*) const
    {84, 909, 392, 2, Smoke::mf_const, 307, 13},	//536 QwtEventPattern::keyMatch(QwtEventPattern::KeyPatternCode, const QKeyEvent*) const
    {84, 1004, 395, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 14},	//537 QwtEventPattern::mouseMatch(const QwtEventPattern::MousePattern&, const QMouseEvent*) const
    {84, 909, 398, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 15},	//538 QwtEventPattern::keyMatch(const QwtEventPattern::KeyPattern&, const QKeyEvent*) const
    {84, 196, 401, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 194, 16},	//539 QwtEventPattern::QwtEventPattern(const QwtEventPattern&)
    {84, 1454, 403, 2, 0, 0, 17},	//540 QwtEventPattern::setMousePattern(QwtEventPattern::MousePatternCode, Qt::MouseButton)
    {84, 1368, 406, 2, 0, 0, 18},	//541 QwtEventPattern::setKeyPattern(QwtEventPattern::KeyPatternCode, int)
    {84, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 19},	//542 QwtEventPattern::MouseSelect1 (enum)
    {84, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 20},	//543 QwtEventPattern::MouseSelect2 (enum)
    {84, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 21},	//544 QwtEventPattern::MouseSelect3 (enum)
    {84, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 22},	//545 QwtEventPattern::MouseSelect4 (enum)
    {84, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 23},	//546 QwtEventPattern::MouseSelect5 (enum)
    {84, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 24},	//547 QwtEventPattern::MouseSelect6 (enum)
    {84, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 25},	//548 QwtEventPattern::MousePatternCount (enum)
    {84, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 26},	//549 QwtEventPattern::KeySelect1 (enum)
    {84, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 27},	//550 QwtEventPattern::KeySelect2 (enum)
    {84, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 28},	//551 QwtEventPattern::KeyAbort (enum)
    {84, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 29},	//552 QwtEventPattern::KeyLeft (enum)
    {84, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 30},	//553 QwtEventPattern::KeyRight (enum)
    {84, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 31},	//554 QwtEventPattern::KeyUp (enum)
    {84, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 32},	//555 QwtEventPattern::KeyDown (enum)
    {84, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 33},	//556 QwtEventPattern::KeyRedo (enum)
    {84, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 34},	//557 QwtEventPattern::KeyUndo (enum)
    {84, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 35},	//558 QwtEventPattern::KeyHome (enum)
    {84, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 36},	//559 QwtEventPattern::KeyPatternCount (enum)
    {84, 1918, 0, 0, Smoke::mf_dtor, 0, 37 },	//560 QwtEventPattern::~QwtEventPattern()
    {90, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//561 QwtKnob::metaObject() const
    {90, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//562 QwtKnob::qt_metacast(const char*)
    {90, 1783, 148, 2, Smoke::mf_static, 74, 3},	//563 QwtKnob::tr(const char*, const char*)
    {90, 1787, 148, 2, Smoke::mf_static, 74, 4},	//564 QwtKnob::trUtf8(const char*, const char*)
    {90, 1783, 151, 3, Smoke::mf_static, 74, 5},	//565 QwtKnob::tr(const char*, const char*, int)
    {90, 1787, 151, 3, Smoke::mf_static, 74, 6},	//566 QwtKnob::trUtf8(const char*, const char*, int)
    {90, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//567 QwtKnob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 198, 89, 1, Smoke::mf_ctor, 203, 8},	//568 QwtKnob::QwtKnob(QWidget*)
    {90, 1210, 409, 1, 0, 0, 9},	//569 QwtKnob::setAlignment(QFlags<Qt::AlignmentFlag>)
    {90, 425, 0, 0, Smoke::mf_const, 15, 10},	//570 QwtKnob::alignment() const
    {90, 1374, 93, 1, Smoke::mf_property, 0, 11},	//571 QwtKnob::setKnobWidth(int)
    {90, 918, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 12},	//572 QwtKnob::knobWidth() const
    {90, 1466, 93, 1, Smoke::mf_property, 0, 13},	//573 QwtKnob::setNumTurns(int)
    {90, 1038, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 14},	//574 QwtKnob::numTurns() const
    {90, 1628, 22, 1, Smoke::mf_property, 0, 15},	//575 QwtKnob::setTotalAngle(double)
    {90, 1781, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 16},	//576 QwtKnob::totalAngle() const
    {90, 1372, 411, 1, Smoke::mf_property, 0, 17},	//577 QwtKnob::setKnobStyle(QwtKnob::KnobStyle)
    {90, 917, 0, 0, Smoke::mf_const|Smoke::mf_property, 204, 18},	//578 QwtKnob::knobStyle() const
    {90, 1270, 93, 1, Smoke::mf_property, 0, 19},	//579 QwtKnob::setBorderWidth(int)
    {90, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 20},	//580 QwtKnob::borderWidth() const
    {90, 1423, 413, 1, Smoke::mf_property, 0, 21},	//581 QwtKnob::setMarkerStyle(QwtKnob::MarkerStyle)
    {90, 967, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 22},	//582 QwtKnob::markerStyle() const
    {90, 1421, 93, 1, Smoke::mf_property, 0, 23},	//583 QwtKnob::setMarkerSize(int)
    {90, 966, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 24},	//584 QwtKnob::markerSize() const
    {90, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 25},	//585 QwtKnob::sizeHint() const
    {90, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 26},	//586 QwtKnob::minimumSizeHint() const
    {90, 1557, 327, 1, 0, 0, 27},	//587 QwtKnob::setScaleDraw(QwtRoundScaleDraw*)
    {90, 1175, 0, 0, Smoke::mf_const, 388, 28},	//588 QwtKnob::scaleDraw() const
    {90, 1175, 0, 0, 0, 266, 29},	//589 QwtKnob::scaleDraw()
    {90, 916, 0, 0, Smoke::mf_const, 62, 30},	//590 QwtKnob::knobRect() const
    {90, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//591 QwtKnob::paintEvent(QPaintEvent*)
    {90, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//592 QwtKnob::changeEvent(QEvent*)
    {90, 653, 415, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//593 QwtKnob::drawKnob(QPainter*, const QRectF&) const
    {90, 637, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//594 QwtKnob::drawFocusIndicator(QPainter*) const
    {90, 668, 418, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//595 QwtKnob::drawMarker(QPainter*, const QRectF&, double) const
    {90, 1188, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 417, 36},	//596 QwtKnob::scrolledTo(const QPoint&) const
    {90, 887, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 37},	//597 QwtKnob::isScrollPosition(const QPoint&) const
    {90, 1783, 98, 1, Smoke::mf_static, 74, 38},	//598 QwtKnob::tr(const char*)
    {90, 1787, 98, 1, Smoke::mf_static, 74, 39},	//599 QwtKnob::trUtf8(const char*)
    {90, 198, 0, 0, Smoke::mf_ctor, 203, 40},	//600 QwtKnob::QwtKnob()
    {90, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 41},	//601 QwtKnob::staticMetaObject() const
    {90, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//602 QwtKnob::Flat (enum)
    {90, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//603 QwtKnob::Raised (enum)
    {90, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//604 QwtKnob::Sunken (enum)
    {90, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//605 QwtKnob::Styled (enum)
    {90, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//606 QwtKnob::NoMarker (enum)
    {90, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//607 QwtKnob::Tick (enum)
    {90, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//608 QwtKnob::Triangle (enum)
    {90, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//609 QwtKnob::Dot (enum)
    {90, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//610 QwtKnob::Nub (enum)
    {90, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//611 QwtKnob::Notch (enum)
    {90, 1919, 0, 0, Smoke::mf_dtor, 0, 52 },	//612 QwtKnob::~QwtKnob()
    {91, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//613 QwtLegend::metaObject() const
    {91, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//614 QwtLegend::qt_metacast(const char*)
    {91, 1783, 148, 2, Smoke::mf_static, 74, 3},	//615 QwtLegend::tr(const char*, const char*)
    {91, 1787, 148, 2, Smoke::mf_static, 74, 4},	//616 QwtLegend::trUtf8(const char*, const char*)
    {91, 1783, 151, 3, Smoke::mf_static, 74, 5},	//617 QwtLegend::tr(const char*, const char*, int)
    {91, 1787, 151, 3, Smoke::mf_static, 74, 6},	//618 QwtLegend::trUtf8(const char*, const char*, int)
    {91, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//619 QwtLegend::qt_metacall(QMetaObject::Call, int, void**)
    {91, 200, 89, 1, Smoke::mf_ctor, 206, 8},	//620 QwtLegend::QwtLegend(QWidget*)
    {91, 1427, 192, 1, 0, 0, 9},	//621 QwtLegend::setMaxColumns(unsigned int)
    {91, 969, 0, 0, Smoke::mf_const, 426, 10},	//622 QwtLegend::maxColumns() const
    {91, 1314, 422, 1, 0, 0, 11},	//623 QwtLegend::setDefaultItemMode(QwtLegendData::Mode)
    {91, 585, 0, 0, Smoke::mf_const, 208, 12},	//624 QwtLegend::defaultItemMode() const
    {91, 563, 0, 0, 0, 91, 13},	//625 QwtLegend::contentsWidget()
    {91, 563, 0, 0, Smoke::mf_const, 351, 14},	//626 QwtLegend::contentsWidget() const
    {91, 954, 424, 1, Smoke::mf_const, 91, 15},	//627 QwtLegend::legendWidget(const QVariant&) const
    {91, 956, 424, 1, Smoke::mf_const, 33, 16},	//628 QwtLegend::legendWidgets(const QVariant&) const
    {91, 902, 426, 1, Smoke::mf_const, 82, 17},	//629 QwtLegend::itemInfo(const QWidget*) const
    {91, 760, 95, 2, Smoke::mf_virtual, 307, 18},	//630 QwtLegend::eventFilter(QObject*, QEvent*)
    {91, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 19},	//631 QwtLegend::sizeHint() const
    {91, 822, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 20},	//632 QwtLegend::heightForWidth(int) const
    {91, 829, 0, 0, Smoke::mf_const, 69, 21},	//633 QwtLegend::horizontalScrollBar() const
    {91, 1837, 0, 0, Smoke::mf_const, 69, 22},	//634 QwtLegend::verticalScrollBar() const
    {91, 1142, 428, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//635 QwtLegend::renderLegend(QPainter*, const QRectF&, bool) const
    {91, 1140, 432, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 24},	//636 QwtLegend::renderItem(QPainter*, const QWidget*, const QRectF&, bool) const
    {91, 876, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 307, 25},	//637 QwtLegend::isEmpty() const
    {91, 1186, 437, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 26},	//638 QwtLegend::scrollExtent(Qt::Orientation) const
    {91, 523, 439, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//639 QwtLegend::clicked(const QVariant&, int)
    {91, 519, 442, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//640 QwtLegend::checked(const QVariant&, bool, int)
    {91, 1816, 446, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//641 QwtLegend::updateLegend(const QVariant&, const QList<QwtLegendData>&)
    {91, 900, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 30},	//642 QwtLegend::itemClicked()
    {91, 898, 106, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 31},	//643 QwtLegend::itemChecked(bool)
    {91, 573, 449, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 91, 32},	//644 QwtLegend::createWidget(const QwtLegendData&) const
    {91, 1822, 451, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//645 QwtLegend::updateWidget(QWidget*, const QwtLegendData&)
    {91, 1783, 98, 1, Smoke::mf_static, 74, 34},	//646 QwtLegend::tr(const char*)
    {91, 1787, 98, 1, Smoke::mf_static, 74, 35},	//647 QwtLegend::trUtf8(const char*)
    {91, 200, 0, 0, Smoke::mf_ctor, 206, 36},	//648 QwtLegend::QwtLegend()
    {91, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 37},	//649 QwtLegend::staticMetaObject() const
    {91, 1920, 0, 0, Smoke::mf_dtor, 0, 38 },	//650 QwtLegend::~QwtLegend()
    {93, 202, 271, 1, Smoke::mf_ctor, 209, 1},	//651 QwtLinearColorMap::QwtLinearColorMap(QwtColorMap::Format)
    {93, 202, 454, 3, Smoke::mf_ctor, 209, 2},	//652 QwtLinearColorMap::QwtLinearColorMap(const QColor&, const QColor&, QwtColorMap::Format)
    {93, 1447, 458, 1, 0, 0, 3},	//653 QwtLinearColorMap::setMode(QwtLinearColorMap::Mode)
    {93, 1001, 0, 0, Smoke::mf_const, 210, 4},	//654 QwtLinearColorMap::mode() const
    {93, 1291, 460, 2, 0, 0, 5},	//655 QwtLinearColorMap::setColorInterval(const QColor&, const QColor&)
    {93, 406, 463, 2, 0, 0, 6},	//656 QwtLinearColorMap::addColorStop(double, const QColor&)
    {93, 553, 0, 0, Smoke::mf_const, 87, 7},	//657 QwtLinearColorMap::colorStops() const
    {93, 544, 0, 0, Smoke::mf_const, 7, 8},	//658 QwtLinearColorMap::color1() const
    {93, 545, 0, 0, Smoke::mf_const, 7, 9},	//659 QwtLinearColorMap::color2() const
    {93, 1157, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 426, 10},	//660 QwtLinearColorMap::rgb(const QwtInterval&, double) const
    {93, 550, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 425, 11},	//661 QwtLinearColorMap::colorIndex(const QwtInterval&, double) const
    {93, 202, 0, 0, Smoke::mf_ctor, 209, 12},	//662 QwtLinearColorMap::QwtLinearColorMap()
    {93, 202, 460, 2, Smoke::mf_ctor, 209, 13},	//663 QwtLinearColorMap::QwtLinearColorMap(const QColor&, const QColor&)
    {93, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 14},	//664 QwtLinearColorMap::FixedColors (enum)
    {93, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 15},	//665 QwtLinearColorMap::ScaledColors (enum)
    {93, 1921, 0, 0, Smoke::mf_dtor, 0, 16 },	//666 QwtLinearColorMap::~QwtLinearColorMap()
    {94, 206, 192, 1, Smoke::mf_ctor, 211, 1},	//667 QwtLinearScaleEngine::QwtLinearScaleEngine(unsigned int)
    {94, 442, 466, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 2},	//668 QwtLinearScaleEngine::autoScale(int, double&, double&, double&) const
    {94, 600, 471, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 3},	//669 QwtLinearScaleEngine::divideScale(double, double, int, int, double) const
    {94, 417, 199, 2, Smoke::mf_const|Smoke::mf_protected, 200, 4},	//670 QwtLinearScaleEngine::align(const QwtInterval&, double) const
    {94, 499, 477, 4, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//671 QwtLinearScaleEngine::buildTicks(const QwtInterval&, double, int, QList<double>*) const
    {94, 491, 199, 2, Smoke::mf_const|Smoke::mf_protected, 37, 6},	//672 QwtLinearScaleEngine::buildMajorTicks(const QwtInterval&, double) const
    {94, 493, 482, 5, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//673 QwtLinearScaleEngine::buildMinorTicks(const QList<double>&, int, double, QList<double>&, QList<double>&) const
    {94, 206, 488, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 8},	//674 QwtLinearScaleEngine::QwtLinearScaleEngine(const QwtLinearScaleEngine&)
    {94, 206, 0, 0, Smoke::mf_ctor, 211, 9},	//675 QwtLinearScaleEngine::QwtLinearScaleEngine()
    {94, 600, 490, 4, Smoke::mf_const, 268, 10},	//676 QwtLinearScaleEngine::divideScale(double, double, int, int) const
    {94, 1922, 0, 0, Smoke::mf_dtor, 0, 11 },	//677 QwtLinearScaleEngine::~QwtLinearScaleEngine()
    {95, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//678 QwtMagnifier::metaObject() const
    {95, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//679 QwtMagnifier::qt_metacast(const char*)
    {95, 1783, 148, 2, Smoke::mf_static, 74, 3},	//680 QwtMagnifier::tr(const char*, const char*)
    {95, 1787, 148, 2, Smoke::mf_static, 74, 4},	//681 QwtMagnifier::trUtf8(const char*, const char*)
    {95, 1783, 151, 3, Smoke::mf_static, 74, 5},	//682 QwtMagnifier::tr(const char*, const char*, int)
    {95, 1787, 151, 3, Smoke::mf_static, 74, 6},	//683 QwtMagnifier::trUtf8(const char*, const char*, int)
    {95, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//684 QwtMagnifier::qt_metacall(QMetaObject::Call, int, void**)
    {95, 209, 89, 1, Smoke::mf_ctor, 212, 8},	//685 QwtMagnifier::QwtMagnifier(QWidget*)
    {95, 1063, 0, 0, 0, 91, 9},	//686 QwtMagnifier::parentWidget()
    {95, 1063, 0, 0, Smoke::mf_const, 351, 10},	//687 QwtMagnifier::parentWidget() const
    {95, 1319, 106, 1, 0, 0, 11},	//688 QwtMagnifier::setEnabled(bool)
    {95, 877, 0, 0, Smoke::mf_const, 307, 12},	//689 QwtMagnifier::isEnabled() const
    {95, 1452, 22, 1, 0, 0, 13},	//690 QwtMagnifier::setMouseFactor(double)
    {95, 1003, 0, 0, Smoke::mf_const, 417, 14},	//691 QwtMagnifier::mouseFactor() const
    {95, 1449, 495, 2, 0, 0, 15},	//692 QwtMagnifier::setMouseButton(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {95, 804, 498, 2, Smoke::mf_const, 0, 16},	//693 QwtMagnifier::getMouseButton(Qt::MouseButton&, QFlags<Qt::KeyboardModifier>&) const
    {95, 1660, 22, 1, 0, 0, 17},	//694 QwtMagnifier::setWheelFactor(double)
    {95, 1842, 0, 0, Smoke::mf_const, 417, 18},	//695 QwtMagnifier::wheelFactor() const
    {95, 1662, 501, 1, 0, 0, 19},	//696 QwtMagnifier::setWheelModifiers(QFlags<Qt::KeyboardModifier>)
    {95, 1843, 0, 0, Smoke::mf_const, 16, 20},	//697 QwtMagnifier::wheelModifiers() const
    {95, 1366, 22, 1, 0, 0, 21},	//698 QwtMagnifier::setKeyFactor(double)
    {95, 908, 0, 0, Smoke::mf_const, 417, 22},	//699 QwtMagnifier::keyFactor() const
    {95, 1687, 503, 2, 0, 0, 23},	//700 QwtMagnifier::setZoomInKey(int, QFlags<Qt::KeyboardModifier>)
    {95, 806, 506, 2, Smoke::mf_const, 0, 24},	//701 QwtMagnifier::getZoomInKey(int&, QFlags<Qt::KeyboardModifier>&) const
    {95, 1690, 503, 2, 0, 0, 25},	//702 QwtMagnifier::setZoomOutKey(int, QFlags<Qt::KeyboardModifier>)
    {95, 808, 506, 2, Smoke::mf_const, 0, 26},	//703 QwtMagnifier::getZoomOutKey(int&, QFlags<Qt::KeyboardModifier>&) const
    {95, 760, 95, 2, Smoke::mf_virtual, 307, 27},	//704 QwtMagnifier::eventFilter(QObject*, QEvent*)
    {95, 1150, 22, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//705 QwtMagnifier::rescale(double) [pure virtual]
    {95, 1863, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//706 QwtMagnifier::widgetMousePressEvent(QMouseEvent*)
    {95, 1865, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//707 QwtMagnifier::widgetMouseReleaseEvent(QMouseEvent*)
    {95, 1861, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//708 QwtMagnifier::widgetMouseMoveEvent(QMouseEvent*)
    {95, 1867, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//709 QwtMagnifier::widgetWheelEvent(QWheelEvent*)
    {95, 1853, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//710 QwtMagnifier::widgetKeyPressEvent(QKeyEvent*)
    {95, 1855, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//711 QwtMagnifier::widgetKeyReleaseEvent(QKeyEvent*)
    {95, 1783, 98, 1, Smoke::mf_static, 74, 35},	//712 QwtMagnifier::tr(const char*)
    {95, 1787, 98, 1, Smoke::mf_static, 74, 36},	//713 QwtMagnifier::trUtf8(const char*)
    {95, 1449, 509, 1, 0, 0, 37},	//714 QwtMagnifier::setMouseButton(Qt::MouseButton)
    {95, 1687, 93, 1, 0, 0, 38},	//715 QwtMagnifier::setZoomInKey(int)
    {95, 1690, 93, 1, 0, 0, 39},	//716 QwtMagnifier::setZoomOutKey(int)
    {95, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 40},	//717 QwtMagnifier::staticMetaObject() const
    {95, 1923, 0, 0, Smoke::mf_dtor, 0, 41 },	//718 QwtMagnifier::~QwtMagnifier()
    {97, 1510, 106, 1, Smoke::mf_static, 0, 1},	//719 QwtPainter::setPolylineSplitting(bool)
    {97, 1079, 0, 0, Smoke::mf_static, 307, 2},	//720 QwtPainter::polylineSplitting()
    {97, 1538, 106, 1, Smoke::mf_static, 0, 3},	//721 QwtPainter::setRoundingAlignment(bool)
    {97, 1160, 0, 0, Smoke::mf_static, 307, 4},	//722 QwtPainter::roundingAlignment()
    {97, 1160, 182, 1, Smoke::mf_static, 307, 5},	//723 QwtPainter::roundingAlignment(QPainter*)
    {97, 722, 511, 4, Smoke::mf_static, 0, 6},	//724 QwtPainter::drawText(QPainter*, double, double, const QString&)
    {97, 722, 516, 3, Smoke::mf_static, 0, 7},	//725 QwtPainter::drawText(QPainter*, const QPointF&, const QString&)
    {97, 722, 520, 7, Smoke::mf_static, 0, 8},	//726 QwtPainter::drawText(QPainter*, double, double, double, double, int, const QString&)
    {97, 722, 528, 4, Smoke::mf_static, 0, 9},	//727 QwtPainter::drawText(QPainter*, const QRectF&, int, const QString&)
    {97, 708, 533, 4, Smoke::mf_static, 0, 10},	//728 QwtPainter::drawSimpleRichText(QPainter*, const QRectF&, int, const QTextDocument&)
    {97, 690, 538, 5, Smoke::mf_static, 0, 11},	//729 QwtPainter::drawRect(QPainter*, double, double, double, double)
    {97, 690, 415, 2, Smoke::mf_static, 0, 12},	//730 QwtPainter::drawRect(QPainter*, const QRectF&)
    {97, 773, 544, 3, Smoke::mf_static, 0, 13},	//731 QwtPainter::fillRect(QPainter*, const QRectF&, const QBrush&)
    {97, 635, 415, 2, Smoke::mf_static, 0, 14},	//732 QwtPainter::drawEllipse(QPainter*, const QRectF&)
    {97, 675, 548, 4, Smoke::mf_static, 0, 15},	//733 QwtPainter::drawPie(QPainter*, const QRectF&, int, int)
    {97, 659, 538, 5, Smoke::mf_static, 0, 16},	//734 QwtPainter::drawLine(QPainter*, double, double, double, double)
    {97, 659, 553, 3, Smoke::mf_static, 0, 17},	//735 QwtPainter::drawLine(QPainter*, const QPointF&, const QPointF&)
    {97, 659, 557, 2, Smoke::mf_static, 0, 18},	//736 QwtPainter::drawLine(QPainter*, const QLineF&)
    {97, 685, 560, 2, Smoke::mf_static, 0, 19},	//737 QwtPainter::drawPolygon(QPainter*, const QPolygonF&)
    {97, 687, 560, 2, Smoke::mf_static, 0, 20},	//738 QwtPainter::drawPolyline(QPainter*, const QPolygonF&)
    {97, 687, 563, 3, Smoke::mf_static, 0, 21},	//739 QwtPainter::drawPolyline(QPainter*, const QPointF*, int)
    {97, 685, 567, 2, Smoke::mf_static, 0, 22},	//740 QwtPainter::drawPolygon(QPainter*, const QPolygon&)
    {97, 687, 567, 2, Smoke::mf_static, 0, 23},	//741 QwtPainter::drawPolyline(QPainter*, const QPolygon&)
    {97, 687, 570, 3, Smoke::mf_static, 0, 24},	//742 QwtPainter::drawPolyline(QPainter*, const QPoint*, int)
    {97, 679, 574, 2, Smoke::mf_static, 0, 25},	//743 QwtPainter::drawPoint(QPainter*, const QPoint&)
    {97, 682, 567, 2, Smoke::mf_static, 0, 26},	//744 QwtPainter::drawPoints(QPainter*, const QPolygon&)
    {97, 682, 570, 3, Smoke::mf_static, 0, 27},	//745 QwtPainter::drawPoints(QPainter*, const QPoint*, int)
    {97, 679, 178, 3, Smoke::mf_static, 0, 28},	//746 QwtPainter::drawPoint(QPainter*, double, double)
    {97, 679, 577, 2, Smoke::mf_static, 0, 29},	//747 QwtPainter::drawPoint(QPainter*, const QPointF&)
    {97, 682, 560, 2, Smoke::mf_static, 0, 30},	//748 QwtPainter::drawPoints(QPainter*, const QPolygonF&)
    {97, 682, 563, 3, Smoke::mf_static, 0, 31},	//749 QwtPainter::drawPoints(QPainter*, const QPointF*, int)
    {97, 673, 580, 2, Smoke::mf_static, 0, 32},	//750 QwtPainter::drawPath(QPainter*, const QPainterPath&)
    {97, 649, 583, 3, Smoke::mf_static, 0, 33},	//751 QwtPainter::drawImage(QPainter*, const QRectF&, const QImage&)
    {97, 677, 587, 3, Smoke::mf_static, 0, 34},	//752 QwtPainter::drawPixmap(QPainter*, const QRectF&, const QPixmap&)
    {97, 696, 591, 5, Smoke::mf_static, 0, 35},	//753 QwtPainter::drawRoundFrame(QPainter*, const QRectF&, const QPalette&, int, int)
    {97, 698, 597, 7, Smoke::mf_static, 0, 36},	//754 QwtPainter::drawRoundedFrame(QPainter*, const QRectF&, double, double, const QPalette&, int, int)
    {97, 642, 605, 7, Smoke::mf_static, 0, 37},	//755 QwtPainter::drawFrame(QPainter*, const QRectF&, const QPalette&, QPalette::ColorRole, int, int, int)
    {97, 639, 613, 2, Smoke::mf_static, 0, 38},	//756 QwtPainter::drawFocusRect(QPainter*, const QWidget*)
    {97, 639, 616, 3, Smoke::mf_static, 0, 39},	//757 QwtPainter::drawFocusRect(QPainter*, const QWidget*, const QRect&)
    {97, 624, 620, 6, Smoke::mf_static, 0, 40},	//758 QwtPainter::drawColorBar(QPainter*, const QwtColorMap&, const QwtInterval&, const QwtScaleMap&, Qt::Orientation, const QRectF&)
    {97, 871, 182, 1, Smoke::mf_static, 307, 41},	//759 QwtPainter::isAligning(QPainter*)
    {97, 892, 0, 0, Smoke::mf_static, 307, 42},	//760 QwtPainter::isX11GraphicsSystem()
    {97, 770, 627, 3, Smoke::mf_static, 0, 43},	//761 QwtPainter::fillPixmap(const QWidget*, QPixmap&, const QPoint&)
    {97, 616, 631, 3, Smoke::mf_static, 0, 44},	//762 QwtPainter::drawBackgound(QPainter*, const QRectF&, const QWidget*)
    {97, 472, 635, 2, Smoke::mf_static, 54, 45},	//763 QwtPainter::backingStore(QWidget*, const QSize&)
    {97, 211, 0, 0, Smoke::mf_ctor, 214, 46},	//764 QwtPainter::QwtPainter()
    {97, 211, 638, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 47},	//765 QwtPainter::QwtPainter(const QwtPainter&)
    {97, 770, 640, 2, Smoke::mf_static, 0, 48},	//766 QwtPainter::fillPixmap(const QWidget*, QPixmap&)
    {97, 1924, 0, 0, Smoke::mf_dtor, 0, 49 },	//767 QwtPainter::~QwtPainter()
    {98, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//768 QwtPanner::metaObject() const
    {98, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//769 QwtPanner::qt_metacast(const char*)
    {98, 1783, 148, 2, Smoke::mf_static, 74, 3},	//770 QwtPanner::tr(const char*, const char*)
    {98, 1787, 148, 2, Smoke::mf_static, 74, 4},	//771 QwtPanner::trUtf8(const char*, const char*)
    {98, 1783, 151, 3, Smoke::mf_static, 74, 5},	//772 QwtPanner::tr(const char*, const char*, int)
    {98, 1787, 151, 3, Smoke::mf_static, 74, 6},	//773 QwtPanner::trUtf8(const char*, const char*, int)
    {98, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//774 QwtPanner::qt_metacall(QMetaObject::Call, int, void**)
    {98, 213, 89, 1, Smoke::mf_ctor, 215, 8},	//775 QwtPanner::QwtPanner(QWidget*)
    {98, 1319, 106, 1, 0, 0, 9},	//776 QwtPanner::setEnabled(bool)
    {98, 877, 0, 0, Smoke::mf_const, 307, 10},	//777 QwtPanner::isEnabled() const
    {98, 1449, 495, 2, 0, 0, 11},	//778 QwtPanner::setMouseButton(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {98, 804, 498, 2, Smoke::mf_const, 0, 12},	//779 QwtPanner::getMouseButton(Qt::MouseButton&, QFlags<Qt::KeyboardModifier>&) const
    {98, 1195, 503, 2, 0, 0, 13},	//780 QwtPanner::setAbortKey(int, QFlags<Qt::KeyboardModifier>)
    {98, 793, 506, 2, Smoke::mf_const, 0, 14},	//781 QwtPanner::getAbortKey(int&, QFlags<Qt::KeyboardModifier>&) const
    {98, 1301, 643, 1, 0, 0, 15},	//782 QwtPanner::setCursor(const QCursor&)
    {98, 575, 0, 0, Smoke::mf_const, 311, 16},	//783 QwtPanner::cursor() const
    {98, 1470, 358, 1, 0, 0, 17},	//784 QwtPanner::setOrientations(QFlags<Qt::Orientation>)
    {98, 1046, 0, 0, Smoke::mf_const, 18, 18},	//785 QwtPanner::orientations() const
    {98, 882, 437, 1, Smoke::mf_const, 307, 19},	//786 QwtPanner::isOrientationEnabled(Qt::Orientation) const
    {98, 760, 95, 2, Smoke::mf_virtual, 307, 20},	//787 QwtPanner::eventFilter(QObject*, QEvent*)
    {98, 1061, 645, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//788 QwtPanner::panned(int, int)
    {98, 1027, 645, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//789 QwtPanner::moved(int, int)
    {98, 1863, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//790 QwtPanner::widgetMousePressEvent(QMouseEvent*)
    {98, 1865, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//791 QwtPanner::widgetMouseReleaseEvent(QMouseEvent*)
    {98, 1861, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//792 QwtPanner::widgetMouseMoveEvent(QMouseEvent*)
    {98, 1853, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//793 QwtPanner::widgetKeyPressEvent(QKeyEvent*)
    {98, 1855, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//794 QwtPanner::widgetKeyReleaseEvent(QKeyEvent*)
    {98, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//795 QwtPanner::paintEvent(QPaintEvent*)
    {98, 562, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 2, 29},	//796 QwtPanner::contentsMask() const
    {98, 810, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 30},	//797 QwtPanner::grab() const
    {98, 1783, 98, 1, Smoke::mf_static, 74, 31},	//798 QwtPanner::tr(const char*)
    {98, 1787, 98, 1, Smoke::mf_static, 74, 32},	//799 QwtPanner::trUtf8(const char*)
    {98, 1449, 509, 1, 0, 0, 33},	//800 QwtPanner::setMouseButton(Qt::MouseButton)
    {98, 1195, 93, 1, 0, 0, 34},	//801 QwtPanner::setAbortKey(int)
    {98, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 35},	//802 QwtPanner::staticMetaObject() const
    {98, 1925, 0, 0, Smoke::mf_dtor, 0, 36 },	//803 QwtPanner::~QwtPanner()
    {99, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//804 QwtPicker::metaObject() const
    {99, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//805 QwtPicker::qt_metacast(const char*)
    {99, 1783, 148, 2, Smoke::mf_static, 74, 3},	//806 QwtPicker::tr(const char*, const char*)
    {99, 1787, 148, 2, Smoke::mf_static, 74, 4},	//807 QwtPicker::trUtf8(const char*, const char*)
    {99, 1783, 151, 3, Smoke::mf_static, 74, 5},	//808 QwtPicker::tr(const char*, const char*, int)
    {99, 1787, 151, 3, Smoke::mf_static, 74, 6},	//809 QwtPicker::trUtf8(const char*, const char*, int)
    {99, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//810 QwtPicker::qt_metacall(QMetaObject::Call, int, void**)
    {99, 215, 89, 1, Smoke::mf_ctor, 216, 8},	//811 QwtPicker::QwtPicker(QWidget*)
    {99, 215, 648, 3, Smoke::mf_ctor, 216, 9},	//812 QwtPicker::QwtPicker(QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*)
    {99, 1593, 652, 1, 0, 0, 10},	//813 QwtPicker::setStateMachine(QwtPickerMachine*)
    {99, 1716, 0, 0, Smoke::mf_const, 378, 11},	//814 QwtPicker::stateMachine() const
    {99, 1716, 0, 0, 0, 224, 12},	//815 QwtPicker::stateMachine()
    {99, 1540, 654, 1, Smoke::mf_property, 0, 13},	//816 QwtPicker::setRubberBand(QwtPicker::RubberBand)
    {99, 1163, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 14},	//817 QwtPicker::rubberBand() const
    {99, 1634, 656, 1, Smoke::mf_property, 0, 15},	//818 QwtPicker::setTrackerMode(QwtPicker::DisplayMode)
    {99, 1792, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 16},	//819 QwtPicker::trackerMode() const
    {99, 1534, 658, 1, Smoke::mf_property, 0, 17},	//820 QwtPicker::setResizeMode(QwtPicker::ResizeMode)
    {99, 1156, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 18},	//821 QwtPicker::resizeMode() const
    {99, 1542, 660, 1, Smoke::mf_property, 0, 19},	//822 QwtPicker::setRubberBandPen(const QPen&)
    {99, 1166, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 20},	//823 QwtPicker::rubberBandPen() const
    {99, 1636, 660, 1, Smoke::mf_property, 0, 21},	//824 QwtPicker::setTrackerPen(const QPen&)
    {99, 1794, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 22},	//825 QwtPicker::trackerPen() const
    {99, 1632, 146, 1, Smoke::mf_property, 0, 23},	//826 QwtPicker::setTrackerFont(const QFont&)
    {99, 1791, 0, 0, Smoke::mf_const|Smoke::mf_property, 24, 24},	//827 QwtPicker::trackerFont() const
    {99, 877, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 25},	//828 QwtPicker::isEnabled() const
    {99, 870, 0, 0, Smoke::mf_const, 307, 26},	//829 QwtPicker::isActive() const
    {99, 760, 95, 2, Smoke::mf_virtual, 307, 27},	//830 QwtPicker::eventFilter(QObject*, QEvent*)
    {99, 1063, 0, 0, 0, 91, 28},	//831 QwtPicker::parentWidget()
    {99, 1063, 0, 0, Smoke::mf_const, 351, 29},	//832 QwtPicker::parentWidget() const
    {99, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 30},	//833 QwtPicker::pickArea() const
    {99, 700, 182, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 31},	//834 QwtPicker::drawRubberBand(QPainter*) const
    {99, 734, 182, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 32},	//835 QwtPicker::drawTracker(QPainter*) const
    {99, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 67, 33},	//836 QwtPicker::rubberBandMask() const
    {99, 1798, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 293, 34},	//837 QwtPicker::trackerText(const QPoint&) const
    {99, 1795, 0, 0, Smoke::mf_const, 56, 35},	//838 QwtPicker::trackerPosition() const
    {99, 1796, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 36},	//839 QwtPicker::trackerRect(const QFont&) const
    {99, 1193, 0, 0, Smoke::mf_const, 58, 37},	//840 QwtPicker::selection() const
    {99, 1319, 106, 1, Smoke::mf_property|Smoke::mf_slot, 0, 38},	//841 QwtPicker::setEnabled(bool)
    {99, 404, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//842 QwtPicker::activated(bool)
    {99, 1190, 662, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//843 QwtPicker::selected(const QPolygon&)
    {99, 429, 1, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//844 QwtPicker::appended(const QPoint&)
    {99, 1027, 1, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//845 QwtPicker::moved(const QPoint&)
    {99, 1133, 1, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//846 QwtPicker::removed(const QPoint&)
    {99, 516, 662, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//847 QwtPicker::changed(const QPolygon&)
    {99, 410, 662, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 58, 45},	//848 QwtPicker::adjustedPoints(const QPolygon&) const
    {99, 1808, 664, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//849 QwtPicker::transition(const QEvent*)
    {99, 476, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//850 QwtPicker::begin()
    {99, 427, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//851 QwtPicker::append(const QPoint&)
    {99, 1014, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//852 QwtPicker::move(const QPoint&)
    {99, 1130, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//853 QwtPicker::remove()
    {99, 754, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 51},	//854 QwtPicker::end(bool)
    {99, 398, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 52},	//855 QwtPicker::accept(QPolygon&) const
    {99, 1153, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//856 QwtPicker::reset()
    {99, 1863, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//857 QwtPicker::widgetMousePressEvent(QMouseEvent*)
    {99, 1865, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//858 QwtPicker::widgetMouseReleaseEvent(QMouseEvent*)
    {99, 1859, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//859 QwtPicker::widgetMouseDoubleClickEvent(QMouseEvent*)
    {99, 1861, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//860 QwtPicker::widgetMouseMoveEvent(QMouseEvent*)
    {99, 1867, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//861 QwtPicker::widgetWheelEvent(QWheelEvent*)
    {99, 1853, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//862 QwtPicker::widgetKeyPressEvent(QKeyEvent*)
    {99, 1855, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//863 QwtPicker::widgetKeyReleaseEvent(QKeyEvent*)
    {99, 1851, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//864 QwtPicker::widgetEnterEvent(QEvent*)
    {99, 1857, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//865 QwtPicker::widgetLeaveEvent(QEvent*)
    {99, 1725, 668, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//866 QwtPicker::stretchSelection(const QSize&, const QSize&)
    {99, 1813, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//867 QwtPicker::updateDisplay()
    {99, 1165, 0, 0, Smoke::mf_const|Smoke::mf_protected, 412, 65},	//868 QwtPicker::rubberBandOverlay() const
    {99, 1793, 0, 0, Smoke::mf_const|Smoke::mf_protected, 412, 66},	//869 QwtPicker::trackerOverlay() const
    {99, 1068, 0, 0, Smoke::mf_const|Smoke::mf_protected, 334, 67},	//870 QwtPicker::pickedPoints() const
    {99, 1783, 98, 1, Smoke::mf_static, 74, 68},	//871 QwtPicker::tr(const char*)
    {99, 1787, 98, 1, Smoke::mf_static, 74, 69},	//872 QwtPicker::trUtf8(const char*)
    {99, 754, 0, 0, Smoke::mf_protected, 307, 70},	//873 QwtPicker::end()
    {99, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 71},	//874 QwtPicker::staticMetaObject() const
    {99, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 72},	//875 QwtPicker::NoRubberBand (enum)
    {99, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 73},	//876 QwtPicker::HLineRubberBand (enum)
    {99, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 74},	//877 QwtPicker::VLineRubberBand (enum)
    {99, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 75},	//878 QwtPicker::CrossRubberBand (enum)
    {99, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 76},	//879 QwtPicker::RectRubberBand (enum)
    {99, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 77},	//880 QwtPicker::EllipseRubberBand (enum)
    {99, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 78},	//881 QwtPicker::PolygonRubberBand (enum)
    {99, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 79},	//882 QwtPicker::UserRubberBand (enum)
    {99, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 80},	//883 QwtPicker::AlwaysOff (enum)
    {99, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 81},	//884 QwtPicker::AlwaysOn (enum)
    {99, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 82},	//885 QwtPicker::ActiveOnly (enum)
    {99, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//886 QwtPicker::Stretch (enum)
    {99, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//887 QwtPicker::KeepSize (enum)
    {99, 1926, 0, 0, Smoke::mf_dtor, 0, 85 },	//888 QwtPicker::~QwtPicker()
    {100, 218, 0, 0, Smoke::mf_ctor, 220, 1},	//889 QwtPickerClickPointMachine::QwtPickerClickPointMachine()
    {100, 1808, 671, 2, Smoke::mf_virtual, 35, 2},	//890 QwtPickerClickPointMachine::transition(const QwtEventPattern&, const QEvent*)
    {100, 218, 674, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 3},	//891 QwtPickerClickPointMachine::QwtPickerClickPointMachine(const QwtPickerClickPointMachine&)
    {100, 1927, 0, 0, Smoke::mf_dtor, 0, 4 },	//892 QwtPickerClickPointMachine::~QwtPickerClickPointMachine()
    {101, 220, 0, 0, Smoke::mf_ctor, 221, 1},	//893 QwtPickerClickRectMachine::QwtPickerClickRectMachine()
    {101, 1808, 671, 2, Smoke::mf_virtual, 35, 2},	//894 QwtPickerClickRectMachine::transition(const QwtEventPattern&, const QEvent*)
    {101, 220, 676, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 221, 3},	//895 QwtPickerClickRectMachine::QwtPickerClickRectMachine(const QwtPickerClickRectMachine&)
    {101, 1928, 0, 0, Smoke::mf_dtor, 0, 4 },	//896 QwtPickerClickRectMachine::~QwtPickerClickRectMachine()
    {102, 222, 0, 0, Smoke::mf_ctor, 222, 1},	//897 QwtPickerDragPointMachine::QwtPickerDragPointMachine()
    {102, 1808, 671, 2, Smoke::mf_virtual, 35, 2},	//898 QwtPickerDragPointMachine::transition(const QwtEventPattern&, const QEvent*)
    {102, 222, 678, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 3},	//899 QwtPickerDragPointMachine::QwtPickerDragPointMachine(const QwtPickerDragPointMachine&)
    {102, 1929, 0, 0, Smoke::mf_dtor, 0, 4 },	//900 QwtPickerDragPointMachine::~QwtPickerDragPointMachine()
    {103, 224, 0, 0, Smoke::mf_ctor, 223, 1},	//901 QwtPickerDragRectMachine::QwtPickerDragRectMachine()
    {103, 1808, 671, 2, Smoke::mf_virtual, 35, 2},	//902 QwtPickerDragRectMachine::transition(const QwtEventPattern&, const QEvent*)
    {103, 224, 680, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 223, 3},	//903 QwtPickerDragRectMachine::QwtPickerDragRectMachine(const QwtPickerDragRectMachine&)
    {103, 1930, 0, 0, Smoke::mf_dtor, 0, 4 },	//904 QwtPickerDragRectMachine::~QwtPickerDragRectMachine()
    {104, 226, 682, 1, Smoke::mf_ctor, 224, 1},	//905 QwtPickerMachine::QwtPickerMachine(QwtPickerMachine::SelectionType)
    {104, 1808, 671, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 35, 2},	//906 QwtPickerMachine::transition(const QwtEventPattern&, const QEvent*) [pure virtual]
    {104, 1153, 0, 0, 0, 0, 3},	//907 QwtPickerMachine::reset()
    {104, 1715, 0, 0, Smoke::mf_const, 420, 4},	//908 QwtPickerMachine::state() const
    {104, 1591, 93, 1, 0, 0, 5},	//909 QwtPickerMachine::setState(int)
    {104, 1194, 0, 0, Smoke::mf_const, 226, 6},	//910 QwtPickerMachine::selectionType() const
    {104, 226, 684, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 224, 7},	//911 QwtPickerMachine::QwtPickerMachine(const QwtPickerMachine&)
    {104, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 8},	//912 QwtPickerMachine::NoSelection (enum)
    {104, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 9},	//913 QwtPickerMachine::PointSelection (enum)
    {104, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 10},	//914 QwtPickerMachine::RectSelection (enum)
    {104, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 11},	//915 QwtPickerMachine::PolygonSelection (enum)
    {104, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 12},	//916 QwtPickerMachine::Begin (enum)
    {104, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 13},	//917 QwtPickerMachine::Append (enum)
    {104, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 14},	//918 QwtPickerMachine::Move (enum)
    {104, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 15},	//919 QwtPickerMachine::Remove (enum)
    {104, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 16},	//920 QwtPickerMachine::End (enum)
    {104, 1931, 0, 0, Smoke::mf_dtor, 0, 17 },	//921 QwtPickerMachine::~QwtPickerMachine()
    {105, 229, 0, 0, Smoke::mf_ctor, 227, 1},	//922 QwtPickerPolygonMachine::QwtPickerPolygonMachine()
    {105, 1808, 671, 2, Smoke::mf_virtual, 35, 2},	//923 QwtPickerPolygonMachine::transition(const QwtEventPattern&, const QEvent*)
    {105, 229, 686, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 3},	//924 QwtPickerPolygonMachine::QwtPickerPolygonMachine(const QwtPickerPolygonMachine&)
    {105, 1932, 0, 0, Smoke::mf_dtor, 0, 4 },	//925 QwtPickerPolygonMachine::~QwtPickerPolygonMachine()
    {106, 231, 0, 0, Smoke::mf_ctor, 228, 1},	//926 QwtPlainTextEngine::QwtPlainTextEngine()
    {106, 822, 688, 4, Smoke::mf_const|Smoke::mf_virtual, 417, 2},	//927 QwtPlainTextEngine::heightForWidth(const QFont&, int, const QString&, double) const
    {106, 1764, 693, 3, Smoke::mf_const|Smoke::mf_virtual, 72, 3},	//928 QwtPlainTextEngine::textSize(const QFont&, int, const QString&) const
    {106, 606, 528, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//929 QwtPlainTextEngine::draw(QPainter*, const QRectF&, int, const QString&) const
    {106, 984, 697, 1, Smoke::mf_const|Smoke::mf_virtual, 307, 5},	//930 QwtPlainTextEngine::mightRender(const QString&) const
    {106, 1761, 699, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//931 QwtPlainTextEngine::textMargins(const QFont&, const QString&, double&, double&, double&, double&) const
    {106, 231, 706, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 228, 7},	//932 QwtPlainTextEngine::QwtPlainTextEngine(const QwtPlainTextEngine&)
    {106, 1933, 0, 0, Smoke::mf_dtor, 0, 8 },	//933 QwtPlainTextEngine::~QwtPlainTextEngine()
    {107, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//934 QwtPlot::metaObject() const
    {107, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//935 QwtPlot::qt_metacast(const char*)
    {107, 1783, 148, 2, Smoke::mf_static, 74, 3},	//936 QwtPlot::tr(const char*, const char*)
    {107, 1787, 148, 2, Smoke::mf_static, 74, 4},	//937 QwtPlot::trUtf8(const char*, const char*)
    {107, 1783, 151, 3, Smoke::mf_static, 74, 5},	//938 QwtPlot::tr(const char*, const char*, int)
    {107, 1787, 151, 3, Smoke::mf_static, 74, 6},	//939 QwtPlot::trUtf8(const char*, const char*, int)
    {107, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//940 QwtPlot::qt_metacall(QMetaObject::Call, int, void**)
    {107, 233, 89, 1, Smoke::mf_ctor, 229, 8},	//941 QwtPlot::QwtPlot(QWidget*)
    {107, 233, 708, 2, Smoke::mf_ctor, 229, 9},	//942 QwtPlot::QwtPlot(const QwtText&, QWidget*)
    {107, 431, 697, 1, 0, 0, 10},	//943 QwtPlot::applyProperties(const QString&)
    {107, 811, 0, 0, Smoke::mf_const, 74, 11},	//944 QwtPlot::grabProperties() const
    {107, 1223, 106, 1, Smoke::mf_property, 0, 12},	//945 QwtPlot::setAutoReplot(bool)
    {107, 441, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 13},	//946 QwtPlot::autoReplot() const
    {107, 1506, 711, 1, 0, 0, 14},	//947 QwtPlot::setPlotLayout(QwtPlotLayout*)
    {107, 1077, 0, 0, 0, 247, 15},	//948 QwtPlot::plotLayout()
    {107, 1077, 0, 0, Smoke::mf_const, 385, 16},	//949 QwtPlot::plotLayout() const
    {107, 1623, 697, 1, 0, 0, 17},	//950 QwtPlot::setTitle(const QString&)
    {107, 1623, 713, 1, 0, 0, 18},	//951 QwtPlot::setTitle(const QwtText&)
    {107, 1776, 0, 0, Smoke::mf_const, 293, 19},	//952 QwtPlot::title() const
    {107, 1779, 0, 0, 0, 300, 20},	//953 QwtPlot::titleLabel()
    {107, 1779, 0, 0, Smoke::mf_const, 410, 21},	//954 QwtPlot::titleLabel() const
    {107, 1331, 697, 1, 0, 0, 22},	//955 QwtPlot::setFooter(const QString&)
    {107, 1331, 713, 1, 0, 0, 23},	//956 QwtPlot::setFooter(const QwtText&)
    {107, 787, 0, 0, Smoke::mf_const, 293, 24},	//957 QwtPlot::footer() const
    {107, 788, 0, 0, 0, 300, 25},	//958 QwtPlot::footerLabel()
    {107, 788, 0, 0, Smoke::mf_const, 410, 26},	//959 QwtPlot::footerLabel() const
    {107, 1276, 89, 1, 0, 0, 27},	//960 QwtPlot::setCanvas(QWidget*)
    {107, 504, 0, 0, 0, 91, 28},	//961 QwtPlot::canvas()
    {107, 504, 0, 0, Smoke::mf_const, 351, 29},	//962 QwtPlot::canvas() const
    {107, 1278, 715, 1, 0, 0, 30},	//963 QwtPlot::setCanvasBackground(const QBrush&)
    {107, 505, 0, 0, Smoke::mf_const, 4, 31},	//964 QwtPlot::canvasBackground() const
    {107, 506, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 275, 32},	//965 QwtPlot::canvasMap(int) const
    {107, 859, 645, 2, Smoke::mf_const, 417, 33},	//966 QwtPlot::invTransform(int, int) const
    {107, 1802, 717, 2, Smoke::mf_const, 417, 34},	//967 QwtPlot::transform(int, double) const
    {107, 461, 93, 1, 0, 273, 35},	//968 QwtPlot::axisScaleEngine(int)
    {107, 461, 93, 1, Smoke::mf_const, 393, 36},	//969 QwtPlot::axisScaleEngine(int) const
    {107, 1251, 720, 2, 0, 0, 37},	//970 QwtPlot::setAxisScaleEngine(int, QwtScaleEngine*)
    {107, 1229, 723, 2, 0, 0, 38},	//971 QwtPlot::setAxisAutoScale(int, bool)
    {107, 444, 93, 1, Smoke::mf_const, 307, 39},	//972 QwtPlot::axisAutoScale(int) const
    {107, 739, 723, 2, 0, 0, 40},	//973 QwtPlot::enableAxis(int, bool)
    {107, 447, 93, 1, Smoke::mf_const, 307, 41},	//974 QwtPlot::axisEnabled(int) const
    {107, 1234, 726, 2, 0, 0, 42},	//975 QwtPlot::setAxisFont(int, const QFont&)
    {107, 449, 93, 1, Smoke::mf_const, 24, 43},	//976 QwtPlot::axisFont(int) const
    {107, 1244, 729, 4, 0, 0, 44},	//977 QwtPlot::setAxisScale(int, double, double, double)
    {107, 1247, 734, 2, 0, 0, 45},	//978 QwtPlot::setAxisScaleDiv(int, const QwtScaleDiv&)
    {107, 1249, 737, 2, 0, 0, 46},	//979 QwtPlot::setAxisScaleDraw(int, QwtScaleDraw*)
    {107, 463, 93, 1, Smoke::mf_const, 417, 47},	//980 QwtPlot::axisStepSize(int) const
    {107, 451, 93, 1, Smoke::mf_const, 200, 48},	//981 QwtPlot::axisInterval(int) const
    {107, 457, 93, 1, Smoke::mf_const, 390, 49},	//982 QwtPlot::axisScaleDiv(int) const
    {107, 459, 93, 1, Smoke::mf_const, 391, 50},	//983 QwtPlot::axisScaleDraw(int) const
    {107, 459, 93, 1, 0, 271, 51},	//984 QwtPlot::axisScaleDraw(int)
    {107, 469, 93, 1, Smoke::mf_const, 396, 52},	//985 QwtPlot::axisWidget(int) const
    {107, 469, 93, 1, 0, 278, 53},	//986 QwtPlot::axisWidget(int)
    {107, 1236, 740, 2, 0, 0, 54},	//987 QwtPlot::setAxisLabelAlignment(int, QFlags<Qt::AlignmentFlag>)
    {107, 1238, 717, 2, 0, 0, 55},	//988 QwtPlot::setAxisLabelRotation(int, double)
    {107, 1253, 743, 2, 0, 0, 56},	//989 QwtPlot::setAxisTitle(int, const QString&)
    {107, 1253, 746, 2, 0, 0, 57},	//990 QwtPlot::setAxisTitle(int, const QwtText&)
    {107, 465, 93, 1, Smoke::mf_const, 293, 58},	//991 QwtPlot::axisTitle(int) const
    {107, 1242, 645, 2, 0, 0, 59},	//992 QwtPlot::setAxisMaxMinor(int, int)
    {107, 455, 93, 1, Smoke::mf_const, 420, 60},	//993 QwtPlot::axisMaxMinor(int) const
    {107, 1240, 645, 2, 0, 0, 61},	//994 QwtPlot::setAxisMaxMajor(int, int)
    {107, 453, 93, 1, Smoke::mf_const, 420, 62},	//995 QwtPlot::axisMaxMajor(int) const
    {107, 853, 749, 3, 0, 0, 63},	//996 QwtPlot::insertLegend(QwtAbstractLegend*, QwtPlot::LegendPosition, double)
    {107, 943, 0, 0, 0, 165, 64},	//997 QwtPlot::legend()
    {107, 943, 0, 0, Smoke::mf_const, 352, 65},	//998 QwtPlot::legend() const
    {107, 1816, 0, 0, 0, 0, 66},	//999 QwtPlot::updateLegend()
    {107, 1816, 753, 1, 0, 0, 67},	//1000 QwtPlot::updateLegend(const QwtPlotItem*)
    {107, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 68},	//1001 QwtPlot::sizeHint() const
    {107, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 69},	//1002 QwtPlot::minimumSizeHint() const
    {107, 1815, 0, 0, Smoke::mf_virtual, 0, 70},	//1003 QwtPlot::updateLayout()
    {107, 622, 182, 1, Smoke::mf_virtual, 0, 71},	//1004 QwtPlot::drawCanvas(QPainter*)
    {107, 1811, 0, 0, 0, 0, 72},	//1005 QwtPlot::updateAxes()
    {107, 1812, 0, 0, 0, 0, 73},	//1006 QwtPlot::updateCanvasMargins()
    {107, 800, 755, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 74},	//1007 QwtPlot::getCanvasMarginsHint(const QwtScaleMap*, const QRectF&, double&, double&, double&, double&) const
    {107, 758, 7, 1, Smoke::mf_virtual, 307, 75},	//1008 QwtPlot::event(QEvent*)
    {107, 760, 95, 2, Smoke::mf_virtual, 307, 76},	//1009 QwtPlot::eventFilter(QObject*, QEvent*)
    {107, 651, 762, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 77},	//1010 QwtPlot::drawItems(QPainter*, const QRectF&, const QwtScaleMap*) const
    {107, 906, 766, 1, Smoke::mf_const|Smoke::mf_virtual, 82, 78},	//1011 QwtPlot::itemToInfo(QwtPlotItem*) const
    {107, 840, 424, 1, Smoke::mf_const|Smoke::mf_virtual, 242, 79},	//1012 QwtPlot::infoToItem(const QVariant&) const
    {107, 895, 768, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//1013 QwtPlot::itemAttached(QwtPlotItem*, bool)
    {107, 946, 446, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//1014 QwtPlot::legendDataChanged(const QVariant&, const QList<QwtLegendData>&)
    {107, 1149, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 82},	//1015 QwtPlot::replot()
    {107, 440, 0, 0, Smoke::mf_slot, 0, 83},	//1016 QwtPlot::autoRefresh()
    {107, 467, 93, 1, Smoke::mf_static|Smoke::mf_protected, 307, 84},	//1017 QwtPlot::axisValid(int)
    {107, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 85},	//1018 QwtPlot::resizeEvent(QResizeEvent*)
    {107, 1783, 98, 1, Smoke::mf_static, 74, 86},	//1019 QwtPlot::tr(const char*)
    {107, 1787, 98, 1, Smoke::mf_static, 74, 87},	//1020 QwtPlot::trUtf8(const char*)
    {107, 233, 0, 0, Smoke::mf_ctor, 229, 88},	//1021 QwtPlot::QwtPlot()
    {107, 233, 713, 1, Smoke::mf_ctor, 229, 89},	//1022 QwtPlot::QwtPlot(const QwtText&)
    {107, 1223, 0, 0, Smoke::mf_property, 0, 90},	//1023 QwtPlot::setAutoReplot()
    {107, 1229, 93, 1, 0, 0, 91},	//1024 QwtPlot::setAxisAutoScale(int)
    {107, 739, 93, 1, 0, 0, 92},	//1025 QwtPlot::enableAxis(int)
    {107, 1244, 771, 3, 0, 0, 93},	//1026 QwtPlot::setAxisScale(int, double, double)
    {107, 853, 775, 1, 0, 0, 94},	//1027 QwtPlot::insertLegend(QwtAbstractLegend*)
    {107, 853, 777, 2, 0, 0, 95},	//1028 QwtPlot::insertLegend(QwtAbstractLegend*, QwtPlot::LegendPosition)
    {107, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 96},	//1029 QwtPlot::staticMetaObject() const
    {107, 1884, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 97},	//1030 QwtPlot::yLeft (enum)
    {107, 1886, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 98},	//1031 QwtPlot::yRight (enum)
    {107, 1874, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 99},	//1032 QwtPlot::xBottom (enum)
    {107, 1879, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 100},	//1033 QwtPlot::xTop (enum)
    {107, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 101},	//1034 QwtPlot::axisCnt (enum)
    {107, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 102},	//1035 QwtPlot::LeftLegend (enum)
    {107, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 103},	//1036 QwtPlot::RightLegend (enum)
    {107, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 104},	//1037 QwtPlot::BottomLegend (enum)
    {107, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 105},	//1038 QwtPlot::TopLegend (enum)
    {107, 1934, 0, 0, Smoke::mf_dtor, 0, 106 },	//1039 QwtPlot::~QwtPlot()
    {108, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1040 QwtPlotCanvas::metaObject() const
    {108, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1041 QwtPlotCanvas::qt_metacast(const char*)
    {108, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1042 QwtPlotCanvas::tr(const char*, const char*)
    {108, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1043 QwtPlotCanvas::trUtf8(const char*, const char*)
    {108, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1044 QwtPlotCanvas::tr(const char*, const char*, int)
    {108, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1045 QwtPlotCanvas::trUtf8(const char*, const char*, int)
    {108, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1046 QwtPlotCanvas::qt_metacall(QMetaObject::Call, int, void**)
    {108, 236, 780, 1, Smoke::mf_ctor, 232, 8},	//1047 QwtPlotCanvas::QwtPlotCanvas(QwtPlot*)
    {108, 1076, 0, 0, 0, 229, 9},	//1048 QwtPlotCanvas::plot()
    {108, 1076, 0, 0, Smoke::mf_const, 381, 10},	//1049 QwtPlotCanvas::plot() const
    {108, 1327, 782, 1, 0, 0, 11},	//1050 QwtPlotCanvas::setFocusIndicator(QwtPlotCanvas::FocusIndicator)
    {108, 782, 0, 0, Smoke::mf_const, 233, 12},	//1051 QwtPlotCanvas::focusIndicator() const
    {108, 1268, 22, 1, Smoke::mf_property, 0, 13},	//1052 QwtPlotCanvas::setBorderRadius(double)
    {108, 481, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 14},	//1053 QwtPlotCanvas::borderRadius() const
    {108, 1480, 784, 2, 0, 0, 15},	//1054 QwtPlotCanvas::setPaintAttribute(QwtPlotCanvas::PaintAttribute, bool)
    {108, 1753, 787, 1, Smoke::mf_const, 307, 16},	//1055 QwtPlotCanvas::testPaintAttribute(QwtPlotCanvas::PaintAttribute) const
    {108, 472, 0, 0, Smoke::mf_const, 329, 17},	//1056 QwtPlotCanvas::backingStore() const
    {108, 865, 0, 0, 0, 0, 18},	//1057 QwtPlotCanvas::invalidateBackingStore()
    {108, 758, 7, 1, Smoke::mf_virtual, 307, 19},	//1058 QwtPlotCanvas::event(QEvent*)
    {108, 478, 363, 1, Smoke::mf_const, 49, 20},	//1059 QwtPlotCanvas::borderPath(const QRect&) const
    {108, 1149, 0, 0, Smoke::mf_slot, 0, 21},	//1060 QwtPlotCanvas::replot()
    {108, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1061 QwtPlotCanvas::paintEvent(QPaintEvent*)
    {108, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1062 QwtPlotCanvas::resizeEvent(QResizeEvent*)
    {108, 637, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1063 QwtPlotCanvas::drawFocusIndicator(QPainter*)
    {108, 618, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1064 QwtPlotCanvas::drawBorder(QPainter*)
    {108, 1821, 0, 0, Smoke::mf_protected, 0, 26},	//1065 QwtPlotCanvas::updateStyleSheetInfo()
    {108, 1783, 98, 1, Smoke::mf_static, 74, 27},	//1066 QwtPlotCanvas::tr(const char*)
    {108, 1787, 98, 1, Smoke::mf_static, 74, 28},	//1067 QwtPlotCanvas::trUtf8(const char*)
    {108, 236, 0, 0, Smoke::mf_ctor, 232, 29},	//1068 QwtPlotCanvas::QwtPlotCanvas()
    {108, 1480, 787, 1, 0, 0, 30},	//1069 QwtPlotCanvas::setPaintAttribute(QwtPlotCanvas::PaintAttribute)
    {108, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 31},	//1070 QwtPlotCanvas::staticMetaObject() const
    {108, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 32},	//1071 QwtPlotCanvas::BackingStore (enum)
    {108, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 33},	//1072 QwtPlotCanvas::Opaque (enum)
    {108, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 34},	//1073 QwtPlotCanvas::HackStyledBackground (enum)
    {108, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 35},	//1074 QwtPlotCanvas::ImmediatePaint (enum)
    {108, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 36},	//1075 QwtPlotCanvas::NoFocusIndicator (enum)
    {108, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 37},	//1076 QwtPlotCanvas::CanvasFocusIndicator (enum)
    {108, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 38},	//1077 QwtPlotCanvas::ItemFocusIndicator (enum)
    {108, 1935, 0, 0, Smoke::mf_dtor, 0, 39 },	//1078 QwtPlotCanvas::~QwtPlotCanvas()
    {109, 238, 697, 1, Smoke::mf_ctor, 235, 1},	//1079 QwtPlotCurve::QwtPlotCurve(const QString&)
    {109, 238, 713, 1, Smoke::mf_ctor, 235, 2},	//1080 QwtPlotCurve::QwtPlotCurve(const QwtText&)
    {109, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 3},	//1081 QwtPlotCurve::rtti() const
    {109, 1480, 789, 2, 0, 0, 4},	//1082 QwtPlotCurve::setPaintAttribute(QwtPlotCurve::PaintAttribute, bool)
    {109, 1753, 792, 1, Smoke::mf_const, 307, 5},	//1083 QwtPlotCurve::testPaintAttribute(QwtPlotCurve::PaintAttribute) const
    {109, 1389, 794, 2, 0, 0, 6},	//1084 QwtPlotCurve::setLegendAttribute(QwtPlotCurve::LegendAttribute, bool)
    {109, 1751, 797, 1, Smoke::mf_const, 307, 7},	//1085 QwtPlotCurve::testLegendAttribute(QwtPlotCurve::LegendAttribute) const
    {109, 1520, 799, 3, 0, 0, 8},	//1086 QwtPlotCurve::setRawSamples(const double*, const double*, int)
    {109, 1544, 799, 3, 0, 0, 9},	//1087 QwtPlotCurve::setSamples(const double*, const double*, int)
    {109, 1544, 803, 2, 0, 0, 10},	//1088 QwtPlotCurve::setSamples(const QVector<double>&, const QVector<double>&)
    {109, 1544, 806, 1, 0, 0, 11},	//1089 QwtPlotCurve::setSamples(const QVector<QPointF>&)
    {109, 1544, 808, 1, 0, 0, 12},	//1090 QwtPlotCurve::setSamples(QwtSeriesData<QPointF>*)
    {109, 536, 810, 2, Smoke::mf_const, 420, 13},	//1091 QwtPlotCurve::closestPoint(const QPoint&, double*) const
    {109, 991, 0, 0, Smoke::mf_const, 417, 14},	//1092 QwtPlotCurve::minXValue() const
    {109, 978, 0, 0, Smoke::mf_const, 417, 15},	//1093 QwtPlotCurve::maxXValue() const
    {109, 992, 0, 0, Smoke::mf_const, 417, 16},	//1094 QwtPlotCurve::minYValue() const
    {109, 979, 0, 0, Smoke::mf_const, 417, 17},	//1095 QwtPlotCurve::maxYValue() const
    {109, 1303, 813, 2, 0, 0, 18},	//1096 QwtPlotCurve::setCurveAttribute(QwtPlotCurve::CurveAttribute, bool)
    {109, 1739, 816, 1, Smoke::mf_const, 307, 19},	//1097 QwtPlotCurve::testCurveAttribute(QwtPlotCurve::CurveAttribute) const
    {109, 1489, 818, 3, 0, 0, 20},	//1098 QwtPlotCurve::setPen(const QColor&, double, Qt::PenStyle)
    {109, 1489, 660, 1, 0, 0, 21},	//1099 QwtPlotCurve::setPen(const QPen&)
    {109, 1065, 0, 0, Smoke::mf_const, 327, 22},	//1100 QwtPlotCurve::pen() const
    {109, 1272, 715, 1, 0, 0, 23},	//1101 QwtPlotCurve::setBrush(const QBrush&)
    {109, 488, 0, 0, Smoke::mf_const, 308, 24},	//1102 QwtPlotCurve::brush() const
    {109, 1260, 22, 1, 0, 0, 25},	//1103 QwtPlotCurve::setBaseline(double)
    {109, 475, 0, 0, Smoke::mf_const, 417, 26},	//1104 QwtPlotCurve::baseline() const
    {109, 1603, 822, 1, 0, 0, 27},	//1105 QwtPlotCurve::setStyle(QwtPlotCurve::CurveStyle)
    {109, 1729, 0, 0, Smoke::mf_const, 237, 28},	//1106 QwtPlotCurve::style() const
    {109, 1607, 824, 1, 0, 0, 29},	//1107 QwtPlotCurve::setSymbol(QwtSymbol*)
    {109, 1731, 0, 0, Smoke::mf_const, 406, 30},	//1108 QwtPlotCurve::symbol() const
    {109, 1306, 826, 1, 0, 0, 31},	//1109 QwtPlotCurve::setCurveFitter(QwtCurveFitter*)
    {109, 576, 0, 0, Smoke::mf_const, 186, 32},	//1110 QwtPlotCurve::curveFitter() const
    {109, 706, 828, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 33},	//1111 QwtPlotCurve::drawSeries(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 948, 835, 2, Smoke::mf_const|Smoke::mf_virtual, 199, 34},	//1112 QwtPlotCurve::legendIcon(int, const QSizeF&) const
    {109, 842, 0, 0, Smoke::mf_protected, 0, 35},	//1113 QwtPlotCurve::init()
    {109, 631, 838, 7, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1114 QwtPlotCurve::drawCurve(QPainter*, int, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 718, 846, 7, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//1115 QwtPlotCurve::drawSymbols(QPainter*, const QwtSymbol&, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 663, 828, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//1116 QwtPlotCurve::drawLines(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 714, 828, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1117 QwtPlotCurve::drawSticks(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 633, 828, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1118 QwtPlotCurve::drawDots(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 712, 828, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1119 QwtPlotCurve::drawSteps(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, int, int) const
    {109, 768, 854, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1120 QwtPlotCurve::fillCurve(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&, QPolygonF&) const
    {109, 534, 860, 4, Smoke::mf_const|Smoke::mf_protected, 0, 43},	//1121 QwtPlotCurve::closePolyline(QPainter*, const QwtScaleMap&, const QwtScaleMap&, QPolygonF&) const
    {109, 238, 0, 0, Smoke::mf_ctor, 235, 44},	//1122 QwtPlotCurve::QwtPlotCurve()
    {109, 1480, 792, 1, 0, 0, 45},	//1123 QwtPlotCurve::setPaintAttribute(QwtPlotCurve::PaintAttribute)
    {109, 1389, 797, 1, 0, 0, 46},	//1124 QwtPlotCurve::setLegendAttribute(QwtPlotCurve::LegendAttribute)
    {109, 536, 1, 1, Smoke::mf_const, 420, 47},	//1125 QwtPlotCurve::closestPoint(const QPoint&) const
    {109, 1303, 816, 1, 0, 0, 48},	//1126 QwtPlotCurve::setCurveAttribute(QwtPlotCurve::CurveAttribute)
    {109, 1489, 197, 1, 0, 0, 49},	//1127 QwtPlotCurve::setPen(const QColor&)
    {109, 1489, 865, 2, 0, 0, 50},	//1128 QwtPlotCurve::setPen(const QColor&, double)
    {109, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 51},	//1129 QwtPlotCurve::NoCurve (enum)
    {109, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 52},	//1130 QwtPlotCurve::Lines (enum)
    {109, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 53},	//1131 QwtPlotCurve::Sticks (enum)
    {109, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 54},	//1132 QwtPlotCurve::Steps (enum)
    {109, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 55},	//1133 QwtPlotCurve::Dots (enum)
    {109, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 56},	//1134 QwtPlotCurve::UserCurve (enum)
    {109, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 57},	//1135 QwtPlotCurve::Inverted (enum)
    {109, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 58},	//1136 QwtPlotCurve::Fitted (enum)
    {109, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//1137 QwtPlotCurve::LegendNoAttribute (enum)
    {109, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//1138 QwtPlotCurve::LegendShowLine (enum)
    {109, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//1139 QwtPlotCurve::LegendShowSymbol (enum)
    {109, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//1140 QwtPlotCurve::LegendShowBrush (enum)
    {109, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 63},	//1141 QwtPlotCurve::ClipPolygons (enum)
    {109, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 64},	//1142 QwtPlotCurve::FilterPoints (enum)
    {109, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 65},	//1143 QwtPlotCurve::MinimizeMemory (enum)
    {109, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 66},	//1144 QwtPlotCurve::ImageBuffer (enum)
    {109, 1936, 0, 0, Smoke::mf_dtor, 0, 67 },	//1145 QwtPlotCurve::~QwtPlotCurve()
    {110, 241, 0, 0, Smoke::mf_ctor, 240, 1},	//1146 QwtPlotDict::QwtPlotDict()
    {110, 1221, 106, 1, 0, 0, 2},	//1147 QwtPlotDict::setAutoDelete(bool)
    {110, 439, 0, 0, Smoke::mf_const, 307, 3},	//1148 QwtPlotDict::autoDelete() const
    {110, 904, 0, 0, Smoke::mf_const, 319, 4},	//1149 QwtPlotDict::itemList() const
    {110, 904, 93, 1, Smoke::mf_const, 36, 5},	//1150 QwtPlotDict::itemList(int) const
    {110, 587, 723, 2, 0, 0, 6},	//1151 QwtPlotDict::detachItems(int, bool)
    {110, 851, 766, 1, Smoke::mf_protected, 0, 7},	//1152 QwtPlotDict::insertItem(QwtPlotItem*)
    {110, 1131, 766, 1, Smoke::mf_protected, 0, 8},	//1153 QwtPlotDict::removeItem(QwtPlotItem*)
    {110, 241, 868, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 240, 9},	//1154 QwtPlotDict::QwtPlotDict(const QwtPlotDict&)
    {110, 587, 0, 0, 0, 0, 10},	//1155 QwtPlotDict::detachItems()
    {110, 587, 93, 1, 0, 0, 11},	//1156 QwtPlotDict::detachItems(int)
    {110, 1937, 0, 0, Smoke::mf_dtor, 0, 12 },	//1157 QwtPlotDict::~QwtPlotDict()
    {111, 243, 0, 0, Smoke::mf_ctor, 241, 1},	//1158 QwtPlotGrid::QwtPlotGrid()
    {111, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 2},	//1159 QwtPlotGrid::rtti() const
    {111, 745, 106, 1, 0, 0, 3},	//1160 QwtPlotGrid::enableX(bool)
    {111, 1876, 0, 0, Smoke::mf_const, 307, 4},	//1161 QwtPlotGrid::xEnabled() const
    {111, 749, 106, 1, 0, 0, 5},	//1162 QwtPlotGrid::enableY(bool)
    {111, 1883, 0, 0, Smoke::mf_const, 307, 6},	//1163 QwtPlotGrid::yEnabled() const
    {111, 747, 106, 1, 0, 0, 7},	//1164 QwtPlotGrid::enableXMin(bool)
    {111, 1877, 0, 0, Smoke::mf_const, 307, 8},	//1165 QwtPlotGrid::xMinEnabled() const
    {111, 751, 106, 1, 0, 0, 9},	//1166 QwtPlotGrid::enableYMin(bool)
    {111, 1885, 0, 0, Smoke::mf_const, 307, 10},	//1167 QwtPlotGrid::yMinEnabled() const
    {111, 1672, 157, 1, 0, 0, 11},	//1168 QwtPlotGrid::setXDiv(const QwtScaleDiv&)
    {111, 1878, 0, 0, Smoke::mf_const, 390, 12},	//1169 QwtPlotGrid::xScaleDiv() const
    {111, 1678, 157, 1, 0, 0, 13},	//1170 QwtPlotGrid::setYDiv(const QwtScaleDiv&)
    {111, 1887, 0, 0, Smoke::mf_const, 390, 14},	//1171 QwtPlotGrid::yScaleDiv() const
    {111, 1489, 818, 3, 0, 0, 15},	//1172 QwtPlotGrid::setPen(const QColor&, double, Qt::PenStyle)
    {111, 1489, 660, 1, 0, 0, 16},	//1173 QwtPlotGrid::setPen(const QPen&)
    {111, 1413, 818, 3, 0, 0, 17},	//1174 QwtPlotGrid::setMajorPen(const QColor&, double, Qt::PenStyle)
    {111, 1413, 660, 1, 0, 0, 18},	//1175 QwtPlotGrid::setMajorPen(const QPen&)
    {111, 964, 0, 0, Smoke::mf_const, 327, 19},	//1176 QwtPlotGrid::majorPen() const
    {111, 1443, 818, 3, 0, 0, 20},	//1177 QwtPlotGrid::setMinorPen(const QColor&, double, Qt::PenStyle)
    {111, 1443, 660, 1, 0, 0, 21},	//1178 QwtPlotGrid::setMinorPen(const QPen&)
    {111, 1000, 0, 0, Smoke::mf_const, 327, 22},	//1179 QwtPlotGrid::minorPen() const
    {111, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//1180 QwtPlotGrid::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {111, 1819, 875, 2, Smoke::mf_virtual, 0, 24},	//1181 QwtPlotGrid::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {111, 1489, 197, 1, 0, 0, 25},	//1182 QwtPlotGrid::setPen(const QColor&)
    {111, 1489, 865, 2, 0, 0, 26},	//1183 QwtPlotGrid::setPen(const QColor&, double)
    {111, 1413, 197, 1, 0, 0, 27},	//1184 QwtPlotGrid::setMajorPen(const QColor&)
    {111, 1413, 865, 2, 0, 0, 28},	//1185 QwtPlotGrid::setMajorPen(const QColor&, double)
    {111, 1443, 197, 1, 0, 0, 29},	//1186 QwtPlotGrid::setMinorPen(const QColor&)
    {111, 1443, 865, 2, 0, 0, 30},	//1187 QwtPlotGrid::setMinorPen(const QColor&, double)
    {111, 1938, 0, 0, Smoke::mf_dtor, 0, 31 },	//1188 QwtPlotGrid::~QwtPlotGrid()
    {112, 244, 713, 1, Smoke::mf_ctor, 242, 1},	//1189 QwtPlotItem::QwtPlotItem(const QwtText&)
    {112, 436, 780, 1, 0, 0, 2},	//1190 QwtPlotItem::attach(QwtPlot*)
    {112, 586, 0, 0, 0, 0, 3},	//1191 QwtPlotItem::detach()
    {112, 1076, 0, 0, Smoke::mf_const, 229, 4},	//1192 QwtPlotItem::plot() const
    {112, 1623, 697, 1, 0, 0, 5},	//1193 QwtPlotItem::setTitle(const QString&)
    {112, 1623, 713, 1, 0, 0, 6},	//1194 QwtPlotItem::setTitle(const QwtText&)
    {112, 1776, 0, 0, Smoke::mf_const, 407, 7},	//1195 QwtPlotItem::title() const
    {112, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 8},	//1196 QwtPlotItem::rtti() const
    {112, 1360, 878, 2, 0, 0, 9},	//1197 QwtPlotItem::setItemAttribute(QwtPlotItem::ItemAttribute, bool)
    {112, 1743, 881, 1, Smoke::mf_const, 307, 10},	//1198 QwtPlotItem::testItemAttribute(QwtPlotItem::ItemAttribute) const
    {112, 1363, 883, 2, 0, 0, 11},	//1199 QwtPlotItem::setItemInterest(QwtPlotItem::ItemInterest, bool)
    {112, 1745, 886, 1, Smoke::mf_const, 307, 12},	//1200 QwtPlotItem::testItemInterest(QwtPlotItem::ItemInterest) const
    {112, 1529, 888, 2, 0, 0, 13},	//1201 QwtPlotItem::setRenderHint(QwtPlotItem::RenderHint, bool)
    {112, 1755, 891, 1, Smoke::mf_const, 307, 14},	//1202 QwtPlotItem::testRenderHint(QwtPlotItem::RenderHint) const
    {112, 1532, 192, 1, 0, 0, 15},	//1203 QwtPlotItem::setRenderThreadCount(unsigned int)
    {112, 1146, 0, 0, Smoke::mf_const, 426, 16},	//1204 QwtPlotItem::renderThreadCount() const
    {112, 1392, 893, 1, 0, 0, 17},	//1205 QwtPlotItem::setLegendIconSize(const QSize&)
    {112, 950, 0, 0, Smoke::mf_const, 71, 18},	//1206 QwtPlotItem::legendIconSize() const
    {112, 1889, 0, 0, Smoke::mf_const, 417, 19},	//1207 QwtPlotItem::z() const
    {112, 1682, 22, 1, 0, 0, 20},	//1208 QwtPlotItem::setZ(double)
    {112, 1696, 0, 0, 0, 0, 21},	//1209 QwtPlotItem::show()
    {112, 826, 0, 0, 0, 0, 22},	//1210 QwtPlotItem::hide()
    {112, 1656, 106, 1, Smoke::mf_virtual, 0, 23},	//1211 QwtPlotItem::setVisible(bool)
    {112, 891, 0, 0, Smoke::mf_const, 307, 24},	//1212 QwtPlotItem::isVisible() const
    {112, 1225, 645, 2, 0, 0, 25},	//1213 QwtPlotItem::setAxes(int, int)
    {112, 1670, 93, 1, 0, 0, 26},	//1214 QwtPlotItem::setXAxis(int)
    {112, 1873, 0, 0, Smoke::mf_const, 420, 27},	//1215 QwtPlotItem::xAxis() const
    {112, 1676, 93, 1, 0, 0, 28},	//1216 QwtPlotItem::setYAxis(int)
    {112, 1881, 0, 0, Smoke::mf_const, 420, 29},	//1217 QwtPlotItem::yAxis() const
    {112, 897, 0, 0, Smoke::mf_virtual, 0, 30},	//1218 QwtPlotItem::itemChanged()
    {112, 944, 0, 0, Smoke::mf_virtual, 0, 31},	//1219 QwtPlotItem::legendChanged()
    {112, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//1220 QwtPlotItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const [pure virtual]
    {112, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 33},	//1221 QwtPlotItem::boundingRect() const
    {112, 798, 895, 7, Smoke::mf_const|Smoke::mf_virtual, 0, 34},	//1222 QwtPlotItem::getCanvasMarginHint(const QwtScaleMap&, const QwtScaleMap&, const QRectF&, double&, double&, double&, double&) const
    {112, 1819, 875, 2, Smoke::mf_virtual, 0, 35},	//1223 QwtPlotItem::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {112, 1816, 903, 2, Smoke::mf_virtual, 0, 36},	//1224 QwtPlotItem::updateLegend(const QwtPlotItem*, const QList<QwtLegendData>&)
    {112, 1182, 906, 2, Smoke::mf_const, 63, 37},	//1225 QwtPlotItem::scaleRect(const QwtScaleMap&, const QwtScaleMap&) const
    {112, 1057, 906, 2, Smoke::mf_const, 63, 38},	//1226 QwtPlotItem::paintRect(const QwtScaleMap&, const QwtScaleMap&) const
    {112, 945, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 34, 39},	//1227 QwtPlotItem::legendData() const
    {112, 948, 835, 2, Smoke::mf_const|Smoke::mf_virtual, 199, 40},	//1228 QwtPlotItem::legendIcon(int, const QSizeF&) const
    {112, 583, 909, 2, Smoke::mf_const|Smoke::mf_protected, 199, 41},	//1229 QwtPlotItem::defaultIcon(const QBrush&, const QSizeF&) const
    {112, 244, 0, 0, Smoke::mf_ctor, 242, 42},	//1230 QwtPlotItem::QwtPlotItem()
    {112, 1360, 881, 1, 0, 0, 43},	//1231 QwtPlotItem::setItemAttribute(QwtPlotItem::ItemAttribute)
    {112, 1363, 886, 1, 0, 0, 44},	//1232 QwtPlotItem::setItemInterest(QwtPlotItem::ItemInterest)
    {112, 1529, 891, 1, 0, 0, 45},	//1233 QwtPlotItem::setRenderHint(QwtPlotItem::RenderHint)
    {112, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 46},	//1234 QwtPlotItem::Rtti_PlotItem (enum)
    {112, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 47},	//1235 QwtPlotItem::Rtti_PlotGrid (enum)
    {112, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 48},	//1236 QwtPlotItem::Rtti_PlotScale (enum)
    {112, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 49},	//1237 QwtPlotItem::Rtti_PlotLegend (enum)
    {112, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 50},	//1238 QwtPlotItem::Rtti_PlotMarker (enum)
    {112, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 51},	//1239 QwtPlotItem::Rtti_PlotCurve (enum)
    {112, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 52},	//1240 QwtPlotItem::Rtti_PlotSpectroCurve (enum)
    {112, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 53},	//1241 QwtPlotItem::Rtti_PlotIntervalCurve (enum)
    {112, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 54},	//1242 QwtPlotItem::Rtti_PlotHistogram (enum)
    {112, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 55},	//1243 QwtPlotItem::Rtti_PlotSpectrogram (enum)
    {112, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 56},	//1244 QwtPlotItem::Rtti_PlotSVG (enum)
    {112, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 57},	//1245 QwtPlotItem::Rtti_PlotTradingCurve (enum)
    {112, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 58},	//1246 QwtPlotItem::Rtti_PlotBarChart (enum)
    {112, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 59},	//1247 QwtPlotItem::Rtti_PlotMultiBarChart (enum)
    {112, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 60},	//1248 QwtPlotItem::Rtti_PlotShape (enum)
    {112, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 61},	//1249 QwtPlotItem::Rtti_PlotTextLabel (enum)
    {112, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 62},	//1250 QwtPlotItem::Rtti_PlotZone (enum)
    {112, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 63},	//1251 QwtPlotItem::Rtti_PlotUserItem (enum)
    {112, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 64},	//1252 QwtPlotItem::Legend (enum)
    {112, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 65},	//1253 QwtPlotItem::AutoScale (enum)
    {112, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 66},	//1254 QwtPlotItem::Margins (enum)
    {112, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 67},	//1255 QwtPlotItem::ScaleInterest (enum)
    {112, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 68},	//1256 QwtPlotItem::LegendInterest (enum)
    {112, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 69},	//1257 QwtPlotItem::RenderAntialiased (enum)
    {112, 1939, 0, 0, Smoke::mf_dtor, 0, 70 },	//1258 QwtPlotItem::~QwtPlotItem()
    {113, 246, 0, 0, Smoke::mf_ctor, 247, 1},	//1259 QwtPlotLayout::QwtPlotLayout()
    {113, 1280, 645, 2, 0, 0, 2},	//1260 QwtPlotLayout::setCanvasMargin(int, int)
    {113, 508, 93, 1, Smoke::mf_const, 420, 3},	//1261 QwtPlotLayout::canvasMargin(int) const
    {113, 1208, 106, 1, 0, 0, 4},	//1262 QwtPlotLayout::setAlignCanvasToScales(bool)
    {113, 1206, 723, 2, 0, 0, 5},	//1263 QwtPlotLayout::setAlignCanvasToScale(int, bool)
    {113, 419, 93, 1, Smoke::mf_const, 307, 6},	//1264 QwtPlotLayout::alignCanvasToScale(int) const
    {113, 1583, 93, 1, 0, 0, 7},	//1265 QwtPlotLayout::setSpacing(int)
    {113, 1710, 0, 0, Smoke::mf_const, 420, 8},	//1266 QwtPlotLayout::spacing() const
    {113, 1394, 912, 2, 0, 0, 9},	//1267 QwtPlotLayout::setLegendPosition(QwtPlot::LegendPosition, double)
    {113, 1394, 915, 1, 0, 0, 10},	//1268 QwtPlotLayout::setLegendPosition(QwtPlot::LegendPosition)
    {113, 951, 0, 0, Smoke::mf_const, 231, 11},	//1269 QwtPlotLayout::legendPosition() const
    {113, 1397, 22, 1, 0, 0, 12},	//1270 QwtPlotLayout::setLegendRatio(double)
    {113, 952, 0, 0, Smoke::mf_const, 417, 13},	//1271 QwtPlotLayout::legendRatio() const
    {113, 998, 917, 1, Smoke::mf_const|Smoke::mf_virtual, 71, 14},	//1272 QwtPlotLayout::minimumSizeHint(const QwtPlot*) const
    {113, 401, 919, 3, Smoke::mf_virtual, 0, 15},	//1273 QwtPlotLayout::activate(const QwtPlot*, const QRectF&, QFlags<QwtPlotLayout::Option>)
    {113, 864, 0, 0, Smoke::mf_virtual, 0, 16},	//1274 QwtPlotLayout::invalidate()
    {113, 1780, 0, 0, Smoke::mf_const, 63, 17},	//1275 QwtPlotLayout::titleRect() const
    {113, 789, 0, 0, Smoke::mf_const, 63, 18},	//1276 QwtPlotLayout::footerRect() const
    {113, 953, 0, 0, Smoke::mf_const, 63, 19},	//1277 QwtPlotLayout::legendRect() const
    {113, 1182, 93, 1, Smoke::mf_const, 63, 20},	//1278 QwtPlotLayout::scaleRect(int) const
    {113, 510, 0, 0, Smoke::mf_const, 63, 21},	//1279 QwtPlotLayout::canvasRect() const
    {113, 1626, 190, 1, Smoke::mf_protected, 0, 22},	//1280 QwtPlotLayout::setTitleRect(const QRectF&)
    {113, 1334, 190, 1, Smoke::mf_protected, 0, 23},	//1281 QwtPlotLayout::setFooterRect(const QRectF&)
    {113, 1399, 190, 1, Smoke::mf_protected, 0, 24},	//1282 QwtPlotLayout::setLegendRect(const QRectF&)
    {113, 1569, 923, 2, Smoke::mf_protected, 0, 25},	//1283 QwtPlotLayout::setScaleRect(int, const QRectF&)
    {113, 1283, 190, 1, Smoke::mf_protected, 0, 26},	//1284 QwtPlotLayout::setCanvasRect(const QRectF&)
    {113, 938, 926, 2, Smoke::mf_const|Smoke::mf_protected, 63, 27},	//1285 QwtPlotLayout::layoutLegend(QFlags<QwtPlotLayout::Option>, const QRectF&) const
    {113, 421, 929, 2, Smoke::mf_const|Smoke::mf_protected, 63, 28},	//1286 QwtPlotLayout::alignLegend(const QRectF&, const QRectF&) const
    {113, 762, 932, 5, Smoke::mf_const|Smoke::mf_protected, 0, 29},	//1287 QwtPlotLayout::expandLineBreaks(QFlags<QwtPlotLayout::Option>, const QRectF&, int&, int&, int*) const
    {113, 423, 938, 3, Smoke::mf_const|Smoke::mf_protected, 0, 30},	//1288 QwtPlotLayout::alignScales(QFlags<QwtPlotLayout::Option>, QRectF&, QRectF*) const
    {113, 246, 942, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 247, 31},	//1289 QwtPlotLayout::QwtPlotLayout(const QwtPlotLayout&)
    {113, 1280, 93, 1, 0, 0, 32},	//1290 QwtPlotLayout::setCanvasMargin(int)
    {113, 401, 944, 2, 0, 0, 33},	//1291 QwtPlotLayout::activate(const QwtPlot*, const QRectF&)
    {113, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 34},	//1292 QwtPlotLayout::AlignScales (enum)
    {113, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 35},	//1293 QwtPlotLayout::IgnoreScrollbars (enum)
    {113, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 36},	//1294 QwtPlotLayout::IgnoreFrames (enum)
    {113, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 37},	//1295 QwtPlotLayout::IgnoreLegend (enum)
    {113, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 38},	//1296 QwtPlotLayout::IgnoreTitle (enum)
    {113, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 39},	//1297 QwtPlotLayout::IgnoreFooter (enum)
    {113, 1940, 0, 0, Smoke::mf_dtor, 0, 40 },	//1298 QwtPlotLayout::~QwtPlotLayout()
    {114, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1299 QwtPlotMagnifier::metaObject() const
    {114, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1300 QwtPlotMagnifier::qt_metacast(const char*)
    {114, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1301 QwtPlotMagnifier::tr(const char*, const char*)
    {114, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1302 QwtPlotMagnifier::trUtf8(const char*, const char*)
    {114, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1303 QwtPlotMagnifier::tr(const char*, const char*, int)
    {114, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1304 QwtPlotMagnifier::trUtf8(const char*, const char*, int)
    {114, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1305 QwtPlotMagnifier::qt_metacall(QMetaObject::Call, int, void**)
    {114, 248, 89, 1, Smoke::mf_ctor, 249, 8},	//1306 QwtPlotMagnifier::QwtPlotMagnifier(QWidget*)
    {114, 1232, 723, 2, 0, 0, 9},	//1307 QwtPlotMagnifier::setAxisEnabled(int, bool)
    {114, 873, 93, 1, Smoke::mf_const, 307, 10},	//1308 QwtPlotMagnifier::isAxisEnabled(int) const
    {114, 504, 0, 0, 0, 91, 11},	//1309 QwtPlotMagnifier::canvas()
    {114, 504, 0, 0, Smoke::mf_const, 351, 12},	//1310 QwtPlotMagnifier::canvas() const
    {114, 1076, 0, 0, 0, 229, 13},	//1311 QwtPlotMagnifier::plot()
    {114, 1076, 0, 0, Smoke::mf_const, 381, 14},	//1312 QwtPlotMagnifier::plot() const
    {114, 1150, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1313 QwtPlotMagnifier::rescale(double)
    {114, 1783, 98, 1, Smoke::mf_static, 74, 16},	//1314 QwtPlotMagnifier::tr(const char*)
    {114, 1787, 98, 1, Smoke::mf_static, 74, 17},	//1315 QwtPlotMagnifier::trUtf8(const char*)
    {114, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 18},	//1316 QwtPlotMagnifier::staticMetaObject() const
    {114, 1941, 0, 0, Smoke::mf_dtor, 0, 19 },	//1317 QwtPlotMagnifier::~QwtPlotMagnifier()
    {115, 250, 697, 1, Smoke::mf_ctor, 250, 1},	//1318 QwtPlotMarker::QwtPlotMarker(const QString&)
    {115, 250, 713, 1, Smoke::mf_ctor, 250, 2},	//1319 QwtPlotMarker::QwtPlotMarker(const QwtText&)
    {115, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 3},	//1320 QwtPlotMarker::rtti() const
    {115, 1880, 0, 0, Smoke::mf_const, 417, 4},	//1321 QwtPlotMarker::xValue() const
    {115, 1888, 0, 0, Smoke::mf_const, 417, 5},	//1322 QwtPlotMarker::yValue() const
    {115, 1830, 0, 0, Smoke::mf_const, 57, 6},	//1323 QwtPlotMarker::value() const
    {115, 1674, 22, 1, 0, 0, 7},	//1324 QwtPlotMarker::setXValue(double)
    {115, 1680, 22, 1, 0, 0, 8},	//1325 QwtPlotMarker::setYValue(double)
    {115, 1650, 41, 2, 0, 0, 9},	//1326 QwtPlotMarker::setValue(double, double)
    {115, 1650, 53, 1, 0, 0, 10},	//1327 QwtPlotMarker::setValue(const QPointF&)
    {115, 1407, 947, 1, 0, 0, 11},	//1328 QwtPlotMarker::setLineStyle(QwtPlotMarker::LineStyle)
    {115, 960, 0, 0, Smoke::mf_const, 251, 12},	//1329 QwtPlotMarker::lineStyle() const
    {115, 1403, 818, 3, 0, 0, 13},	//1330 QwtPlotMarker::setLinePen(const QColor&, double, Qt::PenStyle)
    {115, 1403, 660, 1, 0, 0, 14},	//1331 QwtPlotMarker::setLinePen(const QPen&)
    {115, 959, 0, 0, Smoke::mf_const, 327, 15},	//1332 QwtPlotMarker::linePen() const
    {115, 1607, 949, 1, 0, 0, 16},	//1333 QwtPlotMarker::setSymbol(const QwtSymbol*)
    {115, 1731, 0, 0, Smoke::mf_const, 406, 17},	//1334 QwtPlotMarker::symbol() const
    {115, 1376, 713, 1, 0, 0, 18},	//1335 QwtPlotMarker::setLabel(const QwtText&)
    {115, 919, 0, 0, Smoke::mf_const, 293, 19},	//1336 QwtPlotMarker::label() const
    {115, 1378, 409, 1, 0, 0, 20},	//1337 QwtPlotMarker::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {115, 921, 0, 0, Smoke::mf_const, 15, 21},	//1338 QwtPlotMarker::labelAlignment() const
    {115, 1380, 437, 1, 0, 0, 22},	//1339 QwtPlotMarker::setLabelOrientation(Qt::Orientation)
    {115, 922, 0, 0, Smoke::mf_const, 139, 23},	//1340 QwtPlotMarker::labelOrientation() const
    {115, 1583, 93, 1, 0, 0, 24},	//1341 QwtPlotMarker::setSpacing(int)
    {115, 1710, 0, 0, Smoke::mf_const, 420, 25},	//1342 QwtPlotMarker::spacing() const
    {115, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//1343 QwtPlotMarker::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {115, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 27},	//1344 QwtPlotMarker::boundingRect() const
    {115, 948, 835, 2, Smoke::mf_const|Smoke::mf_virtual, 199, 28},	//1345 QwtPlotMarker::legendIcon(int, const QSizeF&) const
    {115, 663, 951, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1346 QwtPlotMarker::drawLines(QPainter*, const QRectF&, const QPointF&) const
    {115, 656, 951, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1347 QwtPlotMarker::drawLabel(QPainter*, const QRectF&, const QPointF&) const
    {115, 250, 0, 0, Smoke::mf_ctor, 250, 31},	//1348 QwtPlotMarker::QwtPlotMarker()
    {115, 1403, 197, 1, 0, 0, 32},	//1349 QwtPlotMarker::setLinePen(const QColor&)
    {115, 1403, 865, 2, 0, 0, 33},	//1350 QwtPlotMarker::setLinePen(const QColor&, double)
    {115, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 34},	//1351 QwtPlotMarker::NoLine (enum)
    {115, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 35},	//1352 QwtPlotMarker::HLine (enum)
    {115, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 36},	//1353 QwtPlotMarker::VLine (enum)
    {115, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 37},	//1354 QwtPlotMarker::Cross (enum)
    {115, 1942, 0, 0, Smoke::mf_dtor, 0, 38 },	//1355 QwtPlotMarker::~QwtPlotMarker()
    {116, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1356 QwtPlotPanner::metaObject() const
    {116, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1357 QwtPlotPanner::qt_metacast(const char*)
    {116, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1358 QwtPlotPanner::tr(const char*, const char*)
    {116, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1359 QwtPlotPanner::trUtf8(const char*, const char*)
    {116, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1360 QwtPlotPanner::tr(const char*, const char*, int)
    {116, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1361 QwtPlotPanner::trUtf8(const char*, const char*, int)
    {116, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1362 QwtPlotPanner::qt_metacall(QMetaObject::Call, int, void**)
    {116, 253, 89, 1, Smoke::mf_ctor, 252, 8},	//1363 QwtPlotPanner::QwtPlotPanner(QWidget*)
    {116, 504, 0, 0, 0, 91, 9},	//1364 QwtPlotPanner::canvas()
    {116, 504, 0, 0, Smoke::mf_const, 351, 10},	//1365 QwtPlotPanner::canvas() const
    {116, 1076, 0, 0, 0, 229, 11},	//1366 QwtPlotPanner::plot()
    {116, 1076, 0, 0, Smoke::mf_const, 381, 12},	//1367 QwtPlotPanner::plot() const
    {116, 1232, 723, 2, 0, 0, 13},	//1368 QwtPlotPanner::setAxisEnabled(int, bool)
    {116, 873, 93, 1, Smoke::mf_const, 307, 14},	//1369 QwtPlotPanner::isAxisEnabled(int) const
    {116, 1019, 645, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1370 QwtPlotPanner::moveCanvas(int, int)
    {116, 562, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 2, 16},	//1371 QwtPlotPanner::contentsMask() const
    {116, 810, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 17},	//1372 QwtPlotPanner::grab() const
    {116, 1783, 98, 1, Smoke::mf_static, 74, 18},	//1373 QwtPlotPanner::tr(const char*)
    {116, 1787, 98, 1, Smoke::mf_static, 74, 19},	//1374 QwtPlotPanner::trUtf8(const char*)
    {116, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 20},	//1375 QwtPlotPanner::staticMetaObject() const
    {116, 1943, 0, 0, Smoke::mf_dtor, 0, 21 },	//1376 QwtPlotPanner::~QwtPlotPanner()
    {117, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1377 QwtPlotPicker::metaObject() const
    {117, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1378 QwtPlotPicker::qt_metacast(const char*)
    {117, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1379 QwtPlotPicker::tr(const char*, const char*)
    {117, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1380 QwtPlotPicker::trUtf8(const char*, const char*)
    {117, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1381 QwtPlotPicker::tr(const char*, const char*, int)
    {117, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1382 QwtPlotPicker::trUtf8(const char*, const char*, int)
    {117, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1383 QwtPlotPicker::qt_metacall(QMetaObject::Call, int, void**)
    {117, 255, 89, 1, Smoke::mf_ctor, 253, 8},	//1384 QwtPlotPicker::QwtPlotPicker(QWidget*)
    {117, 255, 955, 3, Smoke::mf_ctor, 253, 9},	//1385 QwtPlotPicker::QwtPlotPicker(int, int, QWidget*)
    {117, 255, 959, 5, Smoke::mf_ctor, 253, 10},	//1386 QwtPlotPicker::QwtPlotPicker(int, int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*)
    {117, 1227, 645, 2, Smoke::mf_virtual, 0, 11},	//1387 QwtPlotPicker::setAxis(int, int)
    {117, 1873, 0, 0, Smoke::mf_const, 420, 12},	//1388 QwtPlotPicker::xAxis() const
    {117, 1881, 0, 0, Smoke::mf_const, 420, 13},	//1389 QwtPlotPicker::yAxis() const
    {117, 1076, 0, 0, 0, 229, 14},	//1390 QwtPlotPicker::plot()
    {117, 1076, 0, 0, Smoke::mf_const, 381, 15},	//1391 QwtPlotPicker::plot() const
    {117, 504, 0, 0, 0, 91, 16},	//1392 QwtPlotPicker::canvas()
    {117, 504, 0, 0, Smoke::mf_const, 351, 17},	//1393 QwtPlotPicker::canvas() const
    {117, 1190, 53, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1394 QwtPlotPicker::selected(const QPointF&)
    {117, 1190, 190, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1395 QwtPlotPicker::selected(const QRectF&)
    {117, 1190, 806, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1396 QwtPlotPicker::selected(const QVector<QPointF>&)
    {117, 429, 53, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1397 QwtPlotPicker::appended(const QPointF&)
    {117, 1027, 53, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1398 QwtPlotPicker::moved(const QPointF&)
    {117, 1182, 0, 0, Smoke::mf_const|Smoke::mf_protected, 63, 23},	//1399 QwtPlotPicker::scaleRect() const
    {117, 859, 363, 1, Smoke::mf_const|Smoke::mf_protected, 63, 24},	//1400 QwtPlotPicker::invTransform(const QRect&) const
    {117, 1802, 190, 1, Smoke::mf_const|Smoke::mf_protected, 62, 25},	//1401 QwtPlotPicker::transform(const QRectF&) const
    {117, 859, 1, 1, Smoke::mf_const|Smoke::mf_protected, 57, 26},	//1402 QwtPlotPicker::invTransform(const QPoint&) const
    {117, 1802, 53, 1, Smoke::mf_const|Smoke::mf_protected, 56, 27},	//1403 QwtPlotPicker::transform(const QPointF&) const
    {117, 1798, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 28},	//1404 QwtPlotPicker::trackerText(const QPoint&) const
    {117, 1800, 53, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 29},	//1405 QwtPlotPicker::trackerTextF(const QPointF&) const
    {117, 1014, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1406 QwtPlotPicker::move(const QPoint&)
    {117, 427, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1407 QwtPlotPicker::append(const QPoint&)
    {117, 754, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 32},	//1408 QwtPlotPicker::end(bool)
    {117, 1783, 98, 1, Smoke::mf_static, 74, 33},	//1409 QwtPlotPicker::tr(const char*)
    {117, 1787, 98, 1, Smoke::mf_static, 74, 34},	//1410 QwtPlotPicker::trUtf8(const char*)
    {117, 754, 0, 0, Smoke::mf_protected, 307, 35},	//1411 QwtPlotPicker::end()
    {117, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 36},	//1412 QwtPlotPicker::staticMetaObject() const
    {117, 1944, 0, 0, Smoke::mf_dtor, 0, 37 },	//1413 QwtPlotPicker::~QwtPlotPicker()
    {118, 259, 697, 1, Smoke::mf_ctor, 254, 1},	//1414 QwtPlotRasterItem::QwtPlotRasterItem(const QString&)
    {118, 259, 713, 1, Smoke::mf_ctor, 254, 2},	//1415 QwtPlotRasterItem::QwtPlotRasterItem(const QwtText&)
    {118, 1480, 965, 2, 0, 0, 3},	//1416 QwtPlotRasterItem::setPaintAttribute(QwtPlotRasterItem::PaintAttribute, bool)
    {118, 1753, 968, 1, Smoke::mf_const, 307, 4},	//1417 QwtPlotRasterItem::testPaintAttribute(QwtPlotRasterItem::PaintAttribute) const
    {118, 1212, 93, 1, 0, 0, 5},	//1418 QwtPlotRasterItem::setAlpha(int)
    {118, 426, 0, 0, Smoke::mf_const, 420, 6},	//1419 QwtPlotRasterItem::alpha() const
    {118, 1274, 970, 1, 0, 0, 7},	//1420 QwtPlotRasterItem::setCachePolicy(QwtPlotRasterItem::CachePolicy)
    {118, 503, 0, 0, Smoke::mf_const, 255, 8},	//1421 QwtPlotRasterItem::cachePolicy() const
    {118, 866, 0, 0, 0, 0, 9},	//1422 QwtPlotRasterItem::invalidateCache()
    {118, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//1423 QwtPlotRasterItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {118, 1072, 190, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 11},	//1424 QwtPlotRasterItem::pixelHint(const QRectF&) const
    {118, 857, 972, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//1425 QwtPlotRasterItem::interval(Qt::Axis) const
    {118, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 13},	//1426 QwtPlotRasterItem::boundingRect() const
    {118, 1138, 974, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 14},	//1427 QwtPlotRasterItem::renderImage(const QwtScaleMap&, const QwtScaleMap&, const QRectF&, const QSize&) const [pure virtual]
    {118, 830, 979, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 275, 15},	//1428 QwtPlotRasterItem::imageMap(Qt::Orientation, const QwtScaleMap&, const QRectF&, const QSize&, double) const
    {118, 259, 0, 0, Smoke::mf_ctor, 254, 16},	//1429 QwtPlotRasterItem::QwtPlotRasterItem()
    {118, 1480, 968, 1, 0, 0, 17},	//1430 QwtPlotRasterItem::setPaintAttribute(QwtPlotRasterItem::PaintAttribute)
    {118, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 18},	//1431 QwtPlotRasterItem::NoCache (enum)
    {118, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 19},	//1432 QwtPlotRasterItem::PaintCache (enum)
    {118, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 20},	//1433 QwtPlotRasterItem::PaintInDeviceResolution (enum)
    {118, 1945, 0, 0, Smoke::mf_dtor, 0, 21 },	//1434 QwtPlotRasterItem::~QwtPlotRasterItem()
    {119, 262, 985, 2, Smoke::mf_ctor, 257, 1},	//1435 QwtPlotScaleItem::QwtPlotScaleItem(QwtScaleDraw::Alignment, const double)
    {119, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 2},	//1436 QwtPlotScaleItem::rtti() const
    {119, 1553, 157, 1, 0, 0, 3},	//1437 QwtPlotScaleItem::setScaleDiv(const QwtScaleDiv&)
    {119, 1173, 0, 0, Smoke::mf_const, 390, 4},	//1438 QwtPlotScaleItem::scaleDiv() const
    {119, 1555, 106, 1, 0, 0, 5},	//1439 QwtPlotScaleItem::setScaleDivFromAxis(bool)
    {119, 886, 0, 0, Smoke::mf_const, 307, 6},	//1440 QwtPlotScaleItem::isScaleDivFromAxis() const
    {119, 1485, 144, 1, 0, 0, 7},	//1441 QwtPlotScaleItem::setPalette(const QPalette&)
    {119, 1059, 0, 0, Smoke::mf_const, 50, 8},	//1442 QwtPlotScaleItem::palette() const
    {119, 1329, 146, 1, 0, 0, 9},	//1443 QwtPlotScaleItem::setFont(const QFont&)
    {119, 785, 0, 0, Smoke::mf_const, 24, 10},	//1444 QwtPlotScaleItem::font() const
    {119, 1557, 988, 1, 0, 0, 11},	//1445 QwtPlotScaleItem::setScaleDraw(QwtScaleDraw*)
    {119, 1175, 0, 0, Smoke::mf_const, 391, 12},	//1446 QwtPlotScaleItem::scaleDraw() const
    {119, 1175, 0, 0, 0, 271, 13},	//1447 QwtPlotScaleItem::scaleDraw()
    {119, 1512, 22, 1, 0, 0, 14},	//1448 QwtPlotScaleItem::setPosition(double)
    {119, 1081, 0, 0, Smoke::mf_const, 417, 15},	//1449 QwtPlotScaleItem::position() const
    {119, 1264, 93, 1, 0, 0, 16},	//1450 QwtPlotScaleItem::setBorderDistance(int)
    {119, 477, 0, 0, Smoke::mf_const, 420, 17},	//1451 QwtPlotScaleItem::borderDistance() const
    {119, 1210, 990, 1, 0, 0, 18},	//1452 QwtPlotScaleItem::setAlignment(QwtScaleDraw::Alignment)
    {119, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//1453 QwtPlotScaleItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {119, 1819, 875, 2, Smoke::mf_virtual, 0, 20},	//1454 QwtPlotScaleItem::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {119, 262, 0, 0, Smoke::mf_ctor, 257, 21},	//1455 QwtPlotScaleItem::QwtPlotScaleItem()
    {119, 262, 990, 1, Smoke::mf_ctor, 257, 22},	//1456 QwtPlotScaleItem::QwtPlotScaleItem(QwtScaleDraw::Alignment)
    {119, 1946, 0, 0, Smoke::mf_dtor, 0, 23 },	//1457 QwtPlotScaleItem::~QwtPlotScaleItem()
    {120, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//1458 QwtPlotSeriesItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {120, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//1459 QwtPlotSeriesItem::boundingRect() const
    {120, 1819, 875, 2, Smoke::mf_virtual, 0, 0},	//1460 QwtPlotSeriesItem::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {120, 579, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1461 QwtPlotSeriesItem::dataChanged()
    {121, 265, 697, 1, Smoke::mf_ctor, 258, 1},	//1462 QwtPlotSpectrogram::QwtPlotSpectrogram(const QString&)
    {121, 1316, 992, 2, 0, 0, 2},	//1463 QwtPlotSpectrogram::setDisplayMode(QwtPlotSpectrogram::DisplayMode, bool)
    {121, 1741, 995, 1, Smoke::mf_const, 307, 3},	//1464 QwtPlotSpectrogram::testDisplayMode(QwtPlotSpectrogram::DisplayMode) const
    {121, 1308, 997, 1, 0, 0, 4},	//1465 QwtPlotSpectrogram::setData(QwtRasterData*)
    {121, 578, 0, 0, Smoke::mf_const, 386, 5},	//1466 QwtPlotSpectrogram::data() const
    {121, 578, 0, 0, 0, 263, 6},	//1467 QwtPlotSpectrogram::data()
    {121, 1293, 999, 1, 0, 0, 7},	//1468 QwtPlotSpectrogram::setColorMap(QwtColorMap*)
    {121, 552, 0, 0, Smoke::mf_const, 357, 8},	//1469 QwtPlotSpectrogram::colorMap() const
    {121, 857, 972, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1470 QwtPlotSpectrogram::interval(Qt::Axis) const
    {121, 1072, 190, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 10},	//1471 QwtPlotSpectrogram::pixelHint(const QRectF&) const
    {121, 1310, 818, 3, 0, 0, 11},	//1472 QwtPlotSpectrogram::setDefaultContourPen(const QColor&, double, Qt::PenStyle)
    {121, 1310, 660, 1, 0, 0, 12},	//1473 QwtPlotSpectrogram::setDefaultContourPen(const QPen&)
    {121, 582, 0, 0, Smoke::mf_const, 53, 13},	//1474 QwtPlotSpectrogram::defaultContourPen() const
    {121, 568, 22, 1, Smoke::mf_const|Smoke::mf_virtual, 53, 14},	//1475 QwtPlotSpectrogram::contourPen(double) const
    {121, 1296, 1001, 2, 0, 0, 15},	//1476 QwtPlotSpectrogram::setConrecFlag(QwtRasterData::ConrecFlag, bool)
    {121, 1737, 1004, 1, Smoke::mf_const, 307, 16},	//1477 QwtPlotSpectrogram::testConrecFlag(QwtRasterData::ConrecFlag) const
    {121, 1298, 1006, 1, 0, 0, 17},	//1478 QwtPlotSpectrogram::setContourLevels(const QList<double>&)
    {121, 565, 0, 0, Smoke::mf_const, 37, 18},	//1479 QwtPlotSpectrogram::contourLevels() const
    {121, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 420, 19},	//1480 QwtPlotSpectrogram::rtti() const
    {121, 606, 870, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 20},	//1481 QwtPlotSpectrogram::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {121, 1138, 974, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 26, 21},	//1482 QwtPlotSpectrogram::renderImage(const QwtScaleMap&, const QwtScaleMap&, const QRectF&, const QSize&) const
    {121, 570, 1008, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 71, 22},	//1483 QwtPlotSpectrogram::contourRasterSize(const QRectF&, const QRect&) const
    {121, 1135, 1011, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 40, 23},	//1484 QwtPlotSpectrogram::renderContourLines(const QRectF&, const QSize&) const
    {121, 629, 1014, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1485 QwtPlotSpectrogram::drawContourLines(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QMap<double,QPolygonF>&) const
    {121, 1147, 1019, 4, Smoke::mf_const|Smoke::mf_protected, 0, 25},	//1486 QwtPlotSpectrogram::renderTile(const QwtScaleMap&, const QwtScaleMap&, const QRect&, QImage*) const
    {121, 265, 0, 0, Smoke::mf_ctor, 258, 26},	//1487 QwtPlotSpectrogram::QwtPlotSpectrogram()
    {121, 1316, 995, 1, 0, 0, 27},	//1488 QwtPlotSpectrogram::setDisplayMode(QwtPlotSpectrogram::DisplayMode)
    {121, 1310, 197, 1, 0, 0, 28},	//1489 QwtPlotSpectrogram::setDefaultContourPen(const QColor&)
    {121, 1310, 865, 2, 0, 0, 29},	//1490 QwtPlotSpectrogram::setDefaultContourPen(const QColor&, double)
    {121, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 30},	//1491 QwtPlotSpectrogram::ImageMode (enum)
    {121, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 31},	//1492 QwtPlotSpectrogram::ContourMode (enum)
    {121, 1947, 0, 0, Smoke::mf_dtor, 0, 32 },	//1493 QwtPlotSpectrogram::~QwtPlotSpectrogram()
    {122, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1494 QwtPlotZoomer::metaObject() const
    {122, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1495 QwtPlotZoomer::qt_metacast(const char*)
    {122, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1496 QwtPlotZoomer::tr(const char*, const char*)
    {122, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1497 QwtPlotZoomer::trUtf8(const char*, const char*)
    {122, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1498 QwtPlotZoomer::tr(const char*, const char*, int)
    {122, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1499 QwtPlotZoomer::trUtf8(const char*, const char*, int)
    {122, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1500 QwtPlotZoomer::qt_metacall(QMetaObject::Call, int, void**)
    {122, 267, 1024, 2, Smoke::mf_ctor, 260, 8},	//1501 QwtPlotZoomer::QwtPlotZoomer(QWidget*, bool)
    {122, 267, 1027, 4, Smoke::mf_ctor, 260, 9},	//1502 QwtPlotZoomer::QwtPlotZoomer(int, int, QWidget*, bool)
    {122, 1684, 106, 1, Smoke::mf_virtual, 0, 10},	//1503 QwtPlotZoomer::setZoomBase(bool)
    {122, 1684, 190, 1, Smoke::mf_virtual, 0, 11},	//1504 QwtPlotZoomer::setZoomBase(const QRectF&)
    {122, 1893, 0, 0, Smoke::mf_const, 63, 12},	//1505 QwtPlotZoomer::zoomBase() const
    {122, 1894, 0, 0, Smoke::mf_const, 63, 13},	//1506 QwtPlotZoomer::zoomRect() const
    {122, 1227, 645, 2, Smoke::mf_virtual, 0, 14},	//1507 QwtPlotZoomer::setAxis(int, int)
    {122, 1431, 93, 1, 0, 0, 15},	//1508 QwtPlotZoomer::setMaxStackDepth(int)
    {122, 976, 0, 0, Smoke::mf_const, 420, 16},	//1509 QwtPlotZoomer::maxStackDepth() const
    {122, 1896, 0, 0, Smoke::mf_const, 341, 17},	//1510 QwtPlotZoomer::zoomStack() const
    {122, 1693, 1032, 2, 0, 0, 18},	//1511 QwtPlotZoomer::setZoomStack(const QStack<QRectF>&, int)
    {122, 1895, 0, 0, Smoke::mf_const, 426, 19},	//1512 QwtPlotZoomer::zoomRectIndex() const
    {122, 1017, 41, 2, Smoke::mf_slot, 0, 20},	//1513 QwtPlotZoomer::moveBy(double, double)
    {122, 1025, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1514 QwtPlotZoomer::moveTo(const QPointF&)
    {122, 1890, 190, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1515 QwtPlotZoomer::zoom(const QRectF&)
    {122, 1890, 93, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1516 QwtPlotZoomer::zoom(int)
    {122, 1897, 190, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1517 QwtPlotZoomer::zoomed(const QRectF&)
    {122, 1150, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1518 QwtPlotZoomer::rescale()
    {122, 993, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 72, 26},	//1519 QwtPlotZoomer::minZoomSize() const
    {122, 1865, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1520 QwtPlotZoomer::widgetMouseReleaseEvent(QMouseEvent*)
    {122, 1853, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1521 QwtPlotZoomer::widgetKeyPressEvent(QKeyEvent*)
    {122, 476, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1522 QwtPlotZoomer::begin()
    {122, 754, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 307, 30},	//1523 QwtPlotZoomer::end(bool)
    {122, 398, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 31},	//1524 QwtPlotZoomer::accept(QPolygon&) const
    {122, 1783, 98, 1, Smoke::mf_static, 74, 32},	//1525 QwtPlotZoomer::tr(const char*)
    {122, 1787, 98, 1, Smoke::mf_static, 74, 33},	//1526 QwtPlotZoomer::trUtf8(const char*)
    {122, 267, 89, 1, Smoke::mf_ctor, 260, 34},	//1527 QwtPlotZoomer::QwtPlotZoomer(QWidget*)
    {122, 267, 955, 3, Smoke::mf_ctor, 260, 35},	//1528 QwtPlotZoomer::QwtPlotZoomer(int, int, QWidget*)
    {122, 1684, 0, 0, 0, 0, 36},	//1529 QwtPlotZoomer::setZoomBase()
    {122, 1693, 1035, 1, 0, 0, 37},	//1530 QwtPlotZoomer::setZoomStack(const QStack<QRectF>&)
    {122, 754, 0, 0, Smoke::mf_protected, 307, 38},	//1531 QwtPlotZoomer::end()
    {122, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 39},	//1532 QwtPlotZoomer::staticMetaObject() const
    {122, 1948, 0, 0, Smoke::mf_dtor, 0, 40 },	//1533 QwtPlotZoomer::~QwtPlotZoomer()
    {125, 272, 0, 0, Smoke::mf_ctor, 263, 1},	//1534 QwtRasterData::QwtRasterData()
    {125, 1352, 1037, 2, Smoke::mf_virtual, 0, 2},	//1535 QwtRasterData::setInterval(Qt::Axis, const QwtInterval&)
    {125, 857, 972, 1, Smoke::mf_const, 369, 3},	//1536 QwtRasterData::interval(Qt::Axis) const
    {125, 1072, 190, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 4},	//1537 QwtRasterData::pixelHint(const QRectF&) const
    {125, 846, 1011, 2, Smoke::mf_virtual, 0, 5},	//1538 QwtRasterData::initRaster(const QRectF&, const QSize&)
    {125, 593, 0, 0, Smoke::mf_virtual, 0, 6},	//1539 QwtRasterData::discardRaster()
    {125, 1830, 41, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 417, 7},	//1540 QwtRasterData::value(double, double) const [pure virtual]
    {125, 566, 1040, 4, Smoke::mf_const|Smoke::mf_virtual, 40, 8},	//1541 QwtRasterData::contourLines(const QRectF&, const QSize&, const QList<double>&, QFlags<QwtRasterData::ConrecFlag>) const
    {125, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 9},	//1542 QwtRasterData::IgnoreAllVerticesOnLevel (enum)
    {125, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 10},	//1543 QwtRasterData::IgnoreOutOfRange (enum)
    {125, 1949, 0, 0, Smoke::mf_dtor, 0, 11 },	//1544 QwtRasterData::~QwtRasterData()
    {126, 273, 0, 0, Smoke::mf_ctor, 265, 1},	//1545 QwtRichTextEngine::QwtRichTextEngine()
    {126, 822, 688, 4, Smoke::mf_const|Smoke::mf_virtual, 417, 2},	//1546 QwtRichTextEngine::heightForWidth(const QFont&, int, const QString&, double) const
    {126, 1764, 693, 3, Smoke::mf_const|Smoke::mf_virtual, 72, 3},	//1547 QwtRichTextEngine::textSize(const QFont&, int, const QString&) const
    {126, 606, 528, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1548 QwtRichTextEngine::draw(QPainter*, const QRectF&, int, const QString&) const
    {126, 984, 697, 1, Smoke::mf_const|Smoke::mf_virtual, 307, 5},	//1549 QwtRichTextEngine::mightRender(const QString&) const
    {126, 1761, 699, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//1550 QwtRichTextEngine::textMargins(const QFont&, const QString&, double&, double&, double&, double&) const
    {126, 273, 1045, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 265, 7},	//1551 QwtRichTextEngine::QwtRichTextEngine(const QwtRichTextEngine&)
    {126, 1950, 0, 0, Smoke::mf_dtor, 0, 8 },	//1552 QwtRichTextEngine::~QwtRichTextEngine()
    {127, 275, 0, 0, Smoke::mf_ctor, 266, 1},	//1553 QwtRoundScaleDraw::QwtRoundScaleDraw()
    {127, 1514, 22, 1, 0, 0, 2},	//1554 QwtRoundScaleDraw::setRadius(double)
    {127, 1126, 0, 0, Smoke::mf_const, 417, 3},	//1555 QwtRoundScaleDraw::radius() const
    {127, 1021, 41, 2, 0, 0, 4},	//1556 QwtRoundScaleDraw::moveCenter(double, double)
    {127, 1021, 53, 1, 0, 0, 5},	//1557 QwtRoundScaleDraw::moveCenter(const QPointF&)
    {127, 513, 0, 0, Smoke::mf_const, 57, 6},	//1558 QwtRoundScaleDraw::center() const
    {127, 1214, 41, 2, 0, 0, 7},	//1559 QwtRoundScaleDraw::setAngleRange(double, double)
    {127, 765, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 417, 8},	//1560 QwtRoundScaleDraw::extent(const QFont&) const
    {127, 728, 178, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1561 QwtRoundScaleDraw::drawTick(QPainter*, double, double) const
    {127, 614, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1562 QwtRoundScaleDraw::drawBackbone(QPainter*) const
    {127, 656, 184, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1563 QwtRoundScaleDraw::drawLabel(QPainter*, double) const
    {127, 1951, 0, 0, Smoke::mf_dtor, 0, 12 },	//1564 QwtRoundScaleDraw::~QwtRoundScaleDraw()
    {128, 511, 41, 2, Smoke::mf_static, 417, 1},	//1565 QwtScaleArithmetic::ceilEps(double, double)
    {128, 779, 41, 2, Smoke::mf_static, 417, 2},	//1566 QwtScaleArithmetic::floorEps(double, double)
    {128, 595, 41, 2, Smoke::mf_static, 417, 3},	//1567 QwtScaleArithmetic::divideEps(double, double)
    {128, 597, 1047, 3, Smoke::mf_static, 417, 4},	//1568 QwtScaleArithmetic::divideInterval(double, int, unsigned int)
    {128, 276, 0, 0, Smoke::mf_ctor, 267, 5},	//1569 QwtScaleArithmetic::QwtScaleArithmetic()
    {128, 276, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 267, 6},	//1570 QwtScaleArithmetic::QwtScaleArithmetic(const QwtScaleArithmetic&)
    {128, 1952, 0, 0, Smoke::mf_dtor, 0, 7 },	//1571 QwtScaleArithmetic::~QwtScaleArithmetic()
    {129, 278, 41, 2, Smoke::mf_ctor, 269, 1},	//1572 QwtScaleDiv::QwtScaleDiv(double, double)
    {129, 278, 1053, 2, Smoke::mf_ctor, 269, 2},	//1573 QwtScaleDiv::QwtScaleDiv(const QwtInterval&, QList<double>*)
    {129, 278, 1056, 3, Smoke::mf_ctor, 269, 3},	//1574 QwtScaleDiv::QwtScaleDiv(double, double, QList<double>*)
    {129, 278, 1060, 5, Smoke::mf_ctor, 269, 4},	//1575 QwtScaleDiv::QwtScaleDiv(double, double, const QList<double>&, const QList<double>&, const QList<double>&)
    {129, 1043, 157, 1, Smoke::mf_const, 307, 5},	//1576 QwtScaleDiv::operator==(const QwtScaleDiv&) const
    {129, 1039, 157, 1, Smoke::mf_const, 307, 6},	//1577 QwtScaleDiv::operator!=(const QwtScaleDiv&) const
    {129, 1352, 41, 2, 0, 0, 7},	//1578 QwtScaleDiv::setInterval(double, double)
    {129, 1352, 155, 1, 0, 0, 8},	//1579 QwtScaleDiv::setInterval(const QwtInterval&)
    {129, 857, 0, 0, Smoke::mf_const, 200, 9},	//1580 QwtScaleDiv::interval() const
    {129, 1411, 22, 1, 0, 0, 10},	//1581 QwtScaleDiv::setLowerBound(double)
    {129, 962, 0, 0, Smoke::mf_const, 417, 11},	//1582 QwtScaleDiv::lowerBound() const
    {129, 1646, 22, 1, 0, 0, 12},	//1583 QwtScaleDiv::setUpperBound(double)
    {129, 1824, 0, 0, Smoke::mf_const, 417, 13},	//1584 QwtScaleDiv::upperBound() const
    {129, 1127, 0, 0, Smoke::mf_const, 417, 14},	//1585 QwtScaleDiv::range() const
    {129, 559, 22, 1, Smoke::mf_const, 307, 15},	//1586 QwtScaleDiv::contains(double) const
    {129, 1619, 1066, 2, 0, 0, 16},	//1587 QwtScaleDiv::setTicks(int, const QList<double>&)
    {129, 1772, 93, 1, Smoke::mf_const, 37, 17},	//1588 QwtScaleDiv::ticks(int) const
    {129, 876, 0, 0, Smoke::mf_const, 307, 18},	//1589 QwtScaleDiv::isEmpty() const
    {129, 878, 0, 0, Smoke::mf_const, 307, 19},	//1590 QwtScaleDiv::isIncreasing() const
    {129, 867, 0, 0, 0, 0, 20},	//1591 QwtScaleDiv::invert()
    {129, 868, 0, 0, Smoke::mf_const, 268, 21},	//1592 QwtScaleDiv::inverted() const
    {129, 483, 41, 2, Smoke::mf_const, 268, 22},	//1593 QwtScaleDiv::bounded(double, double) const
    {129, 278, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 269, 23},	//1594 QwtScaleDiv::QwtScaleDiv(const QwtScaleDiv&)
    {129, 278, 0, 0, Smoke::mf_ctor, 269, 24},	//1595 QwtScaleDiv::QwtScaleDiv()
    {129, 278, 22, 1, Smoke::mf_ctor, 269, 25},	//1596 QwtScaleDiv::QwtScaleDiv(double)
    {129, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 26},	//1597 QwtScaleDiv::NoTick (enum)
    {129, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 27},	//1598 QwtScaleDiv::MinorTick (enum)
    {129, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 28},	//1599 QwtScaleDiv::MediumTick (enum)
    {129, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 29},	//1600 QwtScaleDiv::MajorTick (enum)
    {129, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 30},	//1601 QwtScaleDiv::NTickTypes (enum)
    {129, 1953, 0, 0, Smoke::mf_dtor, 0, 31 },	//1602 QwtScaleDiv::~QwtScaleDiv()
    {130, 285, 0, 0, Smoke::mf_ctor, 271, 1},	//1603 QwtScaleDraw::QwtScaleDraw()
    {130, 795, 1069, 3, Smoke::mf_const, 0, 2},	//1604 QwtScaleDraw::getBorderDistHint(const QFont&, int&, int&) const
    {130, 986, 146, 1, Smoke::mf_const, 420, 3},	//1605 QwtScaleDraw::minLabelDist(const QFont&) const
    {130, 988, 146, 1, Smoke::mf_const, 420, 4},	//1606 QwtScaleDraw::minLength(const QFont&) const
    {130, 765, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 417, 5},	//1607 QwtScaleDraw::extent(const QFont&) const
    {130, 1014, 41, 2, 0, 0, 6},	//1608 QwtScaleDraw::move(double, double)
    {130, 1014, 53, 1, 0, 0, 7},	//1609 QwtScaleDraw::move(const QPointF&)
    {130, 1401, 22, 1, 0, 0, 8},	//1610 QwtScaleDraw::setLength(double)
    {130, 425, 0, 0, Smoke::mf_const, 272, 9},	//1611 QwtScaleDraw::alignment() const
    {130, 1210, 990, 1, 0, 0, 10},	//1612 QwtScaleDraw::setAlignment(QwtScaleDraw::Alignment)
    {130, 1045, 0, 0, Smoke::mf_const, 139, 11},	//1613 QwtScaleDraw::orientation() const
    {130, 1080, 0, 0, Smoke::mf_const, 57, 12},	//1614 QwtScaleDraw::pos() const
    {130, 958, 0, 0, Smoke::mf_const, 417, 13},	//1615 QwtScaleDraw::length() const
    {130, 1378, 409, 1, 0, 0, 14},	//1616 QwtScaleDraw::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {130, 921, 0, 0, Smoke::mf_const, 15, 15},	//1617 QwtScaleDraw::labelAlignment() const
    {130, 1382, 22, 1, 0, 0, 16},	//1618 QwtScaleDraw::setLabelRotation(double)
    {130, 927, 0, 0, Smoke::mf_const, 417, 17},	//1619 QwtScaleDraw::labelRotation() const
    {130, 971, 146, 1, Smoke::mf_const, 420, 18},	//1620 QwtScaleDraw::maxLabelHeight(const QFont&) const
    {130, 973, 146, 1, Smoke::mf_const, 420, 19},	//1621 QwtScaleDraw::maxLabelWidth(const QFont&) const
    {130, 923, 22, 1, Smoke::mf_const, 57, 20},	//1622 QwtScaleDraw::labelPosition(double) const
    {130, 925, 187, 2, Smoke::mf_const, 63, 21},	//1623 QwtScaleDraw::labelRect(const QFont&, double) const
    {130, 928, 187, 2, Smoke::mf_const, 72, 22},	//1624 QwtScaleDraw::labelSize(const QFont&, double) const
    {130, 485, 187, 2, Smoke::mf_const, 62, 23},	//1625 QwtScaleDraw::boundingLabelRect(const QFont&, double) const
    {130, 930, 1073, 2, Smoke::mf_const|Smoke::mf_protected, 81, 24},	//1626 QwtScaleDraw::labelTransformation(const QPointF&, const QSizeF&) const
    {130, 728, 178, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1627 QwtScaleDraw::drawTick(QPainter*, double, double) const
    {130, 614, 182, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1628 QwtScaleDraw::drawBackbone(QPainter*) const
    {130, 656, 184, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1629 QwtScaleDraw::drawLabel(QPainter*, double) const
    {130, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 28},	//1630 QwtScaleDraw::BottomScale (enum)
    {130, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 29},	//1631 QwtScaleDraw::TopScale (enum)
    {130, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 30},	//1632 QwtScaleDraw::LeftScale (enum)
    {130, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 31},	//1633 QwtScaleDraw::RightScale (enum)
    {130, 1954, 0, 0, Smoke::mf_dtor, 0, 32 },	//1634 QwtScaleDraw::~QwtScaleDraw()
    {131, 286, 192, 1, Smoke::mf_ctor, 273, 1},	//1635 QwtScaleEngine::QwtScaleEngine(unsigned int)
    {131, 1258, 192, 1, 0, 0, 2},	//1636 QwtScaleEngine::setBase(unsigned int)
    {131, 474, 0, 0, Smoke::mf_const, 426, 3},	//1637 QwtScaleEngine::base() const
    {131, 1216, 1076, 2, 0, 0, 4},	//1638 QwtScaleEngine::setAttribute(QwtScaleEngine::Attribute, bool)
    {131, 1735, 1079, 1, Smoke::mf_const, 307, 5},	//1639 QwtScaleEngine::testAttribute(QwtScaleEngine::Attribute) const
    {131, 1219, 1081, 1, 0, 0, 6},	//1640 QwtScaleEngine::setAttributes(QFlags<QwtScaleEngine::Attribute>)
    {131, 438, 0, 0, Smoke::mf_const, 22, 7},	//1641 QwtScaleEngine::attributes() const
    {131, 1525, 22, 1, 0, 0, 8},	//1642 QwtScaleEngine::setReference(double)
    {131, 1129, 0, 0, Smoke::mf_const, 417, 9},	//1643 QwtScaleEngine::reference() const
    {131, 1419, 41, 2, 0, 0, 10},	//1644 QwtScaleEngine::setMargins(double, double)
    {131, 963, 0, 0, Smoke::mf_const, 417, 11},	//1645 QwtScaleEngine::lowerMargin() const
    {131, 1825, 0, 0, Smoke::mf_const, 417, 12},	//1646 QwtScaleEngine::upperMargin() const
    {131, 442, 466, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1647 QwtScaleEngine::autoScale(int, double&, double&, double&) const [pure virtual]
    {131, 600, 471, 5, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 268, 14},	//1648 QwtScaleEngine::divideScale(double, double, int, int, double) const [pure virtual]
    {131, 1640, 163, 1, 0, 0, 15},	//1649 QwtScaleEngine::setTransformation(QwtTransform*)
    {131, 1807, 0, 0, Smoke::mf_const, 304, 16},	//1650 QwtScaleEngine::transformation() const
    {131, 559, 199, 2, Smoke::mf_const|Smoke::mf_protected, 307, 17},	//1651 QwtScaleEngine::contains(const QwtInterval&, double) const
    {131, 1727, 1083, 2, Smoke::mf_const|Smoke::mf_protected, 37, 18},	//1652 QwtScaleEngine::strip(const QList<double>&, const QwtInterval&) const
    {131, 597, 194, 2, Smoke::mf_const|Smoke::mf_protected, 417, 19},	//1653 QwtScaleEngine::divideInterval(double, int) const
    {131, 489, 22, 1, Smoke::mf_const|Smoke::mf_protected, 200, 20},	//1654 QwtScaleEngine::buildInterval(double) const
    {131, 286, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 273, 21},	//1655 QwtScaleEngine::QwtScaleEngine(const QwtScaleEngine&)
    {131, 286, 0, 0, Smoke::mf_ctor, 273, 22},	//1656 QwtScaleEngine::QwtScaleEngine()
    {131, 1216, 1079, 1, 0, 0, 23},	//1657 QwtScaleEngine::setAttribute(QwtScaleEngine::Attribute)
    {131, 600, 490, 4, Smoke::mf_const, 268, 24},	//1658 QwtScaleEngine::divideScale(double, double, int, int) const
    {131, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 25},	//1659 QwtScaleEngine::NoAttribute (enum)
    {131, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 26},	//1660 QwtScaleEngine::IncludeReference (enum)
    {131, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 27},	//1661 QwtScaleEngine::Symmetric (enum)
    {131, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 28},	//1662 QwtScaleEngine::Floating (enum)
    {131, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 29},	//1663 QwtScaleEngine::Inverted (enum)
    {131, 1955, 0, 0, Smoke::mf_dtor, 0, 30 },	//1664 QwtScaleEngine::~QwtScaleEngine()
    {132, 289, 0, 0, Smoke::mf_ctor, 277, 1},	//1665 QwtScaleMap::QwtScaleMap()
    {132, 289, 1088, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 277, 2},	//1666 QwtScaleMap::QwtScaleMap(const QwtScaleMap&)
    {132, 1041, 1088, 1, 0, 276, 3},	//1667 QwtScaleMap::operator=(const QwtScaleMap&)
    {132, 1640, 163, 1, 0, 0, 4},	//1668 QwtScaleMap::setTransformation(QwtTransform*)
    {132, 1807, 0, 0, Smoke::mf_const, 411, 5},	//1669 QwtScaleMap::transformation() const
    {132, 1483, 41, 2, 0, 0, 6},	//1670 QwtScaleMap::setPaintInterval(double, double)
    {132, 1561, 41, 2, 0, 0, 7},	//1671 QwtScaleMap::setScaleInterval(double, double)
    {132, 1802, 22, 1, Smoke::mf_const, 417, 8},	//1672 QwtScaleMap::transform(double) const
    {132, 859, 22, 1, Smoke::mf_const, 417, 9},	//1673 QwtScaleMap::invTransform(double) const
    {132, 1049, 0, 0, Smoke::mf_const, 417, 10},	//1674 QwtScaleMap::p1() const
    {132, 1050, 0, 0, Smoke::mf_const, 417, 11},	//1675 QwtScaleMap::p2() const
    {132, 1167, 0, 0, Smoke::mf_const, 417, 12},	//1676 QwtScaleMap::s1() const
    {132, 1168, 0, 0, Smoke::mf_const, 417, 13},	//1677 QwtScaleMap::s2() const
    {132, 1051, 0, 0, Smoke::mf_const, 417, 14},	//1678 QwtScaleMap::pDist() const
    {132, 1169, 0, 0, Smoke::mf_const, 417, 15},	//1679 QwtScaleMap::sDist() const
    {132, 1802, 1090, 3, Smoke::mf_static, 63, 16},	//1680 QwtScaleMap::transform(const QwtScaleMap&, const QwtScaleMap&, const QRectF&)
    {132, 859, 1090, 3, Smoke::mf_static, 63, 17},	//1681 QwtScaleMap::invTransform(const QwtScaleMap&, const QwtScaleMap&, const QRectF&)
    {132, 1802, 1094, 3, Smoke::mf_static, 57, 18},	//1682 QwtScaleMap::transform(const QwtScaleMap&, const QwtScaleMap&, const QPointF&)
    {132, 859, 1094, 3, Smoke::mf_static, 57, 19},	//1683 QwtScaleMap::invTransform(const QwtScaleMap&, const QwtScaleMap&, const QPointF&)
    {132, 880, 0, 0, Smoke::mf_const, 307, 20},	//1684 QwtScaleMap::isInverting() const
    {132, 1956, 0, 0, Smoke::mf_dtor, 0, 21 },	//1685 QwtScaleMap::~QwtScaleMap()
    {133, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1686 QwtScaleWidget::metaObject() const
    {133, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1687 QwtScaleWidget::qt_metacast(const char*)
    {133, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1688 QwtScaleWidget::tr(const char*, const char*)
    {133, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1689 QwtScaleWidget::trUtf8(const char*, const char*)
    {133, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1690 QwtScaleWidget::tr(const char*, const char*, int)
    {133, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1691 QwtScaleWidget::trUtf8(const char*, const char*, int)
    {133, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1692 QwtScaleWidget::qt_metacall(QMetaObject::Call, int, void**)
    {133, 291, 89, 1, Smoke::mf_ctor, 278, 8},	//1693 QwtScaleWidget::QwtScaleWidget(QWidget*)
    {133, 291, 1098, 2, Smoke::mf_ctor, 278, 9},	//1694 QwtScaleWidget::QwtScaleWidget(QwtScaleDraw::Alignment, QWidget*)
    {133, 1174, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//1695 QwtScaleWidget::scaleDivChanged()
    {133, 1623, 697, 1, 0, 0, 11},	//1696 QwtScaleWidget::setTitle(const QString&)
    {133, 1623, 713, 1, 0, 0, 12},	//1697 QwtScaleWidget::setTitle(const QwtText&)
    {133, 1776, 0, 0, Smoke::mf_const, 293, 13},	//1698 QwtScaleWidget::title() const
    {133, 1387, 1101, 2, 0, 0, 14},	//1699 QwtScaleWidget::setLayoutFlag(QwtScaleWidget::LayoutFlag, bool)
    {133, 1749, 1104, 1, Smoke::mf_const, 307, 15},	//1700 QwtScaleWidget::testLayoutFlag(QwtScaleWidget::LayoutFlag) const
    {133, 1262, 645, 2, 0, 0, 16},	//1701 QwtScaleWidget::setBorderDist(int, int)
    {133, 1714, 0, 0, Smoke::mf_const, 420, 17},	//1702 QwtScaleWidget::startBorderDist() const
    {133, 756, 0, 0, Smoke::mf_const, 420, 18},	//1703 QwtScaleWidget::endBorderDist() const
    {133, 795, 1106, 2, Smoke::mf_const, 0, 19},	//1704 QwtScaleWidget::getBorderDistHint(int&, int&) const
    {133, 802, 1106, 2, Smoke::mf_const, 0, 20},	//1705 QwtScaleWidget::getMinBorderDist(int&, int&) const
    {133, 1435, 645, 2, 0, 0, 21},	//1706 QwtScaleWidget::setMinBorderDist(int, int)
    {133, 1417, 93, 1, 0, 0, 22},	//1707 QwtScaleWidget::setMargin(int)
    {133, 965, 0, 0, Smoke::mf_const, 420, 23},	//1708 QwtScaleWidget::margin() const
    {133, 1583, 93, 1, 0, 0, 24},	//1709 QwtScaleWidget::setSpacing(int)
    {133, 1710, 0, 0, Smoke::mf_const, 420, 25},	//1710 QwtScaleWidget::spacing() const
    {133, 1553, 157, 1, 0, 0, 26},	//1711 QwtScaleWidget::setScaleDiv(const QwtScaleDiv&)
    {133, 1640, 163, 1, 0, 0, 27},	//1712 QwtScaleWidget::setTransformation(QwtTransform*)
    {133, 1557, 988, 1, 0, 0, 28},	//1713 QwtScaleWidget::setScaleDraw(QwtScaleDraw*)
    {133, 1175, 0, 0, Smoke::mf_const, 391, 29},	//1714 QwtScaleWidget::scaleDraw() const
    {133, 1175, 0, 0, 0, 271, 30},	//1715 QwtScaleWidget::scaleDraw()
    {133, 1378, 409, 1, 0, 0, 31},	//1716 QwtScaleWidget::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {133, 1382, 22, 1, 0, 0, 32},	//1717 QwtScaleWidget::setLabelRotation(double)
    {133, 1287, 106, 1, 0, 0, 33},	//1718 QwtScaleWidget::setColorBarEnabled(bool)
    {133, 875, 0, 0, Smoke::mf_const, 307, 34},	//1719 QwtScaleWidget::isColorBarEnabled() const
    {133, 1289, 93, 1, 0, 0, 35},	//1720 QwtScaleWidget::setColorBarWidth(int)
    {133, 549, 0, 0, Smoke::mf_const, 420, 36},	//1721 QwtScaleWidget::colorBarWidth() const
    {133, 1293, 1109, 2, 0, 0, 37},	//1722 QwtScaleWidget::setColorMap(const QwtInterval&, QwtColorMap*)
    {133, 546, 0, 0, Smoke::mf_const, 200, 38},	//1723 QwtScaleWidget::colorBarInterval() const
    {133, 552, 0, 0, Smoke::mf_const, 357, 39},	//1724 QwtScaleWidget::colorMap() const
    {133, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 40},	//1725 QwtScaleWidget::sizeHint() const
    {133, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 41},	//1726 QwtScaleWidget::minimumSizeHint() const
    {133, 1777, 93, 1, Smoke::mf_const, 420, 42},	//1727 QwtScaleWidget::titleHeightForWidth(int) const
    {133, 591, 726, 2, Smoke::mf_const, 420, 43},	//1728 QwtScaleWidget::dimForLength(int, const QFont&) const
    {133, 624, 415, 2, Smoke::mf_const, 0, 44},	//1729 QwtScaleWidget::drawColorBar(QPainter*, const QRectF&) const
    {133, 732, 1112, 3, Smoke::mf_const, 0, 45},	//1730 QwtScaleWidget::drawTitle(QPainter*, QwtScaleDraw::Alignment, const QRectF&) const
    {133, 1210, 990, 1, 0, 0, 46},	//1731 QwtScaleWidget::setAlignment(QwtScaleDraw::Alignment)
    {133, 425, 0, 0, Smoke::mf_const, 272, 47},	//1732 QwtScaleWidget::alignment() const
    {133, 547, 190, 1, Smoke::mf_const, 63, 48},	//1733 QwtScaleWidget::colorBarRect(const QRectF&) const
    {133, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1734 QwtScaleWidget::paintEvent(QPaintEvent*)
    {133, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//1735 QwtScaleWidget::resizeEvent(QResizeEvent*)
    {133, 606, 182, 1, Smoke::mf_const|Smoke::mf_protected, 0, 51},	//1736 QwtScaleWidget::draw(QPainter*) const
    {133, 1172, 0, 0, Smoke::mf_protected, 0, 52},	//1737 QwtScaleWidget::scaleChange()
    {133, 940, 106, 1, Smoke::mf_protected, 0, 53},	//1738 QwtScaleWidget::layoutScale(bool)
    {133, 1783, 98, 1, Smoke::mf_static, 74, 54},	//1739 QwtScaleWidget::tr(const char*)
    {133, 1787, 98, 1, Smoke::mf_static, 74, 55},	//1740 QwtScaleWidget::trUtf8(const char*)
    {133, 291, 0, 0, Smoke::mf_ctor, 278, 56},	//1741 QwtScaleWidget::QwtScaleWidget()
    {133, 291, 990, 1, Smoke::mf_ctor, 278, 57},	//1742 QwtScaleWidget::QwtScaleWidget(QwtScaleDraw::Alignment)
    {133, 940, 0, 0, Smoke::mf_protected, 0, 58},	//1743 QwtScaleWidget::layoutScale()
    {133, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 59},	//1744 QwtScaleWidget::staticMetaObject() const
    {133, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 60},	//1745 QwtScaleWidget::TitleInverted (enum)
    {133, 1957, 0, 0, Smoke::mf_dtor, 0, 61 },	//1746 QwtScaleWidget::~QwtScaleWidget()
    {135, 295, 645, 2, Smoke::mf_ctor, 282, 1},	//1747 QwtSimpleCompassRose::QwtSimpleCompassRose(int, int)
    {135, 1666, 22, 1, 0, 0, 2},	//1748 QwtSimpleCompassRose::setWidth(double)
    {135, 1869, 0, 0, Smoke::mf_const, 417, 3},	//1749 QwtSimpleCompassRose::width() const
    {135, 1464, 93, 1, 0, 0, 4},	//1750 QwtSimpleCompassRose::setNumThorns(int)
    {135, 1037, 0, 0, Smoke::mf_const, 420, 5},	//1751 QwtSimpleCompassRose::numThorns() const
    {135, 1462, 93, 1, 0, 0, 6},	//1752 QwtSimpleCompassRose::setNumThornLevels(int)
    {135, 1036, 0, 0, Smoke::mf_const, 420, 7},	//1753 QwtSimpleCompassRose::numThornLevels() const
    {135, 1573, 22, 1, 0, 0, 8},	//1754 QwtSimpleCompassRose::setShrinkFactor(double)
    {135, 1698, 0, 0, Smoke::mf_const, 417, 9},	//1755 QwtSimpleCompassRose::shrinkFactor() const
    {135, 606, 209, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//1756 QwtSimpleCompassRose::draw(QPainter*, const QPointF&, double, double, QPalette::ColorGroup) const
    {135, 693, 1116, 9, Smoke::mf_static, 0, 11},	//1757 QwtSimpleCompassRose::drawRose(QPainter*, const QPalette&, const QPointF&, double, double, double, int, int, double)
    {135, 295, 1126, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 282, 12},	//1758 QwtSimpleCompassRose::QwtSimpleCompassRose(const QwtSimpleCompassRose&)
    {135, 295, 0, 0, Smoke::mf_ctor, 282, 13},	//1759 QwtSimpleCompassRose::QwtSimpleCompassRose()
    {135, 295, 93, 1, Smoke::mf_ctor, 282, 14},	//1760 QwtSimpleCompassRose::QwtSimpleCompassRose(int)
    {135, 606, 298, 4, Smoke::mf_const, 0, 15},	//1761 QwtSimpleCompassRose::draw(QPainter*, const QPointF&, double, double) const
    {135, 1958, 0, 0, Smoke::mf_dtor, 0, 16 },	//1762 QwtSimpleCompassRose::~QwtSimpleCompassRose()
    {136, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1763 QwtSlider::metaObject() const
    {136, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1764 QwtSlider::qt_metacast(const char*)
    {136, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1765 QwtSlider::tr(const char*, const char*)
    {136, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1766 QwtSlider::trUtf8(const char*, const char*)
    {136, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1767 QwtSlider::tr(const char*, const char*, int)
    {136, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1768 QwtSlider::trUtf8(const char*, const char*, int)
    {136, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1769 QwtSlider::qt_metacall(QMetaObject::Call, int, void**)
    {136, 299, 89, 1, Smoke::mf_ctor, 283, 8},	//1770 QwtSlider::QwtSlider(QWidget*)
    {136, 299, 1128, 2, Smoke::mf_ctor, 283, 9},	//1771 QwtSlider::QwtSlider(Qt::Orientation, QWidget*)
    {136, 1468, 437, 1, 0, 0, 10},	//1772 QwtSlider::setOrientation(Qt::Orientation)
    {136, 1045, 0, 0, Smoke::mf_const, 139, 11},	//1773 QwtSlider::orientation() const
    {136, 1567, 1131, 1, 0, 0, 12},	//1774 QwtSlider::setScalePosition(QwtSlider::ScalePosition)
    {136, 1181, 0, 0, Smoke::mf_const|Smoke::mf_property, 284, 13},	//1775 QwtSlider::scalePosition() const
    {136, 1642, 106, 1, Smoke::mf_property, 0, 14},	//1776 QwtSlider::setTrough(bool)
    {136, 821, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 15},	//1777 QwtSlider::hasTrough() const
    {136, 1342, 106, 1, Smoke::mf_property, 0, 16},	//1778 QwtSlider::setGroove(bool)
    {136, 819, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 17},	//1779 QwtSlider::hasGroove() const
    {136, 1346, 893, 1, Smoke::mf_property, 0, 18},	//1780 QwtSlider::setHandleSize(const QSize&)
    {136, 816, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 19},	//1781 QwtSlider::handleSize() const
    {136, 1270, 93, 1, Smoke::mf_property, 0, 20},	//1782 QwtSlider::setBorderWidth(int)
    {136, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 21},	//1783 QwtSlider::borderWidth() const
    {136, 1583, 93, 1, Smoke::mf_property, 0, 22},	//1784 QwtSlider::setSpacing(int)
    {136, 1710, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 23},	//1785 QwtSlider::spacing() const
    {136, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 24},	//1786 QwtSlider::sizeHint() const
    {136, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 25},	//1787 QwtSlider::minimumSizeHint() const
    {136, 1557, 988, 1, 0, 0, 26},	//1788 QwtSlider::setScaleDraw(QwtScaleDraw*)
    {136, 1175, 0, 0, Smoke::mf_const, 391, 27},	//1789 QwtSlider::scaleDraw() const
    {136, 1644, 93, 1, 0, 0, 28},	//1790 QwtSlider::setUpdateInterval(int)
    {136, 1814, 0, 0, Smoke::mf_const, 420, 29},	//1791 QwtSlider::updateInterval() const
    {136, 1188, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 417, 30},	//1792 QwtSlider::scrolledTo(const QPoint&) const
    {136, 887, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 307, 31},	//1793 QwtSlider::isScrollPosition(const QPoint&) const
    {136, 710, 1133, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1794 QwtSlider::drawSlider(QPainter*, const QRect&) const
    {136, 647, 1136, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1795 QwtSlider::drawHandle(QPainter*, const QRect&, int) const
    {136, 1010, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1796 QwtSlider::mousePressEvent(QMouseEvent*)
    {136, 1012, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1797 QwtSlider::mouseReleaseEvent(QMouseEvent*)
    {136, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1798 QwtSlider::resizeEvent(QResizeEvent*)
    {136, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//1799 QwtSlider::paintEvent(QPaintEvent*)
    {136, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//1800 QwtSlider::changeEvent(QEvent*)
    {136, 1774, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1801 QwtSlider::timerEvent(QTimerEvent*)
    {136, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1802 QwtSlider::scaleChange()
    {136, 1707, 0, 0, Smoke::mf_const|Smoke::mf_protected, 62, 41},	//1803 QwtSlider::sliderRect() const
    {136, 815, 0, 0, Smoke::mf_const|Smoke::mf_protected, 62, 42},	//1804 QwtSlider::handleRect() const
    {136, 1783, 98, 1, Smoke::mf_static, 74, 43},	//1805 QwtSlider::tr(const char*)
    {136, 1787, 98, 1, Smoke::mf_static, 74, 44},	//1806 QwtSlider::trUtf8(const char*)
    {136, 299, 0, 0, Smoke::mf_ctor, 283, 45},	//1807 QwtSlider::QwtSlider()
    {136, 299, 437, 1, Smoke::mf_ctor, 283, 46},	//1808 QwtSlider::QwtSlider(Qt::Orientation)
    {136, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 47},	//1809 QwtSlider::staticMetaObject() const
    {136, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 48},	//1810 QwtSlider::NoScale (enum)
    {136, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 49},	//1811 QwtSlider::LeadingScale (enum)
    {136, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 50},	//1812 QwtSlider::TrailingScale (enum)
    {136, 1959, 0, 0, Smoke::mf_dtor, 0, 51 },	//1813 QwtSlider::~QwtSlider()
    {137, 303, 0, 0, Smoke::mf_ctor, 286, 1},	//1814 QwtSpline::QwtSpline()
    {137, 303, 1140, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 286, 2},	//1815 QwtSpline::QwtSpline(const QwtSpline&)
    {137, 1041, 1140, 1, 0, 285, 3},	//1816 QwtSpline::operator=(const QwtSpline&)
    {137, 1589, 1142, 1, 0, 0, 4},	//1817 QwtSpline::setSplineType(QwtSpline::SplineType)
    {137, 1713, 0, 0, Smoke::mf_const, 287, 5},	//1818 QwtSpline::splineType() const
    {137, 1508, 319, 1, 0, 307, 6},	//1819 QwtSpline::setPoints(const QPolygonF&)
    {137, 1078, 0, 0, Smoke::mf_const, 60, 7},	//1820 QwtSpline::points() const
    {137, 1153, 0, 0, 0, 0, 8},	//1821 QwtSpline::reset()
    {137, 890, 0, 0, Smoke::mf_const, 307, 9},	//1822 QwtSpline::isValid() const
    {137, 1830, 22, 1, Smoke::mf_const, 417, 10},	//1823 QwtSpline::value(double) const
    {137, 539, 0, 0, Smoke::mf_const, 350, 11},	//1824 QwtSpline::coefficientsA() const
    {137, 540, 0, 0, Smoke::mf_const, 350, 12},	//1825 QwtSpline::coefficientsB() const
    {137, 541, 0, 0, Smoke::mf_const, 350, 13},	//1826 QwtSpline::coefficientsC() const
    {137, 495, 319, 1, Smoke::mf_protected, 307, 14},	//1827 QwtSpline::buildNaturalSpline(const QPolygonF&)
    {137, 497, 319, 1, Smoke::mf_protected, 307, 15},	//1828 QwtSpline::buildPeriodicSpline(const QPolygonF&)
    {137, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 16},	//1829 QwtSpline::Natural (enum)
    {137, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 17},	//1830 QwtSpline::Periodic (enum)
    {137, 1960, 0, 0, Smoke::mf_dtor, 0, 18 },	//1831 QwtSpline::~QwtSpline()
    {138, 305, 0, 0, Smoke::mf_ctor, 288, 1},	//1832 QwtSplineCurveFitter::QwtSplineCurveFitter()
    {138, 1325, 1144, 1, 0, 0, 2},	//1833 QwtSplineCurveFitter::setFitMode(QwtSplineCurveFitter::FitMode)
    {138, 778, 0, 0, Smoke::mf_const, 289, 3},	//1834 QwtSplineCurveFitter::fitMode() const
    {138, 1585, 1140, 1, 0, 0, 4},	//1835 QwtSplineCurveFitter::setSpline(const QwtSpline&)
    {138, 1711, 0, 0, Smoke::mf_const, 404, 5},	//1836 QwtSplineCurveFitter::spline() const
    {138, 1711, 0, 0, 0, 285, 6},	//1837 QwtSplineCurveFitter::spline()
    {138, 1587, 93, 1, 0, 0, 7},	//1838 QwtSplineCurveFitter::setSplineSize(int)
    {138, 1712, 0, 0, Smoke::mf_const, 420, 8},	//1839 QwtSplineCurveFitter::splineSize() const
    {138, 776, 319, 1, Smoke::mf_const|Smoke::mf_virtual, 60, 9},	//1840 QwtSplineCurveFitter::fitCurve(const QPolygonF&) const
    {138, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 10},	//1841 QwtSplineCurveFitter::Auto (enum)
    {138, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 11},	//1842 QwtSplineCurveFitter::Spline (enum)
    {138, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 289, 12},	//1843 QwtSplineCurveFitter::ParametricSpline (enum)
    {138, 1961, 0, 0, Smoke::mf_dtor, 0, 13 },	//1844 QwtSplineCurveFitter::~QwtSplineCurveFitter()
    {139, 306, 1146, 1, Smoke::mf_ctor, 290, 1},	//1845 QwtSymbol::QwtSymbol(QwtSymbol::Style)
    {139, 306, 1148, 4, Smoke::mf_ctor, 290, 2},	//1846 QwtSymbol::QwtSymbol(QwtSymbol::Style, const QBrush&, const QPen&, const QSize&)
    {139, 306, 1153, 3, Smoke::mf_ctor, 290, 3},	//1847 QwtSymbol::QwtSymbol(const QPainterPath&, const QBrush&, const QPen&)
    {139, 1274, 1157, 1, 0, 0, 4},	//1848 QwtSymbol::setCachePolicy(QwtSymbol::CachePolicy)
    {139, 503, 0, 0, Smoke::mf_const, 291, 5},	//1849 QwtSymbol::cachePolicy() const
    {139, 1579, 893, 1, 0, 0, 6},	//1850 QwtSymbol::setSize(const QSize&)
    {139, 1579, 645, 2, 0, 0, 7},	//1851 QwtSymbol::setSize(int, int)
    {139, 1701, 0, 0, Smoke::mf_const, 339, 8},	//1852 QwtSymbol::size() const
    {139, 1495, 1159, 2, 0, 0, 9},	//1853 QwtSymbol::setPinPoint(const QPointF&, bool)
    {139, 1069, 0, 0, Smoke::mf_const, 57, 10},	//1854 QwtSymbol::pinPoint() const
    {139, 1498, 106, 1, 0, 0, 11},	//1855 QwtSymbol::setPinPointEnabled(bool)
    {139, 884, 0, 0, Smoke::mf_const, 307, 12},	//1856 QwtSymbol::isPinPointEnabled() const
    {139, 1285, 197, 1, Smoke::mf_virtual, 0, 13},	//1857 QwtSymbol::setColor(const QColor&)
    {139, 1272, 715, 1, 0, 0, 14},	//1858 QwtSymbol::setBrush(const QBrush&)
    {139, 488, 0, 0, Smoke::mf_const, 308, 15},	//1859 QwtSymbol::brush() const
    {139, 1489, 818, 3, 0, 0, 16},	//1860 QwtSymbol::setPen(const QColor&, double, Qt::PenStyle)
    {139, 1489, 660, 1, 0, 0, 17},	//1861 QwtSymbol::setPen(const QPen&)
    {139, 1065, 0, 0, Smoke::mf_const, 327, 18},	//1862 QwtSymbol::pen() const
    {139, 1603, 1146, 1, 0, 0, 19},	//1863 QwtSymbol::setStyle(QwtSymbol::Style)
    {139, 1729, 0, 0, Smoke::mf_const, 292, 20},	//1864 QwtSymbol::style() const
    {139, 1487, 1162, 1, 0, 0, 21},	//1865 QwtSymbol::setPath(const QPainterPath&)
    {139, 1064, 0, 0, Smoke::mf_const, 325, 22},	//1866 QwtSymbol::path() const
    {139, 1502, 1164, 1, 0, 0, 23},	//1867 QwtSymbol::setPixmap(const QPixmap&)
    {139, 1074, 0, 0, Smoke::mf_const, 328, 24},	//1868 QwtSymbol::pixmap() const
    {139, 1340, 1166, 1, 0, 0, 25},	//1869 QwtSymbol::setGraphic(const QwtGraphic&)
    {139, 812, 0, 0, Smoke::mf_const, 368, 26},	//1870 QwtSymbol::graphic() const
    {139, 1605, 1168, 1, 0, 0, 27},	//1871 QwtSymbol::setSvgDocument(const QByteArray&)
    {139, 716, 415, 2, Smoke::mf_const, 0, 28},	//1872 QwtSymbol::drawSymbol(QPainter*, const QRectF&) const
    {139, 716, 577, 2, Smoke::mf_const, 0, 29},	//1873 QwtSymbol::drawSymbol(QPainter*, const QPointF&) const
    {139, 718, 560, 2, Smoke::mf_const, 0, 30},	//1874 QwtSymbol::drawSymbols(QPainter*, const QPolygonF&) const
    {139, 718, 563, 3, Smoke::mf_const, 0, 31},	//1875 QwtSymbol::drawSymbols(QPainter*, const QPointF*, int) const
    {139, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 32},	//1876 QwtSymbol::boundingRect() const
    {139, 866, 0, 0, 0, 0, 33},	//1877 QwtSymbol::invalidateCache()
    {139, 1144, 563, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1878 QwtSymbol::renderSymbols(QPainter*, const QPointF*, int) const
    {139, 306, 0, 0, Smoke::mf_ctor, 290, 35},	//1879 QwtSymbol::QwtSymbol()
    {139, 1579, 93, 1, 0, 0, 36},	//1880 QwtSymbol::setSize(int)
    {139, 1495, 53, 1, 0, 0, 37},	//1881 QwtSymbol::setPinPoint(const QPointF&)
    {139, 1489, 197, 1, 0, 0, 38},	//1882 QwtSymbol::setPen(const QColor&)
    {139, 1489, 865, 2, 0, 0, 39},	//1883 QwtSymbol::setPen(const QColor&, double)
    {139, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 40},	//1884 QwtSymbol::NoSymbol (enum)
    {139, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 41},	//1885 QwtSymbol::Ellipse (enum)
    {139, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 42},	//1886 QwtSymbol::Rect (enum)
    {139, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 43},	//1887 QwtSymbol::Diamond (enum)
    {139, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 44},	//1888 QwtSymbol::Triangle (enum)
    {139, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 45},	//1889 QwtSymbol::DTriangle (enum)
    {139, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 46},	//1890 QwtSymbol::UTriangle (enum)
    {139, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 47},	//1891 QwtSymbol::LTriangle (enum)
    {139, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 48},	//1892 QwtSymbol::RTriangle (enum)
    {139, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 49},	//1893 QwtSymbol::Cross (enum)
    {139, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 50},	//1894 QwtSymbol::XCross (enum)
    {139, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 51},	//1895 QwtSymbol::HLine (enum)
    {139, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 52},	//1896 QwtSymbol::VLine (enum)
    {139, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 53},	//1897 QwtSymbol::Star1 (enum)
    {139, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 54},	//1898 QwtSymbol::Star2 (enum)
    {139, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 55},	//1899 QwtSymbol::Hexagon (enum)
    {139, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 56},	//1900 QwtSymbol::Path (enum)
    {139, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 57},	//1901 QwtSymbol::Pixmap (enum)
    {139, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 58},	//1902 QwtSymbol::Graphic (enum)
    {139, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 59},	//1903 QwtSymbol::SvgDocument (enum)
    {139, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 60},	//1904 QwtSymbol::UserStyle (enum)
    {139, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 61},	//1905 QwtSymbol::NoCache (enum)
    {139, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 62},	//1906 QwtSymbol::Cache (enum)
    {139, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 63},	//1907 QwtSymbol::AutoCache (enum)
    {139, 1962, 0, 0, Smoke::mf_dtor, 0, 64 },	//1908 QwtSymbol::~QwtSymbol()
    {140, 310, 1170, 2, Smoke::mf_ctor, 295, 1},	//1909 QwtText::QwtText(const QString&, QwtText::TextFormat)
    {140, 310, 713, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 295, 2},	//1910 QwtText::QwtText(const QwtText&)
    {140, 1041, 713, 1, 0, 294, 3},	//1911 QwtText::operator=(const QwtText&)
    {140, 1043, 713, 1, Smoke::mf_const, 307, 4},	//1912 QwtText::operator==(const QwtText&) const
    {140, 1039, 713, 1, Smoke::mf_const, 307, 5},	//1913 QwtText::operator!=(const QwtText&) const
    {140, 1609, 1170, 2, 0, 0, 6},	//1914 QwtText::setText(const QString&, QwtText::TextFormat)
    {140, 1757, 0, 0, Smoke::mf_const, 74, 7},	//1915 QwtText::text() const
    {140, 881, 0, 0, Smoke::mf_const, 307, 8},	//1916 QwtText::isNull() const
    {140, 876, 0, 0, Smoke::mf_const, 307, 9},	//1917 QwtText::isEmpty() const
    {140, 1329, 146, 1, 0, 0, 10},	//1918 QwtText::setFont(const QFont&)
    {140, 785, 0, 0, Smoke::mf_const, 24, 11},	//1919 QwtText::font() const
    {140, 1828, 146, 1, Smoke::mf_const, 24, 12},	//1920 QwtText::usedFont(const QFont&) const
    {140, 1527, 93, 1, 0, 0, 13},	//1921 QwtText::setRenderFlags(int)
    {140, 1137, 0, 0, Smoke::mf_const, 420, 14},	//1922 QwtText::renderFlags() const
    {140, 1285, 197, 1, 0, 0, 15},	//1923 QwtText::setColor(const QColor&)
    {140, 542, 0, 0, Smoke::mf_const, 7, 16},	//1924 QwtText::color() const
    {140, 1826, 197, 1, Smoke::mf_const, 7, 17},	//1925 QwtText::usedColor(const QColor&) const
    {140, 1268, 22, 1, 0, 0, 18},	//1926 QwtText::setBorderRadius(double)
    {140, 481, 0, 0, Smoke::mf_const, 417, 19},	//1927 QwtText::borderRadius() const
    {140, 1266, 660, 1, 0, 0, 20},	//1928 QwtText::setBorderPen(const QPen&)
    {140, 480, 0, 0, Smoke::mf_const, 53, 21},	//1929 QwtText::borderPen() const
    {140, 1256, 715, 1, 0, 0, 22},	//1930 QwtText::setBackgroundBrush(const QBrush&)
    {140, 471, 0, 0, Smoke::mf_const, 4, 23},	//1931 QwtText::backgroundBrush() const
    {140, 1480, 1173, 2, 0, 0, 24},	//1932 QwtText::setPaintAttribute(QwtText::PaintAttribute, bool)
    {140, 1753, 1176, 1, Smoke::mf_const, 307, 25},	//1933 QwtText::testPaintAttribute(QwtText::PaintAttribute) const
    {140, 1384, 1178, 2, 0, 0, 26},	//1934 QwtText::setLayoutAttribute(QwtText::LayoutAttribute, bool)
    {140, 1747, 1181, 1, Smoke::mf_const, 307, 27},	//1935 QwtText::testLayoutAttribute(QwtText::LayoutAttribute) const
    {140, 822, 1183, 2, Smoke::mf_const, 417, 28},	//1936 QwtText::heightForWidth(double, const QFont&) const
    {140, 1764, 146, 1, Smoke::mf_const, 72, 29},	//1937 QwtText::textSize(const QFont&) const
    {140, 606, 415, 2, Smoke::mf_const, 0, 30},	//1938 QwtText::draw(QPainter*, const QRectF&) const
    {140, 1758, 1170, 2, Smoke::mf_static, 409, 31},	//1939 QwtText::textEngine(const QString&, QwtText::TextFormat)
    {140, 1758, 1186, 1, Smoke::mf_static, 409, 32},	//1940 QwtText::textEngine(QwtText::TextFormat)
    {140, 1613, 1188, 2, Smoke::mf_static, 0, 33},	//1941 QwtText::setTextEngine(QwtText::TextFormat, QwtTextEngine*)
    {140, 310, 0, 0, Smoke::mf_ctor, 295, 34},	//1942 QwtText::QwtText()
    {140, 310, 697, 1, Smoke::mf_ctor, 295, 35},	//1943 QwtText::QwtText(const QString&)
    {140, 1609, 697, 1, 0, 0, 36},	//1944 QwtText::setText(const QString&)
    {140, 1480, 1176, 1, 0, 0, 37},	//1945 QwtText::setPaintAttribute(QwtText::PaintAttribute)
    {140, 1384, 1181, 1, 0, 0, 38},	//1946 QwtText::setLayoutAttribute(QwtText::LayoutAttribute)
    {140, 822, 22, 1, Smoke::mf_const, 417, 39},	//1947 QwtText::heightForWidth(double) const
    {140, 1764, 0, 0, Smoke::mf_const, 72, 40},	//1948 QwtText::textSize() const
    {140, 1758, 697, 1, Smoke::mf_static, 409, 41},	//1949 QwtText::textEngine(const QString&)
    {140, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 42},	//1950 QwtText::AutoText (enum)
    {140, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 43},	//1951 QwtText::PlainText (enum)
    {140, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 44},	//1952 QwtText::RichText (enum)
    {140, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 45},	//1953 QwtText::MathMLText (enum)
    {140, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 46},	//1954 QwtText::TeXText (enum)
    {140, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 47},	//1955 QwtText::OtherFormat (enum)
    {140, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 48},	//1956 QwtText::PaintUsingTextFont (enum)
    {140, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 49},	//1957 QwtText::PaintUsingTextColor (enum)
    {140, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 50},	//1958 QwtText::PaintBackground (enum)
    {140, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 51},	//1959 QwtText::MinimumLayout (enum)
    {140, 1963, 0, 0, Smoke::mf_dtor, 0, 52 },	//1960 QwtText::~QwtText()
    {141, 822, 688, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 417, 1},	//1961 QwtTextEngine::heightForWidth(const QFont&, int, const QString&, double) const [pure virtual]
    {141, 1764, 693, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 72, 2},	//1962 QwtTextEngine::textSize(const QFont&, int, const QString&) const [pure virtual]
    {141, 984, 697, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 307, 3},	//1963 QwtTextEngine::mightRender(const QString&) const [pure virtual]
    {141, 1761, 699, 6, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1964 QwtTextEngine::textMargins(const QFont&, const QString&, double&, double&, double&, double&) const [pure virtual]
    {141, 606, 528, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//1965 QwtTextEngine::draw(QPainter*, const QRectF&, int, const QString&) const [pure virtual]
    {141, 314, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 299, 6},	//1966 QwtTextEngine::QwtTextEngine()
    {141, 314, 1191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 299, 7},	//1967 QwtTextEngine::QwtTextEngine(const QwtTextEngine&)
    {141, 1964, 0, 0, Smoke::mf_dtor, 0, 8 },	//1968 QwtTextEngine::~QwtTextEngine()
    {142, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//1969 QwtTextLabel::metaObject() const
    {142, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//1970 QwtTextLabel::qt_metacast(const char*)
    {142, 1783, 148, 2, Smoke::mf_static, 74, 3},	//1971 QwtTextLabel::tr(const char*, const char*)
    {142, 1787, 148, 2, Smoke::mf_static, 74, 4},	//1972 QwtTextLabel::trUtf8(const char*, const char*)
    {142, 1783, 151, 3, Smoke::mf_static, 74, 5},	//1973 QwtTextLabel::tr(const char*, const char*, int)
    {142, 1787, 151, 3, Smoke::mf_static, 74, 6},	//1974 QwtTextLabel::trUtf8(const char*, const char*, int)
    {142, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//1975 QwtTextLabel::qt_metacall(QMetaObject::Call, int, void**)
    {142, 316, 89, 1, Smoke::mf_ctor, 300, 8},	//1976 QwtTextLabel::QwtTextLabel(QWidget*)
    {142, 316, 708, 2, Smoke::mf_ctor, 300, 9},	//1977 QwtTextLabel::QwtTextLabel(const QwtText&, QWidget*)
    {142, 1504, 697, 1, Smoke::mf_property, 0, 10},	//1978 QwtTextLabel::setPlainText(const QString&)
    {142, 1075, 0, 0, Smoke::mf_const|Smoke::mf_property, 74, 11},	//1979 QwtTextLabel::plainText() const
    {142, 1609, 1170, 2, Smoke::mf_slot, 0, 12},	//1980 QwtTextLabel::setText(const QString&, QwtText::TextFormat)
    {142, 1609, 713, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1981 QwtTextLabel::setText(const QwtText&)
    {142, 522, 0, 0, Smoke::mf_slot, 0, 14},	//1982 QwtTextLabel::clear()
    {142, 1757, 0, 0, Smoke::mf_const, 407, 15},	//1983 QwtTextLabel::text() const
    {142, 838, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 16},	//1984 QwtTextLabel::indent() const
    {142, 1350, 93, 1, Smoke::mf_property, 0, 17},	//1985 QwtTextLabel::setIndent(int)
    {142, 965, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 18},	//1986 QwtTextLabel::margin() const
    {142, 1417, 93, 1, Smoke::mf_property, 0, 19},	//1987 QwtTextLabel::setMargin(int)
    {142, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 20},	//1988 QwtTextLabel::sizeHint() const
    {142, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 21},	//1989 QwtTextLabel::minimumSizeHint() const
    {142, 822, 93, 1, Smoke::mf_const|Smoke::mf_virtual, 420, 22},	//1990 QwtTextLabel::heightForWidth(int) const
    {142, 1763, 0, 0, Smoke::mf_const, 62, 23},	//1991 QwtTextLabel::textRect() const
    {142, 722, 415, 2, Smoke::mf_virtual, 0, 24},	//1992 QwtTextLabel::drawText(QPainter*, const QRectF&)
    {142, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1993 QwtTextLabel::paintEvent(QPaintEvent*)
    {142, 627, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1994 QwtTextLabel::drawContents(QPainter*)
    {142, 1783, 98, 1, Smoke::mf_static, 74, 27},	//1995 QwtTextLabel::tr(const char*)
    {142, 1787, 98, 1, Smoke::mf_static, 74, 28},	//1996 QwtTextLabel::trUtf8(const char*)
    {142, 316, 0, 0, Smoke::mf_ctor, 300, 29},	//1997 QwtTextLabel::QwtTextLabel()
    {142, 316, 713, 1, Smoke::mf_ctor, 300, 30},	//1998 QwtTextLabel::QwtTextLabel(const QwtText&)
    {142, 1609, 697, 1, Smoke::mf_slot, 0, 31},	//1999 QwtTextLabel::setText(const QString&)
    {142, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 32},	//2000 QwtTextLabel::staticMetaObject() const
    {142, 1965, 0, 0, Smoke::mf_dtor, 0, 33 },	//2001 QwtTextLabel::~QwtTextLabel()
    {143, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//2002 QwtThermo::metaObject() const
    {143, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//2003 QwtThermo::qt_metacast(const char*)
    {143, 1783, 148, 2, Smoke::mf_static, 74, 3},	//2004 QwtThermo::tr(const char*, const char*)
    {143, 1787, 148, 2, Smoke::mf_static, 74, 4},	//2005 QwtThermo::trUtf8(const char*, const char*)
    {143, 1783, 151, 3, Smoke::mf_static, 74, 5},	//2006 QwtThermo::tr(const char*, const char*, int)
    {143, 1787, 151, 3, Smoke::mf_static, 74, 6},	//2007 QwtThermo::trUtf8(const char*, const char*, int)
    {143, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//2008 QwtThermo::qt_metacall(QMetaObject::Call, int, void**)
    {143, 319, 89, 1, Smoke::mf_ctor, 301, 8},	//2009 QwtThermo::QwtThermo(QWidget*)
    {143, 1468, 437, 1, 0, 0, 9},	//2010 QwtThermo::setOrientation(Qt::Orientation)
    {143, 1045, 0, 0, Smoke::mf_const, 139, 10},	//2011 QwtThermo::orientation() const
    {143, 1567, 1193, 1, 0, 0, 11},	//2012 QwtThermo::setScalePosition(QwtThermo::ScalePosition)
    {143, 1181, 0, 0, Smoke::mf_const, 303, 12},	//2013 QwtThermo::scalePosition() const
    {143, 1583, 93, 1, Smoke::mf_property, 0, 13},	//2014 QwtThermo::setSpacing(int)
    {143, 1710, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 14},	//2015 QwtThermo::spacing() const
    {143, 1270, 93, 1, Smoke::mf_property, 0, 15},	//2016 QwtThermo::setBorderWidth(int)
    {143, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 16},	//2017 QwtThermo::borderWidth() const
    {143, 1474, 1195, 1, Smoke::mf_property, 0, 17},	//2018 QwtThermo::setOriginMode(QwtThermo::OriginMode)
    {143, 1048, 0, 0, Smoke::mf_const|Smoke::mf_property, 302, 18},	//2019 QwtThermo::originMode() const
    {143, 1472, 22, 1, Smoke::mf_property, 0, 19},	//2020 QwtThermo::setOrigin(double)
    {143, 1047, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 20},	//2021 QwtThermo::origin() const
    {143, 1323, 715, 1, 0, 0, 21},	//2022 QwtThermo::setFillBrush(const QBrush&)
    {143, 767, 0, 0, Smoke::mf_const, 4, 22},	//2023 QwtThermo::fillBrush() const
    {143, 1200, 715, 1, 0, 0, 23},	//2024 QwtThermo::setAlarmBrush(const QBrush&)
    {143, 412, 0, 0, Smoke::mf_const, 4, 24},	//2025 QwtThermo::alarmBrush() const
    {143, 1204, 22, 1, Smoke::mf_property, 0, 25},	//2026 QwtThermo::setAlarmLevel(double)
    {143, 414, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 26},	//2027 QwtThermo::alarmLevel() const
    {143, 1202, 106, 1, Smoke::mf_property, 0, 27},	//2028 QwtThermo::setAlarmEnabled(bool)
    {143, 413, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 28},	//2029 QwtThermo::alarmEnabled() const
    {143, 1293, 999, 1, 0, 0, 29},	//2030 QwtThermo::setColorMap(QwtColorMap*)
    {143, 552, 0, 0, 0, 176, 30},	//2031 QwtThermo::colorMap()
    {143, 552, 0, 0, Smoke::mf_const, 357, 31},	//2032 QwtThermo::colorMap() const
    {143, 1500, 93, 1, Smoke::mf_property, 0, 32},	//2033 QwtThermo::setPipeWidth(int)
    {143, 1071, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 33},	//2034 QwtThermo::pipeWidth() const
    {143, 1518, 1197, 1, 0, 0, 34},	//2035 QwtThermo::setRangeFlags(QFlags<QwtInterval::BorderFlag>)
    {143, 1128, 0, 0, Smoke::mf_const, 19, 35},	//2036 QwtThermo::rangeFlags() const
    {143, 1830, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 36},	//2037 QwtThermo::value() const
    {143, 1702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 37},	//2038 QwtThermo::sizeHint() const
    {143, 998, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 38},	//2039 QwtThermo::minimumSizeHint() const
    {143, 1557, 988, 1, 0, 0, 39},	//2040 QwtThermo::setScaleDraw(QwtScaleDraw*)
    {143, 1175, 0, 0, Smoke::mf_const, 391, 40},	//2041 QwtThermo::scaleDraw() const
    {143, 1650, 22, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 41},	//2042 QwtThermo::setValue(double)
    {143, 666, 1133, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2043 QwtThermo::drawLiquid(QPainter*, const QRect&) const
    {143, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//2044 QwtThermo::scaleChange()
    {143, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2045 QwtThermo::paintEvent(QPaintEvent*)
    {143, 1154, 112, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//2046 QwtThermo::resizeEvent(QResizeEvent*)
    {143, 514, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//2047 QwtThermo::changeEvent(QEvent*)
    {143, 1175, 0, 0, Smoke::mf_protected, 271, 47},	//2048 QwtThermo::scaleDraw()
    {143, 1070, 0, 0, Smoke::mf_const|Smoke::mf_protected, 62, 48},	//2049 QwtThermo::pipeRect() const
    {143, 773, 363, 1, Smoke::mf_const|Smoke::mf_protected, 62, 49},	//2050 QwtThermo::fillRect(const QRect&) const
    {143, 415, 363, 1, Smoke::mf_const|Smoke::mf_protected, 62, 50},	//2051 QwtThermo::alarmRect(const QRect&) const
    {143, 1783, 98, 1, Smoke::mf_static, 74, 51},	//2052 QwtThermo::tr(const char*)
    {143, 1787, 98, 1, Smoke::mf_static, 74, 52},	//2053 QwtThermo::trUtf8(const char*)
    {143, 319, 0, 0, Smoke::mf_ctor, 301, 53},	//2054 QwtThermo::QwtThermo()
    {143, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 54},	//2055 QwtThermo::staticMetaObject() const
    {143, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 55},	//2056 QwtThermo::NoScale (enum)
    {143, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 56},	//2057 QwtThermo::LeadingScale (enum)
    {143, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 57},	//2058 QwtThermo::TrailingScale (enum)
    {143, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 58},	//2059 QwtThermo::OriginMinimum (enum)
    {143, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 59},	//2060 QwtThermo::OriginMaximum (enum)
    {143, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 60},	//2061 QwtThermo::OriginCustom (enum)
    {143, 1966, 0, 0, Smoke::mf_dtor, 0, 61 },	//2062 QwtThermo::~QwtThermo()
    {145, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//2063 QwtWheel::metaObject() const
    {145, 1084, 98, 1, Smoke::mf_virtual, 427, 2},	//2064 QwtWheel::qt_metacast(const char*)
    {145, 1783, 148, 2, Smoke::mf_static, 74, 3},	//2065 QwtWheel::tr(const char*, const char*)
    {145, 1787, 148, 2, Smoke::mf_static, 74, 4},	//2066 QwtWheel::trUtf8(const char*, const char*)
    {145, 1783, 151, 3, Smoke::mf_static, 74, 5},	//2067 QwtWheel::tr(const char*, const char*, int)
    {145, 1787, 151, 3, Smoke::mf_static, 74, 6},	//2068 QwtWheel::trUtf8(const char*, const char*, int)
    {145, 1082, 100, 3, Smoke::mf_virtual, 420, 7},	//2069 QwtWheel::qt_metacall(QMetaObject::Call, int, void**)
    {145, 321, 89, 1, Smoke::mf_ctor, 305, 8},	//2070 QwtWheel::QwtWheel(QWidget*)
    {145, 1830, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 9},	//2071 QwtWheel::value() const
    {145, 1468, 437, 1, 0, 0, 10},	//2072 QwtWheel::setOrientation(Qt::Orientation)
    {145, 1045, 0, 0, Smoke::mf_const, 139, 11},	//2073 QwtWheel::orientation() const
    {145, 1781, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 12},	//2074 QwtWheel::totalAngle() const
    {145, 1838, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 13},	//2075 QwtWheel::viewAngle() const
    {145, 1615, 93, 1, Smoke::mf_property, 0, 14},	//2076 QwtWheel::setTickCount(int)
    {145, 1767, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 15},	//2077 QwtWheel::tickCount() const
    {145, 1664, 93, 1, Smoke::mf_property, 0, 16},	//2078 QwtWheel::setWheelWidth(int)
    {145, 1849, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 17},	//2079 QwtWheel::wheelWidth() const
    {145, 1658, 93, 1, Smoke::mf_property, 0, 18},	//2080 QwtWheel::setWheelBorderWidth(int)
    {145, 1839, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 19},	//2081 QwtWheel::wheelBorderWidth() const
    {145, 1270, 93, 1, Smoke::mf_property, 0, 20},	//2082 QwtWheel::setBorderWidth(int)
    {145, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 21},	//2083 QwtWheel::borderWidth() const
    {145, 1356, 106, 1, Smoke::mf_property, 0, 22},	//2084 QwtWheel::setInverted(bool)
    {145, 879, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 23},	//2085 QwtWheel::isInverted() const
    {145, 1668, 106, 1, Smoke::mf_property, 0, 24},	//2086 QwtWheel::setWrapping(bool)
    {145, 1871, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 25},	//2087 QwtWheel::wrapping() const
    {145, 1575, 22, 1, Smoke::mf_property, 0, 26},	//2088 QwtWheel::setSingleStep(double)
    {145, 1699, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 27},	//2089 QwtWheel::singleStep() const
    {145, 1476, 93, 1, Smoke::mf_property, 0, 28},	//2090 QwtWheel::setPageStepCount(int)
    {145, 1052, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 29},	//2091 QwtWheel::pageStepCount() const
    {145, 1595, 106, 1, Smoke::mf_property, 0, 30},	//2092 QwtWheel::setStepAlignment(bool)
    {145, 1718, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 31},	//2093 QwtWheel::stepAlignment() const
    {145, 1516, 41, 2, 0, 0, 32},	//2094 QwtWheel::setRange(double, double)
    {145, 1439, 22, 1, Smoke::mf_property, 0, 33},	//2095 QwtWheel::setMinimum(double)
    {145, 994, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 34},	//2096 QwtWheel::minimum() const
    {145, 1433, 22, 1, Smoke::mf_property, 0, 35},	//2097 QwtWheel::setMaximum(double)
    {145, 980, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 36},	//2098 QwtWheel::maximum() const
    {145, 1644, 93, 1, Smoke::mf_property, 0, 37},	//2099 QwtWheel::setUpdateInterval(int)
    {145, 1814, 0, 0, Smoke::mf_const|Smoke::mf_property, 420, 38},	//2100 QwtWheel::updateInterval() const
    {145, 1638, 106, 1, Smoke::mf_property, 0, 39},	//2101 QwtWheel::setTracking(bool)
    {145, 889, 0, 0, Smoke::mf_const|Smoke::mf_property, 307, 40},	//2102 QwtWheel::isTracking() const
    {145, 968, 0, 0, Smoke::mf_const|Smoke::mf_property, 417, 41},	//2103 QwtWheel::mass() const
    {145, 1650, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 42},	//2104 QwtWheel::setValue(double)
    {145, 1628, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 43},	//2105 QwtWheel::setTotalAngle(double)
    {145, 1654, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 44},	//2106 QwtWheel::setViewAngle(double)
    {145, 1425, 22, 1, Smoke::mf_property|Smoke::mf_slot, 0, 45},	//2107 QwtWheel::setMass(double)
    {145, 1835, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2108 QwtWheel::valueChanged(double)
    {145, 1846, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2109 QwtWheel::wheelPressed()
    {145, 1848, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2110 QwtWheel::wheelReleased()
    {145, 1844, 22, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2111 QwtWheel::wheelMoved(double)
    {145, 1055, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//2112 QwtWheel::paintEvent(QPaintEvent*)
    {145, 1010, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//2113 QwtWheel::mousePressEvent(QMouseEvent*)
    {145, 1012, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//2114 QwtWheel::mouseReleaseEvent(QMouseEvent*)
    {145, 1007, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//2115 QwtWheel::mouseMoveEvent(QMouseEvent*)
    {145, 913, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2116 QwtWheel::keyPressEvent(QKeyEvent*)
    {145, 1840, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2117 QwtWheel::wheelEvent(QWheelEvent*)
    {145, 1774, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2118 QwtWheel::timerEvent(QTimerEvent*)
    {145, 1722, 0, 0, Smoke::mf_protected, 0, 57},	//2119 QwtWheel::stopFlying()
    {145, 1847, 0, 0, Smoke::mf_const|Smoke::mf_protected, 62, 58},	//2120 QwtWheel::wheelRect() const
    {145, 1702, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 71, 59},	//2121 QwtWheel::sizeHint() const
    {145, 998, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 71, 60},	//2122 QwtWheel::minimumSizeHint() const
    {145, 730, 415, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2123 QwtWheel::drawTicks(QPainter*, const QRectF&)
    {145, 736, 415, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2124 QwtWheel::drawWheelBackground(QPainter*, const QRectF&)
    {145, 1833, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 417, 63},	//2125 QwtWheel::valueAt(const QPoint&) const
    {145, 1783, 98, 1, Smoke::mf_static, 74, 64},	//2126 QwtWheel::tr(const char*)
    {145, 1787, 98, 1, Smoke::mf_static, 74, 65},	//2127 QwtWheel::trUtf8(const char*)
    {145, 321, 0, 0, Smoke::mf_ctor, 305, 66},	//2128 QwtWheel::QwtWheel()
    {145, 1717, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 67},	//2129 QwtWheel::staticMetaObject() const
    {145, 1967, 0, 0, Smoke::mf_dtor, 0, 68 },	//2130 QwtWheel::~QwtWheel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1364,  // QwtPlotPanner::canvas()
    1365,  // QwtPlotPanner::canvas() const
    0,
    1366,  // QwtPlotPanner::plot()
    1367,  // QwtPlotPanner::plot() const
    0,
    743,  // QwtPainter::drawPoint(QPainter*, const QPoint&)
    747,  // QwtPainter::drawPoint(QPainter*, const QPointF&)
    0,
    744,  // QwtPainter::drawPoints(QPainter*, const QPolygon&)
    748,  // QwtPainter::drawPoints(QPainter*, const QPolygonF&)
    0,
    745,  // QwtPainter::drawPoints(QPainter*, const QPoint*, int)
    749,  // QwtPainter::drawPoints(QPainter*, const QPointF*, int)
    0,
    737,  // QwtPainter::drawPolygon(QPainter*, const QPolygonF&)
    740,  // QwtPainter::drawPolygon(QPainter*, const QPolygon&)
    0,
    738,  // QwtPainter::drawPolyline(QPainter*, const QPolygonF&)
    741,  // QwtPainter::drawPolyline(QPainter*, const QPolygon&)
    0,
    739,  // QwtPainter::drawPolyline(QPainter*, const QPointF*, int)
    742,  // QwtPainter::drawPolyline(QPainter*, const QPoint*, int)
    0,
    1446,  // QwtPlotScaleItem::scaleDraw() const
    1447,  // QwtPlotScaleItem::scaleDraw()
    0,
    1175,  // QwtPlotGrid::setMajorPen(const QPen&)
    1184,  // QwtPlotGrid::setMajorPen(const QColor&)
    0,
    1178,  // QwtPlotGrid::setMinorPen(const QPen&)
    1186,  // QwtPlotGrid::setMinorPen(const QColor&)
    0,
    1173,  // QwtPlotGrid::setPen(const QPen&)
    1182,  // QwtPlotGrid::setPen(const QColor&)
    0,
    941,  // QwtPlot::QwtPlot(QWidget*)
    1022,  // QwtPlot::QwtPlot(const QwtText&)
    0,
    983,  // QwtPlot::axisScaleDraw(int) const
    984,  // QwtPlot::axisScaleDraw(int)
    0,
    968,  // QwtPlot::axisScaleEngine(int)
    969,  // QwtPlot::axisScaleEngine(int) const
    0,
    985,  // QwtPlot::axisWidget(int) const
    986,  // QwtPlot::axisWidget(int)
    0,
    961,  // QwtPlot::canvas()
    962,  // QwtPlot::canvas() const
    0,
    958,  // QwtPlot::footerLabel()
    959,  // QwtPlot::footerLabel() const
    0,
    997,  // QwtPlot::legend()
    998,  // QwtPlot::legend() const
    0,
    948,  // QwtPlot::plotLayout()
    949,  // QwtPlot::plotLayout() const
    0,
    953,  // QwtPlot::titleLabel()
    954,  // QwtPlot::titleLabel() const
    0,
    532,  // QwtEventPattern::keyPattern() const
    534,  // QwtEventPattern::keyPattern()
    0,
    531,  // QwtEventPattern::mousePattern() const
    533,  // QwtEventPattern::mousePattern()
    0,
    155,  // QwtAbstractScale::abstractScaleDraw() const
    156,  // QwtAbstractScale::abstractScaleDraw()
    0,
    145,  // QwtAbstractScale::scaleEngine() const
    146,  // QwtAbstractScale::scaleEngine()
    0,
    131,  // QwtAbstractScale::setScale(const QwtInterval&)
    132,  // QwtAbstractScale::setScale(const QwtScaleDiv&)
    0,
    1331,  // QwtPlotMarker::setLinePen(const QPen&)
    1349,  // QwtPlotMarker::setLinePen(const QColor&)
    0,
    325,  // QwtCompass::rose() const
    326,  // QwtCompass::rose()
    0,
    15,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&)
    20,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&)
    30,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&)
    37,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&)
    43,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&)
    46,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&)
    0,
    16,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&, int)
    21,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&, int)
    31,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&, int)
    38,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&, int)
    44,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&, int)
    47,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&, int)
    0,
    14,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPoint3D>&, int, int)
    19,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtSetSample>&, int, int)
    29,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtOHLCSample>&, int, int)
    36,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtIntervalSample>&, int, int)
    42,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QPointF>&, int, int)
    45,  // QGlobalSpace::qwtBoundingRect(const QwtSeriesData<QwtPointPolar>&, int, int)
    0,
    22,  // QGlobalSpace::qwtDegree2Pos(const QPoint&, double, double)
    25,  // QGlobalSpace::qwtDegree2Pos(const QPointF&, double, double)
    0,
    23,  // QGlobalSpace::qwtPolar2Pos(const QPointF&, double, double)
    50,  // QGlobalSpace::qwtPolar2Pos(const QPoint&, double, double)
    0,
    1940,  // QwtText::textEngine(QwtText::TextFormat)
    1949,  // QwtText::textEngine(const QString&)
    0,
    831,  // QwtPicker::parentWidget()
    832,  // QwtPicker::parentWidget() const
    0,
    814,  // QwtPicker::stateMachine() const
    815,  // QwtPicker::stateMachine()
    0,
    588,  // QwtKnob::scaleDraw() const
    589,  // QwtKnob::scaleDraw()
    0,
    1872,  // QwtSymbol::drawSymbol(QPainter*, const QRectF&) const
    1873,  // QwtSymbol::drawSymbol(QPainter*, const QPointF&) const
    0,
    1861,  // QwtSymbol::setPen(const QPen&)
    1882,  // QwtSymbol::setPen(const QColor&)
    0,
    1976,  // QwtTextLabel::QwtTextLabel(QWidget*)
    1998,  // QwtTextLabel::QwtTextLabel(const QwtText&)
    0,
    1099,  // QwtPlotCurve::setPen(const QPen&)
    1127,  // QwtPlotCurve::setPen(const QColor&)
    0,
    1089,  // QwtPlotCurve::setSamples(const QVector<QPointF>&)
    1090,  // QwtPlotCurve::setSamples(QwtSeriesData<QPointF>*)
    0,
    432,  // QwtDial::needle() const
    433,  // QwtDial::needle()
    0,
    440,  // QwtDial::scaleDraw()
    441,  // QwtDial::scaleDraw() const
    0,
    301,  // QwtClipper::clipPolygon(const QRect&, const QPolygon&)
    302,  // QwtClipper::clipPolygon(const QRectF&, const QPolygon&)
    0,
    295,  // QwtClipper::clipPolygon(const QRect&, const QPolygon&, bool)
    296,  // QwtClipper::clipPolygon(const QRectF&, const QPolygon&, bool)
    0,
    1836,  // QwtSplineCurveFitter::spline() const
    1837,  // QwtSplineCurveFitter::spline()
    0,
    1048,  // QwtPlotCanvas::plot()
    1049,  // QwtPlotCanvas::plot() const
    0,
    686,  // QwtMagnifier::parentWidget()
    687,  // QwtMagnifier::parentWidget() const
    0,
    1392,  // QwtPlotPicker::canvas()
    1393,  // QwtPlotPicker::canvas() const
    0,
    1400,  // QwtPlotPicker::invTransform(const QRect&) const
    1402,  // QwtPlotPicker::invTransform(const QPoint&) const
    0,
    1390,  // QwtPlotPicker::plot()
    1391,  // QwtPlotPicker::plot() const
    0,
    1394,  // QwtPlotPicker::selected(const QPointF&)
    1395,  // QwtPlotPicker::selected(const QRectF&)
    0,
    1401,  // QwtPlotPicker::transform(const QRectF&) const
    1403,  // QwtPlotPicker::transform(const QPointF&) const
    0,
    259,  // QwtAnalogClock::hand(QwtAnalogClock::Hand) const
    260,  // QwtAnalogClock::hand(QwtAnalogClock::Hand)
    0,
    1466,  // QwtPlotSpectrogram::data() const
    1467,  // QwtPlotSpectrogram::data()
    0,
    1473,  // QwtPlotSpectrogram::setDefaultContourPen(const QPen&)
    1489,  // QwtPlotSpectrogram::setDefaultContourPen(const QColor&)
    0,
    1714,  // QwtScaleWidget::scaleDraw() const
    1715,  // QwtScaleWidget::scaleDraw()
    0,
    167,  // QwtAbstractScaleDraw::scaleMap() const
    168,  // QwtAbstractScaleDraw::scaleMap()
    0,
    625,  // QwtLegend::contentsWidget()
    626,  // QwtLegend::contentsWidget() const
    0,
    1681,  // QwtScaleMap::invTransform(const QwtScaleMap&, const QwtScaleMap&, const QRectF&)
    1683,  // QwtScaleMap::invTransform(const QwtScaleMap&, const QwtScaleMap&, const QPointF&)
    0,
    1680,  // QwtScaleMap::transform(const QwtScaleMap&, const QwtScaleMap&, const QRectF&)
    1682,  // QwtScaleMap::transform(const QwtScaleMap&, const QwtScaleMap&, const QPointF&)
    0,
    1309,  // QwtPlotMagnifier::canvas()
    1310,  // QwtPlotMagnifier::canvas() const
    0,
    1311,  // QwtPlotMagnifier::plot()
    1312,  // QwtPlotMagnifier::plot() const
    0,
    2031,  // QwtThermo::colorMap()
    2032,  // QwtThermo::colorMap() const
    0,
    2041,  // QwtThermo::scaleDraw() const
    2048,  // QwtThermo::scaleDraw()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {20, 36, 53},	// QGlobalSpace::FP_INFINITE
    {20, 37, 52},	// QGlobalSpace::FP_NAN
    {20, 38, 56},	// QGlobalSpace::FP_NORMAL
    {20, 39, 55},	// QGlobalSpace::FP_SUBNORMAL
    {20, 40, 54},	// QGlobalSpace::FP_ZERO
    {20, 1087, -85},	// QGlobalSpace::qwtBoundingRect?
    {20, 1088, -92},	// QGlobalSpace::qwtBoundingRect?$
    {20, 1089, -99},	// QGlobalSpace::qwtBoundingRect?$$
    {20, 1091, -106},	// QGlobalSpace::qwtDegree2Pos#$$
    {20, 1093, 49},	// QGlobalSpace::qwtDegrees$
    {20, 1095, 17},	// QGlobalSpace::qwtFastAtan$
    {20, 1097, 26},	// QGlobalSpace::qwtFastAtan2$$
    {20, 1099, 28},	// QGlobalSpace::qwtFastDegree2Pos#$$
    {20, 1101, 18},	// QGlobalSpace::qwtFastPolar2Pos#$$
    {20, 1103, 32},	// QGlobalSpace::qwtFastPos2Polar#
    {20, 1105, 51},	// QGlobalSpace::qwtFuzzyCompare$$$
    {20, 1107, 39},	// QGlobalSpace::qwtFuzzyGreaterOrEqual$$
    {20, 1109, 34},	// QGlobalSpace::qwtFuzzyLessOrEqual$$
    {20, 1111, 33},	// QGlobalSpace::qwtGetMax$$
    {20, 1113, 40},	// QGlobalSpace::qwtGetMin$$
    {20, 1115, 41},	// QGlobalSpace::qwtNormalizeDegrees$
    {20, 1117, 27},	// QGlobalSpace::qwtNormalizeRadians$
    {20, 1119, -109},	// QGlobalSpace::qwtPolar2Pos#$$
    {20, 1121, 24},	// QGlobalSpace::qwtRadians$
    {20, 1123, 48},	// QGlobalSpace::qwtSign$
    {20, 1125, 35},	// QGlobalSpace::qwtSqr$
    {64, 144, 160},	// QwtAbstractScale::QwtAbstractScale
    {64, 145, 129},	// QwtAbstractScale::QwtAbstractScale#
    {64, 397, -70},	// QwtAbstractScale::abstractScaleDraw
    {64, 862, 148},	// QwtAbstractScale::invTransform$
    {64, 879, 149},	// QwtAbstractScale::isInverted
    {64, 962, 135},	// QwtAbstractScale::lowerBound
    {64, 980, 151},	// QwtAbstractScale::maximum
    {64, 982, 122},	// QwtAbstractScale::metaObject
    {64, 994, 150},	// QwtAbstractScale::minimum
    {64, 1083, 128},	// QwtAbstractScale::qt_metacall$$?
    {64, 1085, 123},	// QwtAbstractScale::qt_metacast$
    {64, 1152, 153},	// QwtAbstractScale::rescale$$$
    {64, 1172, 157},	// QwtAbstractScale::scaleChange
    {64, 1173, 133},	// QwtAbstractScale::scaleDiv
    {64, 1176, -73},	// QwtAbstractScale::scaleEngine
    {64, 1178, 152},	// QwtAbstractScale::scaleMap
    {64, 1179, 143},	// QwtAbstractScale::scaleMaxMajor
    {64, 1180, 141},	// QwtAbstractScale::scaleMaxMinor
    {64, 1185, 139},	// QwtAbstractScale::scaleStepSize
    {64, 1199, 154},	// QwtAbstractScale::setAbstractScaleDraw#
    {64, 1412, 134},	// QwtAbstractScale::setLowerBound$
    {64, 1549, -76},	// QwtAbstractScale::setScale#
    {64, 1550, 130},	// QwtAbstractScale::setScale$$
    {64, 1560, 144},	// QwtAbstractScale::setScaleEngine#
    {64, 1564, 140},	// QwtAbstractScale::setScaleMaxMajor$
    {64, 1566, 142},	// QwtAbstractScale::setScaleMaxMinor$
    {64, 1572, 138},	// QwtAbstractScale::setScaleStepSize$
    {64, 1647, 136},	// QwtAbstractScale::setUpperBound$
    {64, 1717, 161},	// QwtAbstractScale::staticMetaObject
    {64, 1784, 158},	// QwtAbstractScale::tr$
    {64, 1785, 124},	// QwtAbstractScale::tr$$
    {64, 1786, 126},	// QwtAbstractScale::tr$$$
    {64, 1788, 159},	// QwtAbstractScale::trUtf8$
    {64, 1789, 125},	// QwtAbstractScale::trUtf8$$
    {64, 1790, 127},	// QwtAbstractScale::trUtf8$$$
    {64, 1805, 147},	// QwtAbstractScale::transform$
    {64, 1824, 137},	// QwtAbstractScale::upperBound
    {64, 1899, 162},	// QwtAbstractScale::~QwtAbstractScale
    {65, 11, 189},	// QwtAbstractScaleDraw::Backbone
    {65, 80, 191},	// QwtAbstractScaleDraw::Labels
    {65, 146, 163},	// QwtAbstractScaleDraw::QwtAbstractScaleDraw
    {65, 382, 190},	// QwtAbstractScaleDraw::Ticks
    {65, 608, 178},	// QwtAbstractScaleDraw::draw##
    {65, 615, 184},	// QwtAbstractScaleDraw::drawBackbone#
    {65, 658, 185},	// QwtAbstractScaleDraw::drawLabel#$
    {65, 729, 183},	// QwtAbstractScaleDraw::drawTick#$$
    {65, 743, 188},	// QwtAbstractScaleDraw::enableComponent$
    {65, 744, 169},	// QwtAbstractScaleDraw::enableComponent$$
    {65, 766, 180},	// QwtAbstractScaleDraw::extent#
    {65, 818, 170},	// QwtAbstractScaleDraw::hasComponent$
    {65, 866, 186},	// QwtAbstractScaleDraw::invalidateCache
    {65, 920, 179},	// QwtAbstractScaleDraw::label$
    {65, 977, 173},	// QwtAbstractScaleDraw::maxTickLength
    {65, 995, 182},	// QwtAbstractScaleDraw::minimumExtent
    {65, 1066, 177},	// QwtAbstractScaleDraw::penWidth
    {65, 1173, 165},	// QwtAbstractScaleDraw::scaleDiv
    {65, 1178, -187},	// QwtAbstractScaleDraw::scaleMap
    {65, 1442, 181},	// QwtAbstractScaleDraw::setMinimumExtent$
    {65, 1494, 176},	// QwtAbstractScaleDraw::setPenWidth$
    {65, 1554, 164},	// QwtAbstractScaleDraw::setScaleDiv#
    {65, 1584, 174},	// QwtAbstractScaleDraw::setSpacing$
    {65, 1618, 171},	// QwtAbstractScaleDraw::setTickLength$$
    {65, 1641, 166},	// QwtAbstractScaleDraw::setTransformation#
    {65, 1710, 175},	// QwtAbstractScaleDraw::spacing
    {65, 1769, 187},	// QwtAbstractScaleDraw::tickLabel#$
    {65, 1771, 172},	// QwtAbstractScaleDraw::tickLength$
    {65, 1900, 192},	// QwtAbstractScaleDraw::~QwtAbstractScaleDraw
    {67, 147, 241},	// QwtAbstractSlider::QwtAbstractSlider
    {67, 148, 203},	// QwtAbstractSlider::QwtAbstractSlider#
    {67, 835, 235},	// QwtAbstractSlider::incrementValue$
    {67, 837, 238},	// QwtAbstractSlider::incrementedValue$$
    {67, 869, 222},	// QwtAbstractSlider::invertedControls
    {67, 885, 220},	// QwtAbstractSlider::isReadOnly
    {67, 888, 233},	// QwtAbstractSlider::isScrollPosition#
    {67, 889, 218},	// QwtAbstractSlider::isTracking
    {67, 890, 205},	// QwtAbstractSlider::isValid
    {67, 914, 231},	// QwtAbstractSlider::keyPressEvent#
    {67, 982, 196},	// QwtAbstractSlider::metaObject
    {67, 1008, 230},	// QwtAbstractSlider::mouseMoveEvent#
    {67, 1011, 228},	// QwtAbstractSlider::mousePressEvent#
    {67, 1013, 229},	// QwtAbstractSlider::mouseReleaseEvent#
    {67, 1053, 214},	// QwtAbstractSlider::pageSteps
    {67, 1083, 202},	// QwtAbstractSlider::qt_metacall$$?
    {67, 1085, 197},	// QwtAbstractSlider::qt_metacast$
    {67, 1172, 236},	// QwtAbstractSlider::scaleChange
    {67, 1189, 234},	// QwtAbstractSlider::scrolledTo#
    {67, 1359, 221},	// QwtAbstractSlider::setInvertedControls$
    {67, 1479, 213},	// QwtAbstractSlider::setPageSteps$
    {67, 1523, 219},	// QwtAbstractSlider::setReadOnly$
    {67, 1578, 211},	// QwtAbstractSlider::setSingleSteps$
    {67, 1596, 215},	// QwtAbstractSlider::setStepAlignment$
    {67, 1631, 209},	// QwtAbstractSlider::setTotalSteps$
    {67, 1639, 217},	// QwtAbstractSlider::setTracking$
    {67, 1649, 204},	// QwtAbstractSlider::setValid$
    {67, 1652, 223},	// QwtAbstractSlider::setValue$
    {67, 1669, 207},	// QwtAbstractSlider::setWrapping$
    {67, 1700, 212},	// QwtAbstractSlider::singleSteps
    {67, 1703, 237},	// QwtAbstractSlider::sliderChange
    {67, 1705, 227},	// QwtAbstractSlider::sliderMoved$
    {67, 1706, 225},	// QwtAbstractSlider::sliderPressed
    {67, 1708, 226},	// QwtAbstractSlider::sliderReleased
    {67, 1717, 242},	// QwtAbstractSlider::staticMetaObject
    {67, 1718, 216},	// QwtAbstractSlider::stepAlignment
    {67, 1782, 210},	// QwtAbstractSlider::totalSteps
    {67, 1784, 239},	// QwtAbstractSlider::tr$
    {67, 1785, 198},	// QwtAbstractSlider::tr$$
    {67, 1786, 200},	// QwtAbstractSlider::tr$$$
    {67, 1788, 240},	// QwtAbstractSlider::trUtf8$
    {67, 1789, 199},	// QwtAbstractSlider::trUtf8$$
    {67, 1790, 201},	// QwtAbstractSlider::trUtf8$$$
    {67, 1830, 206},	// QwtAbstractSlider::value
    {67, 1836, 224},	// QwtAbstractSlider::valueChanged$
    {67, 1841, 232},	// QwtAbstractSlider::wheelEvent#
    {67, 1871, 208},	// QwtAbstractSlider::wrapping
    {67, 1901, 243},	// QwtAbstractSlider::~QwtAbstractSlider
    {68, 149, 248},	// QwtAlphaColorMap::QwtAlphaColorMap
    {68, 150, 244},	// QwtAlphaColorMap::QwtAlphaColorMap#
    {68, 542, 246},	// QwtAlphaColorMap::color
    {68, 1158, 247},	// QwtAlphaColorMap::rgb#$
    {68, 1286, 245},	// QwtAlphaColorMap::setColor#
    {68, 1902, 249},	// QwtAlphaColorMap::~QwtAlphaColorMap
    {69, 51, 271},	// QwtAnalogClock::HourHand
    {69, 98, 270},	// QwtAnalogClock::MinuteHand
    {69, 107, 272},	// QwtAnalogClock::NHands
    {69, 151, 267},	// QwtAnalogClock::QwtAnalogClock
    {69, 152, 257},	// QwtAnalogClock::QwtAnalogClock#
    {69, 357, 269},	// QwtAnalogClock::SecondHand
    {69, 646, 264},	// QwtAnalogClock::drawHand#$#$$$
    {69, 671, 263},	// QwtAnalogClock::drawNeedle##$$$
    {69, 814, -175},	// QwtAnalogClock::hand$
    {69, 982, 250},	// QwtAnalogClock::metaObject
    {69, 1083, 256},	// QwtAnalogClock::qt_metacall$$?
    {69, 1085, 251},	// QwtAnalogClock::qt_metacast$
    {69, 1300, 261},	// QwtAnalogClock::setCurrentTime
    {69, 1345, 258},	// QwtAnalogClock::setHand$#
    {69, 1622, 262},	// QwtAnalogClock::setTime#
    {69, 1717, 268},	// QwtAnalogClock::staticMetaObject
    {69, 1784, 265},	// QwtAnalogClock::tr$
    {69, 1785, 252},	// QwtAnalogClock::tr$$
    {69, 1786, 254},	// QwtAnalogClock::tr$$$
    {69, 1788, 266},	// QwtAnalogClock::trUtf8$
    {69, 1789, 253},	// QwtAnalogClock::trUtf8$$
    {69, 1790, 255},	// QwtAnalogClock::trUtf8$$$
    {69, 1903, 273},	// QwtAnalogClock::~QwtAnalogClock
    {70, 154, 285},	// QwtArrowButton::QwtArrowButton$$
    {70, 155, 274},	// QwtArrowButton::QwtArrowButton$$#
    {70, 434, 283},	// QwtArrowButton::arrowSize$#
    {70, 435, 275},	// QwtArrowButton::arrowType
    {70, 613, 281},	// QwtArrowButton::drawArrow##$
    {70, 621, 280},	// QwtArrowButton::drawButtonLabel#
    {70, 914, 284},	// QwtArrowButton::keyPressEvent#
    {70, 925, 282},	// QwtArrowButton::labelRect
    {70, 998, 278},	// QwtArrowButton::minimumSizeHint
    {70, 1032, 276},	// QwtArrowButton::num
    {70, 1056, 279},	// QwtArrowButton::paintEvent#
    {70, 1702, 277},	// QwtArrowButton::sizeHint
    {70, 1904, 286},	// QwtArrowButton::~QwtArrowButton
    {71, 157, 293},	// QwtCPointerData::QwtCPointerData#
    {71, 158, 287},	// QwtCPointerData::QwtCPointerData$$$
    {71, 487, 288},	// QwtCPointerData::boundingRect
    {71, 1171, 290},	// QwtCPointerData::sample$
    {71, 1701, 289},	// QwtCPointerData::size
    {71, 1875, 291},	// QwtCPointerData::xData
    {71, 1882, 292},	// QwtCPointerData::yData
    {71, 1905, 294},	// QwtCPointerData::~QwtCPointerData
    {72, 159, 299},	// QwtClipper::QwtClipper
    {72, 160, 300},	// QwtClipper::QwtClipper#
    {72, 526, 298},	// QwtClipper::clipCircle##$
    {72, 528, -145},	// QwtClipper::clipPolygon##
    {72, 529, -148},	// QwtClipper::clipPolygon##$
    {72, 531, 303},	// QwtClipper::clipPolygonF##
    {72, 532, 297},	// QwtClipper::clipPolygonF##$
    {72, 1906, 304},	// QwtClipper::~QwtClipper
    {73, 64, 314},	// QwtColorMap::Indexed
    {73, 161, 312},	// QwtColorMap::QwtColorMap
    {73, 162, 311},	// QwtColorMap::QwtColorMap#
    {73, 163, 305},	// QwtColorMap::QwtColorMap$
    {73, 323, 313},	// QwtColorMap::RGB
    {73, 543, 309},	// QwtColorMap::color#$
    {73, 551, 308},	// QwtColorMap::colorIndex#$
    {73, 555, 310},	// QwtColorMap::colorTable#
    {73, 790, 306},	// QwtColorMap::format
    {73, 1158, 307},	// QwtColorMap::rgb#$
    {73, 1907, 315},	// QwtColorMap::~QwtColorMap
    {74, 164, 332},	// QwtCompass::QwtCompass
    {74, 165, 323},	// QwtCompass::QwtCompass#
    {74, 695, 327},	// QwtCompass::drawRose##$$$
    {74, 705, 328},	// QwtCompass::drawScaleContents##$
    {74, 914, 329},	// QwtCompass::keyPressEvent#
    {74, 982, 316},	// QwtCompass::metaObject
    {74, 1083, 322},	// QwtCompass::qt_metacall$$?
    {74, 1085, 317},	// QwtCompass::qt_metacast$
    {74, 1159, -82},	// QwtCompass::rose
    {74, 1537, 324},	// QwtCompass::setRose#
    {74, 1717, 333},	// QwtCompass::staticMetaObject
    {74, 1784, 330},	// QwtCompass::tr$
    {74, 1785, 318},	// QwtCompass::tr$$
    {74, 1786, 320},	// QwtCompass::tr$$$
    {74, 1788, 331},	// QwtCompass::trUtf8$
    {74, 1789, 319},	// QwtCompass::trUtf8$$
    {74, 1790, 321},	// QwtCompass::trUtf8$$$
    {74, 1908, 334},	// QwtCompass::~QwtCompass
    {75, 166, 338},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle
    {75, 167, 337},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle#
    {75, 168, 339},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$
    {75, 169, 340},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$#
    {75, 170, 335},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$##
    {75, 380, 342},	// QwtCompassMagnetNeedle::ThinStyle
    {75, 388, 341},	// QwtCompassMagnetNeedle::TriangleStyle
    {75, 672, 336},	// QwtCompassMagnetNeedle::drawNeedle#$$
    {75, 1909, 343},	// QwtCompassMagnetNeedle::~QwtCompassMagnetNeedle
    {76, 171, 347},	// QwtCompassRose::QwtCompassRose
    {76, 172, 348},	// QwtCompassRose::QwtCompassRose#
    {76, 610, 349},	// QwtCompassRose::draw##$$
    {76, 611, 346},	// QwtCompassRose::draw##$$$
    {76, 1059, 345},	// QwtCompassRose::palette
    {76, 1486, 344},	// QwtCompassRose::setPalette#
    {76, 1910, 350},	// QwtCompassRose::~QwtCompassRose
    {77, 174, 353},	// QwtCompassWindArrow::QwtCompassWindArrow#
    {77, 175, 354},	// QwtCompassWindArrow::QwtCompassWindArrow$
    {77, 176, 355},	// QwtCompassWindArrow::QwtCompassWindArrow$#
    {77, 177, 351},	// QwtCompassWindArrow::QwtCompassWindArrow$##
    {77, 372, 356},	// QwtCompassWindArrow::Style1
    {77, 373, 357},	// QwtCompassWindArrow::Style2
    {77, 672, 352},	// QwtCompassWindArrow::drawNeedle#$$
    {77, 1911, 358},	// QwtCompassWindArrow::~QwtCompassWindArrow
    {78, 17, 402},	// QwtCounter::Button1
    {78, 18, 403},	// QwtCounter::Button2
    {78, 19, 404},	// QwtCounter::Button3
    {78, 20, 405},	// QwtCounter::ButtonCnt
    {78, 178, 400},	// QwtCounter::QwtCounter
    {78, 179, 366},	// QwtCounter::QwtCounter#
    {78, 502, 393},	// QwtCounter::buttonReleased$
    {78, 759, 395},	// QwtCounter::event#
    {78, 833, 376},	// QwtCounter::incSteps$
    {78, 885, 371},	// QwtCounter::isReadOnly
    {78, 890, 368},	// QwtCounter::isValid
    {78, 914, 397},	// QwtCounter::keyPressEvent#
    {78, 980, 383},	// QwtCounter::maximum
    {78, 982, 359},	// QwtCounter::metaObject
    {78, 994, 381},	// QwtCounter::minimum
    {78, 1033, 374},	// QwtCounter::numButtons
    {78, 1083, 365},	// QwtCounter::qt_metacall$$?
    {78, 1085, 360},	// QwtCounter::qt_metacast$
    {78, 1349, 375},	// QwtCounter::setIncSteps$$
    {78, 1434, 384},	// QwtCounter::setMaximum$
    {78, 1440, 382},	// QwtCounter::setMinimum$
    {78, 1461, 373},	// QwtCounter::setNumButtons$
    {78, 1517, 380},	// QwtCounter::setRange$$
    {78, 1523, 372},	// QwtCounter::setReadOnly$
    {78, 1576, 379},	// QwtCounter::setSingleStep$
    {78, 1598, 385},	// QwtCounter::setStepButton1$
    {78, 1600, 387},	// QwtCounter::setStepButton2$
    {78, 1602, 389},	// QwtCounter::setStepButton3$
    {78, 1649, 367},	// QwtCounter::setValid$
    {78, 1652, 392},	// QwtCounter::setValue$
    {78, 1669, 369},	// QwtCounter::setWrapping$
    {78, 1699, 378},	// QwtCounter::singleStep
    {78, 1702, 377},	// QwtCounter::sizeHint
    {78, 1717, 401},	// QwtCounter::staticMetaObject
    {78, 1719, 386},	// QwtCounter::stepButton1
    {78, 1720, 388},	// QwtCounter::stepButton2
    {78, 1721, 390},	// QwtCounter::stepButton3
    {78, 1784, 398},	// QwtCounter::tr$
    {78, 1785, 361},	// QwtCounter::tr$$
    {78, 1786, 363},	// QwtCounter::tr$$$
    {78, 1788, 399},	// QwtCounter::trUtf8$
    {78, 1789, 362},	// QwtCounter::trUtf8$$
    {78, 1790, 364},	// QwtCounter::trUtf8$$$
    {78, 1830, 391},	// QwtCounter::value
    {78, 1836, 394},	// QwtCounter::valueChanged$
    {78, 1841, 396},	// QwtCounter::wheelEvent#
    {78, 1871, 370},	// QwtCounter::wrapping
    {78, 1912, 406},	// QwtCounter::~QwtCounter
    {79, 180, 408},	// QwtCurveFitter::QwtCurveFitter
    {79, 777, 407},	// QwtCurveFitter::fitCurve#
    {79, 1913, 409},	// QwtCurveFitter::~QwtCurveFitter
    {80, 139, 460},	// QwtDial::Plain
    {80, 181, 458},	// QwtDial::QwtDial
    {80, 182, 417},	// QwtDial::QwtDial#
    {80, 325, 461},	// QwtDial::Raised
    {80, 335, 463},	// QwtDial::RotateNeedle
    {80, 336, 464},	// QwtDial::RotateScale
    {80, 376, 462},	// QwtDial::Sunken
    {80, 487, 434},	// QwtDial::boundingRect
    {80, 515, 444},	// QwtDial::changeEvent#
    {80, 628, 446},	// QwtDial::drawContents#
    {80, 638, 447},	// QwtDial::drawFocusIndicator#
    {80, 643, 445},	// QwtDial::drawFrame#
    {80, 671, 451},	// QwtDial::drawNeedle##$$$
    {80, 703, 449},	// QwtDial::drawScale##$
    {80, 705, 450},	// QwtDial::drawScaleContents##$
    {80, 791, 419},	// QwtDial::frameShadow
    {80, 848, 435},	// QwtDial::innerRect
    {80, 866, 448},	// QwtDial::invalidateCache
    {80, 888, 453},	// QwtDial::isScrollPosition#
    {80, 961, 421},	// QwtDial::lineWidth
    {80, 975, 428},	// QwtDial::maxScaleArc
    {80, 982, 410},	// QwtDial::metaObject
    {80, 990, 426},	// QwtDial::minScaleArc
    {80, 998, 438},	// QwtDial::minimumSizeHint
    {80, 1001, 423},	// QwtDial::mode
    {80, 1030, -139},	// QwtDial::needle
    {80, 1047, 430},	// QwtDial::origin
    {80, 1056, 443},	// QwtDial::paintEvent#
    {80, 1083, 416},	// QwtDial::qt_metacall$$?
    {80, 1085, 411},	// QwtDial::qt_metacast$
    {80, 1172, 455},	// QwtDial::scaleChange
    {80, 1175, -142},	// QwtDial::scaleDraw
    {80, 1177, 436},	// QwtDial::scaleInnerRect
    {80, 1189, 452},	// QwtDial::scrolledTo#
    {80, 1337, 418},	// QwtDial::setFrameShadow$
    {80, 1410, 420},	// QwtDial::setLineWidth$
    {80, 1430, 427},	// QwtDial::setMaxScaleArc$
    {80, 1438, 425},	// QwtDial::setMinScaleArc$
    {80, 1448, 422},	// QwtDial::setMode$
    {80, 1459, 431},	// QwtDial::setNeedle#
    {80, 1473, 429},	// QwtDial::setOrigin$
    {80, 1552, 424},	// QwtDial::setScaleArc$$
    {80, 1558, 439},	// QwtDial::setScaleDraw#
    {80, 1702, 437},	// QwtDial::sizeHint
    {80, 1703, 454},	// QwtDial::sliderChange
    {80, 1717, 459},	// QwtDial::staticMetaObject
    {80, 1784, 456},	// QwtDial::tr$
    {80, 1785, 412},	// QwtDial::tr$$
    {80, 1786, 414},	// QwtDial::tr$$$
    {80, 1788, 457},	// QwtDial::trUtf8$
    {80, 1789, 413},	// QwtDial::trUtf8$$
    {80, 1790, 415},	// QwtDial::trUtf8$$$
    {80, 1841, 442},	// QwtDial::wheelEvent#
    {80, 1914, 465},	// QwtDial::~QwtDial
    {81, 183, 466},	// QwtDialNeedle::QwtDialNeedle
    {81, 184, 472},	// QwtDialNeedle::QwtDialNeedle#
    {81, 610, 473},	// QwtDialNeedle::draw##$$
    {81, 611, 469},	// QwtDialNeedle::draw##$$$
    {81, 655, 471},	// QwtDialNeedle::drawKnob#$#$
    {81, 672, 470},	// QwtDialNeedle::drawNeedle#$$
    {81, 1059, 468},	// QwtDialNeedle::palette
    {81, 1486, 467},	// QwtDialNeedle::setPalette#
    {81, 1915, 474},	// QwtDialNeedle::~QwtDialNeedle
    {82, 6, 483},	// QwtDialSimpleNeedle::Arrow
    {82, 186, 479},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle#
    {82, 187, 480},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$
    {82, 188, 481},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$
    {82, 189, 482},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$#
    {82, 190, 475},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$##
    {82, 326, 484},	// QwtDialSimpleNeedle::Ray
    {82, 672, 478},	// QwtDialSimpleNeedle::drawNeedle#$$
    {82, 1667, 476},	// QwtDialSimpleNeedle::setWidth$
    {82, 1869, 477},	// QwtDialSimpleNeedle::width
    {82, 1916, 485},	// QwtDialSimpleNeedle::~QwtDialSimpleNeedle
    {83, 191, 521},	// QwtDynGridLayout::QwtDynGridLayout
    {83, 192, 519},	// QwtDynGridLayout::QwtDynGridLayout#
    {83, 193, 520},	// QwtDynGridLayout::QwtDynGridLayout#$
    {83, 194, 493},	// QwtDynGridLayout::QwtDynGridLayout#$$
    {83, 195, 494},	// QwtDynGridLayout::QwtDynGridLayout$
    {83, 409, 500},	// QwtDynGridLayout::addItem#
    {83, 557, 514},	// QwtDynGridLayout::columnsForWidth$
    {83, 572, 503},	// QwtDynGridLayout::count
    {83, 764, 505},	// QwtDynGridLayout::expandingDirections
    {83, 820, 509},	// QwtDynGridLayout::hasHeightForWidth
    {83, 824, 510},	// QwtDynGridLayout::heightForWidth$
    {83, 864, 495},	// QwtDynGridLayout::invalidate
    {83, 876, 512},	// QwtDynGridLayout::isEmpty
    {83, 894, 501},	// QwtDynGridLayout::itemAt$
    {83, 901, 513},	// QwtDynGridLayout::itemCount
    {83, 935, 515},	// QwtDynGridLayout::layoutGrid$??
    {83, 937, 506},	// QwtDynGridLayout::layoutItems#$
    {83, 969, 497},	// QwtDynGridLayout::maxColumns
    {83, 970, 507},	// QwtDynGridLayout::maxItemWidth
    {83, 982, 486},	// QwtDynGridLayout::metaObject
    {83, 1034, 499},	// QwtDynGridLayout::numColumns
    {83, 1035, 498},	// QwtDynGridLayout::numRows
    {83, 1083, 492},	// QwtDynGridLayout::qt_metacall$$?
    {83, 1085, 487},	// QwtDynGridLayout::qt_metacast$
    {83, 1322, 504},	// QwtDynGridLayout::setExpandingDirections$
    {83, 1339, 508},	// QwtDynGridLayout::setGeometry#
    {83, 1428, 496},	// QwtDynGridLayout::setMaxColumns$
    {83, 1702, 511},	// QwtDynGridLayout::sizeHint
    {83, 1717, 522},	// QwtDynGridLayout::staticMetaObject
    {83, 1724, 516},	// QwtDynGridLayout::stretchGrid#$??
    {83, 1734, 502},	// QwtDynGridLayout::takeAt$
    {83, 1784, 517},	// QwtDynGridLayout::tr$
    {83, 1785, 488},	// QwtDynGridLayout::tr$$
    {83, 1786, 490},	// QwtDynGridLayout::tr$$$
    {83, 1788, 518},	// QwtDynGridLayout::trUtf8$
    {83, 1789, 489},	// QwtDynGridLayout::trUtf8$$
    {83, 1790, 491},	// QwtDynGridLayout::trUtf8$$$
    {83, 1917, 523},	// QwtDynGridLayout::~QwtDynGridLayout
    {84, 68, 551},	// QwtEventPattern::KeyAbort
    {84, 69, 555},	// QwtEventPattern::KeyDown
    {84, 70, 558},	// QwtEventPattern::KeyHome
    {84, 71, 552},	// QwtEventPattern::KeyLeft
    {84, 72, 559},	// QwtEventPattern::KeyPatternCount
    {84, 73, 556},	// QwtEventPattern::KeyRedo
    {84, 74, 553},	// QwtEventPattern::KeyRight
    {84, 75, 549},	// QwtEventPattern::KeySelect1
    {84, 76, 550},	// QwtEventPattern::KeySelect2
    {84, 77, 557},	// QwtEventPattern::KeyUndo
    {84, 78, 554},	// QwtEventPattern::KeyUp
    {84, 99, 548},	// QwtEventPattern::MousePatternCount
    {84, 100, 542},	// QwtEventPattern::MouseSelect1
    {84, 101, 543},	// QwtEventPattern::MouseSelect2
    {84, 102, 544},	// QwtEventPattern::MouseSelect3
    {84, 103, 545},	// QwtEventPattern::MouseSelect4
    {84, 104, 546},	// QwtEventPattern::MouseSelect5
    {84, 105, 547},	// QwtEventPattern::MouseSelect6
    {84, 196, 524},	// QwtEventPattern::QwtEventPattern
    {84, 197, 539},	// QwtEventPattern::QwtEventPattern#
    {84, 843, 526},	// QwtEventPattern::initKeyPattern
    {84, 845, 525},	// QwtEventPattern::initMousePattern$
    {84, 910, 538},	// QwtEventPattern::keyMatch##
    {84, 911, 536},	// QwtEventPattern::keyMatch$#
    {84, 912, -64},	// QwtEventPattern::keyPattern
    {84, 1005, 537},	// QwtEventPattern::mouseMatch##
    {84, 1006, 535},	// QwtEventPattern::mouseMatch$#
    {84, 1009, -67},	// QwtEventPattern::mousePattern
    {84, 1369, 541},	// QwtEventPattern::setKeyPattern$$
    {84, 1370, 528},	// QwtEventPattern::setKeyPattern$$$
    {84, 1371, 530},	// QwtEventPattern::setKeyPattern?
    {84, 1455, 540},	// QwtEventPattern::setMousePattern$$
    {84, 1456, 527},	// QwtEventPattern::setMousePattern$$$
    {84, 1457, 529},	// QwtEventPattern::setMousePattern?
    {84, 1918, 560},	// QwtEventPattern::~QwtEventPattern
    {90, 29, 609},	// QwtKnob::Dot
    {90, 44, 602},	// QwtKnob::Flat
    {90, 116, 606},	// QwtKnob::NoMarker
    {90, 122, 611},	// QwtKnob::Notch
    {90, 123, 610},	// QwtKnob::Nub
    {90, 198, 600},	// QwtKnob::QwtKnob
    {90, 199, 568},	// QwtKnob::QwtKnob#
    {90, 325, 603},	// QwtKnob::Raised
    {90, 374, 605},	// QwtKnob::Styled
    {90, 376, 604},	// QwtKnob::Sunken
    {90, 381, 607},	// QwtKnob::Tick
    {90, 387, 608},	// QwtKnob::Triangle
    {90, 425, 570},	// QwtKnob::alignment
    {90, 482, 580},	// QwtKnob::borderWidth
    {90, 515, 592},	// QwtKnob::changeEvent#
    {90, 638, 594},	// QwtKnob::drawFocusIndicator#
    {90, 654, 593},	// QwtKnob::drawKnob##
    {90, 669, 595},	// QwtKnob::drawMarker##$
    {90, 888, 597},	// QwtKnob::isScrollPosition#
    {90, 916, 590},	// QwtKnob::knobRect
    {90, 917, 578},	// QwtKnob::knobStyle
    {90, 918, 572},	// QwtKnob::knobWidth
    {90, 966, 584},	// QwtKnob::markerSize
    {90, 967, 582},	// QwtKnob::markerStyle
    {90, 982, 561},	// QwtKnob::metaObject
    {90, 998, 586},	// QwtKnob::minimumSizeHint
    {90, 1038, 574},	// QwtKnob::numTurns
    {90, 1056, 591},	// QwtKnob::paintEvent#
    {90, 1083, 567},	// QwtKnob::qt_metacall$$?
    {90, 1085, 562},	// QwtKnob::qt_metacast$
    {90, 1175, -121},	// QwtKnob::scaleDraw
    {90, 1189, 596},	// QwtKnob::scrolledTo#
    {90, 1211, 569},	// QwtKnob::setAlignment$
    {90, 1271, 579},	// QwtKnob::setBorderWidth$
    {90, 1373, 577},	// QwtKnob::setKnobStyle$
    {90, 1375, 571},	// QwtKnob::setKnobWidth$
    {90, 1422, 583},	// QwtKnob::setMarkerSize$
    {90, 1424, 581},	// QwtKnob::setMarkerStyle$
    {90, 1467, 573},	// QwtKnob::setNumTurns$
    {90, 1558, 587},	// QwtKnob::setScaleDraw#
    {90, 1629, 575},	// QwtKnob::setTotalAngle$
    {90, 1702, 585},	// QwtKnob::sizeHint
    {90, 1717, 601},	// QwtKnob::staticMetaObject
    {90, 1781, 576},	// QwtKnob::totalAngle
    {90, 1784, 598},	// QwtKnob::tr$
    {90, 1785, 563},	// QwtKnob::tr$$
    {90, 1786, 565},	// QwtKnob::tr$$$
    {90, 1788, 599},	// QwtKnob::trUtf8$
    {90, 1789, 564},	// QwtKnob::trUtf8$$
    {90, 1790, 566},	// QwtKnob::trUtf8$$$
    {90, 1919, 612},	// QwtKnob::~QwtKnob
    {91, 200, 648},	// QwtLegend::QwtLegend
    {91, 201, 620},	// QwtLegend::QwtLegend#
    {91, 520, 640},	// QwtLegend::checked#$$
    {91, 524, 639},	// QwtLegend::clicked#$
    {91, 563, -190},	// QwtLegend::contentsWidget
    {91, 574, 644},	// QwtLegend::createWidget#
    {91, 585, 624},	// QwtLegend::defaultItemMode
    {91, 761, 630},	// QwtLegend::eventFilter##
    {91, 824, 632},	// QwtLegend::heightForWidth$
    {91, 829, 633},	// QwtLegend::horizontalScrollBar
    {91, 876, 637},	// QwtLegend::isEmpty
    {91, 899, 643},	// QwtLegend::itemChecked$
    {91, 900, 642},	// QwtLegend::itemClicked
    {91, 903, 629},	// QwtLegend::itemInfo#
    {91, 955, 627},	// QwtLegend::legendWidget#
    {91, 957, 628},	// QwtLegend::legendWidgets#
    {91, 969, 622},	// QwtLegend::maxColumns
    {91, 982, 613},	// QwtLegend::metaObject
    {91, 1083, 619},	// QwtLegend::qt_metacall$$?
    {91, 1085, 614},	// QwtLegend::qt_metacast$
    {91, 1141, 636},	// QwtLegend::renderItem###$
    {91, 1143, 635},	// QwtLegend::renderLegend##$
    {91, 1187, 638},	// QwtLegend::scrollExtent$
    {91, 1315, 623},	// QwtLegend::setDefaultItemMode$
    {91, 1428, 621},	// QwtLegend::setMaxColumns$
    {91, 1702, 631},	// QwtLegend::sizeHint
    {91, 1717, 649},	// QwtLegend::staticMetaObject
    {91, 1784, 646},	// QwtLegend::tr$
    {91, 1785, 615},	// QwtLegend::tr$$
    {91, 1786, 617},	// QwtLegend::tr$$$
    {91, 1788, 647},	// QwtLegend::trUtf8$
    {91, 1789, 616},	// QwtLegend::trUtf8$$
    {91, 1790, 618},	// QwtLegend::trUtf8$$$
    {91, 1818, 641},	// QwtLegend::updateLegend#?
    {91, 1823, 645},	// QwtLegend::updateWidget##
    {91, 1837, 634},	// QwtLegend::verticalScrollBar
    {91, 1920, 650},	// QwtLegend::~QwtLegend
    {93, 43, 664},	// QwtLinearColorMap::FixedColors
    {93, 202, 662},	// QwtLinearColorMap::QwtLinearColorMap
    {93, 203, 663},	// QwtLinearColorMap::QwtLinearColorMap##
    {93, 204, 652},	// QwtLinearColorMap::QwtLinearColorMap##$
    {93, 205, 651},	// QwtLinearColorMap::QwtLinearColorMap$
    {93, 356, 665},	// QwtLinearColorMap::ScaledColors
    {93, 407, 656},	// QwtLinearColorMap::addColorStop$#
    {93, 544, 658},	// QwtLinearColorMap::color1
    {93, 545, 659},	// QwtLinearColorMap::color2
    {93, 551, 661},	// QwtLinearColorMap::colorIndex#$
    {93, 553, 657},	// QwtLinearColorMap::colorStops
    {93, 1001, 654},	// QwtLinearColorMap::mode
    {93, 1158, 660},	// QwtLinearColorMap::rgb#$
    {93, 1292, 655},	// QwtLinearColorMap::setColorInterval##
    {93, 1448, 653},	// QwtLinearColorMap::setMode$
    {93, 1921, 666},	// QwtLinearColorMap::~QwtLinearColorMap
    {94, 206, 675},	// QwtLinearScaleEngine::QwtLinearScaleEngine
    {94, 207, 674},	// QwtLinearScaleEngine::QwtLinearScaleEngine#
    {94, 208, 667},	// QwtLinearScaleEngine::QwtLinearScaleEngine$
    {94, 418, 670},	// QwtLinearScaleEngine::align#$
    {94, 443, 668},	// QwtLinearScaleEngine::autoScale$$$$
    {94, 492, 672},	// QwtLinearScaleEngine::buildMajorTicks#$
    {94, 494, 673},	// QwtLinearScaleEngine::buildMinorTicks?$$??
    {94, 500, 671},	// QwtLinearScaleEngine::buildTicks#$$?
    {94, 601, 676},	// QwtLinearScaleEngine::divideScale$$$$
    {94, 602, 669},	// QwtLinearScaleEngine::divideScale$$$$$
    {94, 1922, 677},	// QwtLinearScaleEngine::~QwtLinearScaleEngine
    {95, 210, 685},	// QwtMagnifier::QwtMagnifier#
    {95, 761, 704},	// QwtMagnifier::eventFilter##
    {95, 805, 693},	// QwtMagnifier::getMouseButton$#
    {95, 807, 701},	// QwtMagnifier::getZoomInKey$#
    {95, 809, 703},	// QwtMagnifier::getZoomOutKey$#
    {95, 877, 689},	// QwtMagnifier::isEnabled
    {95, 908, 699},	// QwtMagnifier::keyFactor
    {95, 982, 678},	// QwtMagnifier::metaObject
    {95, 1003, 691},	// QwtMagnifier::mouseFactor
    {95, 1063, -157},	// QwtMagnifier::parentWidget
    {95, 1083, 684},	// QwtMagnifier::qt_metacall$$?
    {95, 1085, 679},	// QwtMagnifier::qt_metacast$
    {95, 1151, 705},	// QwtMagnifier::rescale$
    {95, 1320, 688},	// QwtMagnifier::setEnabled$
    {95, 1367, 698},	// QwtMagnifier::setKeyFactor$
    {95, 1450, 714},	// QwtMagnifier::setMouseButton$
    {95, 1451, 692},	// QwtMagnifier::setMouseButton$$
    {95, 1453, 690},	// QwtMagnifier::setMouseFactor$
    {95, 1661, 694},	// QwtMagnifier::setWheelFactor$
    {95, 1663, 696},	// QwtMagnifier::setWheelModifiers$
    {95, 1688, 715},	// QwtMagnifier::setZoomInKey$
    {95, 1689, 700},	// QwtMagnifier::setZoomInKey$$
    {95, 1691, 716},	// QwtMagnifier::setZoomOutKey$
    {95, 1692, 702},	// QwtMagnifier::setZoomOutKey$$
    {95, 1717, 717},	// QwtMagnifier::staticMetaObject
    {95, 1784, 712},	// QwtMagnifier::tr$
    {95, 1785, 680},	// QwtMagnifier::tr$$
    {95, 1786, 682},	// QwtMagnifier::tr$$$
    {95, 1788, 713},	// QwtMagnifier::trUtf8$
    {95, 1789, 681},	// QwtMagnifier::trUtf8$$
    {95, 1790, 683},	// QwtMagnifier::trUtf8$$$
    {95, 1842, 695},	// QwtMagnifier::wheelFactor
    {95, 1843, 697},	// QwtMagnifier::wheelModifiers
    {95, 1854, 710},	// QwtMagnifier::widgetKeyPressEvent#
    {95, 1856, 711},	// QwtMagnifier::widgetKeyReleaseEvent#
    {95, 1862, 708},	// QwtMagnifier::widgetMouseMoveEvent#
    {95, 1864, 706},	// QwtMagnifier::widgetMousePressEvent#
    {95, 1866, 707},	// QwtMagnifier::widgetMouseReleaseEvent#
    {95, 1868, 709},	// QwtMagnifier::widgetWheelEvent#
    {95, 1923, 718},	// QwtMagnifier::~QwtMagnifier
    {97, 211, 764},	// QwtPainter::QwtPainter
    {97, 212, 765},	// QwtPainter::QwtPainter#
    {97, 473, 763},	// QwtPainter::backingStore##
    {97, 617, 762},	// QwtPainter::drawBackgound###
    {97, 626, 758},	// QwtPainter::drawColorBar####$#
    {97, 636, 732},	// QwtPainter::drawEllipse##
    {97, 640, 756},	// QwtPainter::drawFocusRect##
    {97, 641, 757},	// QwtPainter::drawFocusRect###
    {97, 644, 755},	// QwtPainter::drawFrame###$$$$
    {97, 650, 751},	// QwtPainter::drawImage###
    {97, 660, 736},	// QwtPainter::drawLine##
    {97, 661, 735},	// QwtPainter::drawLine###
    {97, 662, 734},	// QwtPainter::drawLine#$$$$
    {97, 674, 750},	// QwtPainter::drawPath##
    {97, 676, 733},	// QwtPainter::drawPie##$$
    {97, 678, 752},	// QwtPainter::drawPixmap###
    {97, 680, -7},	// QwtPainter::drawPoint##
    {97, 681, 746},	// QwtPainter::drawPoint#$$
    {97, 683, -10},	// QwtPainter::drawPoints##
    {97, 684, -13},	// QwtPainter::drawPoints##$
    {97, 686, -16},	// QwtPainter::drawPolygon##
    {97, 688, -19},	// QwtPainter::drawPolyline##
    {97, 689, -22},	// QwtPainter::drawPolyline##$
    {97, 691, 730},	// QwtPainter::drawRect##
    {97, 692, 729},	// QwtPainter::drawRect#$$$$
    {97, 697, 753},	// QwtPainter::drawRoundFrame###$$
    {97, 699, 754},	// QwtPainter::drawRoundedFrame##$$#$$
    {97, 709, 728},	// QwtPainter::drawSimpleRichText##$#
    {97, 724, 725},	// QwtPainter::drawText##$
    {97, 725, 727},	// QwtPainter::drawText##$$
    {97, 726, 724},	// QwtPainter::drawText#$$$
    {97, 727, 726},	// QwtPainter::drawText#$$$$$$
    {97, 771, 766},	// QwtPainter::fillPixmap##
    {97, 772, 761},	// QwtPainter::fillPixmap###
    {97, 775, 731},	// QwtPainter::fillRect###
    {97, 872, 759},	// QwtPainter::isAligning#
    {97, 892, 760},	// QwtPainter::isX11GraphicsSystem
    {97, 1079, 720},	// QwtPainter::polylineSplitting
    {97, 1160, 722},	// QwtPainter::roundingAlignment
    {97, 1161, 723},	// QwtPainter::roundingAlignment#
    {97, 1511, 719},	// QwtPainter::setPolylineSplitting$
    {97, 1539, 721},	// QwtPainter::setRoundingAlignment$
    {97, 1924, 767},	// QwtPainter::~QwtPainter
    {98, 214, 775},	// QwtPanner::QwtPanner#
    {98, 562, 796},	// QwtPanner::contentsMask
    {98, 575, 783},	// QwtPanner::cursor
    {98, 761, 787},	// QwtPanner::eventFilter##
    {98, 794, 781},	// QwtPanner::getAbortKey$#
    {98, 805, 779},	// QwtPanner::getMouseButton$#
    {98, 810, 797},	// QwtPanner::grab
    {98, 877, 777},	// QwtPanner::isEnabled
    {98, 883, 786},	// QwtPanner::isOrientationEnabled$
    {98, 982, 768},	// QwtPanner::metaObject
    {98, 1029, 789},	// QwtPanner::moved$$
    {98, 1046, 785},	// QwtPanner::orientations
    {98, 1056, 795},	// QwtPanner::paintEvent#
    {98, 1062, 788},	// QwtPanner::panned$$
    {98, 1083, 774},	// QwtPanner::qt_metacall$$?
    {98, 1085, 769},	// QwtPanner::qt_metacast$
    {98, 1196, 801},	// QwtPanner::setAbortKey$
    {98, 1197, 780},	// QwtPanner::setAbortKey$$
    {98, 1302, 782},	// QwtPanner::setCursor#
    {98, 1320, 776},	// QwtPanner::setEnabled$
    {98, 1450, 800},	// QwtPanner::setMouseButton$
    {98, 1451, 778},	// QwtPanner::setMouseButton$$
    {98, 1471, 784},	// QwtPanner::setOrientations$
    {98, 1717, 802},	// QwtPanner::staticMetaObject
    {98, 1784, 798},	// QwtPanner::tr$
    {98, 1785, 770},	// QwtPanner::tr$$
    {98, 1786, 772},	// QwtPanner::tr$$$
    {98, 1788, 799},	// QwtPanner::trUtf8$
    {98, 1789, 771},	// QwtPanner::trUtf8$$
    {98, 1790, 773},	// QwtPanner::trUtf8$$$
    {98, 1854, 793},	// QwtPanner::widgetKeyPressEvent#
    {98, 1856, 794},	// QwtPanner::widgetKeyReleaseEvent#
    {98, 1862, 792},	// QwtPanner::widgetMouseMoveEvent#
    {98, 1864, 790},	// QwtPanner::widgetMousePressEvent#
    {98, 1866, 791},	// QwtPanner::widgetMouseReleaseEvent#
    {98, 1925, 803},	// QwtPanner::~QwtPanner
    {99, 1, 885},	// QwtPicker::ActiveOnly
    {99, 3, 883},	// QwtPicker::AlwaysOff
    {99, 4, 884},	// QwtPicker::AlwaysOn
    {99, 26, 878},	// QwtPicker::CrossRubberBand
    {99, 34, 880},	// QwtPicker::EllipseRubberBand
    {99, 48, 876},	// QwtPicker::HLineRubberBand
    {99, 67, 887},	// QwtPicker::KeepSize
    {99, 117, 875},	// QwtPicker::NoRubberBand
    {99, 142, 881},	// QwtPicker::PolygonRubberBand
    {99, 216, 811},	// QwtPicker::QwtPicker#
    {99, 217, 812},	// QwtPicker::QwtPicker$$#
    {99, 328, 879},	// QwtPicker::RectRubberBand
    {99, 371, 886},	// QwtPicker::Stretch
    {99, 391, 882},	// QwtPicker::UserRubberBand
    {99, 394, 877},	// QwtPicker::VLineRubberBand
    {99, 399, 855},	// QwtPicker::accept#
    {99, 405, 842},	// QwtPicker::activated$
    {99, 411, 848},	// QwtPicker::adjustedPoints#
    {99, 428, 851},	// QwtPicker::append#
    {99, 430, 844},	// QwtPicker::appended#
    {99, 476, 850},	// QwtPicker::begin
    {99, 517, 847},	// QwtPicker::changed#
    {99, 701, 834},	// QwtPicker::drawRubberBand#
    {99, 735, 835},	// QwtPicker::drawTracker#
    {99, 754, 873},	// QwtPicker::end
    {99, 755, 854},	// QwtPicker::end$
    {99, 761, 830},	// QwtPicker::eventFilter##
    {99, 870, 829},	// QwtPicker::isActive
    {99, 877, 828},	// QwtPicker::isEnabled
    {99, 982, 804},	// QwtPicker::metaObject
    {99, 1015, 852},	// QwtPicker::move#
    {99, 1028, 845},	// QwtPicker::moved#
    {99, 1063, -115},	// QwtPicker::parentWidget
    {99, 1067, 833},	// QwtPicker::pickArea
    {99, 1068, 870},	// QwtPicker::pickedPoints
    {99, 1083, 810},	// QwtPicker::qt_metacall$$?
    {99, 1085, 805},	// QwtPicker::qt_metacast$
    {99, 1130, 853},	// QwtPicker::remove
    {99, 1134, 846},	// QwtPicker::removed#
    {99, 1153, 856},	// QwtPicker::reset
    {99, 1156, 821},	// QwtPicker::resizeMode
    {99, 1163, 817},	// QwtPicker::rubberBand
    {99, 1164, 836},	// QwtPicker::rubberBandMask
    {99, 1165, 868},	// QwtPicker::rubberBandOverlay
    {99, 1166, 823},	// QwtPicker::rubberBandPen
    {99, 1191, 843},	// QwtPicker::selected#
    {99, 1193, 840},	// QwtPicker::selection
    {99, 1320, 841},	// QwtPicker::setEnabled$
    {99, 1535, 820},	// QwtPicker::setResizeMode$
    {99, 1541, 816},	// QwtPicker::setRubberBand$
    {99, 1543, 822},	// QwtPicker::setRubberBandPen#
    {99, 1594, 813},	// QwtPicker::setStateMachine#
    {99, 1633, 826},	// QwtPicker::setTrackerFont#
    {99, 1635, 818},	// QwtPicker::setTrackerMode$
    {99, 1637, 824},	// QwtPicker::setTrackerPen#
    {99, 1716, -118},	// QwtPicker::stateMachine
    {99, 1717, 874},	// QwtPicker::staticMetaObject
    {99, 1726, 866},	// QwtPicker::stretchSelection##
    {99, 1784, 871},	// QwtPicker::tr$
    {99, 1785, 806},	// QwtPicker::tr$$
    {99, 1786, 808},	// QwtPicker::tr$$$
    {99, 1788, 872},	// QwtPicker::trUtf8$
    {99, 1789, 807},	// QwtPicker::trUtf8$$
    {99, 1790, 809},	// QwtPicker::trUtf8$$$
    {99, 1791, 827},	// QwtPicker::trackerFont
    {99, 1792, 819},	// QwtPicker::trackerMode
    {99, 1793, 869},	// QwtPicker::trackerOverlay
    {99, 1794, 825},	// QwtPicker::trackerPen
    {99, 1795, 838},	// QwtPicker::trackerPosition
    {99, 1797, 839},	// QwtPicker::trackerRect#
    {99, 1799, 837},	// QwtPicker::trackerText#
    {99, 1809, 849},	// QwtPicker::transition#
    {99, 1813, 867},	// QwtPicker::updateDisplay
    {99, 1852, 864},	// QwtPicker::widgetEnterEvent#
    {99, 1854, 862},	// QwtPicker::widgetKeyPressEvent#
    {99, 1856, 863},	// QwtPicker::widgetKeyReleaseEvent#
    {99, 1858, 865},	// QwtPicker::widgetLeaveEvent#
    {99, 1860, 859},	// QwtPicker::widgetMouseDoubleClickEvent#
    {99, 1862, 860},	// QwtPicker::widgetMouseMoveEvent#
    {99, 1864, 857},	// QwtPicker::widgetMousePressEvent#
    {99, 1866, 858},	// QwtPicker::widgetMouseReleaseEvent#
    {99, 1868, 861},	// QwtPicker::widgetWheelEvent#
    {99, 1926, 888},	// QwtPicker::~QwtPicker
    {100, 218, 889},	// QwtPickerClickPointMachine::QwtPickerClickPointMachine
    {100, 219, 891},	// QwtPickerClickPointMachine::QwtPickerClickPointMachine#
    {100, 1810, 890},	// QwtPickerClickPointMachine::transition##
    {100, 1927, 892},	// QwtPickerClickPointMachine::~QwtPickerClickPointMachine
    {101, 220, 893},	// QwtPickerClickRectMachine::QwtPickerClickRectMachine
    {101, 221, 895},	// QwtPickerClickRectMachine::QwtPickerClickRectMachine#
    {101, 1810, 894},	// QwtPickerClickRectMachine::transition##
    {101, 1928, 896},	// QwtPickerClickRectMachine::~QwtPickerClickRectMachine
    {102, 222, 897},	// QwtPickerDragPointMachine::QwtPickerDragPointMachine
    {102, 223, 899},	// QwtPickerDragPointMachine::QwtPickerDragPointMachine#
    {102, 1810, 898},	// QwtPickerDragPointMachine::transition##
    {102, 1929, 900},	// QwtPickerDragPointMachine::~QwtPickerDragPointMachine
    {103, 224, 901},	// QwtPickerDragRectMachine::QwtPickerDragRectMachine
    {103, 225, 903},	// QwtPickerDragRectMachine::QwtPickerDragRectMachine#
    {103, 1810, 902},	// QwtPickerDragRectMachine::transition##
    {103, 1930, 904},	// QwtPickerDragRectMachine::~QwtPickerDragRectMachine
    {104, 5, 917},	// QwtPickerMachine::Append
    {104, 13, 916},	// QwtPickerMachine::Begin
    {104, 35, 920},	// QwtPickerMachine::End
    {104, 106, 918},	// QwtPickerMachine::Move
    {104, 119, 912},	// QwtPickerMachine::NoSelection
    {104, 141, 913},	// QwtPickerMachine::PointSelection
    {104, 143, 915},	// QwtPickerMachine::PolygonSelection
    {104, 227, 911},	// QwtPickerMachine::QwtPickerMachine#
    {104, 228, 905},	// QwtPickerMachine::QwtPickerMachine$
    {104, 329, 914},	// QwtPickerMachine::RectSelection
    {104, 330, 919},	// QwtPickerMachine::Remove
    {104, 1153, 907},	// QwtPickerMachine::reset
    {104, 1194, 910},	// QwtPickerMachine::selectionType
    {104, 1592, 909},	// QwtPickerMachine::setState$
    {104, 1715, 908},	// QwtPickerMachine::state
    {104, 1810, 906},	// QwtPickerMachine::transition##
    {104, 1931, 921},	// QwtPickerMachine::~QwtPickerMachine
    {105, 229, 922},	// QwtPickerPolygonMachine::QwtPickerPolygonMachine
    {105, 230, 924},	// QwtPickerPolygonMachine::QwtPickerPolygonMachine#
    {105, 1810, 923},	// QwtPickerPolygonMachine::transition##
    {105, 1932, 925},	// QwtPickerPolygonMachine::~QwtPickerPolygonMachine
    {106, 231, 926},	// QwtPlainTextEngine::QwtPlainTextEngine
    {106, 232, 932},	// QwtPlainTextEngine::QwtPlainTextEngine#
    {106, 610, 929},	// QwtPlainTextEngine::draw##$$
    {106, 823, 927},	// QwtPlainTextEngine::heightForWidth#$$$
    {106, 985, 930},	// QwtPlainTextEngine::mightRender$
    {106, 1762, 931},	// QwtPlainTextEngine::textMargins#$$$$$
    {106, 1766, 928},	// QwtPlainTextEngine::textSize#$$
    {106, 1933, 933},	// QwtPlainTextEngine::~QwtPlainTextEngine
    {107, 14, 1037},	// QwtPlot::BottomLegend
    {107, 82, 1035},	// QwtPlot::LeftLegend
    {107, 233, 1021},	// QwtPlot::QwtPlot
    {107, 234, -37},	// QwtPlot::QwtPlot#
    {107, 235, 942},	// QwtPlot::QwtPlot##
    {107, 333, 1036},	// QwtPlot::RightLegend
    {107, 384, 1038},	// QwtPlot::TopLegend
    {107, 432, 943},	// QwtPlot::applyProperties$
    {107, 440, 1016},	// QwtPlot::autoRefresh
    {107, 441, 946},	// QwtPlot::autoReplot
    {107, 445, 972},	// QwtPlot::axisAutoScale$
    {107, 446, 1034},	// QwtPlot::axisCnt
    {107, 448, 974},	// QwtPlot::axisEnabled$
    {107, 450, 976},	// QwtPlot::axisFont$
    {107, 452, 981},	// QwtPlot::axisInterval$
    {107, 454, 995},	// QwtPlot::axisMaxMajor$
    {107, 456, 993},	// QwtPlot::axisMaxMinor$
    {107, 458, 982},	// QwtPlot::axisScaleDiv$
    {107, 460, -40},	// QwtPlot::axisScaleDraw$
    {107, 462, -43},	// QwtPlot::axisScaleEngine$
    {107, 464, 980},	// QwtPlot::axisStepSize$
    {107, 466, 991},	// QwtPlot::axisTitle$
    {107, 468, 1017},	// QwtPlot::axisValid$
    {107, 470, -46},	// QwtPlot::axisWidget$
    {107, 504, -49},	// QwtPlot::canvas
    {107, 505, 964},	// QwtPlot::canvasBackground
    {107, 507, 965},	// QwtPlot::canvasMap$
    {107, 623, 1004},	// QwtPlot::drawCanvas#
    {107, 652, 1010},	// QwtPlot::drawItems###
    {107, 740, 1025},	// QwtPlot::enableAxis$
    {107, 741, 973},	// QwtPlot::enableAxis$$
    {107, 759, 1008},	// QwtPlot::event#
    {107, 761, 1009},	// QwtPlot::eventFilter##
    {107, 787, 957},	// QwtPlot::footer
    {107, 788, -52},	// QwtPlot::footerLabel
    {107, 801, 1007},	// QwtPlot::getCanvasMarginsHint##$$$$
    {107, 811, 944},	// QwtPlot::grabProperties
    {107, 841, 1012},	// QwtPlot::infoToItem#
    {107, 854, 1027},	// QwtPlot::insertLegend#
    {107, 855, 1028},	// QwtPlot::insertLegend#$
    {107, 856, 996},	// QwtPlot::insertLegend#$$
    {107, 863, 966},	// QwtPlot::invTransform$$
    {107, 896, 1013},	// QwtPlot::itemAttached#$
    {107, 907, 1011},	// QwtPlot::itemToInfo#
    {107, 943, -55},	// QwtPlot::legend
    {107, 947, 1014},	// QwtPlot::legendDataChanged#?
    {107, 982, 934},	// QwtPlot::metaObject
    {107, 998, 1002},	// QwtPlot::minimumSizeHint
    {107, 1077, -58},	// QwtPlot::plotLayout
    {107, 1083, 940},	// QwtPlot::qt_metacall$$?
    {107, 1085, 935},	// QwtPlot::qt_metacast$
    {107, 1149, 1015},	// QwtPlot::replot
    {107, 1155, 1018},	// QwtPlot::resizeEvent#
    {107, 1223, 1023},	// QwtPlot::setAutoReplot
    {107, 1224, 945},	// QwtPlot::setAutoReplot$
    {107, 1230, 1024},	// QwtPlot::setAxisAutoScale$
    {107, 1231, 971},	// QwtPlot::setAxisAutoScale$$
    {107, 1235, 975},	// QwtPlot::setAxisFont$#
    {107, 1237, 987},	// QwtPlot::setAxisLabelAlignment$$
    {107, 1239, 988},	// QwtPlot::setAxisLabelRotation$$
    {107, 1241, 994},	// QwtPlot::setAxisMaxMajor$$
    {107, 1243, 992},	// QwtPlot::setAxisMaxMinor$$
    {107, 1245, 1026},	// QwtPlot::setAxisScale$$$
    {107, 1246, 977},	// QwtPlot::setAxisScale$$$$
    {107, 1248, 978},	// QwtPlot::setAxisScaleDiv$#
    {107, 1250, 979},	// QwtPlot::setAxisScaleDraw$#
    {107, 1252, 970},	// QwtPlot::setAxisScaleEngine$#
    {107, 1254, 990},	// QwtPlot::setAxisTitle$#
    {107, 1255, 989},	// QwtPlot::setAxisTitle$$
    {107, 1277, 960},	// QwtPlot::setCanvas#
    {107, 1279, 963},	// QwtPlot::setCanvasBackground#
    {107, 1332, 956},	// QwtPlot::setFooter#
    {107, 1333, 955},	// QwtPlot::setFooter$
    {107, 1507, 947},	// QwtPlot::setPlotLayout#
    {107, 1624, 951},	// QwtPlot::setTitle#
    {107, 1625, 950},	// QwtPlot::setTitle$
    {107, 1702, 1001},	// QwtPlot::sizeHint
    {107, 1717, 1029},	// QwtPlot::staticMetaObject
    {107, 1776, 952},	// QwtPlot::title
    {107, 1779, -61},	// QwtPlot::titleLabel
    {107, 1784, 1019},	// QwtPlot::tr$
    {107, 1785, 936},	// QwtPlot::tr$$
    {107, 1786, 938},	// QwtPlot::tr$$$
    {107, 1788, 1020},	// QwtPlot::trUtf8$
    {107, 1789, 937},	// QwtPlot::trUtf8$$
    {107, 1790, 939},	// QwtPlot::trUtf8$$$
    {107, 1806, 967},	// QwtPlot::transform$$
    {107, 1811, 1005},	// QwtPlot::updateAxes
    {107, 1812, 1006},	// QwtPlot::updateCanvasMargins
    {107, 1815, 1003},	// QwtPlot::updateLayout
    {107, 1816, 999},	// QwtPlot::updateLegend
    {107, 1817, 1000},	// QwtPlot::updateLegend#
    {107, 1874, 1032},	// QwtPlot::xBottom
    {107, 1879, 1033},	// QwtPlot::xTop
    {107, 1884, 1030},	// QwtPlot::yLeft
    {107, 1886, 1031},	// QwtPlot::yRight
    {107, 1934, 1039},	// QwtPlot::~QwtPlot
    {108, 12, 1071},	// QwtPlotCanvas::BackingStore
    {108, 22, 1076},	// QwtPlotCanvas::CanvasFocusIndicator
    {108, 49, 1073},	// QwtPlotCanvas::HackStyledBackground
    {108, 62, 1074},	// QwtPlotCanvas::ImmediatePaint
    {108, 66, 1077},	// QwtPlotCanvas::ItemFocusIndicator
    {108, 113, 1075},	// QwtPlotCanvas::NoFocusIndicator
    {108, 124, 1072},	// QwtPlotCanvas::Opaque
    {108, 236, 1068},	// QwtPlotCanvas::QwtPlotCanvas
    {108, 237, 1047},	// QwtPlotCanvas::QwtPlotCanvas#
    {108, 472, 1056},	// QwtPlotCanvas::backingStore
    {108, 479, 1059},	// QwtPlotCanvas::borderPath#
    {108, 481, 1053},	// QwtPlotCanvas::borderRadius
    {108, 619, 1064},	// QwtPlotCanvas::drawBorder#
    {108, 638, 1063},	// QwtPlotCanvas::drawFocusIndicator#
    {108, 759, 1058},	// QwtPlotCanvas::event#
    {108, 782, 1051},	// QwtPlotCanvas::focusIndicator
    {108, 865, 1057},	// QwtPlotCanvas::invalidateBackingStore
    {108, 982, 1040},	// QwtPlotCanvas::metaObject
    {108, 1056, 1061},	// QwtPlotCanvas::paintEvent#
    {108, 1076, -154},	// QwtPlotCanvas::plot
    {108, 1083, 1046},	// QwtPlotCanvas::qt_metacall$$?
    {108, 1085, 1041},	// QwtPlotCanvas::qt_metacast$
    {108, 1149, 1060},	// QwtPlotCanvas::replot
    {108, 1155, 1062},	// QwtPlotCanvas::resizeEvent#
    {108, 1269, 1052},	// QwtPlotCanvas::setBorderRadius$
    {108, 1328, 1050},	// QwtPlotCanvas::setFocusIndicator$
    {108, 1481, 1069},	// QwtPlotCanvas::setPaintAttribute$
    {108, 1482, 1054},	// QwtPlotCanvas::setPaintAttribute$$
    {108, 1717, 1070},	// QwtPlotCanvas::staticMetaObject
    {108, 1754, 1055},	// QwtPlotCanvas::testPaintAttribute$
    {108, 1784, 1066},	// QwtPlotCanvas::tr$
    {108, 1785, 1042},	// QwtPlotCanvas::tr$$
    {108, 1786, 1044},	// QwtPlotCanvas::tr$$$
    {108, 1788, 1067},	// QwtPlotCanvas::trUtf8$
    {108, 1789, 1043},	// QwtPlotCanvas::trUtf8$$
    {108, 1790, 1045},	// QwtPlotCanvas::trUtf8$$$
    {108, 1821, 1065},	// QwtPlotCanvas::updateStyleSheetInfo
    {108, 1935, 1078},	// QwtPlotCanvas::~QwtPlotCanvas
    {109, 23, 1141},	// QwtPlotCurve::ClipPolygons
    {109, 30, 1133},	// QwtPlotCurve::Dots
    {109, 41, 1142},	// QwtPlotCurve::FilterPoints
    {109, 42, 1136},	// QwtPlotCurve::Fitted
    {109, 60, 1144},	// QwtPlotCurve::ImageBuffer
    {109, 65, 1135},	// QwtPlotCurve::Inverted
    {109, 86, 1137},	// QwtPlotCurve::LegendNoAttribute
    {109, 87, 1140},	// QwtPlotCurve::LegendShowBrush
    {109, 88, 1138},	// QwtPlotCurve::LegendShowLine
    {109, 89, 1139},	// QwtPlotCurve::LegendShowSymbol
    {109, 90, 1130},	// QwtPlotCurve::Lines
    {109, 95, 1143},	// QwtPlotCurve::MinimizeMemory
    {109, 112, 1129},	// QwtPlotCurve::NoCurve
    {109, 238, 1122},	// QwtPlotCurve::QwtPlotCurve
    {109, 239, 1080},	// QwtPlotCurve::QwtPlotCurve#
    {109, 240, 1079},	// QwtPlotCurve::QwtPlotCurve$
    {109, 369, 1132},	// QwtPlotCurve::Steps
    {109, 370, 1131},	// QwtPlotCurve::Sticks
    {109, 390, 1134},	// QwtPlotCurve::UserCurve
    {109, 475, 1104},	// QwtPlotCurve::baseline
    {109, 488, 1102},	// QwtPlotCurve::brush
    {109, 535, 1121},	// QwtPlotCurve::closePolyline####
    {109, 537, 1125},	// QwtPlotCurve::closestPoint#
    {109, 538, 1091},	// QwtPlotCurve::closestPoint#$
    {109, 576, 1110},	// QwtPlotCurve::curveFitter
    {109, 632, 1114},	// QwtPlotCurve::drawCurve#$###$$
    {109, 634, 1118},	// QwtPlotCurve::drawDots####$$
    {109, 665, 1116},	// QwtPlotCurve::drawLines####$$
    {109, 707, 1111},	// QwtPlotCurve::drawSeries####$$
    {109, 713, 1119},	// QwtPlotCurve::drawSteps####$$
    {109, 715, 1117},	// QwtPlotCurve::drawSticks####$$
    {109, 720, 1115},	// QwtPlotCurve::drawSymbols#####$$
    {109, 769, 1120},	// QwtPlotCurve::fillCurve#####
    {109, 842, 1113},	// QwtPlotCurve::init
    {109, 949, 1112},	// QwtPlotCurve::legendIcon$#
    {109, 978, 1093},	// QwtPlotCurve::maxXValue
    {109, 979, 1095},	// QwtPlotCurve::maxYValue
    {109, 991, 1092},	// QwtPlotCurve::minXValue
    {109, 992, 1094},	// QwtPlotCurve::minYValue
    {109, 1065, 1100},	// QwtPlotCurve::pen
    {109, 1162, 1081},	// QwtPlotCurve::rtti
    {109, 1261, 1103},	// QwtPlotCurve::setBaseline$
    {109, 1273, 1101},	// QwtPlotCurve::setBrush#
    {109, 1304, 1126},	// QwtPlotCurve::setCurveAttribute$
    {109, 1305, 1096},	// QwtPlotCurve::setCurveAttribute$$
    {109, 1307, 1109},	// QwtPlotCurve::setCurveFitter#
    {109, 1390, 1124},	// QwtPlotCurve::setLegendAttribute$
    {109, 1391, 1084},	// QwtPlotCurve::setLegendAttribute$$
    {109, 1481, 1123},	// QwtPlotCurve::setPaintAttribute$
    {109, 1482, 1082},	// QwtPlotCurve::setPaintAttribute$$
    {109, 1490, -133},	// QwtPlotCurve::setPen#
    {109, 1491, 1128},	// QwtPlotCurve::setPen#$
    {109, 1492, 1098},	// QwtPlotCurve::setPen#$$
    {109, 1521, 1086},	// QwtPlotCurve::setRawSamples$$$
    {109, 1545, 1087},	// QwtPlotCurve::setSamples$$$
    {109, 1546, -136},	// QwtPlotCurve::setSamples?
    {109, 1547, 1088},	// QwtPlotCurve::setSamples??
    {109, 1604, 1105},	// QwtPlotCurve::setStyle$
    {109, 1608, 1107},	// QwtPlotCurve::setSymbol#
    {109, 1729, 1106},	// QwtPlotCurve::style
    {109, 1731, 1108},	// QwtPlotCurve::symbol
    {109, 1740, 1097},	// QwtPlotCurve::testCurveAttribute$
    {109, 1752, 1085},	// QwtPlotCurve::testLegendAttribute$
    {109, 1754, 1083},	// QwtPlotCurve::testPaintAttribute$
    {109, 1936, 1145},	// QwtPlotCurve::~QwtPlotCurve
    {110, 241, 1146},	// QwtPlotDict::QwtPlotDict
    {110, 242, 1154},	// QwtPlotDict::QwtPlotDict#
    {110, 439, 1148},	// QwtPlotDict::autoDelete
    {110, 587, 1155},	// QwtPlotDict::detachItems
    {110, 588, 1156},	// QwtPlotDict::detachItems$
    {110, 589, 1151},	// QwtPlotDict::detachItems$$
    {110, 852, 1152},	// QwtPlotDict::insertItem#
    {110, 904, 1149},	// QwtPlotDict::itemList
    {110, 905, 1150},	// QwtPlotDict::itemList$
    {110, 1132, 1153},	// QwtPlotDict::removeItem#
    {110, 1222, 1147},	// QwtPlotDict::setAutoDelete$
    {110, 1937, 1157},	// QwtPlotDict::~QwtPlotDict
    {111, 243, 1158},	// QwtPlotGrid::QwtPlotGrid
    {111, 609, 1180},	// QwtPlotGrid::draw####
    {111, 746, 1160},	// QwtPlotGrid::enableX$
    {111, 748, 1164},	// QwtPlotGrid::enableXMin$
    {111, 750, 1162},	// QwtPlotGrid::enableY$
    {111, 752, 1166},	// QwtPlotGrid::enableYMin$
    {111, 964, 1176},	// QwtPlotGrid::majorPen
    {111, 1000, 1179},	// QwtPlotGrid::minorPen
    {111, 1162, 1159},	// QwtPlotGrid::rtti
    {111, 1414, -28},	// QwtPlotGrid::setMajorPen#
    {111, 1415, 1185},	// QwtPlotGrid::setMajorPen#$
    {111, 1416, 1174},	// QwtPlotGrid::setMajorPen#$$
    {111, 1444, -31},	// QwtPlotGrid::setMinorPen#
    {111, 1445, 1187},	// QwtPlotGrid::setMinorPen#$
    {111, 1446, 1177},	// QwtPlotGrid::setMinorPen#$$
    {111, 1490, -34},	// QwtPlotGrid::setPen#
    {111, 1491, 1183},	// QwtPlotGrid::setPen#$
    {111, 1492, 1172},	// QwtPlotGrid::setPen#$$
    {111, 1673, 1168},	// QwtPlotGrid::setXDiv#
    {111, 1679, 1170},	// QwtPlotGrid::setYDiv#
    {111, 1820, 1181},	// QwtPlotGrid::updateScaleDiv##
    {111, 1876, 1161},	// QwtPlotGrid::xEnabled
    {111, 1877, 1165},	// QwtPlotGrid::xMinEnabled
    {111, 1878, 1169},	// QwtPlotGrid::xScaleDiv
    {111, 1883, 1163},	// QwtPlotGrid::yEnabled
    {111, 1885, 1167},	// QwtPlotGrid::yMinEnabled
    {111, 1887, 1171},	// QwtPlotGrid::yScaleDiv
    {111, 1938, 1188},	// QwtPlotGrid::~QwtPlotGrid
    {112, 9, 1253},	// QwtPlotItem::AutoScale
    {112, 84, 1252},	// QwtPlotItem::Legend
    {112, 85, 1256},	// QwtPlotItem::LegendInterest
    {112, 92, 1254},	// QwtPlotItem::Margins
    {112, 244, 1230},	// QwtPlotItem::QwtPlotItem
    {112, 245, 1189},	// QwtPlotItem::QwtPlotItem#
    {112, 331, 1257},	// QwtPlotItem::RenderAntialiased
    {112, 337, 1246},	// QwtPlotItem::Rtti_PlotBarChart
    {112, 338, 1239},	// QwtPlotItem::Rtti_PlotCurve
    {112, 339, 1235},	// QwtPlotItem::Rtti_PlotGrid
    {112, 340, 1242},	// QwtPlotItem::Rtti_PlotHistogram
    {112, 341, 1241},	// QwtPlotItem::Rtti_PlotIntervalCurve
    {112, 342, 1234},	// QwtPlotItem::Rtti_PlotItem
    {112, 343, 1237},	// QwtPlotItem::Rtti_PlotLegend
    {112, 344, 1238},	// QwtPlotItem::Rtti_PlotMarker
    {112, 345, 1247},	// QwtPlotItem::Rtti_PlotMultiBarChart
    {112, 346, 1244},	// QwtPlotItem::Rtti_PlotSVG
    {112, 347, 1236},	// QwtPlotItem::Rtti_PlotScale
    {112, 348, 1248},	// QwtPlotItem::Rtti_PlotShape
    {112, 349, 1240},	// QwtPlotItem::Rtti_PlotSpectroCurve
    {112, 350, 1243},	// QwtPlotItem::Rtti_PlotSpectrogram
    {112, 351, 1249},	// QwtPlotItem::Rtti_PlotTextLabel
    {112, 352, 1245},	// QwtPlotItem::Rtti_PlotTradingCurve
    {112, 353, 1251},	// QwtPlotItem::Rtti_PlotUserItem
    {112, 354, 1250},	// QwtPlotItem::Rtti_PlotZone
    {112, 355, 1255},	// QwtPlotItem::ScaleInterest
    {112, 437, 1190},	// QwtPlotItem::attach#
    {112, 487, 1221},	// QwtPlotItem::boundingRect
    {112, 584, 1229},	// QwtPlotItem::defaultIcon##
    {112, 586, 1191},	// QwtPlotItem::detach
    {112, 609, 1220},	// QwtPlotItem::draw####
    {112, 799, 1222},	// QwtPlotItem::getCanvasMarginHint###$$$$
    {112, 826, 1210},	// QwtPlotItem::hide
    {112, 891, 1212},	// QwtPlotItem::isVisible
    {112, 897, 1218},	// QwtPlotItem::itemChanged
    {112, 944, 1219},	// QwtPlotItem::legendChanged
    {112, 945, 1227},	// QwtPlotItem::legendData
    {112, 949, 1228},	// QwtPlotItem::legendIcon$#
    {112, 950, 1206},	// QwtPlotItem::legendIconSize
    {112, 1058, 1226},	// QwtPlotItem::paintRect##
    {112, 1076, 1192},	// QwtPlotItem::plot
    {112, 1146, 1204},	// QwtPlotItem::renderThreadCount
    {112, 1162, 1196},	// QwtPlotItem::rtti
    {112, 1183, 1225},	// QwtPlotItem::scaleRect##
    {112, 1226, 1213},	// QwtPlotItem::setAxes$$
    {112, 1361, 1231},	// QwtPlotItem::setItemAttribute$
    {112, 1362, 1197},	// QwtPlotItem::setItemAttribute$$
    {112, 1364, 1232},	// QwtPlotItem::setItemInterest$
    {112, 1365, 1199},	// QwtPlotItem::setItemInterest$$
    {112, 1393, 1205},	// QwtPlotItem::setLegendIconSize#
    {112, 1530, 1233},	// QwtPlotItem::setRenderHint$
    {112, 1531, 1201},	// QwtPlotItem::setRenderHint$$
    {112, 1533, 1203},	// QwtPlotItem::setRenderThreadCount$
    {112, 1624, 1194},	// QwtPlotItem::setTitle#
    {112, 1625, 1193},	// QwtPlotItem::setTitle$
    {112, 1657, 1211},	// QwtPlotItem::setVisible$
    {112, 1671, 1214},	// QwtPlotItem::setXAxis$
    {112, 1677, 1216},	// QwtPlotItem::setYAxis$
    {112, 1683, 1208},	// QwtPlotItem::setZ$
    {112, 1696, 1209},	// QwtPlotItem::show
    {112, 1744, 1198},	// QwtPlotItem::testItemAttribute$
    {112, 1746, 1200},	// QwtPlotItem::testItemInterest$
    {112, 1756, 1202},	// QwtPlotItem::testRenderHint$
    {112, 1776, 1195},	// QwtPlotItem::title
    {112, 1818, 1224},	// QwtPlotItem::updateLegend#?
    {112, 1820, 1223},	// QwtPlotItem::updateScaleDiv##
    {112, 1873, 1215},	// QwtPlotItem::xAxis
    {112, 1881, 1217},	// QwtPlotItem::yAxis
    {112, 1889, 1207},	// QwtPlotItem::z
    {112, 1939, 1258},	// QwtPlotItem::~QwtPlotItem
    {113, 2, 1292},	// QwtPlotLayout::AlignScales
    {113, 53, 1297},	// QwtPlotLayout::IgnoreFooter
    {113, 54, 1294},	// QwtPlotLayout::IgnoreFrames
    {113, 55, 1295},	// QwtPlotLayout::IgnoreLegend
    {113, 58, 1293},	// QwtPlotLayout::IgnoreScrollbars
    {113, 59, 1296},	// QwtPlotLayout::IgnoreTitle
    {113, 246, 1259},	// QwtPlotLayout::QwtPlotLayout
    {113, 247, 1289},	// QwtPlotLayout::QwtPlotLayout#
    {113, 402, 1291},	// QwtPlotLayout::activate##
    {113, 403, 1273},	// QwtPlotLayout::activate##$
    {113, 420, 1264},	// QwtPlotLayout::alignCanvasToScale$
    {113, 422, 1286},	// QwtPlotLayout::alignLegend##
    {113, 424, 1288},	// QwtPlotLayout::alignScales$##
    {113, 509, 1261},	// QwtPlotLayout::canvasMargin$
    {113, 510, 1279},	// QwtPlotLayout::canvasRect
    {113, 763, 1287},	// QwtPlotLayout::expandLineBreaks$#$$$
    {113, 789, 1276},	// QwtPlotLayout::footerRect
    {113, 864, 1274},	// QwtPlotLayout::invalidate
    {113, 939, 1285},	// QwtPlotLayout::layoutLegend$#
    {113, 951, 1269},	// QwtPlotLayout::legendPosition
    {113, 952, 1271},	// QwtPlotLayout::legendRatio
    {113, 953, 1277},	// QwtPlotLayout::legendRect
    {113, 999, 1272},	// QwtPlotLayout::minimumSizeHint#
    {113, 1184, 1278},	// QwtPlotLayout::scaleRect$
    {113, 1207, 1263},	// QwtPlotLayout::setAlignCanvasToScale$$
    {113, 1209, 1262},	// QwtPlotLayout::setAlignCanvasToScales$
    {113, 1281, 1290},	// QwtPlotLayout::setCanvasMargin$
    {113, 1282, 1260},	// QwtPlotLayout::setCanvasMargin$$
    {113, 1284, 1284},	// QwtPlotLayout::setCanvasRect#
    {113, 1335, 1281},	// QwtPlotLayout::setFooterRect#
    {113, 1395, 1268},	// QwtPlotLayout::setLegendPosition$
    {113, 1396, 1267},	// QwtPlotLayout::setLegendPosition$$
    {113, 1398, 1270},	// QwtPlotLayout::setLegendRatio$
    {113, 1400, 1282},	// QwtPlotLayout::setLegendRect#
    {113, 1570, 1283},	// QwtPlotLayout::setScaleRect$#
    {113, 1584, 1265},	// QwtPlotLayout::setSpacing$
    {113, 1627, 1280},	// QwtPlotLayout::setTitleRect#
    {113, 1710, 1266},	// QwtPlotLayout::spacing
    {113, 1780, 1275},	// QwtPlotLayout::titleRect
    {113, 1940, 1298},	// QwtPlotLayout::~QwtPlotLayout
    {114, 249, 1306},	// QwtPlotMagnifier::QwtPlotMagnifier#
    {114, 504, -199},	// QwtPlotMagnifier::canvas
    {114, 874, 1308},	// QwtPlotMagnifier::isAxisEnabled$
    {114, 982, 1299},	// QwtPlotMagnifier::metaObject
    {114, 1076, -202},	// QwtPlotMagnifier::plot
    {114, 1083, 1305},	// QwtPlotMagnifier::qt_metacall$$?
    {114, 1085, 1300},	// QwtPlotMagnifier::qt_metacast$
    {114, 1151, 1313},	// QwtPlotMagnifier::rescale$
    {114, 1233, 1307},	// QwtPlotMagnifier::setAxisEnabled$$
    {114, 1717, 1316},	// QwtPlotMagnifier::staticMetaObject
    {114, 1784, 1314},	// QwtPlotMagnifier::tr$
    {114, 1785, 1301},	// QwtPlotMagnifier::tr$$
    {114, 1786, 1303},	// QwtPlotMagnifier::tr$$$
    {114, 1788, 1315},	// QwtPlotMagnifier::trUtf8$
    {114, 1789, 1302},	// QwtPlotMagnifier::trUtf8$$
    {114, 1790, 1304},	// QwtPlotMagnifier::trUtf8$$$
    {114, 1941, 1317},	// QwtPlotMagnifier::~QwtPlotMagnifier
    {115, 25, 1354},	// QwtPlotMarker::Cross
    {115, 47, 1352},	// QwtPlotMarker::HLine
    {115, 115, 1351},	// QwtPlotMarker::NoLine
    {115, 250, 1348},	// QwtPlotMarker::QwtPlotMarker
    {115, 251, 1319},	// QwtPlotMarker::QwtPlotMarker#
    {115, 252, 1318},	// QwtPlotMarker::QwtPlotMarker$
    {115, 393, 1353},	// QwtPlotMarker::VLine
    {115, 487, 1344},	// QwtPlotMarker::boundingRect
    {115, 609, 1343},	// QwtPlotMarker::draw####
    {115, 657, 1347},	// QwtPlotMarker::drawLabel###
    {115, 664, 1346},	// QwtPlotMarker::drawLines###
    {115, 919, 1336},	// QwtPlotMarker::label
    {115, 921, 1338},	// QwtPlotMarker::labelAlignment
    {115, 922, 1340},	// QwtPlotMarker::labelOrientation
    {115, 949, 1345},	// QwtPlotMarker::legendIcon$#
    {115, 959, 1332},	// QwtPlotMarker::linePen
    {115, 960, 1329},	// QwtPlotMarker::lineStyle
    {115, 1162, 1320},	// QwtPlotMarker::rtti
    {115, 1377, 1335},	// QwtPlotMarker::setLabel#
    {115, 1379, 1337},	// QwtPlotMarker::setLabelAlignment$
    {115, 1381, 1339},	// QwtPlotMarker::setLabelOrientation$
    {115, 1404, -79},	// QwtPlotMarker::setLinePen#
    {115, 1405, 1350},	// QwtPlotMarker::setLinePen#$
    {115, 1406, 1330},	// QwtPlotMarker::setLinePen#$$
    {115, 1408, 1328},	// QwtPlotMarker::setLineStyle$
    {115, 1584, 1341},	// QwtPlotMarker::setSpacing$
    {115, 1608, 1333},	// QwtPlotMarker::setSymbol#
    {115, 1651, 1327},	// QwtPlotMarker::setValue#
    {115, 1653, 1326},	// QwtPlotMarker::setValue$$
    {115, 1675, 1324},	// QwtPlotMarker::setXValue$
    {115, 1681, 1325},	// QwtPlotMarker::setYValue$
    {115, 1710, 1342},	// QwtPlotMarker::spacing
    {115, 1731, 1334},	// QwtPlotMarker::symbol
    {115, 1830, 1323},	// QwtPlotMarker::value
    {115, 1880, 1321},	// QwtPlotMarker::xValue
    {115, 1888, 1322},	// QwtPlotMarker::yValue
    {115, 1942, 1355},	// QwtPlotMarker::~QwtPlotMarker
    {116, 254, 1363},	// QwtPlotPanner::QwtPlotPanner#
    {116, 504, -1},	// QwtPlotPanner::canvas
    {116, 562, 1371},	// QwtPlotPanner::contentsMask
    {116, 810, 1372},	// QwtPlotPanner::grab
    {116, 874, 1369},	// QwtPlotPanner::isAxisEnabled$
    {116, 982, 1356},	// QwtPlotPanner::metaObject
    {116, 1020, 1370},	// QwtPlotPanner::moveCanvas$$
    {116, 1076, -4},	// QwtPlotPanner::plot
    {116, 1083, 1362},	// QwtPlotPanner::qt_metacall$$?
    {116, 1085, 1357},	// QwtPlotPanner::qt_metacast$
    {116, 1233, 1368},	// QwtPlotPanner::setAxisEnabled$$
    {116, 1717, 1375},	// QwtPlotPanner::staticMetaObject
    {116, 1784, 1373},	// QwtPlotPanner::tr$
    {116, 1785, 1358},	// QwtPlotPanner::tr$$
    {116, 1786, 1360},	// QwtPlotPanner::tr$$$
    {116, 1788, 1374},	// QwtPlotPanner::trUtf8$
    {116, 1789, 1359},	// QwtPlotPanner::trUtf8$$
    {116, 1790, 1361},	// QwtPlotPanner::trUtf8$$$
    {116, 1943, 1376},	// QwtPlotPanner::~QwtPlotPanner
    {117, 256, 1384},	// QwtPlotPicker::QwtPlotPicker#
    {117, 257, 1385},	// QwtPlotPicker::QwtPlotPicker$$#
    {117, 258, 1386},	// QwtPlotPicker::QwtPlotPicker$$$$#
    {117, 428, 1407},	// QwtPlotPicker::append#
    {117, 430, 1397},	// QwtPlotPicker::appended#
    {117, 504, -160},	// QwtPlotPicker::canvas
    {117, 754, 1411},	// QwtPlotPicker::end
    {117, 755, 1408},	// QwtPlotPicker::end$
    {117, 860, -163},	// QwtPlotPicker::invTransform#
    {117, 982, 1377},	// QwtPlotPicker::metaObject
    {117, 1015, 1406},	// QwtPlotPicker::move#
    {117, 1028, 1398},	// QwtPlotPicker::moved#
    {117, 1076, -166},	// QwtPlotPicker::plot
    {117, 1083, 1383},	// QwtPlotPicker::qt_metacall$$?
    {117, 1085, 1378},	// QwtPlotPicker::qt_metacast$
    {117, 1182, 1399},	// QwtPlotPicker::scaleRect
    {117, 1191, -169},	// QwtPlotPicker::selected#
    {117, 1192, 1396},	// QwtPlotPicker::selected?
    {117, 1228, 1387},	// QwtPlotPicker::setAxis$$
    {117, 1717, 1412},	// QwtPlotPicker::staticMetaObject
    {117, 1784, 1409},	// QwtPlotPicker::tr$
    {117, 1785, 1379},	// QwtPlotPicker::tr$$
    {117, 1786, 1381},	// QwtPlotPicker::tr$$$
    {117, 1788, 1410},	// QwtPlotPicker::trUtf8$
    {117, 1789, 1380},	// QwtPlotPicker::trUtf8$$
    {117, 1790, 1382},	// QwtPlotPicker::trUtf8$$$
    {117, 1799, 1404},	// QwtPlotPicker::trackerText#
    {117, 1801, 1405},	// QwtPlotPicker::trackerTextF#
    {117, 1803, -172},	// QwtPlotPicker::transform#
    {117, 1873, 1388},	// QwtPlotPicker::xAxis
    {117, 1881, 1389},	// QwtPlotPicker::yAxis
    {117, 1944, 1413},	// QwtPlotPicker::~QwtPlotPicker
    {118, 111, 1431},	// QwtPlotRasterItem::NoCache
    {118, 130, 1432},	// QwtPlotRasterItem::PaintCache
    {118, 131, 1433},	// QwtPlotRasterItem::PaintInDeviceResolution
    {118, 259, 1429},	// QwtPlotRasterItem::QwtPlotRasterItem
    {118, 260, 1415},	// QwtPlotRasterItem::QwtPlotRasterItem#
    {118, 261, 1414},	// QwtPlotRasterItem::QwtPlotRasterItem$
    {118, 426, 1419},	// QwtPlotRasterItem::alpha
    {118, 487, 1426},	// QwtPlotRasterItem::boundingRect
    {118, 503, 1421},	// QwtPlotRasterItem::cachePolicy
    {118, 609, 1423},	// QwtPlotRasterItem::draw####
    {118, 831, 1428},	// QwtPlotRasterItem::imageMap$###$
    {118, 858, 1425},	// QwtPlotRasterItem::interval$
    {118, 866, 1422},	// QwtPlotRasterItem::invalidateCache
    {118, 1073, 1424},	// QwtPlotRasterItem::pixelHint#
    {118, 1139, 1427},	// QwtPlotRasterItem::renderImage####
    {118, 1213, 1418},	// QwtPlotRasterItem::setAlpha$
    {118, 1275, 1420},	// QwtPlotRasterItem::setCachePolicy$
    {118, 1481, 1430},	// QwtPlotRasterItem::setPaintAttribute$
    {118, 1482, 1416},	// QwtPlotRasterItem::setPaintAttribute$$
    {118, 1754, 1417},	// QwtPlotRasterItem::testPaintAttribute$
    {118, 1945, 1434},	// QwtPlotRasterItem::~QwtPlotRasterItem
    {119, 262, 1455},	// QwtPlotScaleItem::QwtPlotScaleItem
    {119, 263, 1456},	// QwtPlotScaleItem::QwtPlotScaleItem$
    {119, 264, 1435},	// QwtPlotScaleItem::QwtPlotScaleItem$$
    {119, 477, 1451},	// QwtPlotScaleItem::borderDistance
    {119, 609, 1453},	// QwtPlotScaleItem::draw####
    {119, 785, 1444},	// QwtPlotScaleItem::font
    {119, 886, 1440},	// QwtPlotScaleItem::isScaleDivFromAxis
    {119, 1059, 1442},	// QwtPlotScaleItem::palette
    {119, 1081, 1449},	// QwtPlotScaleItem::position
    {119, 1162, 1436},	// QwtPlotScaleItem::rtti
    {119, 1173, 1438},	// QwtPlotScaleItem::scaleDiv
    {119, 1175, -25},	// QwtPlotScaleItem::scaleDraw
    {119, 1211, 1452},	// QwtPlotScaleItem::setAlignment$
    {119, 1265, 1450},	// QwtPlotScaleItem::setBorderDistance$
    {119, 1330, 1443},	// QwtPlotScaleItem::setFont#
    {119, 1486, 1441},	// QwtPlotScaleItem::setPalette#
    {119, 1513, 1448},	// QwtPlotScaleItem::setPosition$
    {119, 1554, 1437},	// QwtPlotScaleItem::setScaleDiv#
    {119, 1556, 1439},	// QwtPlotScaleItem::setScaleDivFromAxis$
    {119, 1558, 1445},	// QwtPlotScaleItem::setScaleDraw#
    {119, 1820, 1454},	// QwtPlotScaleItem::updateScaleDiv##
    {119, 1946, 1457},	// QwtPlotScaleItem::~QwtPlotScaleItem
    {121, 24, 1492},	// QwtPlotSpectrogram::ContourMode
    {121, 61, 1491},	// QwtPlotSpectrogram::ImageMode
    {121, 265, 1487},	// QwtPlotSpectrogram::QwtPlotSpectrogram
    {121, 266, 1462},	// QwtPlotSpectrogram::QwtPlotSpectrogram$
    {121, 552, 1469},	// QwtPlotSpectrogram::colorMap
    {121, 565, 1479},	// QwtPlotSpectrogram::contourLevels
    {121, 569, 1475},	// QwtPlotSpectrogram::contourPen$
    {121, 571, 1483},	// QwtPlotSpectrogram::contourRasterSize##
    {121, 578, -178},	// QwtPlotSpectrogram::data
    {121, 582, 1474},	// QwtPlotSpectrogram::defaultContourPen
    {121, 609, 1481},	// QwtPlotSpectrogram::draw####
    {121, 630, 1485},	// QwtPlotSpectrogram::drawContourLines###?
    {121, 858, 1470},	// QwtPlotSpectrogram::interval$
    {121, 1073, 1471},	// QwtPlotSpectrogram::pixelHint#
    {121, 1136, 1484},	// QwtPlotSpectrogram::renderContourLines##
    {121, 1139, 1482},	// QwtPlotSpectrogram::renderImage####
    {121, 1148, 1486},	// QwtPlotSpectrogram::renderTile####
    {121, 1162, 1480},	// QwtPlotSpectrogram::rtti
    {121, 1294, 1468},	// QwtPlotSpectrogram::setColorMap#
    {121, 1297, 1476},	// QwtPlotSpectrogram::setConrecFlag$$
    {121, 1299, 1478},	// QwtPlotSpectrogram::setContourLevels?
    {121, 1309, 1465},	// QwtPlotSpectrogram::setData#
    {121, 1311, -181},	// QwtPlotSpectrogram::setDefaultContourPen#
    {121, 1312, 1490},	// QwtPlotSpectrogram::setDefaultContourPen#$
    {121, 1313, 1472},	// QwtPlotSpectrogram::setDefaultContourPen#$$
    {121, 1317, 1488},	// QwtPlotSpectrogram::setDisplayMode$
    {121, 1318, 1463},	// QwtPlotSpectrogram::setDisplayMode$$
    {121, 1738, 1477},	// QwtPlotSpectrogram::testConrecFlag$
    {121, 1742, 1464},	// QwtPlotSpectrogram::testDisplayMode$
    {121, 1947, 1493},	// QwtPlotSpectrogram::~QwtPlotSpectrogram
    {122, 268, 1527},	// QwtPlotZoomer::QwtPlotZoomer#
    {122, 269, 1501},	// QwtPlotZoomer::QwtPlotZoomer#$
    {122, 270, 1528},	// QwtPlotZoomer::QwtPlotZoomer$$#
    {122, 271, 1502},	// QwtPlotZoomer::QwtPlotZoomer$$#$
    {122, 399, 1524},	// QwtPlotZoomer::accept#
    {122, 476, 1522},	// QwtPlotZoomer::begin
    {122, 754, 1531},	// QwtPlotZoomer::end
    {122, 755, 1523},	// QwtPlotZoomer::end$
    {122, 976, 1509},	// QwtPlotZoomer::maxStackDepth
    {122, 982, 1494},	// QwtPlotZoomer::metaObject
    {122, 993, 1519},	// QwtPlotZoomer::minZoomSize
    {122, 1018, 1513},	// QwtPlotZoomer::moveBy$$
    {122, 1026, 1514},	// QwtPlotZoomer::moveTo#
    {122, 1083, 1500},	// QwtPlotZoomer::qt_metacall$$?
    {122, 1085, 1495},	// QwtPlotZoomer::qt_metacast$
    {122, 1150, 1518},	// QwtPlotZoomer::rescale
    {122, 1228, 1507},	// QwtPlotZoomer::setAxis$$
    {122, 1432, 1508},	// QwtPlotZoomer::setMaxStackDepth$
    {122, 1684, 1529},	// QwtPlotZoomer::setZoomBase
    {122, 1685, 1504},	// QwtPlotZoomer::setZoomBase#
    {122, 1686, 1503},	// QwtPlotZoomer::setZoomBase$
    {122, 1694, 1530},	// QwtPlotZoomer::setZoomStack?
    {122, 1695, 1511},	// QwtPlotZoomer::setZoomStack?$
    {122, 1717, 1532},	// QwtPlotZoomer::staticMetaObject
    {122, 1784, 1525},	// QwtPlotZoomer::tr$
    {122, 1785, 1496},	// QwtPlotZoomer::tr$$
    {122, 1786, 1498},	// QwtPlotZoomer::tr$$$
    {122, 1788, 1526},	// QwtPlotZoomer::trUtf8$
    {122, 1789, 1497},	// QwtPlotZoomer::trUtf8$$
    {122, 1790, 1499},	// QwtPlotZoomer::trUtf8$$$
    {122, 1854, 1521},	// QwtPlotZoomer::widgetKeyPressEvent#
    {122, 1866, 1520},	// QwtPlotZoomer::widgetMouseReleaseEvent#
    {122, 1891, 1515},	// QwtPlotZoomer::zoom#
    {122, 1892, 1516},	// QwtPlotZoomer::zoom$
    {122, 1893, 1505},	// QwtPlotZoomer::zoomBase
    {122, 1894, 1506},	// QwtPlotZoomer::zoomRect
    {122, 1895, 1512},	// QwtPlotZoomer::zoomRectIndex
    {122, 1896, 1510},	// QwtPlotZoomer::zoomStack
    {122, 1898, 1517},	// QwtPlotZoomer::zoomed#
    {122, 1948, 1533},	// QwtPlotZoomer::~QwtPlotZoomer
    {125, 52, 1542},	// QwtRasterData::IgnoreAllVerticesOnLevel
    {125, 57, 1543},	// QwtRasterData::IgnoreOutOfRange
    {125, 272, 1534},	// QwtRasterData::QwtRasterData
    {125, 567, 1541},	// QwtRasterData::contourLines##?$
    {125, 593, 1539},	// QwtRasterData::discardRaster
    {125, 847, 1538},	// QwtRasterData::initRaster##
    {125, 858, 1536},	// QwtRasterData::interval$
    {125, 1073, 1537},	// QwtRasterData::pixelHint#
    {125, 1354, 1535},	// QwtRasterData::setInterval$#
    {125, 1832, 1540},	// QwtRasterData::value$$
    {125, 1949, 1544},	// QwtRasterData::~QwtRasterData
    {126, 273, 1545},	// QwtRichTextEngine::QwtRichTextEngine
    {126, 274, 1551},	// QwtRichTextEngine::QwtRichTextEngine#
    {126, 610, 1548},	// QwtRichTextEngine::draw##$$
    {126, 823, 1546},	// QwtRichTextEngine::heightForWidth#$$$
    {126, 985, 1549},	// QwtRichTextEngine::mightRender$
    {126, 1762, 1550},	// QwtRichTextEngine::textMargins#$$$$$
    {126, 1766, 1547},	// QwtRichTextEngine::textSize#$$
    {126, 1950, 1552},	// QwtRichTextEngine::~QwtRichTextEngine
    {127, 275, 1553},	// QwtRoundScaleDraw::QwtRoundScaleDraw
    {127, 513, 1558},	// QwtRoundScaleDraw::center
    {127, 615, 1562},	// QwtRoundScaleDraw::drawBackbone#
    {127, 658, 1563},	// QwtRoundScaleDraw::drawLabel#$
    {127, 729, 1561},	// QwtRoundScaleDraw::drawTick#$$
    {127, 766, 1560},	// QwtRoundScaleDraw::extent#
    {127, 1022, 1557},	// QwtRoundScaleDraw::moveCenter#
    {127, 1023, 1556},	// QwtRoundScaleDraw::moveCenter$$
    {127, 1126, 1555},	// QwtRoundScaleDraw::radius
    {127, 1215, 1559},	// QwtRoundScaleDraw::setAngleRange$$
    {127, 1515, 1554},	// QwtRoundScaleDraw::setRadius$
    {127, 1951, 1564},	// QwtRoundScaleDraw::~QwtRoundScaleDraw
    {128, 276, 1569},	// QwtScaleArithmetic::QwtScaleArithmetic
    {128, 277, 1570},	// QwtScaleArithmetic::QwtScaleArithmetic#
    {128, 512, 1565},	// QwtScaleArithmetic::ceilEps$$
    {128, 596, 1567},	// QwtScaleArithmetic::divideEps$$
    {128, 599, 1568},	// QwtScaleArithmetic::divideInterval$$$
    {128, 780, 1566},	// QwtScaleArithmetic::floorEps$$
    {128, 1952, 1571},	// QwtScaleArithmetic::~QwtScaleArithmetic
    {129, 91, 1600},	// QwtScaleDiv::MajorTick
    {129, 94, 1599},	// QwtScaleDiv::MediumTick
    {129, 97, 1598},	// QwtScaleDiv::MinorTick
    {129, 108, 1601},	// QwtScaleDiv::NTickTypes
    {129, 121, 1597},	// QwtScaleDiv::NoTick
    {129, 278, 1595},	// QwtScaleDiv::QwtScaleDiv
    {129, 279, 1594},	// QwtScaleDiv::QwtScaleDiv#
    {129, 280, 1573},	// QwtScaleDiv::QwtScaleDiv#?
    {129, 281, 1596},	// QwtScaleDiv::QwtScaleDiv$
    {129, 282, 1572},	// QwtScaleDiv::QwtScaleDiv$$
    {129, 283, 1574},	// QwtScaleDiv::QwtScaleDiv$$?
    {129, 284, 1575},	// QwtScaleDiv::QwtScaleDiv$$???
    {129, 484, 1593},	// QwtScaleDiv::bounded$$
    {129, 561, 1586},	// QwtScaleDiv::contains$
    {129, 857, 1580},	// QwtScaleDiv::interval
    {129, 867, 1591},	// QwtScaleDiv::invert
    {129, 868, 1592},	// QwtScaleDiv::inverted
    {129, 876, 1589},	// QwtScaleDiv::isEmpty
    {129, 878, 1590},	// QwtScaleDiv::isIncreasing
    {129, 962, 1582},	// QwtScaleDiv::lowerBound
    {129, 1040, 1577},	// QwtScaleDiv::operator!=#
    {129, 1044, 1576},	// QwtScaleDiv::operator==#
    {129, 1127, 1585},	// QwtScaleDiv::range
    {129, 1353, 1579},	// QwtScaleDiv::setInterval#
    {129, 1355, 1578},	// QwtScaleDiv::setInterval$$
    {129, 1412, 1581},	// QwtScaleDiv::setLowerBound$
    {129, 1620, 1587},	// QwtScaleDiv::setTicks$?
    {129, 1647, 1583},	// QwtScaleDiv::setUpperBound$
    {129, 1773, 1588},	// QwtScaleDiv::ticks$
    {129, 1824, 1584},	// QwtScaleDiv::upperBound
    {129, 1953, 1602},	// QwtScaleDiv::~QwtScaleDiv
    {130, 15, 1630},	// QwtScaleDraw::BottomScale
    {130, 83, 1632},	// QwtScaleDraw::LeftScale
    {130, 285, 1603},	// QwtScaleDraw::QwtScaleDraw
    {130, 334, 1633},	// QwtScaleDraw::RightScale
    {130, 385, 1631},	// QwtScaleDraw::TopScale
    {130, 425, 1611},	// QwtScaleDraw::alignment
    {130, 486, 1625},	// QwtScaleDraw::boundingLabelRect#$
    {130, 615, 1628},	// QwtScaleDraw::drawBackbone#
    {130, 658, 1629},	// QwtScaleDraw::drawLabel#$
    {130, 729, 1627},	// QwtScaleDraw::drawTick#$$
    {130, 766, 1607},	// QwtScaleDraw::extent#
    {130, 796, 1604},	// QwtScaleDraw::getBorderDistHint#$$
    {130, 921, 1617},	// QwtScaleDraw::labelAlignment
    {130, 924, 1622},	// QwtScaleDraw::labelPosition$
    {130, 926, 1623},	// QwtScaleDraw::labelRect#$
    {130, 927, 1619},	// QwtScaleDraw::labelRotation
    {130, 929, 1624},	// QwtScaleDraw::labelSize#$
    {130, 931, 1626},	// QwtScaleDraw::labelTransformation##
    {130, 958, 1615},	// QwtScaleDraw::length
    {130, 972, 1620},	// QwtScaleDraw::maxLabelHeight#
    {130, 974, 1621},	// QwtScaleDraw::maxLabelWidth#
    {130, 987, 1605},	// QwtScaleDraw::minLabelDist#
    {130, 989, 1606},	// QwtScaleDraw::minLength#
    {130, 1015, 1609},	// QwtScaleDraw::move#
    {130, 1016, 1608},	// QwtScaleDraw::move$$
    {130, 1045, 1613},	// QwtScaleDraw::orientation
    {130, 1080, 1614},	// QwtScaleDraw::pos
    {130, 1211, 1612},	// QwtScaleDraw::setAlignment$
    {130, 1379, 1616},	// QwtScaleDraw::setLabelAlignment$
    {130, 1383, 1618},	// QwtScaleDraw::setLabelRotation$
    {130, 1402, 1610},	// QwtScaleDraw::setLength$
    {130, 1954, 1634},	// QwtScaleDraw::~QwtScaleDraw
    {131, 45, 1662},	// QwtScaleEngine::Floating
    {131, 63, 1660},	// QwtScaleEngine::IncludeReference
    {131, 65, 1663},	// QwtScaleEngine::Inverted
    {131, 110, 1659},	// QwtScaleEngine::NoAttribute
    {131, 286, 1656},	// QwtScaleEngine::QwtScaleEngine
    {131, 287, 1655},	// QwtScaleEngine::QwtScaleEngine#
    {131, 288, 1635},	// QwtScaleEngine::QwtScaleEngine$
    {131, 378, 1661},	// QwtScaleEngine::Symmetric
    {131, 438, 1641},	// QwtScaleEngine::attributes
    {131, 443, 1647},	// QwtScaleEngine::autoScale$$$$
    {131, 474, 1637},	// QwtScaleEngine::base
    {131, 490, 1654},	// QwtScaleEngine::buildInterval$
    {131, 560, 1651},	// QwtScaleEngine::contains#$
    {131, 598, 1653},	// QwtScaleEngine::divideInterval$$
    {131, 601, 1658},	// QwtScaleEngine::divideScale$$$$
    {131, 602, 1648},	// QwtScaleEngine::divideScale$$$$$
    {131, 963, 1645},	// QwtScaleEngine::lowerMargin
    {131, 1129, 1643},	// QwtScaleEngine::reference
    {131, 1217, 1657},	// QwtScaleEngine::setAttribute$
    {131, 1218, 1638},	// QwtScaleEngine::setAttribute$$
    {131, 1220, 1640},	// QwtScaleEngine::setAttributes$
    {131, 1259, 1636},	// QwtScaleEngine::setBase$
    {131, 1420, 1644},	// QwtScaleEngine::setMargins$$
    {131, 1526, 1642},	// QwtScaleEngine::setReference$
    {131, 1641, 1649},	// QwtScaleEngine::setTransformation#
    {131, 1728, 1652},	// QwtScaleEngine::strip?#
    {131, 1736, 1639},	// QwtScaleEngine::testAttribute$
    {131, 1807, 1650},	// QwtScaleEngine::transformation
    {131, 1825, 1646},	// QwtScaleEngine::upperMargin
    {131, 1955, 1664},	// QwtScaleEngine::~QwtScaleEngine
    {132, 289, 1665},	// QwtScaleMap::QwtScaleMap
    {132, 290, 1666},	// QwtScaleMap::QwtScaleMap#
    {132, 861, -193},	// QwtScaleMap::invTransform###
    {132, 862, 1673},	// QwtScaleMap::invTransform$
    {132, 880, 1684},	// QwtScaleMap::isInverting
    {132, 1042, 1667},	// QwtScaleMap::operator=#
    {132, 1049, 1674},	// QwtScaleMap::p1
    {132, 1050, 1675},	// QwtScaleMap::p2
    {132, 1051, 1678},	// QwtScaleMap::pDist
    {132, 1167, 1676},	// QwtScaleMap::s1
    {132, 1168, 1677},	// QwtScaleMap::s2
    {132, 1169, 1679},	// QwtScaleMap::sDist
    {132, 1484, 1670},	// QwtScaleMap::setPaintInterval$$
    {132, 1562, 1671},	// QwtScaleMap::setScaleInterval$$
    {132, 1641, 1668},	// QwtScaleMap::setTransformation#
    {132, 1804, -196},	// QwtScaleMap::transform###
    {132, 1805, 1672},	// QwtScaleMap::transform$
    {132, 1807, 1669},	// QwtScaleMap::transformation
    {132, 1956, 1685},	// QwtScaleMap::~QwtScaleMap
    {133, 291, 1741},	// QwtScaleWidget::QwtScaleWidget
    {133, 292, 1693},	// QwtScaleWidget::QwtScaleWidget#
    {133, 293, 1742},	// QwtScaleWidget::QwtScaleWidget$
    {133, 294, 1694},	// QwtScaleWidget::QwtScaleWidget$#
    {133, 383, 1745},	// QwtScaleWidget::TitleInverted
    {133, 425, 1732},	// QwtScaleWidget::alignment
    {133, 546, 1723},	// QwtScaleWidget::colorBarInterval
    {133, 548, 1733},	// QwtScaleWidget::colorBarRect#
    {133, 549, 1721},	// QwtScaleWidget::colorBarWidth
    {133, 552, 1724},	// QwtScaleWidget::colorMap
    {133, 592, 1728},	// QwtScaleWidget::dimForLength$#
    {133, 607, 1736},	// QwtScaleWidget::draw#
    {133, 625, 1729},	// QwtScaleWidget::drawColorBar##
    {133, 733, 1730},	// QwtScaleWidget::drawTitle#$#
    {133, 756, 1703},	// QwtScaleWidget::endBorderDist
    {133, 797, 1704},	// QwtScaleWidget::getBorderDistHint$$
    {133, 803, 1705},	// QwtScaleWidget::getMinBorderDist$$
    {133, 875, 1719},	// QwtScaleWidget::isColorBarEnabled
    {133, 940, 1743},	// QwtScaleWidget::layoutScale
    {133, 941, 1738},	// QwtScaleWidget::layoutScale$
    {133, 965, 1708},	// QwtScaleWidget::margin
    {133, 982, 1686},	// QwtScaleWidget::metaObject
    {133, 998, 1726},	// QwtScaleWidget::minimumSizeHint
    {133, 1056, 1734},	// QwtScaleWidget::paintEvent#
    {133, 1083, 1692},	// QwtScaleWidget::qt_metacall$$?
    {133, 1085, 1687},	// QwtScaleWidget::qt_metacast$
    {133, 1155, 1735},	// QwtScaleWidget::resizeEvent#
    {133, 1172, 1737},	// QwtScaleWidget::scaleChange
    {133, 1174, 1695},	// QwtScaleWidget::scaleDivChanged
    {133, 1175, -184},	// QwtScaleWidget::scaleDraw
    {133, 1211, 1731},	// QwtScaleWidget::setAlignment$
    {133, 1263, 1701},	// QwtScaleWidget::setBorderDist$$
    {133, 1288, 1718},	// QwtScaleWidget::setColorBarEnabled$
    {133, 1290, 1720},	// QwtScaleWidget::setColorBarWidth$
    {133, 1295, 1722},	// QwtScaleWidget::setColorMap##
    {133, 1379, 1716},	// QwtScaleWidget::setLabelAlignment$
    {133, 1383, 1717},	// QwtScaleWidget::setLabelRotation$
    {133, 1388, 1699},	// QwtScaleWidget::setLayoutFlag$$
    {133, 1418, 1707},	// QwtScaleWidget::setMargin$
    {133, 1436, 1706},	// QwtScaleWidget::setMinBorderDist$$
    {133, 1554, 1711},	// QwtScaleWidget::setScaleDiv#
    {133, 1558, 1713},	// QwtScaleWidget::setScaleDraw#
    {133, 1584, 1709},	// QwtScaleWidget::setSpacing$
    {133, 1624, 1697},	// QwtScaleWidget::setTitle#
    {133, 1625, 1696},	// QwtScaleWidget::setTitle$
    {133, 1641, 1712},	// QwtScaleWidget::setTransformation#
    {133, 1702, 1725},	// QwtScaleWidget::sizeHint
    {133, 1710, 1710},	// QwtScaleWidget::spacing
    {133, 1714, 1702},	// QwtScaleWidget::startBorderDist
    {133, 1717, 1744},	// QwtScaleWidget::staticMetaObject
    {133, 1750, 1700},	// QwtScaleWidget::testLayoutFlag$
    {133, 1776, 1698},	// QwtScaleWidget::title
    {133, 1778, 1727},	// QwtScaleWidget::titleHeightForWidth$
    {133, 1784, 1739},	// QwtScaleWidget::tr$
    {133, 1785, 1688},	// QwtScaleWidget::tr$$
    {133, 1786, 1690},	// QwtScaleWidget::tr$$$
    {133, 1788, 1740},	// QwtScaleWidget::trUtf8$
    {133, 1789, 1689},	// QwtScaleWidget::trUtf8$$
    {133, 1790, 1691},	// QwtScaleWidget::trUtf8$$$
    {133, 1957, 1746},	// QwtScaleWidget::~QwtScaleWidget
    {135, 295, 1759},	// QwtSimpleCompassRose::QwtSimpleCompassRose
    {135, 296, 1758},	// QwtSimpleCompassRose::QwtSimpleCompassRose#
    {135, 297, 1760},	// QwtSimpleCompassRose::QwtSimpleCompassRose$
    {135, 298, 1747},	// QwtSimpleCompassRose::QwtSimpleCompassRose$$
    {135, 610, 1761},	// QwtSimpleCompassRose::draw##$$
    {135, 611, 1756},	// QwtSimpleCompassRose::draw##$$$
    {135, 694, 1757},	// QwtSimpleCompassRose::drawRose###$$$$$$
    {135, 1036, 1753},	// QwtSimpleCompassRose::numThornLevels
    {135, 1037, 1751},	// QwtSimpleCompassRose::numThorns
    {135, 1463, 1752},	// QwtSimpleCompassRose::setNumThornLevels$
    {135, 1465, 1750},	// QwtSimpleCompassRose::setNumThorns$
    {135, 1574, 1754},	// QwtSimpleCompassRose::setShrinkFactor$
    {135, 1667, 1748},	// QwtSimpleCompassRose::setWidth$
    {135, 1698, 1755},	// QwtSimpleCompassRose::shrinkFactor
    {135, 1869, 1749},	// QwtSimpleCompassRose::width
    {135, 1958, 1762},	// QwtSimpleCompassRose::~QwtSimpleCompassRose
    {136, 81, 1811},	// QwtSlider::LeadingScale
    {136, 118, 1810},	// QwtSlider::NoScale
    {136, 299, 1807},	// QwtSlider::QwtSlider
    {136, 300, 1770},	// QwtSlider::QwtSlider#
    {136, 301, 1808},	// QwtSlider::QwtSlider$
    {136, 302, 1771},	// QwtSlider::QwtSlider$#
    {136, 386, 1812},	// QwtSlider::TrailingScale
    {136, 482, 1783},	// QwtSlider::borderWidth
    {136, 515, 1800},	// QwtSlider::changeEvent#
    {136, 648, 1795},	// QwtSlider::drawHandle##$
    {136, 711, 1794},	// QwtSlider::drawSlider##
    {136, 815, 1804},	// QwtSlider::handleRect
    {136, 816, 1781},	// QwtSlider::handleSize
    {136, 819, 1779},	// QwtSlider::hasGroove
    {136, 821, 1777},	// QwtSlider::hasTrough
    {136, 888, 1793},	// QwtSlider::isScrollPosition#
    {136, 982, 1763},	// QwtSlider::metaObject
    {136, 998, 1787},	// QwtSlider::minimumSizeHint
    {136, 1011, 1796},	// QwtSlider::mousePressEvent#
    {136, 1013, 1797},	// QwtSlider::mouseReleaseEvent#
    {136, 1045, 1773},	// QwtSlider::orientation
    {136, 1056, 1799},	// QwtSlider::paintEvent#
    {136, 1083, 1769},	// QwtSlider::qt_metacall$$?
    {136, 1085, 1764},	// QwtSlider::qt_metacast$
    {136, 1155, 1798},	// QwtSlider::resizeEvent#
    {136, 1172, 1802},	// QwtSlider::scaleChange
    {136, 1175, 1789},	// QwtSlider::scaleDraw
    {136, 1181, 1775},	// QwtSlider::scalePosition
    {136, 1189, 1792},	// QwtSlider::scrolledTo#
    {136, 1271, 1782},	// QwtSlider::setBorderWidth$
    {136, 1343, 1778},	// QwtSlider::setGroove$
    {136, 1347, 1780},	// QwtSlider::setHandleSize#
    {136, 1469, 1772},	// QwtSlider::setOrientation$
    {136, 1558, 1788},	// QwtSlider::setScaleDraw#
    {136, 1568, 1774},	// QwtSlider::setScalePosition$
    {136, 1584, 1784},	// QwtSlider::setSpacing$
    {136, 1643, 1776},	// QwtSlider::setTrough$
    {136, 1645, 1790},	// QwtSlider::setUpdateInterval$
    {136, 1702, 1786},	// QwtSlider::sizeHint
    {136, 1707, 1803},	// QwtSlider::sliderRect
    {136, 1710, 1785},	// QwtSlider::spacing
    {136, 1717, 1809},	// QwtSlider::staticMetaObject
    {136, 1775, 1801},	// QwtSlider::timerEvent#
    {136, 1784, 1805},	// QwtSlider::tr$
    {136, 1785, 1765},	// QwtSlider::tr$$
    {136, 1786, 1767},	// QwtSlider::tr$$$
    {136, 1788, 1806},	// QwtSlider::trUtf8$
    {136, 1789, 1766},	// QwtSlider::trUtf8$$
    {136, 1790, 1768},	// QwtSlider::trUtf8$$$
    {136, 1814, 1791},	// QwtSlider::updateInterval
    {136, 1959, 1813},	// QwtSlider::~QwtSlider
    {137, 109, 1829},	// QwtSpline::Natural
    {137, 137, 1830},	// QwtSpline::Periodic
    {137, 303, 1814},	// QwtSpline::QwtSpline
    {137, 304, 1815},	// QwtSpline::QwtSpline#
    {137, 496, 1827},	// QwtSpline::buildNaturalSpline#
    {137, 498, 1828},	// QwtSpline::buildPeriodicSpline#
    {137, 539, 1824},	// QwtSpline::coefficientsA
    {137, 540, 1825},	// QwtSpline::coefficientsB
    {137, 541, 1826},	// QwtSpline::coefficientsC
    {137, 890, 1822},	// QwtSpline::isValid
    {137, 1042, 1816},	// QwtSpline::operator=#
    {137, 1078, 1820},	// QwtSpline::points
    {137, 1153, 1821},	// QwtSpline::reset
    {137, 1509, 1819},	// QwtSpline::setPoints#
    {137, 1590, 1817},	// QwtSpline::setSplineType$
    {137, 1713, 1818},	// QwtSpline::splineType
    {137, 1831, 1823},	// QwtSpline::value$
    {137, 1960, 1831},	// QwtSpline::~QwtSpline
    {138, 7, 1841},	// QwtSplineCurveFitter::Auto
    {138, 135, 1843},	// QwtSplineCurveFitter::ParametricSpline
    {138, 305, 1832},	// QwtSplineCurveFitter::QwtSplineCurveFitter
    {138, 366, 1842},	// QwtSplineCurveFitter::Spline
    {138, 777, 1840},	// QwtSplineCurveFitter::fitCurve#
    {138, 778, 1834},	// QwtSplineCurveFitter::fitMode
    {138, 1326, 1833},	// QwtSplineCurveFitter::setFitMode$
    {138, 1586, 1835},	// QwtSplineCurveFitter::setSpline#
    {138, 1588, 1838},	// QwtSplineCurveFitter::setSplineSize$
    {138, 1711, -151},	// QwtSplineCurveFitter::spline
    {138, 1712, 1839},	// QwtSplineCurveFitter::splineSize
    {138, 1961, 1844},	// QwtSplineCurveFitter::~QwtSplineCurveFitter
    {139, 8, 1907},	// QwtSymbol::AutoCache
    {139, 21, 1906},	// QwtSymbol::Cache
    {139, 25, 1893},	// QwtSymbol::Cross
    {139, 27, 1889},	// QwtSymbol::DTriangle
    {139, 28, 1887},	// QwtSymbol::Diamond
    {139, 33, 1885},	// QwtSymbol::Ellipse
    {139, 46, 1902},	// QwtSymbol::Graphic
    {139, 47, 1895},	// QwtSymbol::HLine
    {139, 50, 1899},	// QwtSymbol::Hexagon
    {139, 79, 1891},	// QwtSymbol::LTriangle
    {139, 111, 1905},	// QwtSymbol::NoCache
    {139, 120, 1884},	// QwtSymbol::NoSymbol
    {139, 136, 1900},	// QwtSymbol::Path
    {139, 138, 1901},	// QwtSymbol::Pixmap
    {139, 306, 1879},	// QwtSymbol::QwtSymbol
    {139, 307, 1847},	// QwtSymbol::QwtSymbol###
    {139, 308, 1845},	// QwtSymbol::QwtSymbol$
    {139, 309, 1846},	// QwtSymbol::QwtSymbol$###
    {139, 324, 1892},	// QwtSymbol::RTriangle
    {139, 327, 1886},	// QwtSymbol::Rect
    {139, 367, 1897},	// QwtSymbol::Star1
    {139, 368, 1898},	// QwtSymbol::Star2
    {139, 377, 1903},	// QwtSymbol::SvgDocument
    {139, 387, 1888},	// QwtSymbol::Triangle
    {139, 389, 1890},	// QwtSymbol::UTriangle
    {139, 392, 1904},	// QwtSymbol::UserStyle
    {139, 393, 1896},	// QwtSymbol::VLine
    {139, 396, 1894},	// QwtSymbol::XCross
    {139, 487, 1876},	// QwtSymbol::boundingRect
    {139, 488, 1859},	// QwtSymbol::brush
    {139, 503, 1849},	// QwtSymbol::cachePolicy
    {139, 717, -124},	// QwtSymbol::drawSymbol##
    {139, 719, 1874},	// QwtSymbol::drawSymbols##
    {139, 721, 1875},	// QwtSymbol::drawSymbols##$
    {139, 812, 1870},	// QwtSymbol::graphic
    {139, 866, 1877},	// QwtSymbol::invalidateCache
    {139, 884, 1856},	// QwtSymbol::isPinPointEnabled
    {139, 1064, 1866},	// QwtSymbol::path
    {139, 1065, 1862},	// QwtSymbol::pen
    {139, 1069, 1854},	// QwtSymbol::pinPoint
    {139, 1074, 1868},	// QwtSymbol::pixmap
    {139, 1145, 1878},	// QwtSymbol::renderSymbols##$
    {139, 1273, 1858},	// QwtSymbol::setBrush#
    {139, 1275, 1848},	// QwtSymbol::setCachePolicy$
    {139, 1286, 1857},	// QwtSymbol::setColor#
    {139, 1341, 1869},	// QwtSymbol::setGraphic#
    {139, 1488, 1865},	// QwtSymbol::setPath#
    {139, 1490, -127},	// QwtSymbol::setPen#
    {139, 1491, 1883},	// QwtSymbol::setPen#$
    {139, 1492, 1860},	// QwtSymbol::setPen#$$
    {139, 1496, 1881},	// QwtSymbol::setPinPoint#
    {139, 1497, 1853},	// QwtSymbol::setPinPoint#$
    {139, 1499, 1855},	// QwtSymbol::setPinPointEnabled$
    {139, 1503, 1867},	// QwtSymbol::setPixmap#
    {139, 1580, 1850},	// QwtSymbol::setSize#
    {139, 1581, 1880},	// QwtSymbol::setSize$
    {139, 1582, 1851},	// QwtSymbol::setSize$$
    {139, 1604, 1863},	// QwtSymbol::setStyle$
    {139, 1606, 1871},	// QwtSymbol::setSvgDocument#
    {139, 1701, 1852},	// QwtSymbol::size
    {139, 1729, 1864},	// QwtSymbol::style
    {139, 1962, 1908},	// QwtSymbol::~QwtSymbol
    {140, 10, 1950},	// QwtText::AutoText
    {140, 93, 1953},	// QwtText::MathMLText
    {140, 96, 1959},	// QwtText::MinimumLayout
    {140, 128, 1955},	// QwtText::OtherFormat
    {140, 129, 1958},	// QwtText::PaintBackground
    {140, 132, 1957},	// QwtText::PaintUsingTextColor
    {140, 133, 1956},	// QwtText::PaintUsingTextFont
    {140, 140, 1951},	// QwtText::PlainText
    {140, 310, 1942},	// QwtText::QwtText
    {140, 311, 1910},	// QwtText::QwtText#
    {140, 312, 1943},	// QwtText::QwtText$
    {140, 313, 1909},	// QwtText::QwtText$$
    {140, 332, 1952},	// QwtText::RichText
    {140, 379, 1954},	// QwtText::TeXText
    {140, 471, 1931},	// QwtText::backgroundBrush
    {140, 480, 1929},	// QwtText::borderPen
    {140, 481, 1927},	// QwtText::borderRadius
    {140, 542, 1924},	// QwtText::color
    {140, 608, 1938},	// QwtText::draw##
    {140, 785, 1919},	// QwtText::font
    {140, 824, 1947},	// QwtText::heightForWidth$
    {140, 825, 1936},	// QwtText::heightForWidth$#
    {140, 876, 1917},	// QwtText::isEmpty
    {140, 881, 1916},	// QwtText::isNull
    {140, 1040, 1913},	// QwtText::operator!=#
    {140, 1042, 1911},	// QwtText::operator=#
    {140, 1044, 1912},	// QwtText::operator==#
    {140, 1137, 1922},	// QwtText::renderFlags
    {140, 1257, 1930},	// QwtText::setBackgroundBrush#
    {140, 1267, 1928},	// QwtText::setBorderPen#
    {140, 1269, 1926},	// QwtText::setBorderRadius$
    {140, 1286, 1923},	// QwtText::setColor#
    {140, 1330, 1918},	// QwtText::setFont#
    {140, 1385, 1946},	// QwtText::setLayoutAttribute$
    {140, 1386, 1934},	// QwtText::setLayoutAttribute$$
    {140, 1481, 1945},	// QwtText::setPaintAttribute$
    {140, 1482, 1932},	// QwtText::setPaintAttribute$$
    {140, 1528, 1921},	// QwtText::setRenderFlags$
    {140, 1611, 1944},	// QwtText::setText$
    {140, 1612, 1914},	// QwtText::setText$$
    {140, 1614, 1941},	// QwtText::setTextEngine$#
    {140, 1748, 1935},	// QwtText::testLayoutAttribute$
    {140, 1754, 1933},	// QwtText::testPaintAttribute$
    {140, 1757, 1915},	// QwtText::text
    {140, 1759, -112},	// QwtText::textEngine$
    {140, 1760, 1939},	// QwtText::textEngine$$
    {140, 1764, 1948},	// QwtText::textSize
    {140, 1765, 1937},	// QwtText::textSize#
    {140, 1827, 1925},	// QwtText::usedColor#
    {140, 1829, 1920},	// QwtText::usedFont#
    {140, 1963, 1960},	// QwtText::~QwtText
    {141, 314, 1966},	// QwtTextEngine::QwtTextEngine
    {141, 315, 1967},	// QwtTextEngine::QwtTextEngine#
    {141, 610, 1965},	// QwtTextEngine::draw##$$
    {141, 823, 1961},	// QwtTextEngine::heightForWidth#$$$
    {141, 985, 1963},	// QwtTextEngine::mightRender$
    {141, 1762, 1964},	// QwtTextEngine::textMargins#$$$$$
    {141, 1766, 1962},	// QwtTextEngine::textSize#$$
    {141, 1964, 1968},	// QwtTextEngine::~QwtTextEngine
    {142, 316, 1997},	// QwtTextLabel::QwtTextLabel
    {142, 317, -130},	// QwtTextLabel::QwtTextLabel#
    {142, 318, 1977},	// QwtTextLabel::QwtTextLabel##
    {142, 522, 1982},	// QwtTextLabel::clear
    {142, 628, 1994},	// QwtTextLabel::drawContents#
    {142, 723, 1992},	// QwtTextLabel::drawText##
    {142, 824, 1990},	// QwtTextLabel::heightForWidth$
    {142, 838, 1984},	// QwtTextLabel::indent
    {142, 965, 1986},	// QwtTextLabel::margin
    {142, 982, 1969},	// QwtTextLabel::metaObject
    {142, 998, 1989},	// QwtTextLabel::minimumSizeHint
    {142, 1056, 1993},	// QwtTextLabel::paintEvent#
    {142, 1075, 1979},	// QwtTextLabel::plainText
    {142, 1083, 1975},	// QwtTextLabel::qt_metacall$$?
    {142, 1085, 1970},	// QwtTextLabel::qt_metacast$
    {142, 1351, 1985},	// QwtTextLabel::setIndent$
    {142, 1418, 1987},	// QwtTextLabel::setMargin$
    {142, 1505, 1978},	// QwtTextLabel::setPlainText$
    {142, 1610, 1981},	// QwtTextLabel::setText#
    {142, 1611, 1999},	// QwtTextLabel::setText$
    {142, 1612, 1980},	// QwtTextLabel::setText$$
    {142, 1702, 1988},	// QwtTextLabel::sizeHint
    {142, 1717, 2000},	// QwtTextLabel::staticMetaObject
    {142, 1757, 1983},	// QwtTextLabel::text
    {142, 1763, 1991},	// QwtTextLabel::textRect
    {142, 1784, 1995},	// QwtTextLabel::tr$
    {142, 1785, 1971},	// QwtTextLabel::tr$$
    {142, 1786, 1973},	// QwtTextLabel::tr$$$
    {142, 1788, 1996},	// QwtTextLabel::trUtf8$
    {142, 1789, 1972},	// QwtTextLabel::trUtf8$$
    {142, 1790, 1974},	// QwtTextLabel::trUtf8$$$
    {142, 1965, 2001},	// QwtTextLabel::~QwtTextLabel
    {143, 81, 2057},	// QwtThermo::LeadingScale
    {143, 118, 2056},	// QwtThermo::NoScale
    {143, 125, 2061},	// QwtThermo::OriginCustom
    {143, 126, 2060},	// QwtThermo::OriginMaximum
    {143, 127, 2059},	// QwtThermo::OriginMinimum
    {143, 319, 2054},	// QwtThermo::QwtThermo
    {143, 320, 2009},	// QwtThermo::QwtThermo#
    {143, 386, 2058},	// QwtThermo::TrailingScale
    {143, 412, 2025},	// QwtThermo::alarmBrush
    {143, 413, 2029},	// QwtThermo::alarmEnabled
    {143, 414, 2027},	// QwtThermo::alarmLevel
    {143, 416, 2051},	// QwtThermo::alarmRect#
    {143, 482, 2017},	// QwtThermo::borderWidth
    {143, 515, 2047},	// QwtThermo::changeEvent#
    {143, 552, -205},	// QwtThermo::colorMap
    {143, 667, 2043},	// QwtThermo::drawLiquid##
    {143, 767, 2023},	// QwtThermo::fillBrush
    {143, 774, 2050},	// QwtThermo::fillRect#
    {143, 982, 2002},	// QwtThermo::metaObject
    {143, 998, 2039},	// QwtThermo::minimumSizeHint
    {143, 1045, 2011},	// QwtThermo::orientation
    {143, 1047, 2021},	// QwtThermo::origin
    {143, 1048, 2019},	// QwtThermo::originMode
    {143, 1056, 2045},	// QwtThermo::paintEvent#
    {143, 1070, 2049},	// QwtThermo::pipeRect
    {143, 1071, 2034},	// QwtThermo::pipeWidth
    {143, 1083, 2008},	// QwtThermo::qt_metacall$$?
    {143, 1085, 2003},	// QwtThermo::qt_metacast$
    {143, 1128, 2036},	// QwtThermo::rangeFlags
    {143, 1155, 2046},	// QwtThermo::resizeEvent#
    {143, 1172, 2044},	// QwtThermo::scaleChange
    {143, 1175, -208},	// QwtThermo::scaleDraw
    {143, 1181, 2013},	// QwtThermo::scalePosition
    {143, 1201, 2024},	// QwtThermo::setAlarmBrush#
    {143, 1203, 2028},	// QwtThermo::setAlarmEnabled$
    {143, 1205, 2026},	// QwtThermo::setAlarmLevel$
    {143, 1271, 2016},	// QwtThermo::setBorderWidth$
    {143, 1294, 2030},	// QwtThermo::setColorMap#
    {143, 1324, 2022},	// QwtThermo::setFillBrush#
    {143, 1469, 2010},	// QwtThermo::setOrientation$
    {143, 1473, 2020},	// QwtThermo::setOrigin$
    {143, 1475, 2018},	// QwtThermo::setOriginMode$
    {143, 1501, 2033},	// QwtThermo::setPipeWidth$
    {143, 1519, 2035},	// QwtThermo::setRangeFlags$
    {143, 1558, 2040},	// QwtThermo::setScaleDraw#
    {143, 1568, 2012},	// QwtThermo::setScalePosition$
    {143, 1584, 2014},	// QwtThermo::setSpacing$
    {143, 1652, 2042},	// QwtThermo::setValue$
    {143, 1702, 2038},	// QwtThermo::sizeHint
    {143, 1710, 2015},	// QwtThermo::spacing
    {143, 1717, 2055},	// QwtThermo::staticMetaObject
    {143, 1784, 2052},	// QwtThermo::tr$
    {143, 1785, 2004},	// QwtThermo::tr$$
    {143, 1786, 2006},	// QwtThermo::tr$$$
    {143, 1788, 2053},	// QwtThermo::trUtf8$
    {143, 1789, 2005},	// QwtThermo::trUtf8$$
    {143, 1790, 2007},	// QwtThermo::trUtf8$$$
    {143, 1830, 2037},	// QwtThermo::value
    {143, 1966, 2062},	// QwtThermo::~QwtThermo
    {145, 321, 2128},	// QwtWheel::QwtWheel
    {145, 322, 2070},	// QwtWheel::QwtWheel#
    {145, 482, 2083},	// QwtWheel::borderWidth
    {145, 731, 2123},	// QwtWheel::drawTicks##
    {145, 737, 2124},	// QwtWheel::drawWheelBackground##
    {145, 879, 2085},	// QwtWheel::isInverted
    {145, 889, 2102},	// QwtWheel::isTracking
    {145, 914, 2116},	// QwtWheel::keyPressEvent#
    {145, 968, 2103},	// QwtWheel::mass
    {145, 980, 2098},	// QwtWheel::maximum
    {145, 982, 2063},	// QwtWheel::metaObject
    {145, 994, 2096},	// QwtWheel::minimum
    {145, 998, 2122},	// QwtWheel::minimumSizeHint
    {145, 1008, 2115},	// QwtWheel::mouseMoveEvent#
    {145, 1011, 2113},	// QwtWheel::mousePressEvent#
    {145, 1013, 2114},	// QwtWheel::mouseReleaseEvent#
    {145, 1045, 2073},	// QwtWheel::orientation
    {145, 1052, 2091},	// QwtWheel::pageStepCount
    {145, 1056, 2112},	// QwtWheel::paintEvent#
    {145, 1083, 2069},	// QwtWheel::qt_metacall$$?
    {145, 1085, 2064},	// QwtWheel::qt_metacast$
    {145, 1271, 2082},	// QwtWheel::setBorderWidth$
    {145, 1357, 2084},	// QwtWheel::setInverted$
    {145, 1426, 2107},	// QwtWheel::setMass$
    {145, 1434, 2097},	// QwtWheel::setMaximum$
    {145, 1440, 2095},	// QwtWheel::setMinimum$
    {145, 1469, 2072},	// QwtWheel::setOrientation$
    {145, 1477, 2090},	// QwtWheel::setPageStepCount$
    {145, 1517, 2094},	// QwtWheel::setRange$$
    {145, 1576, 2088},	// QwtWheel::setSingleStep$
    {145, 1596, 2092},	// QwtWheel::setStepAlignment$
    {145, 1616, 2076},	// QwtWheel::setTickCount$
    {145, 1629, 2105},	// QwtWheel::setTotalAngle$
    {145, 1639, 2101},	// QwtWheel::setTracking$
    {145, 1645, 2099},	// QwtWheel::setUpdateInterval$
    {145, 1652, 2104},	// QwtWheel::setValue$
    {145, 1655, 2106},	// QwtWheel::setViewAngle$
    {145, 1659, 2080},	// QwtWheel::setWheelBorderWidth$
    {145, 1665, 2078},	// QwtWheel::setWheelWidth$
    {145, 1669, 2086},	// QwtWheel::setWrapping$
    {145, 1699, 2089},	// QwtWheel::singleStep
    {145, 1702, 2121},	// QwtWheel::sizeHint
    {145, 1717, 2129},	// QwtWheel::staticMetaObject
    {145, 1718, 2093},	// QwtWheel::stepAlignment
    {145, 1722, 2119},	// QwtWheel::stopFlying
    {145, 1767, 2077},	// QwtWheel::tickCount
    {145, 1775, 2118},	// QwtWheel::timerEvent#
    {145, 1781, 2074},	// QwtWheel::totalAngle
    {145, 1784, 2126},	// QwtWheel::tr$
    {145, 1785, 2065},	// QwtWheel::tr$$
    {145, 1786, 2067},	// QwtWheel::tr$$$
    {145, 1788, 2127},	// QwtWheel::trUtf8$
    {145, 1789, 2066},	// QwtWheel::trUtf8$$
    {145, 1790, 2068},	// QwtWheel::trUtf8$$$
    {145, 1814, 2100},	// QwtWheel::updateInterval
    {145, 1830, 2071},	// QwtWheel::value
    {145, 1834, 2125},	// QwtWheel::valueAt#
    {145, 1836, 2108},	// QwtWheel::valueChanged$
    {145, 1838, 2075},	// QwtWheel::viewAngle
    {145, 1839, 2081},	// QwtWheel::wheelBorderWidth
    {145, 1841, 2117},	// QwtWheel::wheelEvent#
    {145, 1845, 2111},	// QwtWheel::wheelMoved$
    {145, 1846, 2109},	// QwtWheel::wheelPressed
    {145, 1847, 2120},	// QwtWheel::wheelRect
    {145, 1848, 2110},	// QwtWheel::wheelReleased
    {145, 1849, 2079},	// QwtWheel::wheelWidth
    {145, 1871, 2087},	// QwtWheel::wrapping
    {145, 1967, 2130},	// QwtWheel::~QwtWheel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qwt_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qwt_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qwt_Smoke = new Smoke(
        "qwt",
        __smokeqwt::classes, 146,
        __smokeqwt::methods, 2131,
        __smokeqwt::methodMaps, 1968,
        __smokeqwt::methodNames, 1967,
        __smokeqwt::types, 429,
        __smokeqwt::inheritanceList,
        __smokeqwt::argumentList,
        __smokeqwt::ambiguousMethodList,
        __smokeqwt::cast );
    initialized = true;
}

void delete_qwt_Smoke() { delete qwt_Smoke; }

}
